<?php
	function reorder($params = array()) {
		$reordered_array = array();
		
		$data = flatten_data($params['data']);
		
		foreach ($data as $key => $value) {
			foreach($params['fields'] as $field => $field_params) {
				if(is_array($field_params)) {
					$computed_value = null;
					$is_first = true;
					$is_active_operation = false;
					$is_active_concat = false;
					$variable_for_computation_1 = null;
					$variable_for_computation_2 = null;
					$operation = null;
					
					foreach($field_params as $field_param) {
						if($is_first) {
							$is_first = false;
							if(isset($reordered_array[$key][$field_param]) && is_numeric($reordered_array[$key][$field_param])) {
								$variable_for_computation_1 = $reordered_array[$key][$field_param];
							}
							else if(is_numeric($field_param)) {
								$variable_for_computation_1 = $field_param;
							}
							else if(isset($reordered_array[$key][$field_param])) {
								$variable_for_computation_1 = $reordered_array[$key][$field_param];
							}
							else {
								$variable_for_computation_1 = $field_param;
							}
							
							$computed_value = $variable_for_computation_1;
						}
						else if(in_array($field_param, array('+', '-', '*', '/'))) {
							$operation = $field_param;
							$is_active_operation = true;
						}
						else if($field_param == '.') {
							$is_active_concat = true;
						}
						else {
							if($is_active_operation && isset($variable_for_computation_1) && !isset($variable_for_computation_2)) {
								if(isset($reordered_array[$key][$field_param]) && is_numeric($reordered_array[$key][$field_param])) {
									$variable_for_computation_2 = $reordered_array[$key][$field_param];
								}
								else if(is_numeric($field_param)) {
									$variable_for_computation_2 = $field_param;
								}
							}
							if($is_active_concat){
								if(isset($reordered_array[$key][$field_param])) {
									$variable_for_computation_2 = $reordered_array[$key][$field_param];
								}
								else {
									$variable_for_computation_2 = $field_param;
								}
								
								// debug($variable_for_computation_2);
							}
							
							
							if($is_active_operation && (isset($variable_for_computation_2) || $variable_for_computation_2 == null)) {
								if($operation == '+') {
									$computed_value += $variable_for_computation_2;
								}
								else if($operation == '-') {
									$computed_value -= $variable_for_computation_2;
								}
								else if($operation == '*') {
									$computed_value *= $variable_for_computation_2;
								}
								else if($operation == '/') {
									$computed_value /= $variable_for_computation_2;
								}
								
								
								$variable_for_computation_1 = $computed_value;
								$variable_for_computation_2 = null;
								$is_active_operation = false;
								$is_active_concat = false;
								$operation = null;
							}
							else if($is_active_concat) {
								// debug($variable_for_computation_2);
								$computed_value .= $variable_for_computation_2;
								// debug();
							}
							
							// if($variable_for_computation_1 != null)
						}
					}
					
					$reordered_array[$key][$field] = $computed_value;
					// $reordered_array[$key][$field] = $field_params;
				}
				else {
					$field = $field_params;
					
					if(array_key_exists($field, $value)) {
						$reordered_array[$key][$field] = $value[$field];
					}
					else {
						$field_name = expand_array($field, " as ");
						if(isset($field_name[1])) {
							$reordered_array[$key]['0.' . $field_name[1]] = $value['0.' . $field_name[1]];
						}
						else {
							$reordered_array[$key][$field] = null;
						}
						
					}
				}
			}
		}
		
		return $reordered_array;
		
	}
	
	function add_computed_fields($params = array()) {
		
	}
	
	function convert_array($params = array()) {
		
		foreach($params['data'] as $key => $value) {
			foreach($params['fields'] as $field_key => $field_value) {
				$data_value = convert_datetime($value[$field_key], $field_value);
				$params['data'][$key][$field_key] = $data_value;
			}
		}
		
		return $params['data'];
	}
	
	
	function convert_to_numeric_array($params = array()) {
		
		foreach($params['data'] as $key => $value) {
			foreach($params['fields'] as $field_key => $field_value) {
				$format_params[$field_key] = array($value[$field_key]);
				
				$currency = '';
				$no_of_decimals = 2;
				$decimal_point = '.';
				$thousands_separator = ',';
				
				if(isset($field_value['currency'])) {
					$currency = $field_value['currency'];
				}
				
				if(isset($field_value['number_format_params'][0])) {
					$no_of_decimals = $field_value['number_format_params'][0];
				}
				
				if(isset($field_value['number_format_params'][1])) {
					$decimal_point = $field_value['number_format_params'][1];
				}
				
				if(isset($field_value['number_format_params'][2])) {
					$thousands_separator = $field_value['number_format_params'][2];
				}
				
				$data_value = $currency . number_format($value[$field_key], $no_of_decimals, $decimal_point, $thousands_separator);
				$params['data'][$key][$field_key] = $data_value;
			}
		}
		
		return $params['data'];
	}
	
	function get_datetime_diff($date1="",$date2="", $return_date="%H:%I:%S") {
		if($date2=="")$date2=date("Y-m-d");
		if($date1=="")$date1=date("Y-m-d");
		$date1 = new DateTime($date1);
		$date2 = new DateTime($date2);
		// debug( $date1->diff($date2));
		$interval = $date1->diff($date2)->format($return_date);
		// $diff = abs(strtotime($date1) - strtotime($date2));
		// $diff = abs($diff /60);
		// $diff = date($return_date,$diff);
		// $diff=gmdate($return_date, $diff);
		return($interval);
	}
	function get_time_sum($time1="",$time2="", $return_time="%H:%I:%S") {
		if($time2=="")$time2=date("00:00:00");
		if($time1=="")$time1=date("00:00:00"); 
		$times = array($time1, $time2);
		  $seconds = 0;
		  foreach ($times as $time)
		  {
			list($hour,$minute,$second) = explode(':', $time);
			$seconds += $hour*3600;
			$seconds += $minute*60;
			$seconds += $second;
		  }
		  $hours = floor($seconds/3600);
		  $seconds -= $hours*3600;
		  $minutes  = floor($seconds/60);
		  $seconds -= $minutes*60;
		  return "{$hours}:{$minutes}:{$seconds}";
		// return $time;
	}
	function decimalHours($time='00:00:00'){
		$hms = explode(":", $time);
		return  round(($hms[0] + ($hms[1]/60)),2);
	}
	
	function getHours($time='00:00:00'){
		$hms = explode(":", $time);
		return  $hms[0];
	}
	function getMinutes($time='00:00:00'){
		$hms = explode(":", $time);
		return  $hms[1];
	}
	function date_range_to_array($first, $last, $step = '+1 day', $output_format = 'Y-m-d' ) {

		$dates = array();
		$current = strtotime($first);
		$last = strtotime($last);

		while( $current <= $last ) {

			$dates[] = date($output_format, $current);
			$current = strtotime($step, $current);
		}

		return $dates;
	}
	
	function convert_to_percent($value, $params = array()) {
		$no_of_decimals = 2;
		$decimal_point = '.';
		$thousands_separator = ',';
		
		if(isset($params['currency'])) {
			$currency = $field_value['currency'];
		}
		
		if(isset($params['number_format_params'][0])) {
			$no_of_decimals = $params['number_format_params'][0];
		}
		
		if(isset($params['number_format_params'][1])) {
			$decimal_point = $params['number_format_params'][1];
		}
		
		if(isset($params['number_format_params'][2])) {
			$thousands_separator = $params['number_format_params'][2];
		}
		
		$data_value = number_format($value, $no_of_decimals, $decimal_point, $thousands_separator);
		return $data_value;
	}
	function convert_to_formatted_number($value, $params = array()) {
		$no_of_decimals = 2;
		$decimal_point = '.';
		$thousands_separator = ',';
		if(isset($params['currency'])) {
			$currency = $field_value['currency'];
		}
		
		if(isset($params['number_format_params'][0])) {
			$no_of_decimals = $params['number_format_params'][0];
		}
		
		if(isset($params['number_format_params'][1])) {
			$decimal_point = $params['number_format_params'][1];
		}
		
		if(isset($params['number_format_params'][2])) {
			$thousands_separator = $params['number_format_params'][2];
		}
		if(isset($params['allow_negative'])) {
			if($params['allow_negative'] == false){
				if($value<=0) $value=0;
			}
		}else{
			if($value<=0) $value=0;
		}
	
		
		$data_value = number_format((is_numeric($value) ? $value : 0), $no_of_decimals, $decimal_point, $thousands_separator);
		return $data_value;
	}
	function convert_to_formatted_number_dec_2($value, $params = array()) {
		$no_of_decimals = 2;
		$decimal_point = '.';
		$thousands_separator = ',';
		if($value<=0) $value=0;
		if(isset($params['currency'])) {
			$currency = $field_value['currency'];
		}
		
		if(isset($params['number_format_params'][0])) {
			$no_of_decimals = $params['number_format_params'][0];
		}
		
		if(isset($params['number_format_params'][1])) {
			$decimal_point = $params['number_format_params'][1];
		}
		
		if(isset($params['number_format_params'][2])) {
			$thousands_separator = $params['number_format_params'][2];
		}
		
		$data_value = number_format($value, $no_of_decimals, $decimal_point, $thousands_separator);
		return $data_value;
	}
	function convert_to_formatted_number_dec_3($value, $params = array()) {
		$no_of_decimals = 3;
		$decimal_point = '.';
		$thousands_separator = ',';
		if($value<=0) $value=0;
		if(isset($params['currency'])) {
			$currency = $field_value['currency'];
		}
		
		if(isset($params['number_format_params'][0])) {
			$no_of_decimals = $params['number_format_params'][0];
		}
		
		if(isset($params['number_format_params'][1])) {
			$decimal_point = $params['number_format_params'][1];
		}
		
		if(isset($params['number_format_params'][2])) {
			$thousands_separator = $params['number_format_params'][2];
		}
		
		$data_value = number_format($value, $no_of_decimals, $decimal_point, $thousands_separator);
		return $data_value;
	}
	function convert_to_formatted_integer($value, $params = array()) {
		$no_of_decimals = 0;
		$decimal_point = '.';
		$thousands_separator = ',';
		
		if(isset($params['currency'])) {
			$currency = $field_value['currency'];
		}
		
		if(isset($params['number_format_params'][0])) {
			$no_of_decimals = $params['number_format_params'][0];
		}
		
		if(isset($params['number_format_params'][1])) {
			$decimal_point = $params['number_format_params'][1];
		}
		
		if(isset($params['number_format_params'][2])) {
			$thousands_separator = $params['number_format_params'][2];
		}
		
		$data_value = number_format($value, $no_of_decimals, $decimal_point, $thousands_separator);
		return $data_value;
	}
	
	function round_off_to_decimal_places($value, $params = array()) {
		$no_of_decimals = 2;
		$decimal_point = '.';
		$thousands_separator = '';
		
		if(isset($params['currency'])) {
			$currency = $field_value['currency'];
		}
		
		if(isset($params['number_format_params'][0])) {
			$no_of_decimals = $params['number_format_params'][0];
		}
		
		if(isset($params['number_format_params'][1])) {
			$decimal_point = $params['number_format_params'][1];
		}
		
		if(isset($params['number_format_params'][2])) {
			$thousands_separator = $params['number_format_params'][2];
		}
		
		$data_value = number_format($value, $no_of_decimals, $decimal_point, $thousands_separator);
		return $data_value;
	}
	
	function flatten_data($flat_data = array()) {
		foreach ($flat_data as $key => $value) {
			$flat_data[$key] = Set::flatten($flat_data[$key]);
		}
		
		return $flat_data;
	}
	
	function expand_array($path, $separator = '.') {
		$array_keys = explode($separator, $path);
		
		$expanded_array = array();
		foreach ($array_keys as $array_key) {
			$expanded_array[] = $array_key;
		}

		return $expanded_array;
	}
	
	function convert_datetime($date_text = '', $default_format = 'F j, Y') {
		if(!empty($date_text)) {
			$converted_date = date_format(date_create($date_text),$default_format);
		}
		else {
			$converted_date = $date_text;
		}

		return $converted_date;
	}
	
	function validate_datetime($date, $format = 'Y-m-d') {
		$d = DateTime::createFromFormat($format, $date);
		return $d && $d->format($format) == $date;
	}
	
	function add_slashes_to_double_quotes($str = '') {
		return str_replace('"', '\"', $str);
	}
	
	function strip_slashes_to_double_quotes($str = '') {
		return str_replace('\"', '"', $str);
	}
	
	function remove_double_white_spaces($str = '') {
		return preg_replace('/\s\s+/', ' ', $str);
	}
	
	function has_match($keyword = '', $str = '') {
		// return 'aaaa';
		return preg_match('/' . $keyword . '/i', $str);
	}
	
	function action_without_prefix($get_prefix = '', $action = ''){
		$count = strlen($get_prefix) + 1;
		return substr($action,$count);
		// str_replace could have the same prefix within the action
		// hence the substring; + 1 for the underscore
		// return str_replace($get_prefix.'_', "" ,$action);
	}
	function convert_to_currency($value, $params = array()) {
		$currency = '₱';
		$no_of_decimals = 2;
		$decimal_point = '.';
		$thousands_separator = ',';
		$variance_format = false;
		$null_to_zero = true;
		
		if(isset($value)) {
			$value = floatval($value);
		}
		else {
			$value = null;
		}
		
		if(isset($params['null_to_zero'])) {
			$null_to_zero = $params['null_to_zero'];
		}
		
		if(isset($params['currency'])) {
			$currency = $params['currency'];
		}
		
		if(isset($params['variance_format'])) {
			$variance_format = $params['variance_format'];
		}
		
		if(isset($params['number_format_params'][0])) {
			$no_of_decimals = $params['number_format_params'][0];
		}
		
		if(isset($params['number_format_params'][1])) {
			$decimal_point = $params['number_format_params'][1];
		}
		
		if(isset($params['number_format_params'][2])) {
			$thousands_separator = $params['number_format_params'][2];
		}
		
		if(!$null_to_zero){
			if(isset($value)) {
				
				if($value >= 0) {
					$data_value = $currency . number_format($value, $no_of_decimals, $decimal_point, $thousands_separator);
				} 
				else {
					if($variance_format) {
						$data_value = '(' . $currency . substr(number_format($value, $no_of_decimals, $decimal_point, $thousands_separator),1) . ')';
					}
					else {
						$data_value = '-' . $currency . substr(number_format($value, $no_of_decimals, $decimal_point, $thousands_separator),1);
					}
				}
			}
			else {
				$data_value = null;
			}
			
		}
		else{
			if($value >= 0) {
				$data_value = $currency . number_format($value, $no_of_decimals, $decimal_point, $thousands_separator);
			} 
			else {
				if($variance_format) {
					$data_value = '(' . $currency . substr(number_format($value, $no_of_decimals, $decimal_point, $thousands_separator),1) . ')';
				}
				else {
					$data_value = '-' . $currency . substr(number_format($value, $no_of_decimals, $decimal_point, $thousands_separator),1);
				}
			}
		}
		
		return $data_value;
	}
	function convert_array_formats($params = array()) {
		// debug($params);
		foreach($params['data'] as $key => $value) {
			// debug($value);
			foreach($params['fields'] as $field_key => $field_value) {
				// debug($field_value);
				foreach($field_value as $field_value_key => $field_value_key_value_pair) {
					if($field_value_key == 'numeric_format') {
						// debug($field_value_key_value_pair);
						$data_value = convert_to_currency($value[$field_key], $field_value_key_value_pair);
					}
					else if($field_value_key == 'date_time_format') {
						// debug($field_value_key_value_pair);
						$data_value = convert_datetime($value[$field_key], $field_value_key_value_pair);
					}
					
				}
				
				
				$params['data'][$key][$field_key] = $data_value;
			}
		}
		
		return $params['data'];
	}
	
	function convert_seconds_to_time($sec=int){
		$hours = floor($sec / 3600);
		$mins = floor($sec / 60 % 60);
		$secs = floor($sec % 60);
		return sprintf('%02d:%02d:%02d', $hours, $mins, $secs);
	}
	
	function convert_time_to_seconds($str_time=null){
		$str_time = preg_replace("/^([\d]{1,2})\:([\d]{2})$/", "00:$1:$2", $str_time);
		sscanf($str_time, "%d:%d:%d", $hours, $minutes, $seconds);
		$time_seconds = $hours * 3600 + $minutes * 60 + $seconds;
		return $time_seconds;
	}
	
	function convertTime($dec)
	{
		// start by converting to seconds
		$seconds = ($dec * 3600);
		// we're given hours, so let's get those the easy way
		$hours = floor($dec);
		// since we've "calculated" hours, let's remove them from the seconds variable
		$seconds -= $hours * 3600;
		// calculate minutes left
		$minutes = floor($seconds / 60);
		// remove those from seconds as well
		$seconds -= $minutes * 60;
		// return the time formatted HH:MM:SS
		return lz(floor($hours)).":".lz(floor($minutes)).":".lz(floor($seconds));
	}
	
	function lz($num)
	{
		return (strlen($num) < 2) ? "0{$num}" : $num;
	}
	
	function list_of_months_by_number_value() {
		$months = array(
			'1' => 'January',
			'2' => 'February',
			'3' => 'March',
			'4' => 'April',
			'5' => 'May',
			'6' => 'June',
			'7' => 'July',
			'8' => 'August',
			'9' => 'September',
			'10' => 'October',
			'11' => 'November',
			'12' => 'December',
		);
		return $months;
	}
	
	function list_of_months_by_number_with_zero_value() {
		$months = array(
			'01' => 'JANUARY',
			'02' => 'FEBRUARY',
			'03' => 'MARCH',
			'04' => 'APRIL',
			'05' => 'MAY',
			'06' => 'JUNE',
			'07' => 'JULY',
			'08' => 'AUGUST',
			'09' => 'SEPTEMBER',
			'10' => 'OCTOBER',
			'11' => 'NOVEMBER',
			'12' => 'DECEMBER',
		);
		return $months;
	}
	
	function list_of_months_by_whole_name() {
		$months = array(
			'January' => 'January',
			'February' => 'February',
			'March' => 'March',
			'April' => 'April',
			'May' => 'May',
			'June' => 'June',
			'July' => 'July',
			'August' => 'August',
			'September' => 'September',
			'October' => 'October',
			'November' => 'November',
			'December' => 'December',
		);
		return $months;
	}
	
	function convert_minutes_to_decimal_hours($minutes = 0) {
		return $minutes / 60;
	}
	
	function list_of_months_by_word_value() {
		$months = array(
			'JAN' => 'JANUARY',
			'FEB' => 'FEBRUARY',
			'MAR' => 'MARCH',
			'APR' => 'APRIL',
			'MAY' => 'MAY',
			'JUN' => 'JUNE',
			'JUL' => 'JULY',
			'AUG' => 'AUGUST',
			'SEP' => 'SEPTEMBER',
			'OCT' => 'OCTOBER',
			'NOV' => 'NOVEMBER',
			'DEC' => 'DECEMBER',
		);
		return $months;
	}
	
	function force_round_down($round_down_this_number, $no_of_decimals = 2) {
		$splitted_numbers = explode('.', $round_down_this_number);
		$rounded_number = '';
		
		if(count($splitted_numbers) == 2) {
			$rounded_number = $splitted_numbers[0] . '.';
			
			if(strlen($splitted_numbers[1]) >= 2) {
				$rounded_number .= substr($splitted_numbers[1], 0, $no_of_decimals);
			}
			else {
				$rounded_number .= $splitted_numbers[1];
			}
		}
		else {
			$rounded_number = $splitted_numbers[0];
		}
		
		return floatval($rounded_number);
	}
	
	function number_to_word( $num = '' )
	{
		$num    = ( string ) ( ( int ) $num );
	   
		if( ( int ) ( $num ) && ctype_digit( $num ) )
		{
			$words  = array( );
		   
			$num    = str_replace( array( ',' , ' ' ) , '' , trim( $num ) );
		   
			$list1  = array('','one','two','three','four','five','six','seven',
				'eight','nine','ten','eleven','twelve','thirteen','fourteen',
				'fifteen','sixteen','seventeen','eighteen','nineteen');
		   
			$list2  = array('','ten','twenty','thirty','forty','fifty','sixty',
				'seventy','eighty','ninety','hundred');
		   
			$list3  = array('','thousand','million','billion','trillion',
				'quadrillion','quintillion','sextillion','septillion',
				'octillion','nonillion','decillion','undecillion',
				'duodecillion','tredecillion','quattuordecillion',
				'quindecillion','sexdecillion','septendecillion',
				'octodecillion','novemdecillion','vigintillion');
		   
			$num_length = strlen( $num );
			$levels = ( int ) ( ( $num_length + 2 ) / 3 );
			$max_length = $levels * 3;
			$num    = substr( '00'.$num , -$max_length );
			$num_levels = str_split( $num , 3 );
		   
			foreach( $num_levels as $num_part )
			{
				$levels--;
				$hundreds   = ( int ) ( $num_part / 100 );
				$hundreds   = ( $hundreds ? ' ' . $list1[$hundreds] . ' Hundred' . ( $hundreds == 1 ? '' : 's' ) . ' ' : '' );
				$tens       = ( int ) ( $num_part % 100 );
				$singles    = '';
			   
				if( $tens < 20 )
				{
					$tens   = ( $tens ? ' ' . $list1[$tens] . ' ' : '' );
				}
				else
				{
					$tens   = ( int ) ( $tens / 10 );
					$tens   = ' ' . $list2[$tens] . ' ';
					$singles    = ( int ) ( $num_part % 10 );
					$singles    = ' ' . $list1[$singles] . ' ';
				}
				$words[]    = $hundreds . $tens . $singles . ( ( $levels && ( int ) ( $num_part ) ) ? ' ' . $list3[$levels] . ' ' : '' );
			}
		   
			$commas = count( $words );
		   
			if( $commas > 1 )
			{
				$commas = $commas - 1;
			}
		   
			$words  = implode( ', ' , $words );
		   
			//Some Finishing Touch
			//Replacing multiples of spaces with one space
			$words  = trim( str_replace( ' ,' , ',' , trim( ucwords( $words ) ) ) , ', ' );
			if( $commas )
			{
				$words  = str_replace( ',' , ' and' , $words );
			}
		   
			return $words;
		}
		else if( ! ( ( int ) $num ) )
		{
			return 'Zero';
		}
		return '';
	}

	function validate_not_assigned_field($data=null){
		
			if(isset($data)){
				$status = $data;
			}else{
				$status = 'N/A';
			}
			return $status;
	}

	function validate_not_assigned_field_blank($data=null){ 
			if (isset($data) && count($data) > 0) { 
				$status = $data;
			}
			else	{ 
				$status = '';
			} 
			return $status;
	}

	function get_time_entry_status_definition($time_entry_status = null) {
		if ($time_entry_status == "C") {
			$time_entry_status = "Perfect Time Entry";
		}
		else if ($time_entry_status == "LWP") {
			$time_entry_status = "Leave with Pay";
		}
		else if ($time_entry_status == "I") {
			$time_entry_status = "Incomplete Time Entry";
		}
		else if ($time_entry_status == "P") {
			$time_entry_status = "Problematic Time Entry";
		}
		else if ($time_entry_status == "H") {
			$time_entry_status = "Holiday";
		}
		else if ($time_entry_status == "U") {
			$time_entry_status = "Undertime";
		}
		else if ($time_entry_status == "N") {
			$time_entry_status = "No Schedule Time Entry";
		}
		else if ($time_entry_status == "R") {
			$time_entry_status = "Resolved";
		}
		else {
			$time_entry_status = "";
		}
		
		return $time_entry_status;
	}
	
	
	function get_minutes($time = null){
		$time = explode(':', $time);
		return ($time[0]*60) + ($time[1]) + ($time[2]/60);
	}
	
	function get_month_name_using_integer($monthNum = null){
		
		$dateObj = DateTime::createFromFormat('!m', (int) $monthNum);
		$monthName = $dateObj->format('F');
		
		return $monthName;
	}




?>