<?php
	function reorder($params = array()) {
		$reordered_array = array();
		
		$data = flatten_data($params['data']);
		
		foreach ($data as $key => $value) {
			foreach($params['fields'] as $field => $field_params) {
				if(is_array($field_params)) {
					$computed_value = null;
					$is_first = true;
					$is_active_operation = false;
					$is_active_concat = false;
					$variable_for_computation_1 = null;
					$variable_for_computation_2 = null;
					$operation = null;
					
					foreach($field_params as $field_param) {
						if($is_first) {
							$is_first = false;
							if(isset($reordered_array[$key][$field_param]) && is_numeric($reordered_array[$key][$field_param])) {
								$variable_for_computation_1 = $reordered_array[$key][$field_param];
							}
							else if(is_numeric($field_param)) {
								$variable_for_computation_1 = $field_param;
							}
							else if(isset($reordered_array[$key][$field_param])) {
								$variable_for_computation_1 = $reordered_array[$key][$field_param];
							}
							else {
								$variable_for_computation_1 = $field_param;
							}
							
							$computed_value = $variable_for_computation_1;
						}
						else if(in_array($field_param, array('+', '-', '*', '/'))) {
							$operation = $field_param;
							$is_active_operation = true;
						}
						else if($field_param == '.') {
							$is_active_concat = true;
						}
						else {
							if($is_active_operation && isset($variable_for_computation_1) && !isset($variable_for_computation_2)) {
								if(isset($reordered_array[$key][$field_param]) && is_numeric($reordered_array[$key][$field_param])) {
									$variable_for_computation_2 = $reordered_array[$key][$field_param];
								}
								else if(is_numeric($field_param)) {
									$variable_for_computation_2 = $field_param;
								}
							}
							if($is_active_concat){
								if(isset($reordered_array[$key][$field_param])) {
									$variable_for_computation_2 = $reordered_array[$key][$field_param];
								}
								else {
									$variable_for_computation_2 = $field_param;
								}
								
								// debug($variable_for_computation_2);
							}
							
							
							
							if($is_active_operation && isset($variable_for_computation_2)) {
								if($operation == '+') {
									$computed_value += $variable_for_computation_2;
								}
								else if($operation == '-') {
									$computed_value -= $variable_for_computation_2;
								}
								else if($operation == '*') {
									$computed_value *= $variable_for_computation_2;
								}
								else if($operation == '/') {
									$computed_value /= $variable_for_computation_2;
								}
								
								
								$variable_for_computation_1 = $computed_value;
								$variable_for_computation_2 = null;
								$is_active_operation = false;
								$is_active_concat = false;
								$operation = null;
							}
							else if($is_active_concat) {
								// debug($variable_for_computation_2);
								$computed_value .= $variable_for_computation_2;
								// debug();
							}
							
							// if($variable_for_computation_1 != null)
						}
					}
					
					$reordered_array[$key][$field] = $computed_value;
					// $reordered_array[$key][$field] = $field_params;
				}
				else {
					$field = $field_params;
					
					if(array_key_exists($field, $value)) {
						$reordered_array[$key][$field] = $value[$field];
					}
					else {
						$field_name = expand_array($field, " as ");
						if(isset($field_name[1])) {
							$reordered_array[$key]['0.' . $field_name[1]] = $value['0.' . $field_name[1]];
						}
						else {
							$reordered_array[$key][$field] = null;
						}
						
					}
				}
			}
		}
		
		return $reordered_array;
		
	}
	
	function add_computed_fields($params = array()) {
		
	}
	
	function convert_array($params = array()) {
		
		foreach($params['data'] as $key => $value) {
			foreach($params['fields'] as $field_key => $field_value) {
				$data_value = convert_datetime($value[$field_key], $field_value);
				$params['data'][$key][$field_key] = $data_value;
			}
		}
		
		return $params['data'];
	}
	
	
	function convert_to_numeric_array($params = array()) {
		
		foreach($params['data'] as $key => $value) {
			foreach($params['fields'] as $field_key => $field_value) {
				$format_params[$field_key] = array($value[$field_key]);
				
				$currency = '';
				$no_of_decimals = 2;
				$decimal_point = '.';
				$thousands_separator = ',';
				
				if(isset($field_value['currency'])) {
					$currency = $field_value['currency'];
				}
				
				if(isset($field_value['number_format_params'][0])) {
					$no_of_decimals = $field_value['number_format_params'][0];
				}
				
				if(isset($field_value['number_format_params'][1])) {
					$decimal_point = $field_value['number_format_params'][1];
				}
				
				if(isset($field_value['number_format_params'][2])) {
					$thousands_separator = $field_value['number_format_params'][2];
				}
				
				$data_value = $currency . number_format($value[$field_key], $no_of_decimals, $decimal_point, $thousands_separator);
				$params['data'][$key][$field_key] = $data_value;
			}
		}
		
		return $params['data'];
	}
	
	function convert_to_currency($value, $params = array()) {
		$currency = 'P';
		$no_of_decimals = 2;
		$decimal_point = '.';
		$thousands_separator = ',';
		
		if(isset($params['currency'])) {
			$currency = $field_value['currency'];
		}
		
		if(isset($params['number_format_params'][0])) {
			$no_of_decimals = $params['number_format_params'][0];
		}
		
		if(isset($params['number_format_params'][1])) {
			$decimal_point = $params['number_format_params'][1];
		}
		
		if(isset($params['number_format_params'][2])) {
			$thousands_separator = $params['number_format_params'][2];
		}
		
		if($value >= 0) {
			$data_value = $currency . number_format($value, $no_of_decimals, $decimal_point, $thousands_separator);
		} 
		else {
			$data_value = '-' . $currency . substr(number_format($value, $no_of_decimals, $decimal_point, $thousands_separator),1);
		}
		
		return $data_value;
	}
	
	function convert_to_formatted_number($value, $params = array()) {
		$no_of_decimals = 2;
		$decimal_point = '.';
		$thousands_separator = ',';
		
		if(isset($params['currency'])) {
			$currency = $field_value['currency'];
		}
		
		if(isset($params['number_format_params'][0])) {
			$no_of_decimals = $params['number_format_params'][0];
		}
		
		if(isset($params['number_format_params'][1])) {
			$decimal_point = $params['number_format_params'][1];
		}
		
		if(isset($params['number_format_params'][2])) {
			$thousands_separator = $params['number_format_params'][2];
		}
		
		$data_value = number_format($value, $no_of_decimals, $decimal_point, $thousands_separator);
		return $data_value;
	}
	
	function convert_to_formatted_integer($value, $params = array()) {
		$no_of_decimals = 0;
		$decimal_point = '.';
		$thousands_separator = ',';
		
		if(isset($params['currency'])) {
			$currency = $field_value['currency'];
		}
		
		if(isset($params['number_format_params'][0])) {
			$no_of_decimals = $params['number_format_params'][0];
		}
		
		if(isset($params['number_format_params'][1])) {
			$decimal_point = $params['number_format_params'][1];
		}
		
		if(isset($params['number_format_params'][2])) {
			$thousands_separator = $params['number_format_params'][2];
		}
		
		$data_value = number_format($value, $no_of_decimals, $decimal_point, $thousands_separator);
		return $data_value;
	}
	
	function flatten_data($flat_data = array()) {
		foreach ($flat_data as $key => $value) {
			$flat_data[$key] = Set::flatten($flat_data[$key]);
		}
		
		return $flat_data;
	}
	
	function expand_array($path, $separator = '.') {
		$array_keys = explode($separator, $path);
		
		$expanded_array = array();
		foreach ($array_keys as $array_key) {
			$expanded_array[] = $array_key;
		}

		return $expanded_array;
	}
	
	function convert_datetime($date_text = '', $default_format = 'F j, Y') {
		if(!empty($date_text)) {
			$converted_date = date_format(date_create($date_text),$default_format);
		}
		else {
			$converted_date = $date_text;
		}

		return $converted_date;
	}
	
	function validate_datetime($date, $format = 'Y-m-d') {
		$d = DateTime::createFromFormat($format, $date);
		return $d && $d->format($format) == $date;
	}
	
	function add_slashes_to_double_quotes($str = '') {
		return str_replace('"', '\"', $str);
	}
	
	function strip_slashes_to_double_quotes($str = '') {
		return str_replace('\"', '"', $str);
	}
	
	function remove_double_white_spaces($str = '') {
		return preg_replace('/\s\s+/', ' ', $str);
	}
	
	function has_match($keyword = '', $str = '') {
		// return 'aaaa';
		return preg_match('/' . $keyword . '/i', $str);
	}
	
	function action_without_prefix($get_prefix = '', $action = ''){
		$count = strlen($get_prefix) + 1;
		return substr($action,$count);
		// str_replace could have the same prefix within the action
		// hence the substring; + 1 for the underscore
		// return str_replace($get_prefix.'_', "" ,$action);
	}
?>