<?php
App::uses('Component', 'Controller');

class AlertComponent extends Component {
	public $components = array('Session');
	
	private $alert_messages = array(
	
		'invalid_input' => array('Invalid input, Please try again.', 'global-notice-failed-full'),
		
		'no_data_encoded' => array('No data encoded', 'global-notice-failed-full'),
		
		'failed_learning_and_development_header_no_employee_save' => array('Please select employee to proceed, and try again.', 'global-notice-failed-full'),
		'invalid_format_failed' => array('Invalid Format File, Please attach the downloaded system generated template .xlsx file and try again.', 'global-notice-failed-full'),
		'failed_payroll_longevity_pay_no_data_failed' => array('No Record found in Approved Longevity, please try again', 'global-notice-failed-full'),
		'success_temp_other_information_question_update' => array('Temporary Other Information Question has been updated.', 'global-notice-success-full'),
		'failed_temp_other_information_question_update' => array('Temporary Other Information Question has not been Updated. Please try again.', 'global-notice-failed-full'),
		
		'success_review_and_finalize_update' => array('Employee Payroll Data has been updated.', 'global-notice-success-full'),
		'failed_review_and_finalize_update' => array('Employee Payroll Data could not be update. Please, try again.', 'global-notice-failed-full'),
		
		'success_temp_other_information_question_save' => array('Temporary Other Information Question has been saved.', 'global-notice-success-full'),
		'failed_temp_other_information_question_save' => array('Temporary Other Information Question has not been Save. Please try again.', 'global-notice-failed-full'),
		'success_appointment_entry_save' => array('Appointment Entry has been saved.', 'global-notice-success-full'),
	
		'success_apply_productivity_enhancement_incentive_update' => array('Productivity Enhancement Incentive Deduction has been applied.', 'global-notice-success-full'),
		'success_add_productivity_enhancement_incentive_save' => array('Productivity Enhancement Incentive has been Added.', 'global-notice-success-full'),
		'success_update_productivity_enhancement_incentive_save' => array('Productivity Enhancement Incentive has been updated.', 'global-notice-success-full'),
		'success_productivity_enhancement_incentive_save' => array('Productivity Enhancement Incentive has been saved.', 'global-notice-success-full'),
		
		'success_applying_coop_remittance' => array('COOP Remittance Entry has been applied.', 'global-notice-success-full'),
		'failed_applying_coop_remittance' => array('COOP Remittance Entry has not been applied or there is no COOP Remittance Entry. Please, try again.', 'global-notice-failed-full'),
		
		'success_productivity_enhancement_incentive_deduction' => array('Productivity Enhancement Incentive Deduction has been saved.', 'global-notice-success-full'),
		'success_productivity_enhancement_incentive_regenerate' => array('Productivity Enhancement Incentive has been regenerated.', 'global-notice-success-full'),
		'success_productivity_enhancement_incentive_update' => array('Productivity Enhancement Incentive has been updated.', 'global-notice-success-full'),
		'success_productivity_enhancement_incentive_delete' => array('Productivity Enhancement Incentive has been deleted.', 'global-notice-success-full'),
		
		'no_selected_employee' => array('No Selected Employee', 'global-notice-failed-full'),
		'failed_apply_productivity_enhancement_incentive_update' => array('Productivity Enhancement Incentive deduction could not be apply. Please, try again.', 'global-notice-failed-full'),
		'failed_add_productivity_enhancement_incentive_save' => array('Productivity Enhancement Incentive could not be added. Please, try again.', 'global-notice-failed-full'),
		'failed_update_productivity_enhancement_incentive_save' => array('Productivity Enhancement Incentive could not be update. Please, try again.', 'global-notice-failed-full'),
		'failed_productivity_enhancement_incentive_save' => array('Productivity Enhancement Incentive could not be saved. Please, try again.', 'global-notice-failed-full'),
		'failed_productivity_enhancement_incentive_update' => array('Productivity Enhancement Incentive could not be update. Please, try again.', 'global-notice-failed-full'),
		'failed_productivity_enhancement_incentive_delete' => array('Productivity Enhancement Incentive could not be deleted. Please, try again.', 'global-notice-failed-full'),
		'failed_productivity_enhancement_incentive_validate_employee_save' => array('Employee already exist in this Productivity Enhancement Incentive. Please, try again.', 'global-notice-failed-full'),
		//***********************************************************************/
		'success_employee_leave_card_adjustment_save' => array('Employee leave manual adjustment successfully save', 'global-notice-success-full'),	
		'failed_employee_leave_card_adjustment_save' => array('Employee leave manual adjustment failed.', 'global-notice-failed-full'),	
		'failed_employee_leave_card_adjustment_save_quantity' => array('No Leave quantity is encoded', 'global-notice-failed-full'),	
		//***********************************************************************/
		'success_leave_entry_void' => array('Leave Entry has been disapproved or voided.', 'global-notice-success-full'),
		'filing_of_leave_cancelled' => array('Filing of Leave has been cancelled.', 'global-notice-failed-full'),
		'success_leave_entry_cancel' => array('Your filed leave has been cancelled.', 'global-notice-success-full'),
		'failed_leave_entries_set_leave_balance_save' => array('Set of leave balance has not been save. Please try again.', 'global-notice-failed-full'),
		'sucsess_leave_entries_set_leave_balance_save' => array('Set of leave balance has been saved. Leave Balance has been updated.', 'global-notice-success-full'),
		/************************************************************************/
		'success_learning_and_development_header_save' => array('Learning and Development has been saved.', 'global-notice-success-full'),
		'success_learning_and_development_monitoring_save' => array('Learning and Development Monitoring has been saved.', 'global-notice-success-full'),
		'failed_learning_and_development_header_save' => array('Learning and Development could not be saved. Please, try again.', 'global-notice-failed-full'),
		
		'success_learning_and_development_header_update' => array('Learning and Development has been updated.', 'global-notice-success-full'),
		'failed_learning_and_development_header_update' => array('Learning and Development could not be update. Please, try again.', 'global-notice-failed-full'),
		'failed_learning_and_development_monitoring_save' => array('Learning and Development Monitoring could not be update. Please, try again.', 'global-notice-failed-full'),

		'success_learning_and_development_header_delete' => array('Learning and Development has been deleted.', 'global-notice-success-full'),
		'failed_learning_and_development_header_delete' => array('Learning and Development could not be delete. Please, try again.', 'global-notice-failed-full'),
		
		'success_learning_and_development_assessment_tools_save' => array('Learning and Development Assessment Tool has been saved.', 'global-notice-success-full'),
		'failed_learning_and_development_assessment_tools_save' => array('Learning and Development Assessment Tool could not be saved. Please, try again.', 'global-notice-failed-full'),
		
		'success_learning_and_development_assessment_tools_update' => array('Learning and Development Assessment Tool has been updated.', 'global-notice-success-full'),
		'failed_learning_and_development_assessment_tools_update' => array('Learning and Development Assessment Tool could not be update. Please, try again.', 'global-notice-failed-full'),
		
		
		'success_individual_learning_and_development_save' => array('Individual Learning and Development has been saved.', 'global-notice-success-full'),
		'failed_individual_learning_and_development_save' => array('Individual Learning and Development could not be saved. Please, try again.', 'global-notice-failed-full'),
		
		'success_individual_learning_and_development_update' => array('Individual Learning and Development has been updated.', 'global-notice-success-full'),
		'failed_individual_learning_and_development_update' => array('Individual Learning and Development could not be update. Please, try again.', 'global-notice-failed-full'),
		
		
		
		'finalize_learning_and_development' => array('Learning and Development Monitoring has been added to pending.', 'global-notice-success-full'),
		
		
		'success_clothing_allowance_save' => array('Employee Clothing Allowance has been save.', 'global-notice-success-full'),
		'failed_clothing_allowance_save' => array('Employee Clothing Allowance could not be saved. Please, try again.', 'global-notice-success-full'),
		'failed_clothing_allowance_validate_employee_save' => array('Employee Clothing Allowance could not be saved. Please, try again.', 'global-notice-success-full'),
	
		/************************************************************************/
		'success_multiple_overtime_save' => array('Multiple Overtime has been saved.', 'global-notice-success-full'),
		'failed_multiple_overtime_save' => array('Multiple Overtime could not be saved. Please, try again.', 'global-notice-failed-full'),
		
		'success_multiple_overtime_update' => array('Multiple Overtime has been updated.', 'global-notice-success-full'),
		'failed_multiple_overtime_update' => array('Multiple Overtime could not be update. Please, try again.', 'global-notice-failed-full'),

		'success_multiple_overtime_delete' => array('Multiple Overtime has been deleted.', 'global-notice-success-full'),
		'failed_multiple_overtime_delete' => array('Multiple Overtime could not be delete. Please, try again.', 'global-notice-failed-full'),
		/*************************************************************************/
		
		'failed_select_employee' => array('Please Select Employee. Please, try again.', 'global-notice-failed-full'),
		
		/*************************************************************************/
		'success_disapprove' => array('Employee has been disapproved.', 'global-notice-success-full'),
		'failed_disapprove' => array('Employee could not be disapproved. Please, try again.', 'global-notice-failed-full'),
		
		/*************************************************************************/
		
		/*************************************************************************/
		'uploaded_success_saved' => array('File has been uploaded .', 'global-notice-success-full'),
		'uploaded_faild_saved' => array('File faild to upload. Please, try again.', 'global-notice-failed-full'),
		
		/*************************************************************************/
		
		'success_employee_deactivate' => array('Employee has been deactivated.', 'global-notice-success-full'),
		'failed_employee_deactivate' => array('Employee could not be deactivated. Please, try again.', 'global-notice-failed-full'),
		
		'success_employee_activate' => array('Employee has been Activated.', 'global-notice-success-full'),
		'failed_employee_activate' => array('Employee could not be Activated. Please, try again.', 'global-notice-failed-full'),

		/************************************************************************/
		'success_division_save' => array('Division has been saved.', 'global-notice-success-full'),
		'failed_division_save' => array('Division could not be saved. Please, try again.', 'global-notice-failed-full'),
		
		'success_division_update' => array('Division has been updated.', 'global-notice-success-full'),
		'failed_division_update' => array('Division could not be update. Please, try again.', 'global-notice-failed-full'),
		
		'success_division_enable' => array('Division has been enabled.', 'global-notice-success-full'),
		'failed_division_enable' => array('Division could not be enabled. Please, try again.', 'global-notice-failed-full'),
		'success_division_disable' => array('Division has been disabled.', 'global-notice-success-full'),
		'failed_division_disable' => array('Division could not be disabled. Please, try again.', 'global-notice-failed-full'),

		'success_division_delete' => array('Division has been deleted.', 'global-notice-success-full'),
		'failed_division_delete' => array('Division could not be delete. Please, try again.', 'global-notice-failed-full'),
		/*************************************************************************/
		'success_permission_to_leave_disapproved' => array('Permission to leave has been disapproved.', 'global-notice-success-full'),
		'failed_permission_to_leave_disapproved' => array('Permission To Leave could not be disapproved. Please, try again.', 'global-notice-failed-full'),
		
		'success_permission_to_leave_approved' => array('Permission to leave has been approved.', 'global-notice-success-full'),
		'failed_permission_to_leave_approve' => array('Permission to leave has been approved. Please, try again.', 'global-notice-failed-full'),
		
		/*************************************************************************/
		'success_permission_to_leave_save' => array('Permission To Leave has been saved.', 'global-notice-success-full'),
		'failed_permission_to_leave_save' => array('Permission To Leave could not be saved. Please, try again.', 'global-notice-failed-full'),
		
		'success_permission_to_leave_update' => array('Permission To Leave has been updated.', 'global-notice-success-full'),
		'failed_permission_to_leave_update' => array('Permission To Leave could not be update. Please, try again.', 'global-notice-failed-full'),

		'success_permission_to_leave_delete' => array('Permission To Leave has been deleted.', 'global-notice-success-full'),
		'failed_permission_to_leave_delete' => array('Voluntary work could not be delete. Please, try again.', 'global-notice-failed-full'),
		/*************************************************************************/
		// LOCATOR SLIP
		/*************************************************************************/
		'success_locator_slip_disapproved' => array('Permission to Leave has been disapproved.', 'global-notice-success-full'),
		'failed_locator_slip_disapproved' => array('Permission to Leave could not be disapproved. Please, try again.', 'global-notice-failed-full'),
		
		'success_locator_slip_approved' => array('Permission to Leave has been approved.', 'global-notice-success-full'),
		'failed_locator_slip_approve' => array('Permission to Leave has been approved. Please, try again.', 'global-notice-failed-full'),
		
		'success_locator_slip_save' => array('Permission to Leave has been saved.', 'global-notice-success-full'),
		'failed_locator_slip_save' => array('Permission to Leave could not be saved. Please, try again.', 'global-notice-failed-full'),
		
		'success_locator_slip_update' => array('Permission to Leave has been updated.', 'global-notice-success-full'),
		'failed_locator_slip_update' => array('Permission to Leave could not be update. Please, try again.', 'global-notice-failed-full'),

		'success_locator_slip_delete' => array('Permission to Leave has been deleted.', 'global-notice-success-full'),
		'failed_locator_slip_delete' => array('Permission to Leave could not be delete. Please, try again.', 'global-notice-failed-full'),
		/*************************************************************************/
		// END
		/*************************************************************************/
		'success_voluntary_work_save_for_hr_approval' => array('New Voluntary work has been sent to hr for subject for approval.', 'global-notice-success-full'),
		'success_voluntary_work_save' => array('Voluntary work has been saved.', 'global-notice-success-full'),
		'failed_voluntary_work_save' => array('Voluntary work could not be saved. Please, try again.', 'global-notice-failed-full'),
		
		'success_voluntary_work_update' => array('Voluntary work has been updated.', 'global-notice-success-full'),
		'failed_voluntary_work_update' => array('Voluntary work could not be update. Please, try again.', 'global-notice-failed-full'),

		'success_voluntary_work_delete' => array('Voluntary work has been deleted.', 'global-notice-success-full'),
		'failed_voluntary_work_delete' => array('Voluntary work could not be delete. Please, try again.', 'global-notice-failed-full'),
		/*************************************************************************/
		'success_conversion_of_working_minute_save' => array('Conversion Of Working Minute has been saved.', 'global-notice-success-full'),
		'failed_conversion_of_working_minute_save' => array('Conversion Of Working Minute could not be saved. Please, try again.', 'global-notice-failed-full'),
		
		'success_conversion_of_working_minute_update' => array('Conversion Of Working Minute has been updated.', 'global-notice-success-full'),
		'failed_conversion_of_working_minute_update' => array('Conversion Of Working Minute could not be update. Please, try again.', 'global-notice-failed-full'),

		'success_conversion_of_working_minute_delete' => array('Conversion Of Working Minute has been deleted.', 'global-notice-success-full'),
		'failed_conversion_of_working_minute_delete' => array('Conversion Of Working Minute could not be delete. Please, try again.', 'global-notice-failed-full'),
		/*************************************************************************/
		'success_conversion_of_working_hour_save' => array('Conversion Of Working Minute has been saved.', 'global-notice-success-full'),
		'failed_conversion_of_working_hour_save' => array('Conversion Of Working Minute could not be saved. Please, try again.', 'global-notice-failed-full'),
		
		'success_conversion_of_working_hour_update' => array('Conversion Of Working Minute has been updated.', 'global-notice-success-full'),
		'failed_conversion_of_working_hour_update' => array('Conversion Of Working Minute could not be update. Please, try again.', 'global-notice-failed-full'),

		'success_conversion_of_working_hour_delete' => array('Conversion Of Working Minute has been deleted.', 'global-notice-success-full'),
		'failed_conversion_of_working_hour_delete' => array('Conversion Of Working Minute could not be delete. Please, try again.', 'global-notice-failed-full'),
		/*************************************************************************/
		'success_leave_credit_save' => array('Leave Credit has been saved.', 'global-notice-success-full'),
		'failed_leave_credit_save' => array('Leave Credit could not be saved. Please, try again.', 'global-notice-failed-full'),
		
		'success_leave_credit_update' => array('Leave Credit has been updated.', 'global-notice-success-full'),
		'failed_leave_credit_update' => array('Leave Credit could not be update. Please, try again.', 'global-notice-failed-full'),

		'success_leave_credit_delete' => array('Leave Credit has been deleted.', 'global-notice-success-full'),
		'failed_leave_credit_delete' => array('Leave Credit could not be delete. Please, try again.', 'global-notice-failed-full'),
		/*************************************************************************/
		'position_is_filled' => array('The position was already filled.', 'global-notice-failed-full'),
		'dont_have_work_history' => array("Employee doesn't have any work history yet.", 'global-notice-failed-full'),

		'success_career_service_type_save' => array('Career Service Type has been saved.', 'global-notice-success-full'),
		'failed_career_service_type_save' => array('Career Service Type could not be saved. Please, try again.', 'global-notice-failed-full'),
		
		'success_career_service_type_update' => array('Career Service Type has been updated.', 'global-notice-success-full'),
		'failed_career_service_type_update' => array('Career Service Type could not be update. Please, try again.', 'global-notice-failed-full'),

		'success_career_service_type_delete' => array('Career Service Type has been deleted.', 'global-notice-success-full'),
		'failed_career_service_type_delete' => array('Career Service Type could not be delete. Please, try again.', 'global-notice-failed-full'),
		
		'success_career_service_type_enable' => array('Career Service Type has been enabled.', 'global-notice-success-full'),
		'failed_career_service_type_enable' => array('Career Service Type could not be enabled. Please, try again.', 'global-notice-failed-full'),
		'success_career_service_type_disable' => array('Career Service Type has been disabled.', 'global-notice-success-full'),
		'failed_career_service_type_disable' => array('Career Service Type could not be disabled. Please, try again.', 'global-notice-failed-full'),
		
		'success_level_save' => array('Degree Level has been saved.', 'global-notice-success-full'),
		'failed__level_type_save' => array('Degree Level could not be saved. Please, try again.', 'global-notice-failed-full'),
		
		'success_level_update' => array('Degree Level has been updated.', 'global-notice-success-full'),
		'failed_level_update' => array('Degree Level could not be update. Please, try again.', 'global-notice-failed-full'),
		
		'success_level_enable' => array('CDegree Level has been enabled.', 'global-notice-success-full'),
		'failed_level_enable' => array('Degree Level could not be enabled. Please, try again.', 'global-notice-failed-full'),
		'success_level_disable' => array('Degree Level has been disabled.', 'global-notice-success-full'),
		'failed_level_disable' => array('Degree Level could not be disabled. Please, try again.', 'global-notice-failed-full'),
		
		'success_job_level_save' => array('Job Level has been saved.', 'global-notice-success-full'),
		'failed_job_level_save' => array('Job Level could not be saved. Please, try again.', 'global-notice-failed-full'),
		
		'success_job_level_update' => array('Job Level has been updated.', 'global-notice-success-full'),
		'failed_job_level_update' => array('Job Level could not be update. Please, try again.', 'global-notice-failed-full'),

		'success_job_level_delete' => array('Job Level has been deleted.', 'global-notice-success-full'),
		'failed_job_level_delete' => array('Job Level could not be delete. Please, try again.', 'global-notice-failed-full'),
		
		'success_job_level_enable' => array('Position Level has been enabled.', 'global-notice-success-full'),
		'failed_job_level_enable' => array('Position Level could not be enabled. Please, try again.', 'global-notice-failed-full'),
		'success_job_level_disable' => array('Position Level has been disabled.', 'global-notice-success-full'),
		'failed_job_level_disable' => array('Position Level could not be disabled. Please, try again.', 'global-notice-failed-full'),
		

		'success_year_end_bonus_and_cash_gift_save' => array('Year End Bonus and Cash Gift has been saved.', 'global-notice-success-full'),
		'failed_year_end_bonus_and_cash_gift_save' => array('Year End Bonus and Cash Gift could not be saved. Please, try again.', 'global-notice-failed-full'),
		
		'success_year_end_bonus_and_cash_gift_update' => array('Year End Bonus and Cash Gift has been updated.', 'global-notice-success-full'),
		'failed_year_end_bonus_and_cash_gift_update' => array('Year End Bonus and Cash Gift could not be update. Please, try again.', 'global-notice-failed-full'),

		'success_year_end_bonus_and_cash_gift_delete' => array('Year End Bonus and Cash Gift has been deleted.', 'global-notice-success-full'),
		'failed_year_end_bonus_and_cash_gift_delete' => array('Year End Bonus and Cash Gift could not be delete. Please, try again.', 'global-notice-failed-full'),
		
		'success_user_privilege_save' => array('User Privileges has been saved.', 'global-notice-success-full'),
		'failed_user_privilege_save' => array('System Trail could not be saved. Please, try again.', 'global-notice-failed-full'),
		
		'success_user_privilege_update' => array('User Privileges has been updated.', 'global-notice-success-full'),
		'failed_user_privilege_update' => array('User Privileges could not be update. Please, try again.', 'global-notice-failed-full'),

		'success_user_privilege_delete' => array('User Privileges has been deleted.', 'global-notice-success-full'),
		'failed_user_privilege_delete' => array('User Privileges could not be delete. Please, try again.', 'global-notice-failed-full'),
		
		'success_system_trail_save' => array('System Trail has been saved.', 'global-notice-success-full'),
		'failed_system_trail_save' => array('System Trail could not be saved. Please, try again.', 'global-notice-failed-full'),
		
		'success_system_trail_update' => array('System Trail has been updated.', 'global-notice-success-full'),
		'failed_system_trail_update' => array('System Trail could not be update. Please, try again.', 'global-notice-failed-full'),

		'success_system_trail_delete' => array('System Trail has been deleted.', 'global-notice-success-full'),
		'failed_system_trail_delete' => array('System Trail could not be delete. Please, try again.', 'global-notice-failed-full'),
		
		'success_statement_of_assets_liability_and_network_save' => array('Statement Of Assets has been saved.', 'global-notice-success-full'),
		'failed_statement_of_assets_liability_and_network_save' => array('Statement Of Assets could not be saved. Please, try again.', 'global-notice-failed-full'),
		
		'failed_statement_of_assets_liability_and_network_save_invalid_year' => array('Statement Of Assets Year is already exist. Please, try other year.', 'global-notice-failed-full'),
		
		'success_statement_of_assets_liability_and_network_update' => array('Statement Of Assets has been updated.', 'global-notice-success-full'),
		'failed_statement_of_assets_liability_and_network_update' => array('Statement Of Assets could not be update. Please, try again.', 'global-notice-failed-full'),

		'success_statement_of_assets_liability_and_network_delete' => array('Statement Of Assets has been deleted.', 'global-notice-success-full'),
		'failed_statement_of_assets_liability_and_network_delete' => array('Statement Of Assets could not be delete. Please, try again.', 'global-notice-failed-full'),
		
		'success_schedule_save' => array('Schedule has been saved.', 'global-notice-success-full'),
		'failed_schedule_save' => array('Schedule could not be saved. Please, try again.', 'global-notice-failed-full'),
		
		'conflict_schedule' => array('Conflict Schedule. Please, try again.', 'global-notice-failed-full'),
		
		'success_schedule_update' => array('Schedule has been updated.', 'global-notice-success-full'),
		'failed_schedule_update' => array('Schedule could not be update. Please, try again.', 'global-notice-failed-full'),

		'success_schedule_delete' => array('Schedule has been deleted.', 'global-notice-success-full'),
		'failed_schedule_delete' => array('Schedule could not be delete. Please, try again.', 'global-notice-failed-full'),
		
		'success_schedule_save' => array('Schedule has been saved.', 'global-notice-success-full'),
		'failed_schedule_save' => array('Schedule could not be saved. Please, try again.', 'global-notice-failed-full'),
		
		'success_schedule_update' => array('Schedule has been updated.', 'global-notice-success-full'),
		'failed_schedule_update' => array('Schedule could not be update. Please, try again.', 'global-notice-failed-full'),

		'success_schedule_delete' => array('Schedule has been deleted.', 'global-notice-success-full'),
		'failed_schedule_delete' => array('Schedule could not be delete. Please, try again.', 'global-notice-failed-full'),
		
		'success_sanction_save' => array('Sanction has been saved.', 'global-notice-success-full'),
		'failed_sanction_save' => array('Sanction could not be saved. Please, try again.', 'global-notice-failed-full'),
		
		'success_sanction_update' => array('Sanction has been updated.', 'global-notice-success-full'),
		'failed_sanction_update' => array('Sanction could not be update. Please, try again.', 'global-notice-failed-full'),
		
		'success_sanction_enable' => array('Sanction has been enabled.', 'global-notice-success-full'),
		'failed_sanction_enable' => array('Sanction could not be enabled. Please, try again.', 'global-notice-failed-full'),
		'success_sanction_disable' => array('Sanction has been disabled.', 'global-notice-success-full'),
		'failed_sanction_disable' => array('Sanction could not be disabled. Please, try again.', 'global-notice-failed-full'),

		'success_sanction_delete' => array('Sanction has been deleted.', 'global-notice-success-full'),
		'failed_sanction_delete' => array('Sanction could not be delete. Please, try again.', 'global-notice-failed-full'),
		
		'success_request_change_shift_save' => array('Request Change Shift has been saved.', 'global-notice-success-full'),
		'failed_request_change_shift_save' => array('Request Change Shift  could not be saved. Please, try again.', 'global-notice-failed-full'),
		
		'success_request_change_shift_update' => array('Request Change Shift has been updated.', 'global-notice-success-full'),
		'failed_request_change_shift_update' => array('Request Change Shift could not be update. Please, try again.', 'global-notice-failed-full'),

		'success_request_change_shift_delete' => array('Request Change Shift has been deleted.', 'global-notice-success-full'),
		'failed_request_change_shift_delete' => array('Request Change Shift could not be delete. Please, try again.', 'global-notice-failed-full'),
		
		'success_request_change_shift_approved' => array('Request Change Shift has been approved.', 'global-notice-success-full'),
		'failed_request_change_shift_approve' => array('Request Change Shift could not be approved. Please, try again.', 'global-notice-success-full'),
		
		'success_request_change_shift_disapproved' => array('Request Change Shift has been disapproved.', 'global-notice-success-full'),
		'failed_request_change_shift_disapproved' => array('Request Change Shift could not be disapproved. Please, try again.', 'global-notice-success-full'),
		
		'success_relatives_in_government_save' => array('Relatives in Government has been saved.', 'global-notice-success-full'),
		'failed_relatives_in_government_save' => array('Relatives in Government could not be saved. Please, try again.', 'global-notice-failed-full'),
		
		'success_relatives_in_government_update' => array('Relatives in Government has been updated.', 'global-notice-success-full'),
		'failed_relatives_in_government_update' => array('Relatives in Government could not be update. Please, try again.', 'global-notice-failed-full'),

		'success_relatives_in_government_delete' => array('Relatives in Government has been deleted.', 'global-notice-success-full'),
		'failed_relatives_in_government_delete' => array('Relatives in Government could not be delete. Please, try again.', 'global-notice-failed-full'),
		
		'success_relation_save' => array('Relation has been saved.', 'global-notice-success-full'),
		'failed_relation_save' => array('Relation could not be saved. Please, try again.', 'global-notice-failed-full'),
		
		'success_relation_update' => array('Relation has been updated.', 'global-notice-success-full'),
		'failed_relation_update' => array('Relation could not be update. Please, try again.', 'global-notice-failed-full'),
		
		'success_relation_enable' => array('Relation has been enabled.', 'global-notice-success-full'),
		'failed_relation_enable' => array('Relation could not be enabled. Please, try again.', 'global-notice-failed-full'),
		'success_relation_disable' => array('Relation has been disabled.', 'global-notice-success-full'),
		'failed_relation_disable' => array('Relation could not be disabled. Please, try again.', 'global-notice-failed-full'),

		'success_relation_delete' => array('Relation has been deleted.', 'global-notice-success-full'),
		'failed_relation_delete' => array('Relation could not be delete. Please, try again.', 'global-notice-failed-full'),
		
		'success_recall_employee' => array('Recall has been updated.', 'global-notice-success-full'),
		'failed_recall_employee' => array('Recall could not be update. Please, try again.', 'global-notice-failed-full'),
		
		'success_professional_fee_save' => array('Professional Fee has been saved.', 'global-notice-success-full'),
		'failed_oprofessional_fee_save' => array('Professional Fee could not be saved. Please, try again.', 'global-notice-failed-full'),
		
		'success_professional_fee_update' => array('Professional Fee has been updated.', 'global-notice-success-full'),
		'failed_professional_fee_update' => array('Professional Fee could not be update. Please, try again.', 'global-notice-failed-full'),

		'success_professional_fee_delete' => array('Professional Fee has been deleted.', 'global-notice-success-full'),
		'failed_professional_fee_delete' => array('Professional Fee could not be delete. Please, try again.', 'global-notice-failed-full'),
		
		'success_overtime_authority_entry_save' => array('Overtime Authority Entry has been saved.', 'global-notice-success-full'),
		'failed_overtime_authority_entry_save' => array('Overtime Authority Entry could not be saved. Please, try again.', 'global-notice-failed-full'),
		
		'success_overtime_authority_entry_update' => array('Overtime Authority Entry has been updated.', 'global-notice-success-full'),
		'failed_overtime_authority_entry_update' => array('Overtime Authority Entry could not be update. Please, try again.', 'global-notice-failed-full'),

		'success_overtime_authority_entry_delete' => array('Overtime Authority Entry has been deleted.', 'global-notice-success-full'),
		'failed_overtime_authority_entry_delete' => array('Overtime Authority Entry could not be delete. Please, try again.', 'global-notice-failed-full'),
		
		'success_obligation_request_save' => array('Obligation Request has been saved.', 'global-notice-success-full'),
		'failed_obligation_request_save' => array('Obligation Request could not be saved. Please, try again.', 'global-notice-failed-full'),
		
		'success_obligation_request_update' => array('Obligation Request has been updated.', 'global-notice-success-full'),
		'failed_obligation_request_update' => array('Obligation Request could not be update. Please, try again.', 'global-notice-failed-full'),

		'success_obligation_request_delete' => array('Obligation Request has been deleted.', 'global-notice-success-full'),
		'failed_obligation_request_delete' => array('Obligation Request could not be delete. Please, try again.', 'global-notice-failed-full'),
		
		'success_number_of_offense_save' => array('Number Of Offense has been saved.', 'global-notice-success-full'),
		'failed_number_of_offense_save' => array('Number Of Offense could not be saved. Please, try again.', 'global-notice-failed-full'),
		
		'success_number_of_offense_update' => array('Number Of Offense has been updated.', 'global-notice-success-full'),
		'failed_number_of_offense_update' => array('Number Of Offense could not be update. Please, try again.', 'global-notice-failed-full'),
		
		'success_number_of_offense_enable' => array('Number Of Offense has been enabled.', 'global-notice-success-full'),
		'failed_number_of_offense_enable' => array('Number Of Offense could not be enabled. Please, try again.', 'global-notice-failed-full'),
		'success_number_of_offense_disable' => array('Number Of Offense has been disabled.', 'global-notice-success-full'),
		'failed_number_of_offense_disable' => array('Number Of Offense could not be disabled. Please, try again.', 'global-notice-failed-full'),

		'success_number_of_offense_delete' => array('Number Of Offense has been deleted.', 'global-notice-success-full'),
		'failed_number_of_offense_delete' => array('Number Of Offense could not be delete. Please, try again.', 'global-notice-failed-full'),
		
		'error_data_has_been_added' => array('Employee is already exist.', 'global-notice-failed-full'),
		
		'success_longevity_pay_save' => array('Longevity Pay has been saved.', 'global-notice-success-full'),
		'failed_longevity_pay_save' => array('Longevity Pay could not be saved. Please, try again.', 'global-notice-failed-full'),
		
		'success_longevity_pay_update' => array('Longevity Pay has been updated.', 'global-notice-success-full'),
		'failed_longevity_pay_update' => array('Longevity Pay could not be update. Please, try again.', 'global-notice-failed-full'),

		'success_longevity_pay_delete' => array('Longevity Pay has been deleted.', 'global-notice-success-full'),
		'failed_longevity_pay_delete' => array('Longevity Pay could not be delete. Please, try again.', 'global-notice-failed-full'),
		
		
		'success_loyalty_incentive_pay_save' => array('Loyalty Incentive Pay has been saved.', 'global-notice-success-full'),
		'failed_loyalty_incentive_pay_save' => array('Loyalty Incentive Pay could not be saved. Please, try again.', 'global-notice-failed-full'),
		
		'success_loyalty_incentive_pay_update' => array('Loyalty Incentive Pay has been updated.', 'global-notice-success-full'),
		'failed_loyalty_incentive_pay_update' => array('Loyalty Incentive Paycould not be update. Please, try again.', 'global-notice-failed-full'),

		'success_loyalty_incentive_pay_delete' => array('Loyalty Incentive Pay has been deleted.', 'global-notice-success-full'),
		'failed_loyalty_incentive_pay_delete' => array('Loyalty Incentive Pay could not be delete. Please, try again.', 'global-notice-failed-full'),

		
		
		'success_indigenous_group_save' => array('Indigenous Group has been saved.', 'global-notice-success-full'),
		'failed_indigenous_group_save' => array('Indigenous Group could not be saved. Please, try again.', 'global-notice-failed-full'),
		
		'success_indigenous_group_update' => array('Indigenous Group has been updated.', 'global-notice-success-full'),
		'failed_indigenous_group_update' => array('Indigenous Group could not be updated. Please, try again.', 'global-notice-failed-full'),

		'success_indigenous_group_delete' => array('Indigenous Group has been deleted.', 'global-notice-success-full'),
		'failed_indigenous_group_delete' => array('Indigenous Group could not be deleted. Please, try again.', 'global-notice-failed-full'),
		
		'success_indigenous_group_enable' => array('Indigenous Group has been enabled.', 'global-notice-success-full'),
		'failed_indigenous_group_enable' => array('Indigenous Group could not be enabled. Please, try again.', 'global-notice-failed-full'),
		'success_indigenous_group_disable' => array('Indigenous Group has been disabled.', 'global-notice-success-full'),
		'failed_indigenous_group_disable' => array('Indigenous Group could not be disabled. Please, try again.', 'global-notice-failed-full'),
		
		'success_hazard_payment_save' => array('Hazard Payment has been saved.', 'global-notice-success-full'),
		'failed_hazard_payment_save' => array('Hazard Payment could not be saved. Please, try again.', 'global-notice-failed-full'),
		
		'success_hazard_payment_update' => array('Hazard Payment has been updated.', 'global-notice-success-full'),
		'failed_hazard_payment_update' => array('Hazard Payment could not be update. Please, try again.', 'global-notice-failed-full'),

		'success_hazard_payment_delete' => array('Hazard Payment has been deleted.', 'global-notice-success-full'),
		'failed_hazard_payment_delete' => array('Hazard Payment could not be delete. Please, try again.', 'global-notice-failed-full'),
		
		'success_government_official_position_save' => array('Government Official Position has been saved.', 'global-notice-success-full'),
		'failed_government_official_position_save' => array('Government Official Position could not be saved. Please, try again.', 'global-notice-failed-full'),
		
		'success_government_official_position_update' => array('Government Official Position has been updated.', 'global-notice-success-full'),
		'failed_government_official_position_update' => array('Government Official Position could not be update. Please, try again.', 'global-notice-failed-full'),

		'success_government_official_position_delete' => array('Government Official Position has been deleted.', 'global-notice-success-full'),
		'failed_government_official_position_delete' => array('Government Official Position could not be delete. Please, try again.', 'global-notice-failed-full'),
		
		
		'success_government_official_position_enable' => array('Government Official Position has been enabled.', 'global-notice-success-full'),
		'failed_government_official_position_enable' => array('Government Official Position could not be enabled. Please, try again.', 'global-notice-failed-full'),
		'success_government_official_position_disable' => array('Government Official Position has been disabled.', 'global-notice-success-full'),
		'failed_government_official_position_disable' => array('Government Official Position could not be disabled. Please, try again.', 'global-notice-failed-full'),
		
		'success_formal_charge_save' => array('Formal Charge has been saved.', 'global-notice-success-full'),
		'failed_formal_charge_save' => array('Formal Charge could not be saved. Please, try again.', 'global-notice-failed-full'),
		
		'success_formal_charge_update' => array('Formal Charge has been updated.', 'global-notice-success-full'),
		'failed_formal_charge_update' => array('Formal Charge could not be update. Please, try again.', 'global-notice-failed-full'),

		'success_formal_charge_delete' => array('Formal Charge has been deleted.', 'global-notice-success-full'),
		'failed_formal_charge_delete' => array('Formal Charge could not be delete. Please, try again.', 'global-notice-failed-full'),
		
		'success_formal_charge_enable' => array('Formal Charge has been enabled.', 'global-notice-success-full'),
		'failed_formal_charge_enable' => array('Formal Charge could not be enabled. Please, try again.', 'global-notice-failed-full'),
		'success_formal_charge_disable' => array('Formal Charge has been disabled.', 'global-notice-success-full'),
		'failed_formal_charge_disable' => array('Formal Charge could not be disabled. Please, try again.', 'global-notice-failed-full'),
		
		'success_family_member_save_hr_approval' => array('New Family Member Information has been sent to HR for subject for approval.', 'global-notice-success-full'),
		'success_family_member_save' => array('Family Member has been saved.', 'global-notice-success-full'),
		'failed_family_member_save' => array('Family Member could not be saved. Please, try again.', 'global-notice-failed-full'),
		
		'success_family_member_update' => array('Family Member has been updated.', 'global-notice-success-full'),
		'failed_family_member_update' => array('Family Member could not be update. Please, try again.', 'global-notice-failed-full'),

		'success_family_member_delete' => array('Family Member has been deleted.', 'global-notice-success-full'),
		'failed_family_member_delete' => array('Family Member could not be delete. Please, try again.', 'global-notice-failed-full'),
		
		'success_exclude_from_payrolls_save' => array('Exclude From Payroll has been saved.', 'global-notice-success-full'),
		'failed_exclude_from_payrolls_save' => array('Exclude From Payroll could not be saved. Please, try again.', 'global-notice-failed-full'),
		
		'success_exclude_from_payrolls_update' => array('Exclude From Payroll has been updated.', 'global-notice-success-full'),
		'failed_exclude_from_payrolls_update' => array('Exclude From Payroll could not be update. Please, try again.', 'global-notice-failed-full'),

		'success_exclude_from_payrolls_delete' => array('Exclude From Payroll has been deleted.', 'global-notice-success-full'),
		'failed_exclude_from_payrolls_delete' => array('Exclude From Payroll could not be delete. Please, try again.', 'global-notice-failed-full'),
		
		'success_exam_type_save' => array('Exam Type has been saved.', 'global-notice-success-full'),
		'failed_exam_type_save' => array('Exam Type could not be saved. Please, try again.', 'global-notice-failed-full'),
		
		'success_exam_type_update' => array('Exam Type has been updated.', 'global-notice-success-full'),
		'failed_exam_type_update' => array('Exam Type could not be update. Please, try again.', 'global-notice-failed-full'),
		
		'success_exam_type_enable' => array('Exam Type has been enabled.', 'global-notice-success-full'),
		'failed_exam_type_enable' => array('Exam Type could not be enabled. Please, try again.', 'global-notice-failed-full'),
		'success_exam_type_disable' => array('Exam Type has been disabled.', 'global-notice-success-full'),
		'failed_exam_type_disable' => array('Exam Type could not be disabled. Please, try again.', 'global-notice-failed-full'),


		'success_civil_status_update' => array('Civil Status has been updated.', 'global-notice-success-full'),
		'failed_civil_status_update' => array('Civil Status could not be update. Please, try again.', 'global-notice-failed-full'),

		'success_civil_status_save' => array('Civil Status has been saved.', 'global-notice-success-full'),
		'failed_civils_tatus_save' => array('Civil Status could not be saved. Please, try again.', 'global-notice-failed-full'),

		'success_civil_status_enable' => array('Civil Status has been enabled.', 'global-notice-success-full'),
		'failed_civil_status_enable' => array('Civil Status could not be enabled. Please, try again.', 'global-notice-failed-full'),
		'success_civil_status_disable' => array('Civil Status has been disabled.', 'global-notice-success-full'),
		'failed_civil_status_disable' => array('Civil Status could not be disabled. Please, try again.', 'global-notice-failed-full'),
		
		'success_religion_update' => array('Religion has been updated.', 'global-notice-success-full'),
		'failed_religion_update' => array('Religion could not be update. Please, try again.', 'global-notice-failed-full'),
		
		'success_religion_save' => array('Religion has been saved.', 'global-notice-success-full'),
		'failed_religion_save' => array('Religion could not be saved. Please, try again.', 'global-notice-failed-full'),
		
		'success_religion_enable' => array('Religion has been enabled.', 'global-notice-success-full'),
		'failed_religion_enable' => array('Religion could not be enabled. Please, try again.', 'global-notice-failed-full'),
		'success_religion_disable' => array('Religion has been disabled.', 'global-notice-success-full'),
		'failed_religion_disable' => array('Religion could not be disabled. Please, try again.', 'global-notice-failed-full'),


		'success_training_seminar_type_update' => array('Training Seminar Type has been updated.', 'global-notice-success-full'),
		'failed_training_seminar_type_update' => array('Training Seminar Type could not be updated. Please, try again.', 'global-notice-failed-full'),

		'success_training_seminar_type_save' => array('Training Seminar Type has been saved.', 'global-notice-success-full'),
		'failed_training_seminar_type_save' => array('Training Seminar Type could not be saved. Please, try again.', 'global-notice-failed-full'),
		
		'success_training_seminar_type_enable' => array('Training Seminar Type has been enabled.', 'global-notice-success-full'),
		'failed_training_seminar_type_enable' => array('Training Seminar Type could not be enabled. Please, try again.', 'global-notice-failed-full'),
		'success_training_seminar_type_disable' => array('Training Seminar Type has been disabled.', 'global-notice-success-full'),
		'failed_training_seminar_type_disable' => array('Training Seminar Type could not be disabled. Please, try again.', 'global-notice-failed-full'),

		'success_training_seminar_type_delete' => array('Training Seminar Type has been deleted.', 'global-notice-success-full'),
		'failed_training_seminar_type_delete' => array('Training Seminar Type could not be deleted. Please, try again.', 'global-notice-failed-full'),
		
		'success_learning_and_development_type_save' => array('Learning and Development Type has been saved.', 'global-notice-success-full'),
		'failed_learning_and_development_type_save' => array('Learning and Development Type could not be saved. Please, try again.', 'global-notice-failed-full'),

		'success_learning_and_development_type_update' => array('Learning and Development Type has been updated.', 'global-notice-success-full'),
		'failed_learning_and_development_type_update' => array('Learning and Development Type could not be updated. Please, try again.', 'global-notice-failed-full'),

		'success_learning_and_development_type_enable' => array('Learning and Development Type has been enabled.', 'global-notice-success-full'),
		'failed_learning_and_development_type_enable' => array('Learning and Development Type could not be enabled. Please, try again.', 'global-notice-failed-full'),
		'success_learning_and_development_type_disable' => array('Learning and Development Type has been disabled.', 'global-notice-success-full'),
		'failed_learning_and_development_type_disable' => array('Learning and Development Type could not be disabled. Please, try again.', 'global-notice-failed-full'),

		'success_learning_and_development_type_delete' => array('Learning and Development Type  has been deleted.', 'global-notice-success-full'),
		'failed_learning_and_development_type_delete' => array('Learning and Development Type could not be deleted. Please, try again.', 'global-notice-failed-full'),
		
		'success_nature_of_appointment_save' => array('Nature of Appointment type has been saved.', 'global-notice-success-full'),
		'failed_nature_of_appointment_save' => array('Nature of Appointment type could not be saved. Please, try again.', 'global-notice-failed-full'),

		'success_nature_of_appointment_update' => array('Nature of Appointment Type has been updated.', 'global-notice-success-full'),
		'failed_nature_of_appointment_update' => array('Nature of Appointment Type could not be update. Please, try again.', 'global-notice-failed-full'),
		
		'success_nature_of_appointment_enable' => array('Nature of Appointment has been enabled.', 'global-notice-success-full'),
		'failed_nature_of_appointment_enable' => array('Nature of Appointment could not be enabled. Please, try again.', 'global-notice-failed-full'),
		'success_nature_of_appointment_disable' => array('Nature of Appointment has been disabled.', 'global-notice-success-full'),
		'failed_nature_of_appointment_disable' => array('Nature of Appointment could not be disabled. Please, try again.', 'global-notice-failed-full'),
		
		
		'success_appointment_save' => array('Appointment type has been saved.', 'global-notice-success-full'),
		'failed_appointment_save' => array('Appointment type could not be saved. Please, try again.', 'global-notice-failed-full'),

		'success_appointment_update' => array('Appointment Type has been updated.', 'global-notice-success-full'),
		'failed_appointment_update' => array('Appointment Type could not be update. Please, try again.', 'global-notice-failed-full'),


		'success_other_personnel_action_type_update' => array('Other Personnel Action Type has been updated.', 'global-notice-success-full'),
		'failed_other_personnel_action_type_update' => array('Other Personnel Action Type could not be update. Please, try again.', 'global-notice-failed-full'),

		'success_other_personnel_action_type_save' => array('Other Personnel Action Type has been saved.', 'global-notice-success-full'),
		'failed_other_personnel_action_type_save' => array('Other Personnel Action Type could not be saved. Please, try again.', 'global-notice-failed-full'),
		
		'success_other_personnel_action_type_enable' => array('Other Personnel Action Type has been enabled.', 'global-notice-success-full'),
		'failed_other_personnel_action_type_enable' => array('Other Personnel Action Type could not be enabled. Please, try again.', 'global-notice-failed-full'),
		'success_other_personnel_action_type_disable' => array('Other Personnel Action Type has been disabled.', 'global-notice-success-full'),
		'failed_other_personnel_action_type_disable' => array('Other Personnel Action Type could not be disabled. Please, try again.', 'global-notice-failed-full'),



		

		'success_exam_type_delete' => array('Exam Type has been deleted.', 'global-notice-success-full'),
		'failed_exam_type_delete' => array('Exam Type could not be delete. Please, try again.', 'global-notice-failed-full'),
		
		'success_exam_questionnaire_save' => array('Exam Questionnaire has been saved.', 'global-notice-success-full'),
		'failed_exam_questionnaire_save' => array('Exam Questionnaire could not be saved. Please, try again.', 'global-notice-failed-full'),
		
		'success_exam_questionnaire_update' => array('Exam Questionnaire has been updated.', 'global-notice-success-full'),
		'failed_exam_questionnaire_update' => array('Exam Questionnaire could not be update. Please, try again.', 'global-notice-failed-full'),

		'success_exam_questionnaire_delete' => array('Exam Questionnaire has been deleted.', 'global-notice-success-full'),
		'failed_exam_questionnaire_delete' => array('Exam Questionnaire could not be delete. Please, try again.', 'global-notice-failed-full'),
		
		'success_employment_status_save' => array('Employment Status has been saved.', 'global-notice-success-full'),
		'failed_employment_status_save' => array('Employment Status could not be saved. Please, try again.', 'global-notice-failed-full'),
		
		'success_employment_status_update' => array('Employment Status has been updated.', 'global-notice-success-full'),
		'failed_employment_status_update' => array('Employment Status could not be updated. Please, try again.', 'global-notice-failed-full'),

		'success_employment_status_delete' => array('Employment Status has been deleted.', 'global-notice-success-full'),
		'failed_employment_status_delete' => array('Employment Status could not be deleted. Please, try again.', 'global-notice-failed-full'),
		
		'success_employee_ran_for_public_office_save' => array('Employee Ran For Public has been saved.', 'global-notice-success-full'),
		'failed_employee_ran_for_public_office_save' => array('Employee Ran For Public could not be saved. Please, try again.', 'global-notice-failed-full'),
		
		'success_employee_ran_for_public_office_update' => array('Employee Ran For Public has been updated.', 'global-notice-success-full'),
		'failed_employee_ran_for_public_office_update' => array('Employee Ran For Public could not be update. Please, try again.', 'global-notice-failed-full'),

		'success_employee_ran_for_public_office_delete' => array('Employee Ran For Public has been deleted.', 'global-notice-success-full'),
		'failed_employee_ran_for_public_office_delete' => array('Employee Ran For Public could not be delete. Please, try again.', 'global-notice-failed-full'),
		
		'success_employee_hour_save' => array('Employee Hour has been saved.', 'global-notice-success-full'),
		'failed_employee_hour_save' => array('Employee Hour could not be saved. Please, try again.', 'global-notice-failed-full'),
		
		'success_employee_hour_update' => array('Employee Hour has been updated.', 'global-notice-success-full'),
		'failed_employee_hour_update' => array('Employee Hour could not be update. Please, try again.', 'global-notice-failed-full'),

		'success_employee_hour_delete' => array('Employee Hour has been deleted.', 'global-notice-success-full'),
		'failed_employee_hour_delete' => array('Employee Hour could not be delete. Please, try again.', 'global-notice-failed-full'),
		
		'success_employee_formal_charge_save' => array('Employee Formal Charge has been saved.', 'global-notice-success-full'),
		'failed_employee_formal_charge_save' => array('Employee Formal Charge could not be saved. Please, try again.', 'global-notice-failed-full'),
		
		'success_employee_formal_charge_update' => array('Employee Formal Charge has been updated.', 'global-notice-success-full'),
		'failed_employee_formal_charge_update' => array('Employee Formal Charge could not be update. Please, try again.', 'global-notice-failed-full'),

		'success_employee_formal_charge_delete' => array('Employee Formal Charge has been deleted.', 'global-notice-success-full'),
		'failed_employee_formal_charge_delete' => array('Employee Formal Charge could not be delete. Please, try again.', 'global-notice-failed-full'),
		
		'success_formal_charge_enable' => array('Formal Charge has been enabled.', 'global-notice-success-full'),
		'failed_formal_charge_enable' => array('Formal Charge could not be enabled. Please, try again.', 'global-notice-failed-full'),
		'success_formal_charge_disable' => array('Formal Charge has been disabled.', 'global-notice-success-full'),
		'failed_formal_charge_disable' => array('Formal Charge could not be disabled. Please, try again.', 'global-notice-failed-full'),
		
		'success_employee_administrative_offense_save' => array('Employee Administrative Offense has been saved.', 'global-notice-success-full'),
		'failed_employee_administrative_offense_save' => array('Employee Administrative Offense could not be saved. Please, try again.', 'global-notice-failed-full'),
		
		'success_employee_administrative_offense_update' => array('Employee Administrative Offense has been updated.', 'global-notice-success-full'),
		'failed_employee_administrative_offense_update' => array('Employee Administrative Offense could not be update. Please, try again.', 'global-notice-failed-full'),

		'success_employee_administrative_offense_delete' => array('Employee Administrative Offense has been deleted.', 'global-notice-success-full'),
		'failed_employee_administrative_offense_delete' => array('Employee Administrative Offense could not be delete. Please, try again.', 'global-notice-failed-full'),
		
		'success_disbursement_voucher_save' => array('Disburstment Voucher has been saved.', 'global-notice-success-full'),
		'failed_disbursement_voucher_save' => array('Disburstment Voucher could not be saved. Please, try again.', 'global-notice-failed-full'),
		
		'success_disbursement_voucher_update' => array('Disburstment Voucher has been updated.', 'global-notice-success-full'),
		'failed_disbursement_voucher_update' => array('Disburstment Voucher could not be update. Please, try again.', 'global-notice-failed-full'),

		'success_disbursement_voucher_delete' => array('Disburstment Voucher has been deleted.', 'global-notice-success-full'),
		'failed_disbursement_voucher_delete' => array('Disburstment Voucher could not be delete. Please, try again.', 'global-notice-failed-full'),
		
		'success_disability_save' => array('Disability has been saved.', 'global-notice-success-full'),
		'failed_disability_save' => array('Disability could not be saved. Please, try again.', 'global-notice-failed-full'),
		
		'success_disability_update' => array('Disability has been updated.', 'global-notice-success-full'),
		'failed_disability_update' => array('Disability could not be update. Please, try again.', 'global-notice-failed-full'),

		'success_disability_delete' => array('Disability has been deleted.', 'global-notice-success-full'),
		'failed_disability_delete' => array('Disability could not be delete. Please, try again.', 'global-notice-failed-full'),
		
		'success_disability_enable' => array('Disability has been enabled.', 'global-notice-success-full'),
		'failed_disability_enable' => array('Disability could not be enabled. Please, try again.', 'global-notice-failed-full'),
		'success_disability_disable' => array('Disability has been disabled.', 'global-notice-success-full'),
		'failed_disability_disable' => array('Disability could not be disabled. Please, try again.', 'global-notice-failed-full'),
		
		'success_dependent_save' => array('Dependent has been saved.', 'global-notice-success-full'),
		'failed_dependent_save' => array('Dependent could not be saved. Please, try again.', 'global-notice-failed-full'),
		
		'success_dependent_update' => array('Dependent has been updated.', 'global-notice-success-full'),
		'failed_dependent_update' => array('Dependent could not be update. Please, try again.', 'global-notice-failed-full'),

		'success_dependent_delete' => array('Dependent has been deleted.', 'global-notice-success-full'),
		'failed_dependent_delete' => array('Dependent could not be delete. Please, try again.', 'global-notice-failed-full'),
		
		'success_deduction_save' => array('Deduction has been saved.', 'global-notice-success-full'),
		'failed_deduction_save' => array('Deduction could not be saved. Please, try again.', 'global-notice-failed-full'),
		
		'failed_deduction_pag_ibig_update' => array('Employee Pag-ibig share is less than user input. Try again!', 'global-notice-failed-full'),
		'success_deduction_update' => array('Deduction has been updated.', 'global-notice-success-full'),
		'failed_deduction_update' => array('Deduction could not be update. Please, try again.', 'global-notice-failed-full'),

		'success_deduction_delete' => array('Deduction has been disabled.', 'global-notice-success-full'),
		'failed_deduction_delete' => array('Deduction could not be disable. Please, try again.', 'global-notice-failed-full'),
		
		'success_deduction_name_save' => array('Deduction Name has been saved.', 'global-notice-success-full'),
		'failed_cdeduction_name_save' => array('Deduction Name could not be saved. Please, try again.', 'global-notice-failed-full'),
		
		'success_deduction_name_update' => array('Deduction Name has been updated.', 'global-notice-success-full'),
		'failed_deduction_name_update' => array('Deduction Name could not be update. Please, try again.', 'global-notice-failed-full'),

		'success_deduction_name_delete' => array('Deduction Name has been deleted.', 'global-notice-success-full'),
		'failed_deduction_name_delete' => array('Deduction Name could not be delete. Please, try again.', 'global-notice-failed-full'),
		
		'success_contact_save' => array('Contact has been saved.', 'global-notice-success-full'),
		'failed_contact_save' => array('Contact could not be saved. Please, try again.', 'global-notice-failed-full'),
		
		'success_contact_update' => array('Contact has been updated.', 'global-notice-success-full'),
		'failed_contact_update' => array('Contact could not be update. Please, try again.', 'global-notice-failed-full'),

		'success_contact_delete' => array('Contact has been deleted.', 'global-notice-success-full'),
		'failed_contact_delete' => array('Contact could not be delete. Please, try again.', 'global-notice-failed-full'),
		
		'success_civil_service_save_for_hr_approval' => array('New Civil Service information has been sent to HR for subject for approval.', 'global-notice-success-full'),
		'success_civil_service_save' => array('Civil Service has been saved.', 'global-notice-success-full'),
		'failed_civil_service_save' => array('Civil Service could not be saved. Please, try again.', 'global-notice-failed-full'),
		
		'success_civil_service_update' => array('Civil Service has been updated.', 'global-notice-success-full'),
		'failed_civil_service_update' => array('Civil Service  could not be update. Please, try again.', 'global-notice-failed-full'),

		'success_civil_service_delete' => array('Civil Service  has been deleted.', 'global-notice-success-full'),
		'failed_civil_service_delete' => array('Civil Service could not be delete. Please, try again.', 'global-notice-failed-full'),
		
		'success_case_rate_save' => array('Case Rate has been saved.', 'global-notice-success-full'),
		'failed_case_rate_save' => array('Case Rate could not be saved. Please, try again.', 'global-notice-failed-full'),
		
		'success_case_rate_update' => array('Case Rate  has been updated.', 'global-notice-success-full'),
		'failed_case_rate_update' => array('Case Rate  could not be update. Please, try again.', 'global-notice-failed-full'),

		'success_case_rate_delete' => array('Case Rate  has been deleted.', 'global-notice-success-full'),
		'failed_case_rate_delete' => array('Case Rate could not be delete. Please, try again.', 'global-notice-failed-full'),
		
		'success_blood_type_save' => array('Blood Type has been saved.', 'global-notice-success-full'),
		'failed_blood_type_save' => array('Blood Type could not be saved. Please, try again.', 'global-notice-failed-full'),
		
		'success_blood_type_update' => array('Blood Type  has been updated.', 'global-notice-success-full'),
		'failed_blood_type_update' => array('Blood Type  could not be update. Please, try again.', 'global-notice-failed-full'),

		'success_blood_type_delete' => array('Blood Type  has been deleted.', 'global-notice-success-full'),
		'failed_blood_type_delete' => array('Blood Type could not be delete. Please, try again.', 'global-notice-failed-full'),
		
		'success_blood_type_enable' => array('Blood Type has been enabled.', 'global-notice-success-full'),
		'failed_blood_type_enable' => array('Blood Type could not be enabled. Please, try again.', 'global-notice-failed-full'),
		'success_blood_type_disable' => array('Blood Type has been disabled.', 'global-notice-success-full'),
		'failed_blood_type_disable' => array('Blood Type could not be disabled. Please, try again.', 'global-notice-failed-full'),
		
		'success_application_status_save' => array('Application Status has been saved.', 'global-notice-success-full'),
		'failed_application_status_save' => array('Application Status could not be saved. Please, try again.', 'global-notice-failed-full'),
		
		'success_application_status_update' => array('Application Status has been updated.', 'global-notice-success-full'),
		'failed_application_status_update' => array('Application Status could not be updated. Please, try again.', 'global-notice-failed-full'),
		
		'success_application_status_enable' => array('Application Status has been enabled.', 'global-notice-success-full'),
		'failed_application_status_enable' => array('Application Status could not be enabled. Please, try again.', 'global-notice-failed-full'),
		'success_application_status_disable' => array('Application Status has been disabled.', 'global-notice-success-full'),
		'failed_application_status_disable' => array('Application Status could not be disabled. Please, try again.', 'global-notice-failed-full'),

		'success_application_status_delete' => array('Application Status  has been deleted.', 'global-notice-success-full'),
		'failed_application_status_delete' => array('Application Status could not be deleted. Please, try again.', 'global-notice-failed-full'),
		
		'success_status_of_appointment_save' => array('Status Of Appointment has been saved.', 'global-notice-success-full'),
		'failed_status_of_appointment_save' => array('Status Of Appointment could not be saved. Please, try again.', 'global-notice-failed-full'),
		
		'success_status_of_appointment_update' => array('Status Of Appointment has been updated.', 'global-notice-success-full'),
		'failed_status_of_appointment_update' => array('Status Of Appointment could not be update. Please, try again.', 'global-notice-failed-full'),
		
		'success_status_of_appointment_enable' => array('Status Of Appointment has been enabled.', 'global-notice-success-full'),
		'failed_status_of_appointment_enable' => array('Status Of Appointment could not be enabled. Please, try again.', 'global-notice-failed-full'),
		'success_status_of_appointment_disable' => array('Status Of Appointment has been disabled.', 'global-notice-success-full'),
		'failed_status_of_appointment_disable' => array('Status Of Appointment could not be disabled. Please, try again.', 'global-notice-failed-full'),
		
		'success_employment_status_save' => array('Employment Status has been saved.', 'global-notice-success-full'),
		'failed_employment_status_save' => array('Employment Status could not be saved. Please, try again.', 'global-notice-failed-full'),
		
		'success_employment_status_update' => array('Employment Status has been updated.', 'global-notice-success-full'),
		'failed_employment_status_update' => array('Employment Status could not be updated. Please, try again.', 'global-notice-failed-full'),
		'success_employment_status_enable' => array('Employment Status has been enabled.', 'global-notice-success-full'),
		'failed_employment_status_enable' => array('Employment Status could not be enabled. Please, try again.', 'global-notice-failed-full'),
		'success_employment_status_disable' => array('Employment Status has been disabled.', 'global-notice-success-full'),
		'failed_employment_status_disable' => array('Employment Status could not be disabled. Please, try again.', 'global-notice-failed-full'),

		'success_employment_status_delete' => array('Employment Status  has been deleted.', 'global-notice-success-full'),
		'failed_employment_status_delete' => array('Employment Status could not be deleted. Please, try again.', 'global-notice-failed-full'),
		
		'success_administrative_case_save' => array('Administrative Case has been saved.', 'global-notice-success-full'),
		'failed_administrative_case_save' => array('Administrative Case could not be saved. Please, try again.', 'global-notice-failed-full'),
		
		'success_administrative_case_update' => array('Administrative Case  has been updated.', 'global-notice-success-full'),
		'failed_administrative_case_update' => array('Administrative Case  could not be updated. Please, try again.', 'global-notice-failed-full'),
		
		'success_administrative_case_enable' => array('Administrative Case has been enabled.', 'global-notice-success-full'),
		'failed_administrative_case_enable' => array('Administrative Case could not be enabled. Please, try again.', 'global-notice-failed-full'),
		'success_administrative_case_disable' => array('Administrative Case has been disabled.', 'global-notice-success-full'),
		'failed_administrative_case_disable' => array('Administrative Case could not be disabled. Please, try again.', 'global-notice-failed-full'),
		
		'success_administrative_case_delete' => array('Administrative Case has been deleted.', 'global-notice-success-full'),
		'failed_administrative_case_delete' => array('Administrative Case could not be deleted. Please, try again.', 'global-notice-failed-full'),
		
		'success_administrative_case_enable' => array('Administrative Case has been enabled.', 'global-notice-success-full'),
		'failed_administrative_case_enable' => array('Administrative Case could not be enabled. Please, try again.', 'global-notice-failed-full'),
		'success_administrative_case_disable' => array('Administrative Case has been disabled.', 'global-notice-success-full'),
		'failed_administrative_case_disable' => array('Administrative Case could not be disabled. Please, try again.', 'global-notice-failed-full'),
		
		'success_work_history_save_for_hr_approval' => array('New Work Experience information has been sent to hr for subject for approval.', 'global-notice-success-full'),
		'success_work_history_save' => array('Work History has been saved.', 'global-notice-success-full'),
		'failed_work_history_save' => array('Work History could not be saved. Please, try again.', 'global-notice-failed-full'),
		
		'success_work_history_update' => array('Work History  has been updated.', 'global-notice-success-full'),
		'failed_work_history_update' => array('Work History  could not be update. Please, try again.', 'global-notice-failed-full'),

		'success_work_history_delete' => array('Work History  has been deleted.', 'global-notice-success-full'),
		'failed_work_history_delete' => array('Work History could not be delete. Please, try again.', 'global-notice-failed-full'),
	
		'success_trainings_seminar_save' => array('Trainings/Seminar has been saved.', 'global-notice-success-full'),
		'failed_trainings_seminar_save' => array('Trainings/Seminar could not be saved. Please, try again.', 'global-notice-failed-full'),
		
		'success_trainings_seminar_update' => array('Trainings/Seminar  has been updated.', 'global-notice-success-full'),
		'failed_trainings_seminar_update' => array('Trainings/Seminar  could not be update. Please, try again.', 'global-notice-failed-full'),

		'success_trainings_seminar_delete' => array('Trainings/Seminar  has been deleted.', 'global-notice-success-full'),
		'failed_trainings_seminar_delete' => array('Trainings/Seminar could not be delete. Please, try again.', 'global-notice-failed-full'),
	
		'success_service_record_save' => array('Service Record has been saved.', 'global-notice-success-full'),
		'failed_service_record_save' => array('Service Record  could not be saved. Please, try again.', 'global-notice-failed-full'),
		
		'success_service_record_update' => array('Service Record  has been updated.', 'global-notice-success-full'),
		'failed_service_record_update' => array('Service Record   could not be update. Please, try again.', 'global-notice-failed-full'),

		'success_service_record_delete' => array('Service Record  has been deleted.', 'global-notice-success-full'),
		'failed_service_record_delete' => array('Service Record  could not be delete. Please, try again.', 'global-notice-failed-full'),
		
		'success_education_save_for_hr_approval' => array('New Education Information has been sent to HR for subject for approval.', 'global-notice-success-full'),
		'success_education_save' => array('Education has been saved.', 'global-notice-success-full'),
		'failed_education_save' => array('Education could not be saved. Please, try again.', 'global-notice-failed-full'),
		
		'success_education_update' => array('Education has been updated.', 'global-notice-success-full'),
		'failed_eduction_update' => array('Education  could not be update. Please, try again.', 'global-notice-failed-full'),

		'success_education_delete' => array('Education has been deleted.', 'global-notice-success-full'),
		'failed_education_delete' => array('Education could not be delete. Please, try again.', 'global-notice-failed-full'),
		
		'success_document_save' => array('Document has been saved.', 'global-notice-success-full'),
		'failed_document_save' => array('Document could not be saved. Please, try again.', 'global-notice-failed-full'),
		
		'success_document_update' => array('Document has been updated.', 'global-notice-success-full'),
		'failed_document_update' => array('Document  could not be update. Please, try again.', 'global-notice-failed-full'),

		'success_document_delete' => array('Document has been deleted.', 'global-notice-success-full'),
		'failed_document_delete' => array('Document could not be delete. Please, try again.', 'global-notice-failed-full'),
	
		'success_document_type_save' => array('Document Type has been saved.', 'global-notice-success-full'),
		'failed_document_type_save' => array('Document Type could not be saved. Please, try again.', 'global-notice-failed-full'),
		
		'success_document_type_update' => array('Document Type has been updated.', 'global-notice-success-full'),
		'failed_document_type_update' => array('Document Type could not be update. Please, try again.', 'global-notice-failed-full'),

		'success_document_type_delete' => array('Document Type has been deleted.', 'global-notice-success-full'),
		'failed_document_type_delete' => array('Document Type could not be delete. Please, try again.', 'global-notice-failed-full'),
		
		'success_document_type_enable' => array('Document Type has been enabled.', 'global-notice-success-full'),
		'failed_document_type_enable' => array('Document Type could not be enabled. Please, try again.', 'global-notice-failed-full'),
		'success_document_type_disable' => array('Document Type has been disabled.', 'global-notice-success-full'),
		'failed_document_type_disable' => array('Document Type could not be disabled. Please, try again.', 'global-notice-failed-full'),
		
		//---
		'success_deactivate_employee_type_save' => array('Deactivate Employee Type has been saved.', 'global-notice-success-full'),
		'failed_deactivate_employee_type_save' => array('Deactivate Employee Type could not be saved. Please, try again.', 'global-notice-failed-full'),
		
		'success_deactivate_employee_type_update' => array('Deactivate Employee Type has been updated.', 'global-notice-success-full'),
		'failed_deactivate_employee_type_update' => array('Deactivate Employee Type could not be update. Please, try again.', 'global-notice-failed-full'),

		'success_deactivate_employee_type_delete' => array('Deactivate Employee Type has been deleted.', 'global-notice-success-full'),
		'failed_deactivate_employee_type_delete' => array('Deactivate Employee Type could not be delete. Please, try again.', 'global-notice-failed-full'),
		
		'success_deactivate_employee_type_enable' => array('Deactivate Employee Type has been enabled.', 'global-notice-success-full'),
		'failed_deactivate_employee_type_enable' => array('Deactivate Employee Type could not be enabled. Please, try again.', 'global-notice-failed-full'),
		'success_deactivate_employee_type_disable' => array('Deactivate Employee Type has been disabled.', 'global-notice-success-full'),
		'failed_deactivate_employee_type_disable' => array('Deactivate Employee Type could not be disabled. Please, try again.', 'global-notice-failed-full'),
		//---
	
		'success_night_differential_save' => array('Night Differential has been saved.', 'global-notice-success-full'),
		'failed_night_differential_save' => array('Night Differential could not be saved. Please, try again.', 'global-notice-failed-full'),
		
		'success_night_differential_update' => array('Night Differential has been updated.', 'global-notice-success-full'),
		'failed_night_differential_update' => array('Night Differential could not be update. Please, try again.', 'global-notice-failed-full'),

		'success_night_differential_delete' => array('Night Differential has been deleted.', 'global-notice-success-full'),
		'failed_night_differential_delete' => array('Night Differential could not be delete. Please, try again.', 'global-notice-failed-full'),
		
		'success_specializations_save' => array('Specialization has been saved.', 'global-notice-success-full'),
		'failed_specializations_save' => array('Specialization could not be save. Please, try again.', 'global-notice-failed-full'),
		
		'success_specialization_update' => array('Specialization has been updated.', 'global-notice-success-full'),
		'failed_specialization_update' => array('Specialization could not be update. Please, try again.', 'global-notice-failed-full'),
		
		'success_specialization_enable' => array('Specialization has been enabled.', 'global-notice-success-full'),
		'failed_specialization_enable' => array('Specialization could not be enabled. Please, try again.', 'global-notice-failed-full'),
		'success_specialization_disable' => array('Specialization has been disabled.', 'global-notice-success-full'),
		'failed_specialization_disable' => array('Specialization could not be disabled. Please, try again.', 'global-notice-failed-full'),
		
		'success_signatory_save' => array('Signatory has been saved.', 'global-notice-success-full'),
		'failed_signatory_save' => array('Signatory could not be save. Please, try again.', 'global-notice-failed-full'),
		
		'success_signatory_update' => array('Signatory has been updated.', 'global-notice-success-full'),
		'failed_signatory_update' => array('Signatory could not be update. Please, try again.', 'global-notice-failed-full'),
		
		'success_signatory_enable' => array('Signatory has been enabled.', 'global-notice-success-full'),
		'failed_signatory_enable' => array('Signatory could not be enabled. Please, try again.', 'global-notice-failed-full'),
		'success_signatoryn_disable' => array('Signatory has been disabled.', 'global-notice-success-full'),
		'failed_signatory_disable' => array('Signatory could not be disabled. Please, try again.', 'global-notice-failed-full'),
		
		
		'success_bank_save' => array('Bank has been saved.', 'global-notice-success-full'),
		'failed_bank_save' => array('Bank could not be save. Please, try again.', 'global-notice-failed-full'),
				
		'success_bank_update' => array('Bank has been updated.', 'global-notice-success-full'),
		'failed_bank_update' => array('Bank could not be update. Please, try again.', 'global-notice-failed-full'),
		
		'success_bank_delete' => array('Bank has been deleted.', 'global-notice-success-full'),
		'failed_bank_delete' => array('Bank could not be delete. Please, try again.', 'global-notice-failed-full'),
		
		'success_bank_enable' => array('Bank has been enabled.', 'global-notice-success-full'),
		'failed_bank_enable' => array('Bank could not be enabled. Please, try again.', 'global-notice-failed-full'),
		'success_bank_disable' => array('Bank has been disabled.', 'global-notice-success-full'),
		'failed_bank_disable' => array('Bank could not be disabled. Please, try again.', 'global-notice-failed-full'),
		
		
		'success_salary_grade_group_save' => array('Salary Grade Group has been saved.', 'global-notice-success-full'),
		'failed_salary_grade_group_save' => array('Salary Grade Group could not be save. Please, try again.', 'global-notice-failed-full'),
				
		'success_salary_grade_group_update' => array('Salary Grade Group has been updated.', 'global-notice-success-full'),
		'failed_salary_grade_group_update' => array('Salary Grade Group could not be update. Please, try again.', 'global-notice-failed-full'),
		
		'success_salary_grade_group_delete' => array('Salary Grade Group has been deleted.', 'global-notice-success-full'),
		'failed_salary_grade_group_delete' => array('Salary Grade Group could not be delete. Please, try again.', 'global-notice-failed-full'),
		
		'success_salary_grade_group_enable' => array('Salary Grade Group has been enabled.', 'global-notice-success-full'),
		'failed_salary_grade_group_enable' => array('Salary Grade Group could not be enabled. Please, try again.', 'global-notice-failed-full'),
		'success_salary_grade_group_disable' => array('Salary Grade Group has been disabled.', 'global-notice-success-full'),
		'failed_salary_grade_group_disable' => array('Salary Grade Group could not be disabled. Please, try again.', 'global-notice-failed-full'),
		
		
		'success_leave_classification_save' => array('Leave Classification has been saved.', 'global-notice-success-full'),
		'failed_leave_classification_save' => array('Leave Classification could not be saved. Please, try again.', 'global-notice-failed-full'),
		
		'success_leave_classification_update' => array('Leave Classification has been updated.', 'global-notice-success-full'),
		'failed_leave_classification_update' => array('Leave Classification could not be updated. Please, try again.', 'global-notice-failed-full'),
		
		'success_leave_classification_delete' => array('Leave Classification has been deleted.', 'global-notice-success-full'),
		'failed_leave_classification_delete' => array('Leave Classification could not be deleted. Please, try again.', 'global-notice-failed-full'),
		
		'success_leave_classification_enable' => array('Leave Classification has been enabled.', 'global-notice-success-full'),
		'failed_leave_classification_enable' => array('Leave Classification could not be enabled. Please, try again.', 'global-notice-failed-full'),
		'success_leave_classification_disable' => array('Leave Classification has been disabled.', 'global-notice-success-full'),
		'failed_leave_classification_disable' => array('Leave Classification could not be disabled. Please, try again.', 'global-notice-failed-full'),
		
		'success_leave_classification_eligible_employee_save' => array('Leave Classification Eligible Employee has been saved.', 'global-notice-success-full'),
		'failed_leave_classification_eligible_employee_save' => array('Leave Classification Eligible Employee could not be save. Please, try again.', 'global-notice-failed-full'),
		'cancelled_leave_classification_select_eligible_employee' => array('Selection of Employee has been cancelled.', 'global-notice-failed-full'),
		
		'existing_year_leave_monetization_create' => array('This entry is already in the list', 'global-notice-failed-full'),
		'success_leave_monetization_create' => array('Leave Monetization has been saved.', 'global-notice-success-full'),
		'failed_leave_monetization_create' => array('Leave Monetization could not be save. Please, try again.', 'global-notice-failed-full'),
		
		'success_leave_monetization_update' => array('Leave Monetization has been updated.', 'global-notice-success-full'),
		'failed_leave_monetization_update' => array('Leave Monetization could not be update. Please, try again.', 'global-notice-failed-full'),
		
		'success_leave_monetization_delete' => array('Leave Monetization has been deleted.', 'global-notice-success-full'),
		'failed_leave_monetization_delete' => array('Leave Monetization could not be delete. Please, try again.', 'global-notice-failed-full'),
		
		'greater_days_of_leave_monetization' => array('Leave day/s to be converted is greater that leave remaining. Please, try again.', 'global-notice-failed-full'),
		
		'success_payroll_type_save' => array('Payroll Type has been saved.', 'global-notice-success-full'),
		'failed_payroll_type_save' => array('Payroll Type could not be save. Please, try again.', 'global-notice-failed-full'),
		
		'success_payroll_type_update' => array('Payroll Type has been updated.', 'global-notice-success-full'),
		'failed_payroll_type_update' => array('Payroll Type could not be update. Please, try again.', 'global-notice-failed-full'),
		
		'success_payroll_type_delete' => array('Payroll Type has been deleted.', 'global-notice-success-full'),
		'failed_payroll_type_delete' => array('Payroll Type could not be delete. Please, try again.', 'global-notice-failed-full'),
		
		'success_payroll_type_enable' => array('Payroll Type has been enabled.', 'global-notice-success-full'),
		'failed_payroll_type_enable' => array('Payroll Type could not be enabled. Please, try again.', 'global-notice-failed-full'),
		'success_payroll_type_disable' => array('Payroll Type has been disabled.', 'global-notice-success-full'),
		'failed_payroll_type_disable' => array('Payroll Type could not be disabled. Please, try again.', 'global-notice-failed-full'),
		
		
		'success_employee_code_generator_update' => array('Employee Code Generator has been saved.', 'global-notice-success-full'),
		
		'success_employee_code_generator_disable' => array('Employee Code Generator has been disabled.', 'global-notice-success-full'),
		'failed_employee_code_generator_disable' => array('Employee Code Generator could not be disabled. Please, try again.', 'global-notice-failed-full'),
		
		
		'success_employee_code_generator_enable' => array('Employee Code Generator has been enabled.', 'global-notice-success-full'),
		'failed_employee_code_generator_enable' => array('Employee Code Generator could not be enabled. Please, try again.', 'global-notice-failed-full'),
		
		
		'success_employee_type_save' => array('Employee Type has been saved.', 'global-notice-success-full'),
		'failed_employee_type_save' => array('Employee Type could not be save. Please, try again.', 'global-notice-failed-full'),
		
		'success_employee_type_update' => array('Employee Type has been updated.', 'global-notice-success-full'),
		'failed_employee_type_update' => array('Employee Type could not be update. Please, try again.', 'global-notice-failed-full'),
		
		'success_employee_type_delete' => array('Employee Type has been deleted.', 'global-notice-success-full'),
		'failed_employee_type_delete' => array('Employee Type could not be delete. Please, try again.', 'global-notice-failed-full'),
		
		'success_employee_type_enable' => array('Employee Type has been enabled.', 'global-notice-success-full'),
		'failed_employee_type_enable' => array('Employee Type could not be enabled. Please, try again.', 'global-notice-failed-full'),
		'success_employee_type_disable' => array('Employee Type has been disabled.', 'global-notice-success-full'),
		'failed_employee_type_disable' => array('Employee Type could not be disabled. Please, try again.', 'global-notice-failed-full'),
		
		
		'success_separation_status_save' => array('Separation status has been saved.', 'global-notice-success-full'),
		'failed_separation_status_save' => array('Separation status could not be save. Please, try again.', 'global-notice-failed-full'),
		
		'success_separation_status_update' => array('Separation status has been updated.', 'global-notice-success-full'),
		'failed_separation_status_update' => array('Separation status could not be update. Please, try again.', 'global-notice-failed-full'),
		
		'success_separation_status_enable' => array('Separation Status has been enabled.', 'global-notice-success-full'),
		'failed_separation_status_enable' => array('Separation Status could not be enabled. Please, try again.', 'global-notice-failed-full'),
		'success_separation_status_disable' => array('Separation Status has been disabled.', 'global-notice-success-full'),
		'failed_separation_status_disable' => array('Separation Status could not be disabled. Please, try again.', 'global-notice-failed-full'),
		
		'success_separation_status_delete' => array('Separation status has been deleted.', 'global-notice-success-full'),
		'failed_separation_status_delete' => array('Separation status could not be delete. Please, try again.', 'global-notice-failed-full'),
		
		
		'success_holiday_type_save' => array('Holiday Type has been saved.', 'global-notice-success-full'),
		'failed_holiday_type_save' => array('Holiday Type could not be save. Please, try again.', 'global-notice-failed-full'),
		
		'success_holiday_type_update' => array('Holiday Type has been updated.', 'global-notice-success-full'),
		'failed_holiday_type_update' => array('Holiday Type could not be update. Please, try again.', 'global-notice-failed-full'),
		
		'success_holiday_type_delete' => array('Holiday Type has been deleted.', 'global-notice-success-full'),
		'failed_holiday_type_delete' => array('Holiday Type could not be delete. Please, try again.', 'global-notice-failed-full'),
		
		'success_holiday_type_enable' => array('Holiday Type has been enabled.', 'global-notice-success-full'),
		'failed_holiday_type_enable' => array('Holiday Type could not be enabled. Please, try again.', 'global-notice-failed-full'),
		'success_holiday_type_disable' => array('Holiday Type has been disabled.', 'global-notice-success-full'),
		'failed_holiday_type_disable' => array('Holiday Type could not be disabled. Please, try again.', 'global-notice-failed-full'),
		
		
		'success_holiday_save' => array('Holiday has been saved.', 'global-notice-success-full'),
		'failed_holiday_save' => array('Holiday could not be save. Please, try again.', 'global-notice-failed-full'),
		
		'success_holiday_update' => array('Holiday has been updated.', 'global-notice-success-full'),
		'failed_holiday_update' => array('Holiday could not be update. Please, try again.', 'global-notice-failed-full'),
		
		'success_holiday_delete' => array('Holiday has been deleted.', 'global-notice-success-full'),
		'failed_holiday_delete' => array('Holiday could not be delete. Please, try again.', 'global-notice-failed-full'),
		
		
		'success_personnel_type_save' => array('Personnel type has been saved.', 'global-notice-success-full'),
		'failed_personnel_type_save' => array('Personnel type could not be save. Please, try again.', 'global-notice-failed-full'),
		
		'success_personnel_type_update' => array('Personnel type has been updated.', 'global-notice-success-full'),
		'failed_personnel_type_update' => array('Personnel type could not be update. Please, try again.', 'global-notice-failed-full'),
		
		'success_personnel_type_delete' => array('Personnel type has been deleted.', 'global-notice-success-full'),
		'failed_personnel_type_delete' => array('Personnel type could not be delete. Please, try again.', 'global-notice-failed-full'),
		
		'success_personnel_type_enable' => array('Personnel Type has been enabled.', 'global-notice-success-full'),
		'failed_personnel_type_enable' => array('Personnel Type could not be enabled. Please, try again.', 'global-notice-failed-full'),
		'success_personnel_type_disable' => array('Personnel Type has been disabled.', 'global-notice-success-full'),
		'failed_personnel_type_disable' => array('Personnel Type could not be disabled. Please, try again.', 'global-notice-failed-full'),
		
		
		'success_tax_status_save' => array('Tax status has been saved.', 'global-notice-success-full'),
		'failed_tax_statuse_save' => array('Tax status could not be save. Please, try again.', 'global-notice-failed-full'),
		
		'success_tax_status_update' => array('Tax status has been updated.', 'global-notice-success-full'),
		'failed_tax_status_update' => array('Tax status could not be update. Please, try again.', 'global-notice-failed-full'),
		
		'success_tax_status_enable' => array('Tax status has been enabled.', 'global-notice-success-full'),
		'failed_tax_status_enable' => array('Tax status could not be enabled. Please, try again.', 'global-notice-failed-full'),
		'success_tax_status_disable' => array('Tax status has been disabled.', 'global-notice-success-full'),
		'failed_tax_status_disable' => array('Tax status could not be disabled. Please, try again.', 'global-notice-failed-full'),
		
		'success_tax_status_delete' => array('Tax status has been deleted.', 'global-notice-success-full'),
		'failed_tax_status_delete' => array('Tax status could not be delete. Please, try again.', 'global-notice-failed-full'),
		
		
		'success_shift_type_save' => array('Shift type has been saved.', 'global-notice-success-full'),
		'failed_shift_type_save' => array('Shift type could not be save. Please, try again.', 'global-notice-failed-full'),
		
		'success_shift_type_update' => array('Shift type has been updated.', 'global-notice-success-full'),
		'failed_shift_type_update' => array('Shift type could not be update. Please, try again.', 'global-notice-failed-full'),
		
		'success_shift_type_enable' => array('Shift Type has been enabled.', 'global-notice-success-full'),
		'failed_shift_type_enable' => array('Shift Type could not be enabled. Please, try again.', 'global-notice-failed-full'),
		'success_shift_type_disable' => array('Shift Type has been disabled.', 'global-notice-success-full'),
		'failed_shift_type_disable' => array('Shift Type could not be disabled. Please, try again.', 'global-notice-failed-full'),
		
		'success_shift_type_delete' => array('Shift type has been deleted.', 'global-notice-success-full'),
		'failed_shift_type_delete' => array('Shift type could not be delete. Please, try again.', 'global-notice-failed-full'),
		
		
		'success_employee_save_for_hr_approval' => array('New Employee Information has been sent to HR for subject for approval.', 'global-notice-success-full'),
		'success_employee_save' => array('Employee has been saved.', 'global-notice-success-full'),
		'failed_employee_save' => array('Employee could not be save. Please, try again.', 'global-notice-failed-full'),
		
		'success_employee_update' => array('Employee has been updated.', 'global-notice-success-full'),
		'failed_employee_update' => array('Employee could not be update. Please, try again.', 'global-notice-failed-full'),
		
		'success_employee_delete' => array('Employee has been deleted.', 'global-notice-success-full'),
		'failed_employee_delete' => array('Employee could not be delete. Please, try again.', 'global-notice-failed-full'),
		
		
		'success_user_save' => array('User has been saved.', 'global-notice-success-full'),
		'failed_user_save' => array('User could not be save. Please, try again.', 'global-notice-failed-full'),
		
		'success_user_update' => array('User has been updated.', 'global-notice-success-full'),
		'failed_user_update' => array('User could not be update. Please, try again.', 'global-notice-failed-full'),
		
		'success_user_delete' => array('User has been deleted.', 'global-notice-success-full'),
		'failed_user_delete' => array('User could not be delete. Please, try again.', 'global-notice-failed-full'),
		
		
		'success_address_save' => array('Address has been saved.', 'global-notice-success-full'),
		'failed_address_save' => array('Address could not be save. Please, try again.', 'global-notice-failed-full'),
		
		'success_address_update' => array('Address has been updated.', 'global-notice-success-full'),
		'failed_address_update' => array('Address could not be update. Please, try again.', 'global-notice-failed-full'),
		
		'success_address_delete' => array('Address has been deleted.', 'global-notice-success-full'),
		'failed_address_delete' => array('Address could not be delete. Please, try again.', 'global-notice-failed-full'),
		
		
		'success_position_detail_save' => array('Position details has been saved.', 'global-notice-success-full'),
		'failed_position_detail_save' => array('Position details could not be save. Please, try again.', 'global-notice-failed-full'),
		
		'success_position_detail_update' => array('Position details has been updated.', 'global-notice-success-full'),
		'failed_position_detail_update' => array('Position details could not be update. Please, try again.', 'global-notice-failed-full'),
		
		'success_position_detail_delete' => array('Position details has been deleted.', 'global-notice-success-full'),
		'failed_position_detail_delete' => array('Position details could not be delete. Please, try again.', 'global-notice-failed-full'),
		
		
		'success_payroll_detail_save' => array('Payroll details has been saved.', 'global-notice-success-full'),
		'failed_payroll_detail_save' => array('Payroll details could not be save. Please, try again.', 'global-notice-failed-full'),
		
		'success_payroll_detail_update' => array('Payroll details has been updated.', 'global-notice-success-full'),
		'failed_payroll_detail_update' => array('Payroll details could not be update. Please, try again.', 'global-notice-failed-full'),
		
		'success_payroll_detail_delete' => array('Payroll details has been deleted.', 'global-notice-success-full'),
		'failed_payroll_detail_delete' => array('Payroll details could not be delete. Please, try again.', 'global-notice-failed-full'),
		
		
		'success_bank_account_detail_save' => array('Bank account details has been saved.', 'global-notice-success-full'),
		'failed_bank_account_detail_save' => array('Bank account details could not be save. Please, try again.', 'global-notice-failed-full'),
		
		'success_bank_account_detail_update' => array('Bank account details has been updated.', 'global-notice-success-full'),
		'failed_bank_account_detail_update' => array('Bank account details could not be update. Please, try again.', 'global-notice-failed-full'),
		
		'success_bank_account_detail_delete' => array('Bank account details has been deleted.', 'global-notice-success-full'),
		'failed_bank_account_detail_delete' => array('Bank account details could not be delete. Please, try again.', 'global-notice-failed-full'),
		
		
		'success_loan_type_save' => array('Loan type has been saved.', 'global-notice-success-full'),
		'failed_loan_type_save' => array('Loan type could not be save. Please, try again.', 'global-notice-failed-full'),
		
		'success_loan_type_update' => array('Loan type has been updated.', 'global-notice-success-full'),
		'failed_loan_type_update' => array('Loan type could not be update. Please, try again.', 'global-notice-failed-full'),
		
		'success_loan_type_enable' => array('Loan Type has been enabled.', 'global-notice-success-full'),
		'failed_loan_type_enable' => array('Loan Type could not be enabled. Please, try again.', 'global-notice-failed-full'),
		'success_loan_type_disable' => array('Loan Type has been disabled.', 'global-notice-success-full'),
		'failed_loan_type_disable' => array('Loan Type could not be disabled. Please, try again.', 'global-notice-failed-full'),
		
		'success_loan_type_delete' => array('Loan type has been deleted.', 'global-notice-success-full'),
		'failed_loan_type_delete' => array('Loan type could not be delete. Please, try again.', 'global-notice-failed-full'),
		
		'not_enough_leave_entry' => array('Leave credits is not enough.', 'global-notice-failed-full'),
		'vacation_short_notice_leave_entry' => array('File leave atleast five(5) working days before the leave date.', 'global-notice-failed-full'),
		'one_day_before_special_privilege_leave_entry' => array('File special privilege leave entry one(1) day before the leave date.', 'global-notice-failed-full'),
		
		'success_leave_type_save' => array('Leave type has been saved.', 'global-notice-success-full'),
		'failed_leave_type_save' => array('Leave type could not be save. Please, try again.', 'global-notice-failed-full'),
		
		'success_leave_type_update' => array('Leave type has been updated.', 'global-notice-success-full'),
		'failed_leave_type_update' => array('Leave type could not be update. Please, try again.', 'global-notice-failed-full'),
		
		'success_leave_type_delete' => array('Leave type has been deleted.', 'global-notice-success-full'),
		'failed_leave_type_delete' => array('Leave typecould not be delete. Please, try again.', 'global-notice-failed-full'),
		
		'success_leave_type_enable' => array('Leave Type has been enabled.', 'global-notice-success-full'),
		'failed_leave_type_enable' => array('Leave Type could not be enabled. Please, try again.', 'global-notice-failed-full'),
		'success_leave_type_disable' => array('Leave Type has been disabled.', 'global-notice-success-full'),
		'failed_leave_type_disable' => array('Leave Type could not be disabled. Please, try again.', 'global-notice-failed-full'),
		
		
		'success_deduction_type_save' => array('Deduction type has been saved.', 'global-notice-success-full'),
		'failed_deduction_type_save' => array('Deduction type could not be save. Please, try again.', 'global-notice-failed-full'),
		
		'success_deduction_type_update' => array('Deduction type has been updated.', 'global-notice-success-full'),
		'failed_deduction_type_update' => array('Deduction type could not be update. Please, try again.', 'global-notice-failed-full'),
		
		'success_deduction_type_delete' => array('Deduction type has been deleted.', 'global-notice-success-full'),
		'failed_deduction_type_delete' => array('Deduction typecould not be delete. Please, try again.', 'global-notice-failed-full'),
		
		'success_deduction_type_enable' => array('Deduction Type has been enabled.', 'global-notice-success-full'),
		'failed_deduction_type_enable' => array('Deduction Type could not be enabled. Please, try again.', 'global-notice-failed-full'),
		'success_deduction_type_disable' => array('Deduction Type has been disabled.', 'global-notice-success-full'),
		'failed_deduction_type_disable' => array('Deduction Type could not be disabled. Please, try again.', 'global-notice-failed-full'),
		
		
		'success_income_and_benefit_type_save' => array('Income and Benefit Type has been saved.', 'global-notice-success-full'),
		'failed_income_and_benefit_type_save' => array('Income and Benefit Type could not be save. Please, try again.', 'global-notice-failed-full'),
		
		'success_income_and_benefit_type_update' => array('Income and Benefit Typee has been updated.', 'global-notice-success-full'),
		'failed_income_and_benefit_type_update' => array('Income and Benefit Type could not be update. Please, try again.', 'global-notice-failed-full'),
		
		'success_income_and_benefit_type_delete' => array('Income and Benefit Type has been deleted.', 'global-notice-success-full'),
		'failed_income_and_benefit_type_delete' => array('Income and Benefit Type could not be delete. Please, try again.', 'global-notice-failed-full'),
		
		'success_income_and_benefit_type_enable' => array('Income and Benefit Type has been enabled.', 'global-notice-success-full'),
		'failed_income_and_benefit_type_enable' => array('Income and Benefit Type could not be enabled. Please, try again.', 'global-notice-failed-full'),
		'success_income_and_benefit_type_disable' => array('Income and Benefit Type has been disabled.', 'global-notice-success-full'),
		'failed_income_and_benefit_type_disable' => array('HIncome and Benefit Type could not be disabled. Please, try again.', 'global-notice-failed-full'),
		
		
		
		'success_mode_of_payment_save' => array('Mode of payment has been saved.', 'global-notice-success-full'),
		'failed_mode_of_payment_save' => array('Mode of payment could not be save. Please, try again.', 'global-notice-failed-full'),
		
		'success_mode_of_payment_update' => array('Mode of payment has been updated.', 'global-notice-success-full'),
		'failed_mode_of_payment_update' => array('Mode of payment could not be update. Please, try again.', 'global-notice-failed-full'),
		
		'success_mode_of_payment_delete' => array('Mode of payment has been deleted.', 'global-notice-success-full'),
		'failed_mode_of_payment_delete' => array('Mode of payment could not be delete. Please, try again.', 'global-notice-failed-full'),
		
		'success_mode_of_payment_enable' => array('Mode of Payment has been enabled.', 'global-notice-success-full'),
		'failed_mode_of_payment_enable' => array('Mode of Payment could not be enabled. Please, try again.', 'global-notice-failed-full'),
		'success_mode_of_payment_disable' => array('Mode of Payment has been disabled.', 'global-notice-success-full'),
		'failed_mode_of_payment_disable' => array('Mode of Payment could not be disabled. Please, try again.', 'global-notice-failed-full'),
		
		'success_system_approver_save' => array('System approver has been saved.', 'global-notice-success-full'),
		'failed_system_approver_save' => array('System approver could not be save. Please, try again.', 'global-notice-failed-full'),
		
		'success_system_approver_update' => array('System approver has been updated.', 'global-notice-success-full'),
		'failed_system_approver_update' => array('System approver could not be update. Please, try again.', 'global-notice-failed-full'),
		
		'success_system_approver_delete' => array('System approver has been deleted.', 'global-notice-success-full'),
		'failed_ystem_approver_delete' => array('System approver could not be delete. Please, try again.', 'global-notice-failed-full'),
		
		
		'success_section_save' => array('Section has been saved.', 'global-notice-success-full'),
		'failed_section_save' => array('Section could not be save. Please, try again.', 'global-notice-failed-full'),
		
		'success_section_update' => array('Section has been updated.', 'global-notice-success-full'),
		'failed_section_update' => array('Section could not be update. Please, try again.', 'global-notice-failed-full'),
		
		'success_section_enable' => array('Section has been enabled.', 'global-notice-success-full'),
		'failed_section_enable' => array('Section could not be enabled. Please, try again.', 'global-notice-failed-full'),
		'success_section_disable' => array('Section has been disabled.', 'global-notice-success-full'),
		'failed_section_disable' => array('Section could not be disabled. Please, try again.', 'global-notice-failed-full'),

		
		'success_section_delete' => array('Section has been deleted.', 'global-notice-success-full'),
		'failed_section_delete' => array('Section could not be delete. Please, try again.', 'global-notice-failed-full'),
		
		
		'success_unit_save' => array('Unit has been saved.', 'global-notice-success-full'),
		'failed_unit_save' => array('Unit could not be save. Please, try again.', 'global-notice-failed-full'),
		
		'success_unit_update' => array('Unit has been updated.', 'global-notice-success-full'),
		'failed_unit_update' => array('Unit could not be update. Please, try again.', 'global-notice-failed-full'),
		
		'success_unit_enable' => array('Unit has been enabled.', 'global-notice-success-full'),
		'failed_unit_enable' => array('Unit could not be enabled. Please, try again.', 'global-notice-failed-full'),
		'success_unit_disable' => array('Unit has been disabled.', 'global-notice-success-full'),
		'failed_unit_disable' => array('Unit could not be disabled. Please, try again.', 'global-notice-failed-full'),
		
		'success_unit_delete' => array('Unit has been deleted.', 'global-notice-success-full'),
		'failed_unit_delete' => array('Unit could not be delete. Please, try again.', 'global-notice-failed-full'),
		
		
		'success_sub_unit_save' => array('Sub unit has been saved.', 'global-notice-success-full'),
		'failed_sub_unit_save' => array('Sub unit could not be save. Please, try again.', 'global-notice-failed-full'),
		
		'success_sub_unit_update' => array('Sub unit has been updated.', 'global-notice-success-full'),
		'failed_sub_unit_update' => array('Sub unit could not be update. Please, try again.', 'global-notice-failed-full'),
		
		'success_sub_unit_enable' => array('Sub unit has been enabled.', 'global-notice-success-full'),
		'failed_sub_unit_enable' => array('Sub unit could not be enabled. Please, try again.', 'global-notice-failed-full'),
		'success_sub_unit_disable' => array('Sub unit has been disabled.', 'global-notice-success-full'),
		'failed_sub_unit_disable' => array('Sub unit could not be disabled. Please, try again.', 'global-notice-failed-full'),
		
		'success_sub_unit_delete' => array('Sub unit has been deleted.', 'global-notice-success-full'),
		'failed_sub_unit_delete' => array('Sub unit could not be delete. Please, try again.', 'global-notice-failed-full'),
		
		
		'success_job_title_save' => array('Position title has been saved.', 'global-notice-success-full'),
		'failed_job_title_save' => array('Position title could not be save. Please, try again.', 'global-notice-failed-full'),
		
		'success_job_title_update' => array('Position title has been updated.', 'global-notice-success-full'),
		'failed_job_title_update' => array('Position title could not be update. Please, try again.', 'global-notice-failed-full'),
		
		'success_job_title_delete' => array('Position title has been deleted.', 'global-notice-success-full'),
		'failed_job_title_delete' => array('Position title could not be delete. Please, try again.', 'global-notice-failed-full'),
		
		'success_job_title_enable' => array('Position Title has been enabled.', 'global-notice-success-full'),
		'failed_job_title_enable' => array('Position Title could not be enabled. Please, try again.', 'global-notice-failed-full'),
		'success_job_title_disable' => array('Position Title has been disabled.', 'global-notice-success-full'),
		'failed_job_title_disable' => array('Position Title could not be disabled. Please, try again.', 'global-notice-failed-full'),
		
		
		'success_salary_grade_save' => array('Salary Grade has been saved.', 'global-notice-success-full'),
		'failed_salary_grade_save' => array('Salary Grade could not be save. Please, try again.', 'global-notice-failed-full'),
		
		'success_salary_grade_step_number_save' => array('Salary Grade Step Number has been saved.', 'global-notice-success-full'),
		'failed_salary_grade_step_number_save' => array('Salary Grade Step Number could not be save. Please, try again.', 'global-notice-failed-full'),
		
		'success_salary_grade_step_number_update' => array('Salary Grade Step Number has been Updated.', 'global-notice-success-full'),
		'failed_salary_grade_step_number_update' => array('Salary Grade Step Number could not be Update. Please, try again.', 'global-notice-failed-full'),
		
		'success_salary_grade_step_number_enable' => array('Salary Grade Step Number has been enabled.', 'global-notice-success-full'),
		'failed_salary_grade_step_number_enable' => array('Salary Grade Step Number could not be enabled. Please, try again.', 'global-notice-failed-full'),
		'success_salary_grade_step_number_disable' => array('Salary Grade Step Number has been disabled.', 'global-notice-success-full'),
		'failed_salary_grade_step_number_disable' => array('Salary Grade Step Number could not be disabled. Please, try again.', 'global-notice-failed-full'),
		
		
		
		'success_salary_grade_update' => array('Salary Grade has been updated.', 'global-notice-success-full'),
		'failed_salary_grade_update' => array('Salary Grade could not be update. Please, try again.', 'global-notice-failed-full'),
		
		'success_salary_grade_enable' => array('Salary Grade has been enabled.', 'global-notice-success-full'),
		'failed_salary_grade_enable' => array('Salary Grade could not be enabled. Please, try again.', 'global-notice-failed-full'),
		'success_salary_grade_disable' => array('Salary Grade has been disabled.', 'global-notice-success-full'),
		'failed_salary_grade_disable' => array('Salary Grade could not be disabled. Please, try again.', 'global-notice-failed-full'),
		
		
		'success_salary_grade_delete' => array('Salary Grade has been deleted.', 'global-notice-success-full'),
		'failed_salary_grade_delete' => array('Salary Grade could not be delete. Please, try again.', 'global-notice-failed-full'),
		
		
		'success_country_list_save' => array('Country has been saved.', 'global-notice-success-full'),
		'failed_country_list_save' => array('Country could not be save. Please, try again.', 'global-notice-failed-full'),
		
		'success_country_list_update' => array('Country has been updated.', 'global-notice-success-full'),
		'failed_country_list_update' => array('Country could not be update. Please, try again.', 'global-notice-failed-full'),
		
		'success_country_list_delete' => array('Country has been deleted.', 'global-notice-success-full'),
		'failed_country_list_delete' => array('Country could not be delete. Please, try again.', 'global-notice-failed-full'),
		
		'success_country_list_enable' => array('Country has been enabled.', 'global-notice-success-full'),
		'failed_country_list_enable' => array('Country could not be enabled. Please, try again.', 'global-notice-failed-full'),
		'success_country_list_disable' => array('Country has been disabled.', 'global-notice-success-full'),
		'failed_country_list_disable' => array('Country could not be disabled. Please, try again.', 'global-notice-failed-full'),
		
		
		'success_city_save' => array('City has been saved.', 'global-notice-success-full'),
		'failed_city_save' => array('City could not be save. Please, try again.', 'global-notice-failed-full'),
		
		'success_city_update' => array('City has been updated.', 'global-notice-success-full'),
		'failed_city_update' => array('City could not be update. Please, try again.', 'global-notice-failed-full'),
		
		'success_city_delete' => array('City has been deleted.', 'global-notice-success-full'),
		'failed_city_delete' => array('City could not be delete. Please, try again.', 'global-notice-failed-full'),
		
		'success_city_enable' => array('City has been enabled.', 'global-notice-success-full'),
		'failed_city_enable' => array('City could not be enabled. Please, try again.', 'global-notice-failed-full'),
		'success_city_disable' => array('City has been disabled.', 'global-notice-success-full'),
		'failed_city_disable' => array('City could not be disabled. Please, try again.', 'global-notice-failed-full'),
		
		
		'success_region_save' => array('Region has been saved.', 'global-notice-success-full'),
		'failed_region_save' => array('Region could not be save. Please, try again.', 'global-notice-failed-full'),
		
		'success_region_update' => array('Region has been updated.', 'global-notice-success-full'),
		'failed_region_update' => array('Region could not be update. Please, try again.', 'global-notice-failed-full'),
		
		'success_region_enable' => array('Region has been enabled.', 'global-notice-success-full'),
		'failed_region_enable' => array('Region could not be enabled. Please, try again.', 'global-notice-failed-full'),
		'success_region_disable' => array('Region has been disabled.', 'global-notice-success-full'),
		'failed_region_disable' => array('Region could not be disabled. Please, try again.', 'global-notice-failed-full'),
		
		'success_region_delete' => array('Region has been deleted.', 'global-notice-success-full'),
		'failed_region_delete' => array('Region could not be delete. Please, try again.', 'global-notice-failed-full'),
		
		
		'success_province_save' => array('Province has been saved.', 'global-notice-success-full'),
		'failed_province_save' => array('Province could not be save. Please, try again.', 'global-notice-failed-full'),
		
		'success_province_update' => array('Province has been updated.', 'global-notice-success-full'),
		'failed_province_update' => array('Province could not be update. Please, try again.', 'global-notice-failed-full'),
		
		'success_province_enable' => array('Province has been enabled.', 'global-notice-success-full'),
		'failed_province_enable' => array('Province could not be enabled. Please, try again.', 'global-notice-failed-full'),
		'success_province_disable' => array('Province has been disabled.', 'global-notice-success-full'),
		'failed_province_disable' => array('Province could not be disabled. Please, try again.', 'global-notice-failed-full'),
		
		'success_province_delete' => array('Province has been deleted.', 'global-notice-success-full'),
		'failed_province_delete' => array('Province could not be delete. Please, try again.', 'global-notice-failed-full'),
		
		
		'success_barangay_save' => array('Barangay has been saved.', 'global-notice-success-full'),
		'failed_barangay_save' => array('Barangay could not be save. Please, try again.', 'global-notice-failed-full'),
		
		'success_barangay_update' => array('Barangay has been updated.', 'global-notice-success-full'),
		'failed_barangay_update' => array('Barangay could not be update. Please, try again.', 'global-notice-failed-full'),
		
		'success_barangay_delete' => array('Barangay has been deleted.', 'global-notice-success-full'),
		'failed_barangay_delete' => array('Barangay could not be delete. Please, try again.', 'global-notice-failed-full'),
		
		'success_barangay_enable' => array('Barangay has been enabled.', 'global-notice-success-full'),
		'failed_barangay_enable' => array('Barangay could not be enabled. Please, try again.', 'global-notice-failed-full'),
		'success_barangay_disable' => array('Barangay has been disabled.', 'global-notice-success-full'),
		'failed_barangay_disable' => array('Barangay could not be disabled. Please, try again.', 'global-notice-failed-full'),
		
		
		'duplicate_shift_save' => array('This shift is already existing.', 'global-notice-failed-full'),
		'success_shift_save' => array('Shift has been saved.', 'global-notice-success-full'),
		'failed_shift_save' => array('Shift could not be save. Please, try again.', 'global-notice-failed-full'),
		
		'success_shift_update' => array('Shift has been updated.', 'global-notice-success-full'),
		'failed_shift_update' => array('Shift could not be update. Please, try again.', 'global-notice-failed-full'),
		
		'success_shift_delete' => array('Shift has been deleted.', 'global-notice-success-full'),
		'failed_shift_delete' => array('Shift could not be delete. Please, try again.', 'global-notice-failed-full'),
		
		
		'success_leave_card_save' => array('Leave card has been saved.', 'global-notice-success-full'),
		'failed_leave_card_save' => array('Leave card could not be save. Please, try again.', 'global-notice-failed-full'),
		
		'success_leave_card_update' => array('Leave card has been updated.', 'global-notice-success-full'),
		'failed_leave_card_update' => array('Leave card could not be update. Please, try again.', 'global-notice-failed-full'),
		
		'success_leave_card_delete' => array('Leave card has been deleted.', 'global-notice-success-full'),
		'failed_leave_card_delete' => array('Leave card could not be delete. Please, try again.', 'global-notice-failed-full'),
		
		
		'success_notification_save' => array('Notification has been saved.', 'global-notice-success-full'),
		'failed_notification_save' => array('Notification could not be save. Please, try again.', 'global-notice-failed-full'),
		
		'success_notification_update' => array('Notification has been updated.', 'global-notice-success-full'),
		'failed_notification_update' => array('Notification could not be update. Please, try again.', 'global-notice-failed-full'),
		
		'success_notification_delete' => array('Notification has been deleted.', 'global-notice-success-full'),
		'failed_notification_delete' => array('Notification could not be delete. Please, try again.', 'global-notice-failed-full'),
		
		
		'success_memo_save' => array('Memo has been saved.', 'global-notice-success-full'),
		'failed_memo_save' => array('Memo could not be save. Please, try again.', 'global-notice-failed-full'),
		
		'success_memo_update' => array('Memo has been updated.', 'global-notice-success-full'),
		'failed_memo_update' => array('Memo could not be update. Please, try again.', 'global-notice-failed-full'),
		
		'success_memo_delete' => array('Memo has been deleted.', 'global-notice-success-full'),
		'failed_memo_delete' => array('Memo could not be delete. Please, try again.', 'global-notice-failed-full'),
		
		
		'success_leave_entry_save' => array('Leave entry has been saved.', 'global-notice-success-full'),
		'failed_leave_entry_save' => array('Leave entry could not be save. Please, try again.', 'global-notice-failed-full'),
		
		'success_leave_entry_update' => array('Leave entry has been updated.', 'global-notice-success-full'),
		'failed_leave_entry_update' => array('Leave entry could not be update. Please, try again.', 'global-notice-failed-full'),
		
		'success_leave_entry_delete' => array('Leave entry has been deleted.', 'global-notice-success-full'),
		'failed_leave_entry_delete' => array('Leave entry could not be delete. Please, try again.', 'global-notice-failed-full'),
		
		'success_leave_entry_approved' => array('Leave entry has been approved.', 'global-notice-success-full'),
		'failed_leave_entry_approve' => array('Leave entry could not be approved. Please, try again.', 'global-notice-failed-full'),
		'failed_leave_entry_approve_spl_to_vl' => array('Leave entry could not be approved. Number of leave to be deducted must not be greater than the vacation leave balance!', 'global-notice-failed-full'),
		'failed_leave_entry_approve_spl_to_sl' => array('Leave entry could not be approved. Number of leave to be deducted must not be greater than the sick leave balance!', 'global-notice-failed-full'),
		
		'success_out_of_office_save' => array('Out of office has been saved.', 'global-notice-success-full'),
		'failed_out_of_office_save' => array('Out of office could not be save. Please, try again.', 'global-notice-failed-full'),
		
		'success_out_of_office_update' => array('Out of office has been updated.', 'global-notice-success-full'),
		'failed_out_of_office_update' => array('Out of office could not be update. Please, try again.', 'global-notice-failed-full'),
		
		'success_out_of_office_delete' => array('Out of office has been deleted.', 'global-notice-success-full'),
		'failed_out_of_office_delete' => array('Out of office could not be delete. Please, try again.', 'global-notice-failed-full'),
		
		'success_out_of_office_approved' => array('Out of Office has been approved.', 'global-notice-success-full'),
		'failed_out_of_office_approve' => array('Out of Office could not be approved. Please, try again.', 'global-notice-success-full'),
		
		'success_out_of_office_disapproved' => array('Out of Office has been disapproved.', 'global-notice-success-full'),
		'failed_out_of_office_disapproved' => array('Out of Office could not be disapproved. Please, try again.', 'global-notice-success-full'),
		
		
		'success_overtime_save' => array('Overtime has been saved.', 'global-notice-success-full'),
		'failed_overtime_save' => array('Overtime could not be save. Please, try again.', 'global-notice-failed-full'),
		
		'success_overtime_update' => array('Overtime has been updated.', 'global-notice-success-full'),
		'failed_overtime_update' => array('Overtime could not be update. Please, try again.', 'global-notice-failed-full'),
		
		'success_overtime_delete' => array('Overtime has been deleted.', 'global-notice-success-full'),
		'failed_overtime_delete' => array('Overtime could not be delete. Please, try again.', 'global-notice-failed-full'),
		
		'success_overtime_approved' => array('Overtime has been approved.', 'global-notice-success-full'),
		'failed_overtime_approve' => array('Overtime could not be approved. Please, try again.', 'global-notice-success-full'),
		
		'success_overtime_disapproved' => array('Overtime has been disapproved.', 'global-notice-success-full'),
		'failed_overtime_disapproved' => array('Overtime could not be disapproved. Please, try again.', 'global-notice-success-full'),
		

		'success_compensatory_save' => array('Compensatory has been saved.', 'global-notice-success-full'),
		'failed_compensatory_save' => array('Compensatory could not be save. Please, try again.', 'global-notice-failed-full'),
		
		'success_compensatory_update' => array('Compensatory has been updated.', 'global-notice-success-full'),
		'failed_compensatory_update' => array('Compensatory could not be update. Please, try again.', 'global-notice-failed-full'),
		
		'success_compensatory_delete' => array('Compensatory has been deleted.', 'global-notice-success-full'),
		'failed_compensatory_delete' => array('Compensatory could not be delete. Please, try again.', 'global-notice-failed-full'),
		
		'success_compensatory_approved' => array('Compensatory has been approved.', 'global-notice-success-full'),
		'failed_compensatory_approve' => array('Compensatory could not be approved. Please, try again.', 'global-notice-failed-full'),
		'compensatory_credits_not_enough' => array('Compensatory credits is not enough.', 'global-notice-failed-full'),
		
		'success_compensatory_disapproved' => array('Compensatory has been approved.', 'global-notice-success-full'),
		'success_compensatory_void' => array('Compensatory has been void.', 'global-notice-success-full'),
		'failed_compensatory_disapproved' => array('Compensatory could not be approved. Please, try again.', 'global-notice-success-full'),
		
		'success_learning_and_development_disapproved' => array('Learning and Development has been approved.', 'global-notice-success-full'),
		'success_learning_and_development_void' => array('Learning and Development has been void.', 'global-notice-success-full'),
		'failed_compensatory_disapproved' => array('Compensatory could not be approved. Please, try again.', 'global-notice-success-full'),
		
		'success_under_time_entry_save' => array('Under time has been saved.', 'global-notice-success-full'),
		'failed_under_time_entry_save' => array('Under time could not be save. Please, try again.', 'global-notice-failed-full'),
		
		'success_under_time_entry_update' => array('Under time has been updated.', 'global-notice-success-full'),
		'failed_under_time_entry_update' => array('Under time could not be update. Please, try again.', 'global-notice-failed-full'),
		
		'success_under_time_entry_delete' => array('Under Time has been disabled.', 'global-notice-success-full'),
		'failed_under_time_entry_delete' => array('Under time could not be disabled. Please, try again.', 'global-notice-failed-full'),
		
		'success_under_time_approved' => array('Under time has been approved.', 'global-notice-success-full'),
		'failed_under_time_approve' => array('Under time could not be approved. Please, try again.', 'global-notice-success-full'),
		
		'success_under_time_disapproved' => array('Under time has been disapproved.', 'global-notice-success-full'),

		'failed_under_time_disapproved' => array('Under time could not be disapproved. Please, try again.', 'global-notice-success-full'),

		
		'success_retirement_disapproved' => array('Retirement has been disapproved/void.', 'global-notice-success-full'),
		'failed_retirement_disapproved' => array('Retirement could not be disapproved. Please, try again.', 'global-notice-success-full'),
		
		'success_income_and_benefit_save' => array('Income and benefit has been saved.', 'global-notice-success-full'),
		'failed_income_and_benefit_save' => array('Income and benefit could not be save. Please, try again.', 'global-notice-failed-full'),
		'same_employee_income_and_benefit' => array('Same employee does not allowed in income and benefits. Please, try again.', 'global-notice-failed-full'),
		
		'success_income_and_benefit_update' => array('Income and benefit has been updated.', 'global-notice-success-full'),
		'failed_income_and_benefit_update' => array('Income and benefit could not be update. Please, try again.', 'global-notice-failed-full'),
		
		'success_income_and_benefit_delete' => array('Income and benefit has been deleted.', 'global-notice-success-full'),
		'failed_income_and_benefit_delete' => array('Income and benefit could not be delete. Please, try again.', 'global-notice-failed-full'),
		
		
		'success_payroll_period_save' => array('Payroll period has been saved.', 'global-notice-success-full'),
		'failed_payroll_period_save' => array('Payroll period could not be save. Please, try again.', 'global-notice-failed-full'),
		
		'success_payroll_period_update' => array('Payroll period has been updated.', 'global-notice-success-full'),
		'failed_payroll_period_update' => array('Payroll period could not be update. Please, try again.', 'global-notice-failed-full'),
		
		'success_payroll_period_delete' => array('Payroll period has been deleted.', 'global-notice-success-full'),
		'failed_payroll_period_delete' => array('Payroll period could not be delete. Please, try again.', 'global-notice-failed-full'),
		
		'success_employee_time_update' => array('Employee time entry has been updated.', 'global-notice-success-full'),
		'failed_employee_time_update' => array('Employee time entry could not be update. Please, try again.', 'global-notice-failed-full'),
		
	
	
		'failed_invalid_login' => array('Invalid username or password.', 'global-notice-failed-full'),
		'failed_account_disabled' => array('Account has been disabled.', 'global-notice-failed-full'),
		'no_records_found' => array('No records found.', 'global-notice-failed-full'),
		'this_empoyee_is_inactive' => array('Cannot print this record, please check Employee Records. or Contact Service Provider', 'global-notice-failed-full'),
		
		'success_user_save' => array('User has been saved.', 'global-notice-success-full'),
		'success_user_delete' => array('User has been deleted.', 'global-notice-success-full'),
		'failed_user_save' => array('User could not be saved. Please, try again.', 'global-notice-failed-full'),
		'failed_user_delete' => array('User could not be deleted. Please, try again.', 'global-notice-failed-full'),
		
		'success_user_privilege_delete' => array('User privilege has been deleted.', 'global-notice-success-full'),
		'success_user_privilege_save' => array('User privilege has been saved.', 'global-notice-success-full'),
		'failed_user_privilege_save' => array('User privilege has been deleted.', 'global-notice-success-full'),
		'failed_user_privilege_delete' => array('User privilege could not be deleted. Please, try again.', 'global-notice-failed-full'),
		
		'success_project_save' => array('Project has been saved.', 'global-notice-success-full'),
		'success_project_delete' => array('Project has been deleted.', 'global-notice-success-full'),
		'failed_project_save' => array('Project could not be saved. Please, try again.', 'global-notice-failed-full'),
		'failed_project_delete' => array('Project could not be deleted. Please, try again.', 'global-notice-failed-full'),
		'patient_has_active_encounter' => array('The patient still has an active encounter in', 'global-notice-failed-full'),
		'failed_not_allowed' => array('You have no access to view that page.', 'global-notice-failed-full'),
		
		'success_vacancy_save' => array('Vacancy has been saved.', 'global-notice-success-full'),
		'success_vacancy_update' => array('Vacancy has been updated.', 'global-notice-success-full'),
		'success_vacancy_delete' => array('Vacancy has been deleted.', 'global-notice-success-full'),
		
		'failed_vacancy_save' => array('Vacancy could not be saved. Please, try again.', 'global-notice-failed-full'),
		'failed_vacancy_update' => array('Vacancy could not be update. Please, try again.', 'global-notice-failed-full'),
		'failed_vacancy_delete' => array('Vacancy could not be deleted. Please, try again.', 'global-notice-failed-full'),
		
		'failed_vacancy_save' => array('Vacancy could not be saved. Please, try again.', 'global-notice-failed-full'),
		'failed_vacancy_update' => array('Vacancy could not be update. Please, try again.', 'global-notice-failed-full'),
		'failed_vacancy_delete' => array('Vacancy could not be deleted. Please, try again.', 'global-notice-failed-full'),
		
		'success_applicant_save' => array('Applicant has been saved.', 'alert.success-full-classic'),
		'success_applicant_update' => array('Applicant has been updated.', 'alert.success-full-classic'),
		'success_applicant_delete' => array('Applicant has been deleted.', 'alert.success-full-classic'),
		'failed_no_applicant_selected' => array('No selected Position.', 'alert.success-full-classic'),
		
		'success_applicant_examination_save' => array('Applicant Examination has been saved.', 'global-notice-success-full'),
		
		'success_applicant_examination_check' => array('Applicant Examination has been checked.', 'global-notice-success-full'),
		
		'success_applicant_examination_delete' => array('Applicant Examination has been deleted.', 'global-notice-success-full'),
		
		'failed_applicant_save' => array('Applicant could not be saved. Please, try again.', 'global-notice-failed-full'),
		'failed_applicant_update' => array('Applicant could not be update. Please, try again.', 'global-notice-failed-full'),
		'failed_applicant_delete' => array('Applicant could not be deleted. Please, try again.', 'global-notice-failed-full'),
		
		'failed_applicant_examination_save' => array('Applicant Examination could not be saved. Please, try again.', 'global-notice-failed-full'),
		
		'failed_applicant_examination_check' => array('Applicant Examination could not be checked. Please, try again.', 'global-notice-failed-full'),
		
		'failed_applicant_examination_delete' => array('Applicant Examination could not be deleted. Please, try again.', 'global-notice-failed-full'),
		
		'success_exam_save' => array('Exam has been saved.', 'global-notice-success-full'),
		'success_exam_update' => array('Exam has been updated.', 'global-notice-success-full'),
		'success_exam_delete' => array('Exam has been deleted.', 'global-notice-success-full'),
		
		'failed_exam_save' => array('Exam could not be saved. Please, try again.', 'global-notice-failed-full'),
		'failed_exam_update' => array('Exam could not be update. Please, try again.', 'global-notice-failed-full'),
		'failed_exam_delete' => array('Exam could not be deleted. Please, try again.', 'global-notice-failed-full'),
		
		'success_employee_performance_appraisal_save' => array('Employee Performance Appraisal Attribute has been saved.', 'global-notice-success-full'),
		'success_employee_performance_appraisal_update' => array('Employee Performance Appraisal Attribute has been updated.', 'global-notice-success-full'),
		'success_employee_performance_appraisal_delete' => array('Employee Performance Appraisal Attribute has been deleted.', 'global-notice-success-full'),
		
		'failed_employee_performance_appraisal_save' => array('Employee Performance Appraisal Attribute could not be saved. Please, try again.', 'global-notice-failed-full'),
		'failed_employee_performance_appraisal_update' => array('Employee Performance Appraisal Attribute could not be update. Please, try again.', 'global-notice-failed-full'),
		'failed_employee_performance_appraisal_delete' => array('Employee Performance Appraisal Attribute could not be deleted. Please, try again.', 'global-notice-failed-full'),
		
		'success_performance_appraisal_attribute_save' => array('Performance Appraisal Attribute has been saved.', 'global-notice-success-full'),
		'success_performance_appraisal_attribute_update' => array('Performance Appraisal Attribute has been updated.', 'global-notice-success-full'),
		'success_performance_appraisal_attribute_delete' => array('Performance Appraisal Attribute has been deleted.', 'global-notice-success-full'),
		
		'failed_performance_appraisal_attribute_save' => array('Performance Appraisal Attribute could not be saved. Please, try again.', 'global-notice-failed-full'),
		'failed_performance_appraisal_attribute_update' => array('Performance Appraisal Attribute could not be update. Please, try again.', 'global-notice-failed-full'),
		'failed_performance_appraisal_attribute_delete' => array('Performance Appraisal Attribute could not be deleted. Please, try again.', 'global-notice-failed-full'),
		
		'success_new_hire_save' => array('New Hire has been saved.', 'global-notice-success-full'),
		'success_new_hire_update' => array('New Hire has been updated.', 'global-notice-success-full'),
		'success_new_hire_delete' => array('New Hire has been deleted.', 'global-notice-success-full'),
		
		'failed_new_hire_save' => array('New Hire could not be saved. Please, try again.', 'global-notice-failed-full'),
		'failed_new_hire_update' => array('New Hire could not be update. Please, try again.', 'global-notice-failed-full'),
		'failed_new_hire_delete' => array('New Hire could not be deleted. Please, try again.', 'global-notice-failed-full'),
		
		'success_promotion_save' => array('Promotion has been saved.', 'global-notice-success-full'),
		'success_promotion_update' => array('Promotion has been updated.', 'global-notice-success-full'),
		'success_promotion_delete' => array('Promotion has been deleted.', 'global-notice-success-full'),
		
		'failed_promotion_save' => array('Promotion could not be saved. Please, try again.', 'global-notice-failed-full'),
		'failed_promotion_update' => array('Promotion could not be update. Please, try again.', 'global-notice-failed-full'),
		'failed_promotion_delete' => array('Promotion could not be deleted. Please, try again.', 'global-notice-failed-full'),
		
		'success_transfer_save' => array('Transfer has been saved.', 'global-notice-success-full'),
		'success_transfer_update' => array('Transfer has been updated.', 'global-notice-success-full'),
		'success_transfer_delete' => array('Transfer has been deleted.', 'global-notice-success-full'),
		
		'please_select_employee' => array('Please Select Employee', 'global-notice-failed-full'),
		
		'failed_transfer_save' => array('Transfer could not be saved. Please, try again.', 'global-notice-failed-full'),
		'failed_transfer_update' => array('Transfer could not be update. Please, try again.', 'global-notice-failed-full'),
		'failed_transfer_delete' => array('Transfer could not be deleted. Please, try again.', 'global-notice-failed-full'),
		
		'success_re_employment_save' => array('Re Employment has been saved.', 'global-notice-success-full'),
		'success_re_employment_update' => array('Re Employment has been updated.', 'global-notice-success-full'),
		'success_re_employment_delete' => array('Re Employment has been deleted.', 'global-notice-success-full'),
		
		'failed_re_employment_save' => array('Re Employment could not be saved. Please, try again.', 'global-notice-failed-full'),
		'failed_re_employment_update' => array('Re Employment could not be update. Please, try again.', 'global-notice-failed-full'),
		'failed_re_employment_delete' => array('Re Employment could not be deleted. Please, try again.', 'global-notice-failed-full'),
		
		'success_re_appointment_save' => array('Re Appointment has been saved.', 'global-notice-success-full'),
		'success_re_appointment_update' => array('Re Appointment has been updated.', 'global-notice-success-full'),
		'success_re_appointment_delete' => array('Re Appointment has been deleted.', 'global-notice-success-full'),
		
		'failed_re_appointment_save' => array('Re Appointment could not be saved. Please, try again.', 'global-notice-failed-full'),
		'failed_re_appointment_update' => array('Re Appointment could not be update. Please, try again.', 'global-notice-failed-full'),
		'failed_re_appointment_delete' => array('Re Appointment could not be deleted. Please, try again.', 'global-notice-failed-full'),
		
		'success_renewal_save' => array('Renewal has been saved.', 'global-notice-success-full'),
		'success_renewal_update' => array('Renewal has been updated.', 'global-notice-success-full'),
		'success_renewal_delete' => array('Renewal has been deleted.', 'global-notice-success-full'),
		
		'failed_renewal_save' => array('Renewal could not be saved. Please, try again.', 'global-notice-failed-full'),
		'failed_renewal_update' => array('Renewal could not be update. Please, try again.', 'global-notice-failed-full'),
		'failed_renewal_delete' => array('Renewal could not be deleted. Please, try again.', 'global-notice-failed-full'),
		
		
		'success_demotion_save' => array('Demotion has been saved.', 'global-notice-success-full'),
		'success_demotion_update' => array('Demotion has been updated.', 'global-notice-success-full'),
		'success_demotion_delete' => array('Demotion has been deleted.', 'global-notice-success-full'),
		
		'failed_demotion_save' => array('Demotion could not be saved. Please, try again.', 'global-notice-failed-full'),
		'failed_demotion_update' => array('Demotion could not be update. Please, try again.', 'global-notice-failed-full'),
		'failed_demotion_delete' => array('Demotion could not be deleted. Please, try again.', 'global-notice-failed-full'),
		
		'success_reinstatement_save' => array('Reinstatement has been saved.', 'global-notice-success-full'),
		'success_reinstatement_update' => array('Reinstatement has been updated.', 'global-notice-success-full'),
		'success_reinstatement_delete' => array('Reinstatement has been deleted.', 'global-notice-success-full'),
		
		'failed_reinstatement_save' => array('Reinstatement could not be saved. Please, try again.', 'global-notice-failed-full'),
		'failed_reinstatement_update' => array('Reinstatement could not be update. Please, try again.', 'global-notice-failed-full'),
		'failed_reinstatement_delete' => array('Reinstatement could not be deleted. Please, try again.', 'global-notice-failed-full'),
		
		'success_change_of_status_save' => array('Change of Status has been saved.', 'global-notice-success-full'),
		'success_change_of_status_update' => array('Change of Status has been updated.', 'global-notice-success-full'),
		'success_change_of_status_delete' => array('Change of Status has been deleted.', 'global-notice-success-full'),
		
		'failed_change_of_status_save' => array('Change of Status could not be saved. Please, try again.', 'global-notice-failed-full'),
		'failed_change_of_statust_update' => array('Change of Status could not be update. Please, try again.', 'global-notice-failed-full'),
		'failed_change_of_status_delete' => array('Change of Status could not be deleted. Please, try again.', 'global-notice-failed-full'),
		
		
		'success_reclassification_of_position_save' => array('Reclassification of Position has been saved.', 'global-notice-success-full'),
		'success_reclassification_of_position_update' => array('Reclassification of Position has been updated.', 'global-notice-success-full'),
		'success_reclassification_of_position_delete' => array('Reclassification of Position has been deleted.', 'global-notice-success-full'),
		
		'failed_reclassification_of_position_save' => array('Reclassification of Position could not be saved. Please, try again.', 'global-notice-failed-full'),
		'failed_reclassification_of_position_update' => array('Reclassification of Position could not be update. Please, try again.', 'global-notice-failed-full'),
		'failed_reclassification_of_position_delete' => array('Reclassification of Position could not be deleted. Please, try again.', 'global-notice-failed-full'),
		
		'success_step_increment_save' => array('Step Increment has been saved.', 'global-notice-success-full'),
		'success_step_increment_update' => array('Step Increment has been updated.', 'global-notice-success-full'),
		'success_step_increment_delete' => array('Step Increment has been deleted.', 'global-notice-success-full'),
		
		'failed_step_increment_save' => array('Step Increment could not be saved. Please, try again.', 'global-notice-failed-full'),
		'failed_step_increment_update' => array('Step Increment could not be update. Please, try again.', 'global-notice-failed-full'),
		'failed_step_increment_delete' => array('Step Increment could not be deleted. Please, try again.', 'global-notice-failed-full'),
		
		'success_reassignment_save' => array('Reassignment has been saved.', 'global-notice-success-full'),
		'success_reassignment_update' => array('Reassignment has been updated.', 'global-notice-success-full'),
		'success_reassignment_delete' => array('Reassignment has been deleted.', 'global-notice-success-full'),
		
		'failed_reassignment_save' => array('Reassignment could not be saved. Please, try again.', 'global-notice-failed-full'),
		'failed_reassignment_update' => array('Reassignment could not be update. Please, try again.', 'global-notice-failed-full'),
		'failed_reassignment_delete' => array('Reassignment could not be deleted. Please, try again.', 'global-notice-failed-full'),
		
		'success_job_rotation_save' => array('Job Rotation has been saved.', 'global-notice-success-full'),
		'success_job_rotation_update' => array('Job Rotation has been updated.', 'global-notice-success-full'),
		'success_job_rotation_delete' => array('Job Rotation has been deleted.', 'global-notice-success-full'),
		
		'failed_job_rotation_save' => array('Job Rotation could not be saved. Please, try again.', 'global-notice-failed-full'),
		'failed_job_rotation_update' => array('Job Rotation could not be update. Please, try again.', 'global-notice-failed-full'),
		'failed_job_rotation_delete' => array('Job Rotation could not be deleted. Please, try again.', 'global-notice-failed-full'),
	
		'success_secondment_save' => array('Secondment has been saved.', 'global-notice-success-full'),
		'success_secondment_update' => array('Secondment has been updated.', 'global-notice-success-full'),
		'success_secondment_delete' => array('Secondment has been deleted.', 'global-notice-success-full'),
		
		'failed_secondment_save' => array('Secondment could not be saved. Please, try again.', 'global-notice-failed-full'),
		'failed_secondment_update' => array('Secondment could not be update. Please, try again.', 'global-notice-failed-full'),
		'failed_secondment_delete' => array('Secondment could not be deleted. Please, try again.', 'global-notice-failed-full'),
		
		'success_job_title_item_number_save' => array('Plantilla Item Number has been saved.', 'global-notice-success-full'),
		'success_job_title_item_number_update' => array('Plantilla Item Number has been updated.', 'global-notice-success-full'),
		'success_job_title_item_number_delete' => array('Plantilla Item Number has been deleted.', 'global-notice-success-full'),
		
		'failed_job_title_item_number_save' => array('Plantilla Item Number could not be saved. Please, try again.', 'global-notice-failed-full'),
		'failed_job_title_item_number_update' => array('Plantilla Item Number could not be update. Please, try again.', 'global-notice-failed-full'),
		'failed_job_title_item_number_delete' => array('Plantilla Item Number could not be deleted. Please, try again.', 'global-notice-failed-full'),
		
		'success_job_title_item_number_enable' => array('Plantilla Item Number has been enabled.', 'global-notice-success-full'),
		'failed_job_title_item_number_enable' => array('Plantilla Item Number could not be enabled. Please, try again.', 'global-notice-failed-full'),
		'success_job_title_item_number_disable' => array('Plantilla Item Number has been disabled.', 'global-notice-success-full'),
		'failed_job_title_item_number_disable' => array('Plantilla Item Number could not be disabled. Please, try again.', 'global-notice-failed-full'),
		
		'success_dismissal_save' => array('Dismissal has been saved.', 'global-notice-success-full'),
		'success_dismissal_update' => array('Dismissal has been updated.', 'global-notice-success-full'),
		'success_dismissal_delete' => array('Dismissal has been deleted.', 'global-notice-success-full'),
		
		'failed_dismissal_save' => array('Dismissal could not be saved. Please, try again.', 'global-notice-failed-full'),
		'failed_dismissal_update' => array('Dismissal could not be update. Please, try again.', 'global-notice-failed-full'),
		'failed_dismissal_delete' => array('Dismissal could not be deleted. Please, try again.', 'global-notice-failed-full'),
		
		'success_resignation_save' => array('Resignation has been saved.', 'global-notice-success-full'),
		'success_resignation_update' => array('Resignation has been updated.', 'global-notice-success-full'),
		'success_resignation_delete' => array('Resignation has been deleted.', 'global-notice-success-full'),
		
		'failed_resignation_save' => array('Resignation could not be saved. Please, try again.', 'global-notice-failed-full'),
		'failed_resignation_update' => array('Resignation could not be update. Please, try again.', 'global-notice-failed-full'),
		'failed_resignation_delete' => array('Resignation could not be deleted. Please, try again.', 'global-notice-failed-full'),
		
		'success_retirement_save' => array('Retirement has been saved.', 'global-notice-success-full'),
		'success_retirement_update' => array('Retirement has been updated.', 'global-notice-success-full'),
		'success_retirement_delete' => array('Retirement has been deleted.', 'global-notice-success-full'),
		
		'failed_retirement_save' => array('Retirement could not be saved. Please, try again.', 'global-notice-failed-full'),
		'failed_retirement_update' => array('Retirement could not be update. Please, try again.', 'global-notice-failed-full'),
		'failed_retirement_delete' => array('Retirement could not be deleted. Please, try again.', 'global-notice-failed-full'),
		
		'success_death_save' => array('Death has been saved.', 'global-notice-success-full'),
		'success_death_update' => array('Death has been updated.', 'global-notice-success-full'),
		'success_death_delete' => array('Death has been deleted.', 'global-notice-success-full'),
		
		'failed_death_save' => array('Death could not be saved. Please, try again.', 'global-notice-failed-full'),
		'failed_death_update' => array('Death could not be update. Please, try again.', 'global-notice-failed-full'),
		'failed_death_delete' => array('Death could not be deleted. Please, try again.', 'global-notice-failed-full'),
		
		
		'success_dropping_from_the_roll_save' => array('Dropping the Roll has been saved.', 'global-notice-success-full'),
		'success_dropping_from_the_roll_update' => array('Dropping the Roll has been updated.', 'global-notice-success-full'),
		'success_dropping_from_the_roll_delete' => array('Dropping the Roll has been deleted.', 'global-notice-success-full'),
		
		'failed_dropping_from_the_roll_save' => array('Dropping the Roll could not be saved. Please, try again.', 'global-notice-failed-full'),
		'failed_dropping_from_the_roll_update' => array('Dropping the Roll could not be update. Please, try again.', 'global-notice-failed-full'),
		'failed_dropping_from_the_roll_delete' => array('Dropping the Roll could not be deleted. Please, try again.', 'global-notice-failed-full'),
		
		
		'success_completion_of_residency_training_save' => array('Completion of Residency Training has been saved.', 'global-notice-success-full'),
		'success_completion_of_residency_training_update' => array('Completion of Residency Training has been updated.', 'global-notice-success-full'),
		'success_completion_of_residency_training_delete' => array('Completion of Residency Training has been deleted.', 'global-notice-success-full'),
		
		'failed_completion_of_residency_training_save' => array('Completion of Residency Training could not be saved. Please, try again.', 'global-notice-failed-full'),
		'failed_completion_of_residency_training_update' => array('Completion of Residency Training could not be update. Please, try again.', 'global-notice-failed-full'),
		'failed_completion_of_residency_training_delete' => array('Completion of Residency Training could not be deleted. Please, try again.', 'global-notice-failed-full'),
		
		
		'success_shift_save' => array('Shift has been saved.', 'global-notice-success-full'),
		'success_shift_update' => array('Shift has been updated.', 'global-notice-success-full'),
		'success_shift_delete' => array('Shift has been deleted.', 'global-notice-success-full'),
		
		'failed_shift_save' => array('Shift could not be saved. Please, try again.', 'global-notice-failed-full'),
		'failed_shift_update' => array('Shift could not be update. Please, try again.', 'global-notice-failed-full'),
		'failed_shift_delete' => array('Shift could not be deleted. Please, try again.', 'global-notice-failed-full'),

		'success_other_information_save_for_hr_approval' => array('New Other Information has been sent to hr for subject for approval.', 'global-notice-success-full'),
		'success_other_information_save' => array('Other Information has been saved.', 'global-notice-success-full'),
		'success_other_information_update' => array('Other Information has been updated.', 'global-notice-success-full'),
		'success_other_information_delete' => array('Other Information has been deleted.', 'global-notice-success-full'),

		'success_no_data_other_information_save' => array('No data has been saved.', 'global-notice-failed-full'),
		

		'failed_other_information_save' => array('Other Information could not be saved. Please, try again.', 'global-notice-failed-full'),
		'failed_other_information_update' => array('Other Information could not be update. Please, try again.', 'global-notice-failed-full'),
		'failed_other_information_delete' => array('Other Information could not be deleted. Please, try again.', 'global-notice-failed-full'),
		
		
		
		'success_other_information_question_save_for_hr_approval' => array('New Other Information has been sent to hr for subject for approval.', 'global-notice-success-full'),
		'success_other_information_question_save' => array('Other Information has been saved.', 'global-notice-success-full'),
		'success_other_information_question_update' => array('Other Information has been updated.', 'global-notice-success-full'),
		'success_other_information_question_delete' => array('Other Information has been deleted.', 'global-notice-success-full'),
		
		'failed_other_information_question_save' => array('Other Information could not be saved. Please, try again.', 'global-notice-failed-full'),
		'failed_other_information_question_update' => array('Other Information could not be update. Please, try again.', 'global-notice-failed-full'),
		'failed_other_information_question_delete' => array('Other Information could not be deleted. Please, try again.', 'global-notice-failed-full'),
		
		
		
		

		'success_reference_save' => array('Reference has been saved.', 'global-notice-success-full'),
		'success_reference_update' => array('Reference has been updated.', 'global-notice-success-full'),
		'success_reference_delete' => array('Reference has been deleted.', 'global-notice-success-full'),
		
		'failed_reference_save' => array('Reference could not be saved. Please, try again.', 'global-notice-failed-full'),
		'failed_reference_update' => array('Reference could not be update. Please, try again.', 'global-notice-failed-full'),
		'failed_reference_delete' => array('Reference could not be deleted. Please, try again.', 'global-notice-failed-full'),

		'success_government_issued_id_save_to_hr_approval' => array('New Government issued Id has been sent to hr for subject for approval.', 'global-notice-success-full'),
		'success_government_issued_id_save' => array('Government issued Id has been saved.', 'global-notice-success-full'),
		'success_government_issued_id_update' => array('Government issued Id has been updated.', 'global-notice-success-full'),
		'success_government_issued_id_delete' => array('Government issued Id has been deleted.', 'global-notice-success-full'),
		
		'failed_government_issued_id_save' => array('Government issued Id could not be saved. Please, try again.', 'global-notice-failed-full'),
		'failed_government_issued_ide_update' => array('Government issued Id could not be update. Please, try again.', 'global-notice-failed-full'),
		'failed_government_issued_id_delete' => array('Government issued Id could not be deleted. Please, try again.', 'global-notice-failed-full'),
		
		
		'success_organizational_chart_save' => array('Organizational Chart has been saved.', 'global-notice-success-full'),
		'success_organizational_chart_update' => array('Organizational Chart has been updated.', 'global-notice-success-full'),
		'success_organizational_chart_delete' => array('Organizational Chart has been deleted.', 'global-notice-success-full'),
		
		'failed_organizational_chart_save' => array('Organizational Chart could not be saved. Please, try again.', 'global-notice-failed-full'),
		'failed_organizational_chart_update' => array('Organizational Chart could not be update. Please, try again.', 'global-notice-failed-full'),
		'failed_organizational_chart_delete' => array('Organizational Chart could not be deleted. Please, try again.', 'global-notice-failed-full'),
		
		
		'success_learning_and_development_save_for_hr_approval' => array('New Learning and Development has been sent to hr for subject for approval.', 'global-notice-success-full'),
		'success_learning_and_development_save' => array('Learning and Development has been saved.', 'global-notice-success-full'),
		'success_learning_and_development_update' => array('Learning and Development has been updated.', 'global-notice-success-full'),
		'success_learning_and_development_delete' => array('Learning and Development has been deleted.', 'global-notice-success-full'),
		
		'failed_learning_and_development_save' => array('Learning and Development could not be saved. Please, try again.', 'global-notice-failed-full'),
		'failed_learning_and_development_update' => array('Learning and Development could not be update. Please, try again.', 'global-notice-failed-full'),
		'failed_learning_and_development_delete' => array('Learning and Development could not be deleted. Please, try again.', 'global-notice-failed-full'),


		'success_position_detail_history_log_save' => array('Position Detail History Log has been saved.', 'global-notice-success-full'),
		'success_position_detail_history_log_update' => array('Position Detail History Log has been updated.', 'global-notice-success-full'),
		'success_position_detail_history_log_delete' => array('Position Detail History Log has been deleted.', 'global-notice-success-full'),

		'failed_position_detail_history_log_save' => array('Position Detail History Log could not be saved. Please, try again.', 'global-notice-failed-full'),
		'failed_position_detail_history_log_update' => array('Position Detail History Log could not be update. Please, try again.', 'global-notice-failed-full'),
		'failed_position_detail_history_log_delete' => array('Position Detail History Log could not be deleted. Please, try again.', 'global-notice-failed-full'),


		'success_payroll_detail_history_log_save' => array('Payroll Detail History Log has been saved.', 'global-notice-success-full'),
		'success_payroll_detail_history_log_update' => array('Payroll Detail History Log has been updated.', 'global-notice-success-full'),
		'success_payroll_detail_history_log_delete' => array('Payroll Detail History Log has been deleted.', 'global-notice-success-full'),
		
		'success_cash_gift_save' => array('Cash Gift has been saved.', 'global-notice-success-full'),
		'success_cash_gift_deduction' => array('Cash Gift Deduction has been saved.', 'global-notice-success-full'),
		'success_cash_gift_regenerate' => array('Cash Gift has been regenerated.', 'global-notice-success-full'),
		'success_cash_gift_update' => array('Cash Gift has been updated.', 'global-notice-success-full'),
		'success_cash_gift_delete' => array('Cash Gift has been deleted.', 'global-notice-success-full'),
		
		'failed_cash_gift_save' => array('Cash Gift could not be saved. Please, try again.', 'global-notice-failed-full'),
		'failed_cash_gift_update' => array('Cash Gift could not be update. Please, try again.', 'global-notice-failed-full'),
		'failed_cash_gift_delete' => array('Cash Gift could not be deleted. Please, try again.', 'global-notice-failed-full'),
		'failed_cash_gift_validate_employee_save' => array('Employee already exist in this Cash Gift. Please, try again.', 'global-notice-failed-full'),
		

		'failed_payroll_detail_history_log_save' => array('Payroll Detail History Log could not be saved. Please, try again.', 'global-notice-failed-full'),
		'failed_payroll_detail_history_log_update' => array('Payroll Detail History Log could not be update. Please, try again.', 'global-notice-failed-full'),
		'failed_payroll_detail_history_log_delete' => array('Payroll Detail History Log could not be deleted. Please, try again.', 'global-notice-failed-full'),


		'success_bank_account_detail_history_log_save' => array('Bank Account Detail History Log has been saved.', 'global-notice-success-full'),
		'success_bank_account_detail_history_log_update' => array('Bank Account Detail History Log has been updated.', 'global-notice-success-full'),
		'success_bank_account_detail_history_log_delete' => array('Bank Account Detail History Log has been deleted.', 'global-notice-success-full'),

		'failed_bank_account_history_log_save' => array('Bank Account Detail History Log could not be saved. Please, try again.', 'global-notice-failed-full'),
		'failed_bank_account_history_log_update' => array('Bank Account Detail History Log could not be update. Please, try again.', 'global-notice-failed-full'),
		'failed_bank_account_history_log_delete' => array('Bank Account Detail History Log could not be deleted. Please, try again.', 'global-notice-failed-full'),
		
		
		'success_leave_entry_save' => array('Leave Entry has been saved.', 'global-notice-success-full'),
		'success_leave_entry_update' => array('Leave Entry has been updated.', 'global-notice-success-full'),
		'success_leave_entry_delete' => array('Leave Entry has been deleted.', 'global-notice-success-full'),
		'success_leave_entry_disapproved' => array('Leave Entry has been disapproved.', 'global-notice-success-full'),

		'failed_leave_entry_save' => array('Leave Entry could not be saved. Please, try again.', 'global-notice-failed-full'),
		'failed_leave_entry_update' => array('Leave Entry could not be update. Please, try again.', 'global-notice-failed-full'),
		'failed_leave_entry_delete' => array('Leave Entry could not be deleted. Please, try again.', 'global-notice-failed-full'),
		'failed_leave_entry_disapproved' => array('Leave Entry could not be disapproved. Please, try again.', 'global-notice-failed-full'),
		
		'success_temp_time_dispute_approval' => array('Time Dispute has been approved.', 'global-notice-success-full'),
		'failed_temp_time_dispute_save_approval' => array('Time Dispute has been disapproved.', 'global-notice-failed-full'),
		
		'success_temp_time_dispute_save' => array('Time Dispute saved.', 'global-notice-success-full'),
		'failed_temp_time_dispute_save' => array('Time Dispute could not be saved. Please, try again.', 'global-notice-failed-full'),
		'no_schedule_date_temp_time_dispute_save' => array('Schedule date not found. Please, try again.', 'global-notice-failed-full'),
		
		'success_temp_time_dispute_update' => array('Time Dispute has been updated.', 'global-notice-success-full'),
		'failed_temp_time_dispute_update' => array('Time Dispute could not be update. Please, try again.', 'global-notice-failed-full'),

		'success_temp_time_dispute_delete' => array('Time Dispute has been deleted.', 'global-notice-success-full'),
		'failed_temp_time_dispute_delete' => array('Time Dispute could not be delete. Please, try again.', 'global-notice-failed-full'),
		
		'success_temp_time_dispute_disapproved' => array('Time Dispute has been disapproved.', 'global-notice-success-full'),
		'failed_temp_time_dispute_disapproved' => array('Time Dispute has been disapproved.', 'global-notice-success-full'),
		
		'success_temp_time_dispute_void' => array('Time Dispute has been void.', 'global-notice-success-full'),
		'failed_temp_time_dispute_void' => array('Time Dispute has been void.', 'global-notice-success-full'),
		
		/************************************************************************/
		'success_salary_adjustment_save' => array('Salary Adjustment has been saved.', 'global-notice-success-full'),
		'failed_salary_adjustment_save' => array('Salary Adjustment could not be saved. Please, try again.', 'global-notice-failed-full'),
		
		'success_salary_adjustment_update' => array('Salary Adjustment has been updated.', 'global-notice-success-full'),
		'failed_salary_adjustment_update' => array('Salary Adjustment could not be update. Please, try again.', 'global-notice-failed-full'),

		'success_salary_adjustment_delete' => array('Salary Adjustment has been deleted.', 'global-notice-success-full'),
		'failed_salary_adjustment_delete' => array('Salary Adjustment could not be delete. Please, try again.', 'global-notice-failed-full'),
		
		/************************************************************************/
		'success_hourly_attendance_save' => array('Hourly Attendance has been saved.', 'global-notice-success-full'),
		'failed_hourly_attendance_save' => array('Hourly Attendance could not be saved. Please, try again.', 'global-notice-failed-full'),
		
		'success_hourly_attendance_update' => array('Hourly Attendance has been updated.', 'global-notice-success-full'),
		'failed_hourly_attendance_update' => array('Hourly Attendance could not be update. Please, try again.', 'global-notice-failed-full'),

		'success_hourly_attendance_delete' => array('Hourly Attendance has been deleted.', 'global-notice-success-full'),
		'failed_hourly_attendance_delete' => array('Hourly Attendance could not be delete. Please, try again.', 'global-notice-failed-full'),
		/************************************************************************/
		'success_temp_employee_save' => array('Personal Information has been saved. Please submit to HR for approval.', 'global-notice-success-full'),
		'failed_temp_employee_save' => array('Personal Information could not be saved. Please, try again.', 'global-notice-failed-full'),
		'success_temp_employee_update' => array('Personal Information has been updated.', 'global-notice-success-full'),
		'failed_temp_employee_update' => array('Personal Information could not be update. Please, try again.', 'global-notice-failed-full'),
		
		'success_temp_employee_submitted_to_hr' => array('Personal Information has been submitted to HR.', 'global-notice-success-full'),
		'failed_temp_employee_submitted_to_hr' => array('Personal Information could not be submitted to HR.', 'global-notice-success-full'),
		
		'success_temp_employee_disapprove' => array('Personal Information has been disapproved.', 'global-notice-success-full'),
		'failed_temp_employee_disapprove' => array('Personal Information could not be disapproved. Please, try again.', 'global-notice-failed-full'),
		
		'failed_temp_employee_save_no_changes' => array('Personal Information could not be saved. No changes found. Please, try again.', 'global-notice-failed-full'),
		/************************************************************************/
		'success_temp_family_member_save' => array('Family Member has been saved. Please submit to HR for approval.', 'global-notice-success-full'),
		'failed_temp_family_member_save' => array('Family Member could not be saved. Please, try again.', 'global-notice-failed-full'),
		'success_temp_family_member_update' => array('Family Member has been updated.', 'global-notice-success-full'),
		'failed_temp_family_member_update' => array('Family Member could not be update. Please, try again.', 'global-notice-failed-full'),
		
		'success_temp_family_member_submitted_to_hr' => array('Family Member has been submitted to HR.', 'global-notice-success-full'),
		'failed_temp_family_member_submitted_to_hr' => array('Family Member could not be submitted to HR.', 'global-notice-success-full'),
		
		'success_temp_family_member_disapprove' => array('Family Member has been disapproved.', 'global-notice-success-full'),
		'failed_temp_family_member_disapprove' => array('Family Member could not be disapproved. Please, try again.', 'global-notice-failed-full'),
		/************************************************************************/
		'success_temp_education_save' => array('Educational has been saved. Please submit to HR for approval.', 'global-notice-success-full'),
		'failed_temp_education_save' => array('Education could not be saved. Please, try again.', 'global-notice-failed-full'),
		'success_temp_education_update' => array('Education has been updated.', 'global-notice-success-full'),
		'failed_temp_education_update' => array('Education could not be update. Please, try again.', 'global-notice-failed-full'),
		
		'success_temp_education_submitted_to_hr' => array('Education has been submitted to HR.', 'global-notice-success-full'),
		'failed_temp_education_submitted_to_hr' => array('Education could not be submitted to HR.', 'global-notice-success-full'),
		
		'success_temp_education_disapprove' => array('Education has been disapproved.', 'global-notice-success-full'),
		'failed_temp_education_disapprove' => array('Education could not be disapproved. Please, try again.', 'global-notice-failed-full'),
		
		
		
		'success_temp_reference_save_submitted_to_hr' => array('Reference has been saved. Please submit to HR for approval.', 'global-notice-success-full'),
		'success_temp_reference_submitted_to_hr' => array('Reference has been submitted to HR.', 'global-notice-success-full'),
		// 'failed_temp_education_save' => array('Education could not be saved. Please, try again.', 'global-notice-failed-full'),
		// 'success_temp_education_update' => array('Education has been updated.', 'global-notice-success-full'),
		// 'failed_temp_education_update' => array('Education could not be update. Please, try again.', 'global-notice-failed-full'),
		
		'success_temp_reference_approve' => array('Reference has been approved.', 'global-notice-success-full'),
		// 'failed_temp_education_submitted_to_hr' => array('Education could not be submitted to HR.', 'global-notice-success-full'),
		
		'success_temp_reference_disapprove' => array('Reference has been disapproved.', 'global-notice-success-full'),
		'failed_temp_reference_disapprove' => array('Reference could not be disapproved. Please, try again.', 'global-notice-failed-full'),
		/************************************************************************/
		'success_temp_civil_service_save' => array('Civil Service has been saved. Please submit to HR for approval.', 'global-notice-success-full'),
		'failed_temp_civil_service_save' => array('Civil Service could not be saved. Please, try again.', 'global-notice-failed-full'),
		'success_temp_civil_service_update' => array('Civil Service has been updated.', 'global-notice-success-full'),
		'failed_temp_civil_service_update' => array('Civil Service could not be update. Please, try again.', 'global-notice-failed-full'),
		
		'success_temp_civil_service_submitted_to_hr' => array('Civil Service has been submitted to HR.', 'global-notice-success-full'),
		'failed_temp_civil_service_submitted_to_hr' => array('Civil Service could not be submitted to HR.', 'global-notice-success-full'),
		
		'success_temp_civil_service_disapprove' => array('Civil Service has been disapproved.', 'global-notice-success-full'),
		'failed_temp_civil_service_disapprove' => array('Civil Service could not be disapproved. Please, try again.', 'global-notice-failed-full'),
		
		
		/************************************************************************/
		'success_temp_work_experience_save' => array('Work Experience has been saved. Please submit to HR for approval.', 'global-notice-success-full'),
		'failed_temp_work_experience_save' => array('Work Experience could not be saved. Please, try again.', 'global-notice-failed-full'),
		'success_temp_work_experience_update' => array('Work Experience has been updated.', 'global-notice-success-full'),
		'failed_temp_work_experience_update' => array('Work Experience could not be update. Please, try again.', 'global-notice-failed-full'),
		
		'success_temp_work_experience_submitted_to_hr' => array('Work Experience has been submitted to HR.', 'global-notice-success-full'),
		'failed_temp_work_experience_submitted_to_hr' => array('Work Experience could not be submitted to HR.', 'global-notice-success-full'),
		
		'success_temp_work_experience_disapprove' => array('Work Experience has been disapproved.', 'global-notice-success-full'),
		'failed_temp_work_experience_disapprove' => array('Work Experience could not be disapproved. Please, try again.', 'global-notice-failed-full'),
		
		// balik ka 
		/************************************************************************/
		'success_temp_voluntary_work_save' => array('Voluntary Work has been saved. Please submit to HR for approval.', 'global-notice-success-full'),
		'failed_temp_voluntary_work_save' => array('Voluntary Work could not be saved. Please, try again.', 'global-notice-failed-full'),
		'success_temp_voluntary_work_update' => array('Voluntary Work has been updated.', 'global-notice-success-full'),
		'failed_temp_voluntary_work_update' => array('Voluntary Work could not be update. Please, try again.', 'global-notice-failed-full'),
		
		'success_temp_voluntary_work_submitted_to_hr' => array('Voluntary Work has been submitted to HR.', 'global-notice-success-full'),
		'failed_temp_voluntary_work_submitted_to_hr' => array('Voluntary Work could not be submitted to HR.', 'global-notice-success-full'),
		
		'success_temp_voluntary_work_disapprove' => array('Voluntary Work has been disapproved.', 'global-notice-success-full'),
		'failed_temp_voluntary_work_disapprove' => array('Voluntary Work could not be disapproved. Please, try again.', 'global-notice-failed-full'),
		
		'success_temp_voluntary_work_delete' => array('My Temporary Voluntary Work has been deleted.','global-notice-success-full'),
		'failed_temp_voluntary_work_delete' => array('My Temporary Voluntary Work could not deleted.','global-notice-failed-full'),
		'success_current_voluntary_work_delete' => array('My Current Voluntary Work has been deleted.','global-notice-success-full'),
		'failed_current_voluntary_work_delete' => array('My CurrentTemporary Voluntary Work could not deleted.','global-notice-failed-full'),
		
		
		
		/************************************************************************/
		'success_temp_learning_and_development_save' => array('Learning and Development has been saved. Please submit to HR for approval.', 'global-notice-success-full'),
		'failed_temp_learning_and_development_save' => array('Learning and Development could not be saved. Please, try again.', 'global-notice-failed-full'),
		'success_temp_learning_and_development_update' => array('Learning and Development has been updated.', 'global-notice-success-full'),
		'failed_temp_learning_and_development_update' => array('Learning and Development could not be update. Please, try again.', 'global-notice-failed-full'),
		
		'success_temp_learning_and_development_submitted_to_hr' => array('Learning and Development has been submitted to HR.', 'global-notice-success-full'),
		'failed_temp_learning_and_development_submitted_to_hr' => array('Learning and Development could not be submitted to HR.', 'global-notice-success-full'),
		
		'success_temp_learning_and_development_disapprove' => array('Learning and Development has been disapproved.', 'global-notice-success-full'),
		'failed_temp_learning_and_development_disapprove' => array('Learning and Development could not be disapproved. Please, try again.', 'global-notice-failed-full'),
		
		
		/************************************************************************/
		'success_temp_other_information_save' => array('Other Information has been deleted successfully. Please submit to HR for approval.', 'global-notice-success-full'),
		'failed_temp_other_information_save' => array('Other Information could not be saved. Please, try again.', 'global-notice-failed-full'),
		'success_temp_other_information_update' => array('Other Information has been updated.', 'global-notice-success-full'),
		'failed_temp_other_information_update' => array('Other Information could not be update. Please, try again.', 'global-notice-failed-full'),
		
		'success_temp_other_information_submitted_to_hr' => array('Other Information has been submitted to HR.', 'global-notice-success-full'),
		'failed_temp_other_information_submitted_to_hr' => array('Other Information could not be submitted to HR.', 'global-notice-success-full'),
		
		'success_temp_other_information_disapprove' => array('Other Information has been disapproved.', 'global-notice-success-full'),
		'failed_temp_other_information_disapprove' => array('Other Information could not be disapproved. Please, try again.', 'global-notice-failed-full'),
		
		/************************************************************************/
		'success_temp_government_issued_id_save' => array('Government Issued ID has been saved. Please submit to HR for approval.', 'global-notice-success-full'),
		'failed_temp_government_issued_id_save' => array('Government Issued ID could not be saved. Please, try again.', 'global-notice-failed-full'),
		'success_temp_government_issued_id_update' => array('Government Issued ID has been updated.', 'global-notice-success-full'),
		'failed_temp_government_issued_id_update' => array('Government Issued ID could not be update. Please, try again.', 'global-notice-failed-full'),
		
		'success_temp_government_issued_id_submitted_to_hr' => array('Government Issued ID has been submitted to HR.', 'global-notice-success-full'),
		'failed_temp_government_issued_id_submitted_to_hr' => array('Government Issued ID could not be submitted to HR.', 'global-notice-success-full'),
		
		'success_temp_government_issued_id_disapprove' => array('Government Issued ID has been disapproved.', 'global-notice-success-full'),
		'failed_temp_government_issued_id_disapprove' => array('Government Issued ID could not be disapproved. Please, try again.', 'global-notice-failed-full'),
		
		/************************************************************************/
		
		'success_pagibig_manual_adjustment_save' => array('The Adjustment has been saved.','global-notice-success-full'),
		'failed_pagibig_manual_adjustment_save' => array('The Adjustment could not be saved.','global-notice-failed-full'),
		
		'success_pagibig_manual_adjustment_update' => array('The Adjustment has been updated.','global-notice-success-full'),
		'failed_pagibig_manual_adjustment_update' => array('The Adjustment could not be updated.','global-notice-failed-full'),
	
		'success_pagibig_manual_adjustment_delete' => array('The Adjustment has been deleted.','global-notice-success-full'),
		
		'failed_pagibig_manual_adjustment_delete' => array('The Adjustment could not deleted.','global-notice-failed-full'),
		
		
		/************************************************************************/
		'success_gsis_manual_adjustment_save' => array('The Adjustment has been saved.','global-notice-success-full'),
		'failed_gsis_manual_adjustment_save' => array('The Adjustment could not be saved.','global-notice-failed-full'),
		
		'success_gsis_manual_adjustment_update' => array('The Adjustment has been updated.','global-notice-success-full'),
		'failed_gsis_manual_adjustment_update' => array('The Adjustment could not be updated.','global-notice-failed-full'),
	
		'success_gsis_manual_adjustment_delete' => array('The Adjustment has been deleted.','global-notice-success-full'),
		'failed_gsis_manual_adjustment_delete' => array('The Adjustment could not deleted.','global-notice-failed-full'),
		
        /************************************************************************/
        
        'success_generated_longevity_pay_disable' => array('Generated Longevity Pay has been disabled.', 'global-notice-success-full'),
        'failed_generated_longevity_pay_enable' => array('Generated Longevity Pay has been enabled.', 'global-notice-success-full'),
        'success_generated_longevity_pay_save' => array('Generated Longevity Pay has been saved.', 'global-notice-success-full'),
        'success_generated_longevity_pay_update' => array('Generated Longevity Pay been updated.', 'global-notice-success-full'),
        'success_generated_longevity_pay_delete' => array('Generated Longevity Pay has been deleted.', 'global-notice-success-full'),
        
        
        

		/************************************************************************/

		'success_anniversary_incentives_save' => array('Anniversary Incentive has been saved.','global-notice-success-full'),
		'failed_anniversary_incentives_save' => array('Anniversary Incentive could not be saved.','global-notice-failed-full'),
		
		'success_anniversary_incentives_update' => array('Anniversary Incentive has been updated.', 'global-notice-success-full'),
		'failed_anniversary_incentives_update' => array('Anniversary Incentive could not be update. Please, try again.', 'global-notice-failed-full'),
		
		'success_anniversary_incentives_delete' => array('Anniversary Incentive has been deleted.', 'global-notice-success-full'),
		'failed_anniversary_incentives_delete' => array('Anniversary Incentive could not be delete. Please, try again.', 'global-notice-failed-full'),
		
		'success_employee_anniversary_incentives_save' => array('Employee Anniversary Incentive has been saved.','global-notice-success-full'),
		'failed_employee_anniversary_incentives_save' => array('Employee Anniversary Incentive could not be saved.','global-notice-failed-full'),
		
		'success_employee_anniversary_incentives_update' => array('Employee Anniversary Incentive has been updated.', 'global-notice-success-full'),
		'failed_employee_anniversary_incentives_update' => array('Employee Anniversary Incentive could not be update. Please, try again.', 'global-notice-failed-full'),
		

		'empty_employee_anniversary_incentive' => array('No employee found on employment status.', 'global-notice-failed-full'),
		
		'success_mid_year_bonus_save' => array('The Mid Year Bonus has been saved.','global-notice-success-full'),
		'disabled_mid_year_bonus_save' => array('The Mid Year Bonus has been disabled.','global-notice-success-full'),
		'failed_mid_year_bonus_save' => array('The Mid Year Bonus could not be saved.','global-notice-failed-full'),
		'same_mid_year_bonus_name' => array('Mid Year Bonus name is already in the list.','global-notice-failed-full'),
		'success_mid_year_bonus_locked' => array('Successfully Locked the mid year bonus.','global-notice-success-full'),
		'failed_mid_year_bonus_locked' => array('The mid year bonus could not be locked.','global-notice-failed-full'),
		'no_mid_year_bonus_employees' => array('No employee found on employment status.','global-notice-failed-full'),
		
		'success_phic_manual_adjustment_save' => array('The Adjustment has been saved.','global-notice-success-full'),
		'failed_phic_manual_adjustment_save' => array('The Adjustment could not be saved.','global-notice-failed-full'),
		
		'success_phic_manual_adjustment_update' => array('The Adjustment has been updated.','global-notice-success-full'),
		'failed_phic_manual_adjustment_update' => array('The Adjustment could not be updated.','global-notice-failed-full'),
	
		'success_phic_manual_adjustment_delete' => array('The Adjustment has been deleted.','global-notice-success-full'),

		
		'failed_phic_manual_adjustment_delete' => array('The Adjustment could not deleted.','global-notice-failed-full'),
		
		
		'success_billing_incentive_save' => array('The Billing Incentive has been saved.','global-notice-success-full'),
		'disabled_billing_incentive_save' => array('The Billing Incentive has been disabled.','global-notice-success-full'),
		'failed_billing_incentive_save' => array('The Billing Incentive could not be saved.','global-notice-failed-full'),
		'same_billing_incentive_name' => array('Billing Incentive name is already in the list.','global-notice-failed-full'),
		'success_billing_incentive_locked' => array('Successfully Locked the billing incentive.','global-notice-success-full'),
		'failed_billing_incentive_locked' => array('The billing incentive could not be locked.','global-notice-failed-full'),
		'no_billing_incentive_employees' => array('No employee found on employment status.','global-notice-failed-full'),
		
		
		/******************************************************************/

		'success_medicare_share_save' => array('Medicare Share has been saved.', 'global-notice-success-full'),
		'failed_medicare_share_save' => array('Medicare Share could not be saved. Please, try again.', 'global-notice-failed-full'),
		
		'duplicate_medicare_share_save' => array('Duplicate month, year and batch are not allowed. Please, try again.', 'global-notice-failed-full'),
		'duplicate_medicare_share_update' => array('Duplicate month and year are not allowed. Please, try again.', 'global-notice-failed-full'),
		
		'success_medicare_share_update' => array('Medicare Share has been updated.', 'global-notice-success-full'),
		'failed_medicare_share_update' => array('Medicare Share could not be update. Please, try again.', 'global-notice-failed-full'),
		
		'finalize_employee_medicare_share_success' => array('Medicare Share has been finalized.', 'global-notice-success-full'),
		'finalize_employee_medicare_share_failed' => array('Medicare Share could not be finalized. Please, try again.', 'global-notice-failed-full'),

		'success_medicare_share_delete' => array('Medicare Share has been deleted.', 'global-notice-success-full'),
		'failed_medicare_share_delete' => array('Medicare Share could not be delete. Please, try again.', 'global-notice-failed-full'),

		'add_employee_medicare_share_success' => array('Employee has been added to this Medicare Share.', 'global-notice-success-full'),
		'add_employee_medicare_share_failed' => array('Employee could not be added to this Medicare Share. Please, try again.', 'global-notice-failed-full'),

		'save_employee_medicare_share_update' => array('Employee share has been successfully updated.', 'global-notice-success-full'),
		'save_employee_medicare_share_failed' => array('Employee share could not be updated. Please, try again.', 'global-notice-failed-full'),

		'delete_employee_medicare_share_success' => array('Employee has been successfully removed from this Medicare Share.', 'global-notice-success-full'),
		'delete_employee_medicare_share_failed' => array('Removal of employee to this Medicare Share has failed. Please, try again.', 'global-notice-failed-full'),

		'success_medical_medicare_adjustment_application' => array('Adjustment application to medical employees was a success!', 'global-notice-success-full'),
		'failed_medical_medicare_adjustment_application' => array('Adjustment application to medical employees failed. Please, try again.', 'global-notice-failed-full'),

		'success_non_medical_medicare_adjustment_application' => array('Adjustment application to non-medical employees was a success!', 'global-notice-success-full'),
		'failed_non_medical_medicare_adjustment_application' => array('Adjustment application to non-medical employees failed. Please, try again.', 'global-notice-failed-full'),
		
		
		/************************************************************************/
		
		'success_daily_time_record_period_save' => array('The Daily Time Record Period has been saved.','global-notice-success-full'),
		'success_daily_time_record_period_update' => array('The Daily Time Record Period has been updated.','global-notice-success-full'),
		'failed_daily_time_record_period_save' => array('The Daily Time Record Period could not be saved.','global-notice-failed-full'),
		'duplicate_daily_time_record_period_entry' => array('The Daily Time Record Period could not be saved. Record already exists.','global-notice-failed-full'),
		'success_daily_time_record_period_delete' => array('The Daily Time Record Period has been deleted.','global-notice-failed-full'),
		'failed_daily_time_record_period_delete' => array('The Daily Time Record Period could not be deleted.','global-notice-failed-full'),
		
		/************************************************************************/
		
		'success_endorsement_to_division_report_save' => array('Endorsement to Division Report has been saved.','global-notice-success-full'),
		'success_endorsement_to_division_report_update' => array('Endorsement to Division Report has been updated.','global-notice-success-full'),
		'failed_endorsement_to_division_report_save' => array('Endorsement to Division Report could not be saved.','global-notice-failed-full'),
		'duplicate_endorsement_to_division_report_entry' => array('Endorsement to Division Report could not be saved. Record already exists.','global-notice-failed-full'),
		'success_endorsement_to_division_report_delete' => array('Endorsement to Division Report has been deleted.','global-notice-failed-full'),
		'failed_endorsement_to_division_report_delete' => array('Endorsement to Division Report could not be deleted.','global-notice-failed-full'),
		
		
		/************************************************************************/
		'success_temp_employee_save' => array('Personal Information has been saved. Please submit to HR for approval.', 'global-notice-success-full'),
		'failed_temp_employee_save' => array('Personal Information could not be saved. Please, try again.', 'global-notice-failed-full'),
		'success_temp_employee_update' => array('Personal Information has been updated.', 'global-notice-success-full'),
		'failed_temp_employee_update' => array('Personal Information could not be update. Please, try again.', 'global-notice-failed-full'),
		
		'success_temp_employee_submitted_to_hr' => array('Personal Information has been submitted to HR.', 'global-notice-success-full'),
		'failed_temp_employee_submitted_to_hr' => array('Personal Information could not be submitted to HR.', 'global-notice-success-full'),
		
		'success_temp_employee_disapprove' => array('Personal Information has been disapproved.', 'global-notice-success-full'),
		'failed_temp_employee_disapprove' => array('Personal Information could not be disapproved. Please, try again.', 'global-notice-failed-full'),
		
		/************************************************************************/
		'success_temp_family_member_save' => array('Family Member has been saved. Please submit to HR for approval.', 'global-notice-success-full'),
		'failed_temp_family_member_save' => array('Family Member could not be saved. Please, try again.', 'global-notice-failed-full'),
		'success_temp_family_member_update' => array('Family Member has been updated.', 'global-notice-success-full'),
		'failed_temp_family_member_update' => array('Family Member could not be update. Please, try again.', 'global-notice-failed-full'),
		
		'success_temp_family_member_submitted_to_hr' => array('Family Member has been submitted to HR.', 'global-notice-success-full'),
		'failed_temp_family_member_submitted_to_hr' => array('Family Member could not be submitted to HR.', 'global-notice-success-full'),
		
		'success_temp_family_member_disapprove' => array('Family Member has been disapproved.', 'global-notice-success-full'),
		'failed_temp_family_member_disapprove' => array('Family Member could not be disapproved. Please, try again.', 'global-notice-failed-full'),
		/************************************************************************/
		'success_temp_education_save' => array('Educational has been saved. Please submit to HR for approval.', 'global-notice-success-full'),
		'failed_temp_education_save' => array('Education could not be saved. Please, try again.', 'global-notice-failed-full'),
		'success_temp_education_update' => array('Education has been updated.', 'global-notice-success-full'),
		'failed_temp_education_update' => array('Education could not be update. Please, try again.', 'global-notice-failed-full'),
		
		'success_temp_education_submitted_to_hr' => array('Education has been submitted to HR.', 'global-notice-success-full'),
		'failed_temp_education_submitted_to_hr' => array('Education could not be submitted to HR.', 'global-notice-success-full'),
		
		'success_temp_education_disapprove' => array('Education has been disapproved.', 'global-notice-success-full'),
		'failed_temp_education_disapprove' => array('Education could not be disapproved. Please, try again.', 'global-notice-failed-full'),
		
		/************************************************************************/
		'success_temp_civil_service_save' => array('Civil Service has been saved. Please submit to HR for approval.', 'global-notice-success-full'),
		'failed_temp_civil_service_save' => array('Civil Service could not be saved. Please, try again.', 'global-notice-failed-full'),
		'success_temp_civil_service_update' => array('Civil Service has been updated.', 'global-notice-success-full'),
		'failed_temp_civil_service_update' => array('Civil Service could not be update. Please, try again.', 'global-notice-failed-full'),
		
		'success_temp_civil_service_submitted_to_hr' => array('Civil Service has been submitted to HR.', 'global-notice-success-full'),
		'failed_temp_civil_service_submitted_to_hr' => array('Civil Service could not be submitted to HR.', 'global-notice-success-full'),
		
		'success_temp_civil_service_disapprove' => array('Civil Service has been disapproved.', 'global-notice-success-full'),
		'failed_temp_civil_service_disapprove' => array('Civil Service could not be disapproved. Please, try again.', 'global-notice-failed-full'),
		
		
		/************************************************************************/
		'success_temp_work_experience_save' => array('Work Experience has been saved. Please submit to HR for approval.', 'global-notice-success-full'),
		'failed_temp_work_experience_save' => array('Work Experience could not be saved. Please, try again.', 'global-notice-failed-full'),
		'success_temp_work_experience_update' => array('Work Experience has been updated.', 'global-notice-success-full'),
		'failed_temp_work_experience_update' => array('Work Experience could not be update. Please, try again.', 'global-notice-failed-full'),
		
		'success_temp_work_experience_submitted_to_hr' => array('Work Experience has been submitted to HR.', 'global-notice-success-full'),
		'failed_temp_work_experience_submitted_to_hr' => array('Work Experience could not be submitted to HR.', 'global-notice-success-full'),
		
		'success_temp_work_experience_disapprove' => array('Work Experience has been disapproved.', 'global-notice-success-full'),
		'failed_temp_work_experience_disapprove' => array('Work Experience could not be disapproved. Please, try again.', 'global-notice-failed-full'),
		
		
		/************************************************************************/
		'success_temp_voluntary_work_save' => array('Voluntary Work has been saved. Please submit to HR for approval.', 'global-notice-success-full'),
		'failed_temp_voluntary_work_save' => array('Voluntary Work could not be saved. Please, try again.', 'global-notice-failed-full'),
		'success_temp_voluntary_work_update' => array('Voluntary Work has been updated.', 'global-notice-success-full'),
		'failed_temp_voluntary_work_update' => array('Voluntary Work could not be update. Please, try again.', 'global-notice-failed-full'),
		
		'success_temp_voluntary_work_submitted_to_hr' => array('Voluntary Work has been submitted to HR.', 'global-notice-success-full'),
		'failed_temp_voluntary_work_submitted_to_hr' => array('Voluntary Work could not be submitted to HR.', 'global-notice-success-full'),
		
		'success_temp_voluntary_work_disapprove' => array('Voluntary Work has been disapproved.', 'global-notice-success-full'),
		'failed_temp_voluntary_work_disapprove' => array('Voluntary Work could not be disapproved. Please, try again.', 'global-notice-failed-full'),

		
		/************************************************************************/
		'success_temp_learning_and_development_save' => array('Learning and Development has been saved. Please submit to HR for approval.', 'global-notice-success-full'),
		'failed_temp_learning_and_development_save' => array('Learning and Development could not be saved. Please, try again.', 'global-notice-failed-full'),
		'success_temp_learning_and_development_update' => array('Learning and Development has been updated.', 'global-notice-success-full'),
		'failed_temp_learning_and_development_update' => array('Learning and Development could not be update. Please, try again.', 'global-notice-failed-full'),
		
		'success_temp_learning_and_development_submitted_to_hr' => array('Learning and Development has been submitted to HR.', 'global-notice-success-full'),
		'failed_temp_learning_and_development_submitted_to_hr' => array('Learning and Development could not be submitted to HR.', 'global-notice-success-full'),
		
		'success_temp_learning_and_development_disapprove' => array('Learning and Development has been disapproved.', 'global-notice-success-full'),
		'failed_temp_learning_and_development_disapprove' => array('Learning and Development could not be disapproved. Please, try again.', 'global-notice-failed-full'),
		
		
		/************************************************************************/
		'success_temp_other_information_save' => array('Other Information has been saved. Please submit to HR for approval.', 'global-notice-success-full'),
		'failed_temp_other_information_save' => array('Other Information could not be saved. Please, try again.', 'global-notice-failed-full'),
		'success_temp_other_information_update' => array('Other Information has been updated.', 'global-notice-success-full'),
		'failed_temp_other_information_update' => array('Other Information could not be update. Please, try again.', 'global-notice-failed-full'),
		
		'success_temp_other_information_submitted_to_hr' => array('Other Information has been submitted to HR.', 'global-notice-success-full'),
		'failed_temp_other_information_submitted_to_hr' => array('Other Information could not be submitted to HR.', 'global-notice-success-full'),
		
		'success_temp_other_information_disapprove' => array('Other Information has been disapproved.', 'global-notice-success-full'),
		'failed_temp_other_information_disapprove' => array('Other Information could not be disapproved. Please, try again.', 'global-notice-failed-full'),
		
		/************************************************************************/
		'success_temp_government_issued_id_save' => array('Government Issued ID has been saved. Please submit to HR for approval.', 'global-notice-success-full'),
		'failed_temp_government_issued_id_save' => array('Government Issued ID could not be saved. Please, try again.', 'global-notice-failed-full'),
		'success_temp_government_issued_id_update' => array('Government Issued ID has been updated.', 'global-notice-success-full'),
		'failed_temp_government_issued_id_update' => array('Government Issued ID could not be update. Please, try again.', 'global-notice-failed-full'),
		
		'success_temp_government_issued_id_submitted_to_hr' => array('Government Issued ID has been submitted to HR.', 'global-notice-success-full'),
		'failed_temp_government_issued_id_submitted_to_hr' => array('Government Issued ID could not be submitted to HR.', 'global-notice-success-full'),
		
		/************************************************************************/
		'success_qualified_applicants_for_pre_employment_exam_details_save' => array('Qualified Applicants for Pre-Employment Exam Details has been saved.','global-notice-success-full'),
		'failed_qualified_applicants_for_pre_employment_exam_details_save' => array('Qualified Applicants for Pre-Employment Exam Details could not be saved.','global-notice-success-failed'),
		
		'success_add_qualified_applicants_for_pre_employment_exam_detail_save' => array('Applicants for Pre-Employment Exam Details has been added.','global-notice-success-full'),
		'failed_add_qualified_applicants_for_pre_employment_exam_detail_save' => array('Add Applicants for Pre-Employment Exam Details failed.','global-notice-success-failed'),
		'success_add_qualified_applicants_for_pre_employment_exam_detail_update' => array('Applicants for Pre-Employment Exam Details has been updated.','global-notice-success-full'),
		'failed_add_qualified_applicants_for_pre_employment_exam_detail_update' => array('Update Applicants for Pre-Employment Exam Details failed.','global-notice-success-failed'),
		'success_qualified_applicants_for_pre_employment_exam_details_delete' => array('Applicants for Pre-Employment Exam Details has been deleted.','global-notice-success-full'),
		'failed_qualified_applicants_for_pre_employment_exam_details_delete' => array('Applicants for Pre-Employment Exam Details could not be deleted.','global-notice-success-failed'),
		'success_qualified_applicant_delete' => array('Applicant for Pre-Employment Exam has been deleted.','global-notice-success-full'),
		'failed_qualified_applicant_delete' => array('Applicant for Pre-Employment Exam could not be deleted.','global-notice-success-failed'),
		/************************************************************************/
		'success_year_end_bonus_save' => array('The Year End Bonus has been saved.','global-notice-success-full'),
		'disabled_year_end_bonus_save' => array('The Year End Bonus has been disabled.','global-notice-success-full'),
		'failed_year_end_bonus_save' => array('The Year End Bonus could not be saved.','global-notice-failed-full'),
		'same_year_end_bonus_name' => array('Year End Bonus name is already in the list.','global-notice-failed-full'),
		'success_year_end_bonus_locked' => array('Successfully Locked the year end bonus.','global-notice-success-full'),
		'success_year_end_and_cash_gift_bonus_locked' => array('Successfully Locked the year end and cash gift bonus.','global-notice-success-full'),
		'failed_year_end_bonus_locked' => array('The Year End bonus could not be locked.','global-notice-failed-full'),
		'failed_year_end_and_cash_gift_bonus_locked' => array('The Year End and Cash Gift bonus could not be locked.','global-notice-failed-full'),
		'no_year_end_bonus_employees' => array('No employee found on employment status.','global-notice-failed-full'),
		
		/************************************************************************/
		'success_coop_remittance_entry_save' => array('Coop Remittance Entry has been saved.','global-notice-success-full'),
		'disabled_coop_remittance_entry_save' => array('Coop Remittance Entry has been disabled.','global-notice-success-full'),
		'failed_coop_remittance_entry_save' => array('Coop Remittance Entry could not be saved.','global-notice-failed-full'),
		'has_same_month_and_year' => array('Coop Remittance is already in the list. Same month and year','global-notice-failed-full'),
		'success_coop_remittance_entry_update' => array('Coop Remittance Entry has been updated.','global-notice-success-full'),
		'failed_coop_remittance_entry_update' => array('Coop Remittance Entry cound not be update.','global-notice-success-full'),
		'has_a_less_than_5k_net_pay' => array('Employee/s have a net pay of Five (5) Thousand and below. Coop Remittance Entry could not be saved','global-notice-failed-full'),
		
		/************************************************************************/
		'success_employee_smoking_cessation_program_save' => array('Smoking Cessation Program has been saved.','global-notice-success-full'),
		'failed_employee_smoking_cessation_program_save' => array('Smoking Cessation Program could not be saved.','global-notice-failed-full'),
		'success_employee_smoking_cessation_program_update_save' => array('Smoking Cessation Program has been updated.','global-notice-success-full'),
		'failed_employee_smoking_cessation_program_update_save' => array('Smoking Cessation Program could not be updated.','global-notice-failed-full'),
		'success_employee_smoking_cessation_program_delete' => array('Smoking Cessation Program has been disabled.','global-notice-success-full'),
		'failed_employee_smoking_cessation_program_delete' => array('Smoking Cessation Program could not be disabled.','global-notice-failed-full'),
				'success_case_rate_payment' => array('Case Rate Payment has been saved.','global-notice-success-full'),
		'failed_case_rate_payment' => array('Case Rate Payment could not be saved.','global-notice-failed-full'),
		
		'success_edit_case_rate_payment' => array('Case Rate Payment has been updated.','global-notice-success-full'),
		'failed_edit_case_rate_payment' => array('Case Rate Payment could not be updated.','global-notice-failed-full'),
	
		'success_case_rate_payment_delete' => array('Case Rate Payment has been disabled.','global-notice-success-full'), 
		'failed_case_rate_payment_delete' => array('Case Rate Payment could not disabled.','global-notice-failed-full'),
		
		'validation_for_less_than_5000_net_pay' => array('This selected employee has below 5,000.00 net pay. Please select other employee.','global-notice-failed-full'),  
 
		'no_approver' => array('No Approver for this Module.','global-notice-failed-full'),
		'success_approver_settings_update' => array('Approver Setting has been saved.','global-notice-success-full'),
		'failed_approver_settings_update' => array('Approver Setting could not be saved.','global-notice-failed-full'),

		/************************************************************************/
		// HPO
		
		'success_hospital_personnel_order_submission_for_dtr_save' => array('Hospital Personnel Order submission for DTR has been saved.','global-notice-success-full'),
		'failed_hospital_personnel_order_submission_for_dtr_save' => array('Hospital Personnel Order submission for DTR could not be saved.','global-notice-failed-full'),
		'success_hospital_personnel_order_submission_for_dtr_update_save' => array('Hospital Personnel Order submission for DTR has been updated.','global-notice-success-full'),
		'failed_hospital_personnel_order_submission_for_dtr_update_save' => array('Hospital Personnel Order submission for DTR could not be updated.','global-notice-failed-full'),
		'success_hospital_personnel_order_submission_for_dtr_delete' => array('Hospital Personnel Order submission for DTR has been disabled.','global-notice-success-full'),
		'failed_hospital_personnel_order_submission_for_dtr_delete' => array('Hospital Personnel Order submission for DTR could not be disabled.','global-notice-failed-full'),
		'success_hospital_personnel_order_submission_for_dtr_approve' => array('Hospital Personnel Order submission for DTR has been approved.','global-notice-success-full'),
		'failed_hospital_personnel_order_submission_for_dtr_approve' => array('Hospital Personnel Order submission for DTR could not be approved.','global-notice-failed-full'),
		'success_hospital_personnel_order_submission_for_dtr_disapprove' => array('Hospital Personnel Order submission for DTR has been disapproved.','global-notice-success-full'),
		'failed_hospital_personnel_order_submission_for_dtr_disapprove' => array('Hospital Personnel Order submission for DTR could not be disapproved.','global-notice-failed-full'),
		'conflict_hpo_date' => array('Hospital Personnel Order submission for DTR could not be saved. There is/are date/s already exist/s between the entered dates.','global-notice-failed-full'),
		'conflict_approved_time_entry_date' => array('Hospital Personnel Order submission for DTR could not be saved. There is/are date/s approved time entry between the entered dates.','global-notice-failed-full'),
 
		'success_manual_exam_save' => array('Manual Exam has been saved.','global-notice-success-full'),
		'failed_case_rate_payment' => array('Manual Exam could not be saved.','global-notice-failed-full'),
		
		 
		 'no_privilege' => array('You have no privilege in this page.','global-notice-failed-full'),
		
		'success_employee_service_record_save' => array('Employee Service Record has been updated.','global-notice-success-full'), 
		
		'success_employee_payroll_night_differential_deleted' => array('Employee has been successfully removed from this Payroll Night Differential.', 'global-notice-success-full'),
		'failed_employee_payroll_night_differential_deleted' => array('Removal of employee to this Payroll Night Differential has failed. Please, try again.', 'global-notice-failed-full'),
		
		'duplicate_employee_payroll_nigth_differential' => array('This employee is already exist in this payroll night differential.', 'global-notice-failed-full'),
		
		'success_phic_contribution_table_save' => array('Phic Contribution Table has been saved.', 'global-notice-success-full'),
		'failed_phic_contribution_table_save' => array('Phic Contribution Table could not be save. Please, try again.', 'global-notice-failed-full'),
		
		'success_applied_phic_contribution_table_save' => array('Applied Phic Contribution Table has been saved.', 'global-notice-success-full'),
		'failed_applied_phic_contribution_table_save' => array('Applied Phic Contribution Table could not be save. Please, try again.', 'global-notice-failed-full'),
				
		'success_phic_contribution_table_update' => array('Phic Contribution Table has been updated.', 'global-notice-success-full'),
		'failed_phic_contribution_table_update' => array('Phic Contribution Table could not be update. Please, try again.', 'global-notice-failed-full'),
		
		'success_phic_contribution_table_delete' => array('Phic Contribution Table has been deleted.', 'global-notice-success-full'),
		'failed_phic_contribution_table_delete' => array('Phic Contribution Table could not be delete. Please, try again.', 'global-notice-failed-full'),
		
		'success_phic_contribution_table_enable' => array('Phic Contribution Table has been enabled.', 'global-notice-success-full'),
		'failed_phic_contribution_table_enable' => array('Phic Contribution Table could not be enabled. Please, try again.', 'global-notice-failed-full'),
		'success_phic_contribution_table_disable' => array('Phic Contribution Table has been disabled.', 'global-notice-success-full'),
		'failed_phic_contribution_table_disable' => array('Phic Contribution Table could not be disabled. Please, try again.', 'global-notice-failed-full'),


		'success_screen_time_out_save' => array('Screen Time Out has been updated.', 'global-notice-success-full'),
		'failed_screen_time_out_save' => array('Screen Time Out could not be update. Please, try again.', 'global-notice-failed-full'),
	);
	
    public function display($alert_name = null, $module = null) {
		if(isset($this->alert_messages[$alert_name])) {
			if (strpos( $this->alert_messages[$alert_name][1] , 'failed') !== false) {
				$this->Session->write('Alert.Failed.'.$alert_name, $this->alert_messages[$alert_name][0]);
			}
			elseif (strpos( $this->alert_messages[$alert_name][1] , 'success') !== false) {
				$this->Session->write('Alert.Success.'.$alert_name, $this->alert_messages[$alert_name][0]);
			}
			$this->Session->setFlash($this->alert_messages[$alert_name][0] . ' ' . $module, $this->alert_messages[$alert_name][1]);
		}
    }
}
?>