<?php
App::uses('Component', 'Controller');
App::uses('HttpSocket', 'Network/Http');

class IntegrationComponent extends Component {
	
    public function send_data_with_http_authentication($type = '', $address = '', $username = 'admin', $password = 'admin', $array_data,$encode_json=true) {
		//modified by ranzhie for json data or not
		if (strpos($address, 'https') !== false) {
			 $address = str_replace('https','http',$address);
		}
		$is_valid_type = true;
		
		$httpsocket = new HttpSocket();
		$httpsocket->configAuth('Basic', $username, $password);
		
		if ($encode_json==true){
			$json_string = array('json_string' => json_encode($array_data));
		}else{
			$json_string = $array_data;
		}

		if($type == 'get') {
			$response = $httpsocket->get($address, $json_string);
		} 
		else if($type == 'post') {
			$response = $httpsocket->post($address, $json_string);
		} 
		else if($type == 'put') {
			$response = $httpsocket->put($address, $json_string);
		} 
		else if($type == 'delete') {
			$response = $httpsocket->delete($address, $json_string);
		}
		else {
			$is_valid_type = false;
		}
		
		if($is_valid_type) {
			if($response->code == 200) {
			$result['Connection']['status'] = 'Success';
			$result['Connection']['code'] = $response->code;
			$result['Result'] = $response->body;
			return $result;
			}
			else {
				$result['Connection']['status'] = 'Failed';
				$result['Connection']['code'] = $response->code;
				$result['Connection']['error'] = 'There is an error when establishing the connection.';
				// remove this on production
				$result['Result'] = $response->body;
				return $result;
			}
		}
		else {
			$result['Connection']['status'] = 'Invalid';
			$result['Connection']['error'] = 'You have used an invalid type.';
		}
    }
	
	public function send_data($type = '', $address = '', $array_data) {
		$is_valid_type = true;
		
		$httpsocket = new HttpSocket();
		
		$json_string = json_encode($array_data);
		
		if($type == 'get') {
			$response = $httpsocket->get($address, array('json_string' => $json_string));
		} 
		else if($type == 'post') {
			$response = $httpsocket->post($address, array('json_string' => $json_string));
		} 
		else if($type == 'put') {
			$response = $httpsocket->put($address, array('json_string' => $json_string));
		} 
		else if($type == 'delete') {
			$response = $httpsocket->delete($address, array('json_string' => $json_string));
		}
		else {
			$is_valid_type = false;
		}
		
		if($is_valid_type) {
			if($response->code == 200) {
			$result['Connection']['status'] = 'Success';
			$result['Connection']['code'] = $response->code;
			$result['Result'] = $response->body;
			return $result;
			}
			else {
				$result['Connection']['status'] = 'Failed';
				$result['Connection']['code'] = $response->code;
				$result['Connection']['error'] = 'There is an error when establishing the connection.';
				// remove this on production
				$result['Result'] = $response->body;
				return $result;
			}
		}
		else {
			$result['Connection']['status'] = 'Invalid';
			$result['Connection']['error'] = 'You have used an invalid type.';
		}
    }
	
}
?>