<?php
App::uses('AppModel', 'Model');

class ActualSchedule extends AppModel {
	
	public $actsAs = array('AuditLog.Auditable');
	public $tablePrefix = 'recruitment_';
	
	public $validate = array(
        'job_title_code' => array(
			'job_title_code logic 1' => array(
				'rule'		=> 'notEmpty',
				'message'	=> 'Position Title is required.'
			),
        ),
		'job_title_item_number_code' => array(
			'job_title_item_number_code logic 1' => array(
				'rule'		=> 'notEmpty',
				'message'	=> 'Item Number is required.'
			),
        ),
		
	);
	
	public $belongsTo = array(
		'JobTitle' => array(
			'className' => 'JobTitle',
			'foreignKey' => 'job_title_code',
			'conditions' => array(
				'JobTitle.status' => 'Active'
			),
		),
		'JobTitleItemNumber' => array(
			'className' => 'JobTitleItemNumber',
			'foreignKey' => 'job_title_item_number_code',
			'conditions' => array(
				'JobTitleItemNumber.status' => 'Active'
			),
		),
		'Section' => array(
			'className' => 'Section',
			'foreignKey' => 'section_code',
			'conditions' => array(
				'Section.status' => 'Active'
			),
		),
	);

	
	public function beforeValidate($options = array()) {
		
		
		if(isset($this->data['ActualSchedule']['date_vacancy'])) {
			$this->data['ActualSchedule']['date_vacancy'] = convert_datetime($this->data['ActualSchedule']['date_vacancy'], 'Y-m-d');
		}
		
		if(isset($this->data['ActualSchedule']['date_posted_from'])) {
			$this->data['ActualSchedule']['date_posted_from'] = convert_datetime($this->data['ActualSchedule']['date_posted_from'], 'Y-m-d');
		}
		
		if(isset($this->data['ActualSchedule']['date_posted_to'])) {
			$this->data['ActualSchedule']['date_posted_to'] = convert_datetime($this->data['ActualSchedule']['date_posted_to'], 'Y-m-d');
		}
		
		if(isset($this->data['ActualSchedule']['deadline_of_acceptance_of_application'])) {
			$this->data['ActualSchedule']['deadline_of_acceptance_of_application'] = convert_datetime($this->data['ActualSchedule']['deadline_of_acceptance_of_application'], 'Y-m-d');
		}
		
		if(isset($this->data['ActualSchedule']['notification_from'])) {
			$this->data['ActualSchedule']['notification_from'] = convert_datetime($this->data['ActualSchedule']['notification_from'], 'Y-m-d');
		}
		
		if(isset($this->data['ActualSchedule']['notification_to'])) {
			$this->data['ActualSchedule']['notification_to'] = convert_datetime($this->data['ActualSchedule']['notification_to'], 'Y-m-d');
		}
		
		if(isset($this->data['ActualSchedule']['examination_date'])) {
			$this->data['ActualSchedule']['examination_date'] = convert_datetime($this->data['ActualSchedule']['examination_date'], 'Y-m-d');
		}
		
		if(isset($this->data['ActualSchedule']['checking_from'])) {
			$this->data['ActualSchedule']['checking_from'] = convert_datetime($this->data['ActualSchedule']['checking_from'], 'Y-m-d');
		}
		
		if(isset($this->data['ActualSchedule']['checking_to'])) {
			$this->data['ActualSchedule']['checking_to'] = convert_datetime($this->data['ActualSchedule']['checking_to'], 'Y-m-d');
		}	
		
		if(isset($this->data['ActualSchedule']['interview_from'])) {
			$this->data['ActualSchedule']['interview_from'] = convert_datetime($this->data['ActualSchedule']['interview_from'], 'Y-m-d');
		}
		
		if(isset($this->data['ActualSchedule']['interview_to'])) {
			$this->data['ActualSchedule']['interview_to'] = convert_datetime($this->data['ActualSchedule']['interview_to'], 'Y-m-d');
		}
		
		if(isset($this->data['ActualSchedule']['preparation_of_reports_from'])) {
			$this->data['ActualSchedule']['preparation_of_reports_from'] = convert_datetime($this->data['ActualSchedule']['preparation_of_reports_from'], 'Y-m-d');
		}
		
		if(isset($this->data['ActualSchedule']['preparation_of_reports_to'])) {
			$this->data['ActualSchedule']['preparation_of_reports_to'] = convert_datetime($this->data['ActualSchedule']['preparation_of_reports_to'], 'Y-m-d');
		}
		
		if(isset($this->data['ActualSchedule']['deliberation'])) {
			$this->data['ActualSchedule']['deliberation'] = convert_datetime($this->data['ActualSchedule']['deliberation'], 'Y-m-d');
		}
		
		if(isset($this->data['ActualSchedule']['background_investigation_from'])) {
			$this->data['ActualSchedule']['background_investigation_from'] = convert_datetime($this->data['ActualSchedule']['background_investigation_from'], 'Y-m-d');
		}
		
		if(isset($this->data['ActualSchedule']['background_investigation_to'])) {
			$this->data['ActualSchedule']['background_investigation_to'] = convert_datetime($this->data['ActualSchedule']['background_investigation_to'], 'Y-m-d');
		}
		
		if(isset($this->data['ActualSchedule']['review_by_psb_from'])) {
			$this->data['ActualSchedule']['review_by_psb_from'] = convert_datetime($this->data['ActualSchedule']['review_by_psb_from'], 'Y-m-d');
		}
		
		if(isset($this->data['ActualSchedule']['review_by_psb_to'])) {
			$this->data['ActualSchedule']['review_by_psb_to'] = convert_datetime($this->data['ActualSchedule']['review_by_psb_to'], 'Y-m-d');
		}
		
		if(isset($this->data['ActualSchedule']['approval_of_appointment_from'])) {
			$this->data['ActualSchedule']['approval_of_appointment_from'] = convert_datetime($this->data['ActualSchedule']['approval_of_appointment_from'], 'Y-m-d');
		}
		
		if(isset($this->data['ActualSchedule']['approval_of_appointment_to'])) {
			$this->data['ActualSchedule']['approval_of_appointment_to'] = convert_datetime($this->data['ActualSchedule']['approval_of_appointment_to'], 'Y-m-d');
		}
		
		if(isset($this->data['ActualSchedule']['preparation_of_reports_2nd_from'])) {
			$this->data['ActualSchedule']['preparation_of_reports_2nd_from'] = convert_datetime($this->data['ActualSchedule']['preparation_of_reports_2nd_from'], 'Y-m-d');
		}
		
		if(isset($this->data['ActualSchedule']['preparation_of_reports_2nd_to'])) {
			$this->data['ActualSchedule']['preparation_of_reports_2nd_to'] = convert_datetime($this->data['ActualSchedule']['preparation_of_reports_2nd_to'], 'Y-m-d');
		}
		
		if(isset($this->data['ActualSchedule']['notification_2nd_from'])) {
			$this->data['ActualSchedule']['notification_2nd_from'] = convert_datetime($this->data['ActualSchedule']['notification_2nd_from'], 'Y-m-d');
		}
		
		if(isset($this->data['ActualSchedule']['notification_2nd_to'])) {
			$this->data['ActualSchedule']['notification_2nd_to'] = convert_datetime($this->data['ActualSchedule']['notification_2nd_to'], 'Y-m-d');
		}
		return true;
	}
	
	public function beforeSave($options = array()) {
		if(!isset($this->data['ActualSchedule']['id']) || $this->data['ActualSchedule']['id'] == '') {
			$this->data['ActualSchedule']['status'] = 'Active';
			$this->data['ActualSchedule']['created_by'] = $_SESSION['Auth']['User']['id'];
			$this->data['ActualSchedule']['modified_by'] = $_SESSION['Auth']['User']['id'];
			
		}
		else {
			$this->data['ActualSchedule']['modified_by'] = $_SESSION['Auth']['User']['id'];
		}
		// debug($this->data);
		// exit();
		return true;
	}
	
	public function afterFind($results, $primary = false) {
		foreach($results as $x => $result){
			if(isset($result['ActualSchedule']['date_vacancy'])){
				$results[$x]['ActualSchedule']['date_vacancy'] = date('m/d/Y',strtotime($results[$x]['ActualSchedule']['date_vacancy']));
			}
			
			if(isset($result['ActualSchedule']['date_posted_from'])){
				$results[$x]['ActualSchedule']['date_posted_from'] = date('m/d/Y',strtotime($results[$x]['ActualSchedule']['date_posted_from']));
			}
			
			if(isset($result['ActualSchedule']['date_posted_to'])){
				$results[$x]['ActualSchedule']['date_posted_to'] = date('m/d/Y',strtotime($results[$x]['ActualSchedule']['date_posted_to']));
			}
			
			if(isset($result['ActualSchedule']['deadline_of_acceptance_of_application'])){
				$results[$x]['ActualSchedule']['deadline_of_acceptance_of_application'] = date('m/d/Y',strtotime($results[$x]['ActualSchedule']['deadline_of_acceptance_of_application']));
			}
			
			if(isset($result['ActualSchedule']['notification_from'])){
				$results[$x]['ActualSchedule']['notification_from'] = date('m/d/Y',strtotime($results[$x]['ActualSchedule']['notification_from']));
			}
			
			if(isset($result['ActualSchedule']['notification_to'])){
				$results[$x]['ActualSchedule']['notification_to'] = date('m/d/Y',strtotime($results[$x]['ActualSchedule']['notification_to']));
			}
			
			if(isset($result['ActualSchedule']['examination_date'])){
				$results[$x]['ActualSchedule']['examination_date'] = date('m/d/Y',strtotime($results[$x]['ActualSchedule']['examination_date']));
			}
			
			if(isset($result['ActualSchedule']['checking_from'])){
				$results[$x]['ActualSchedule']['checking_from'] = date('m/d/Y',strtotime($results[$x]['ActualSchedule']['checking_from']));
			}
			
			if(isset($result['ActualSchedule']['checking_to'])){
				$results[$x]['ActualSchedule']['checking_to'] = date('m/d/Y',strtotime($results[$x]['ActualSchedule']['checking_to']));
			}
			
			if(isset($result['ActualSchedule']['interview_from'])){
				$results[$x]['ActualSchedule']['interview_from'] = date('m/d/Y',strtotime($results[$x]['ActualSchedule']['interview_from']));
			}
			
			if(isset($result['ActualSchedule']['interview_to'])){
				$results[$x]['ActualSchedule']['interview_to'] = date('m/d/Y',strtotime($results[$x]['ActualSchedule']['interview_to']));
			}
			
			if(isset($result['ActualSchedule']['preparation_of_reports_from'])){
				$results[$x]['ActualSchedule']['preparation_of_reports_from'] = date('m/d/Y',strtotime($results[$x]['ActualSchedule']['preparation_of_reports_from']));
			}
			
			if(isset($result['ActualSchedule']['preparation_of_reports_to'])){
				$results[$x]['ActualSchedule']['preparation_of_reports_to'] = date('m/d/Y',strtotime($results[$x]['ActualSchedule']['preparation_of_reports_to']));
			}
			
			if(isset($result['ActualSchedule']['deliberation'])){
				$results[$x]['ActualSchedule']['deliberation'] = date('m/d/Y',strtotime($results[$x]['ActualSchedule']['deliberation']));
			}
			
			if(isset($result['ActualSchedule']['background_investigation_from'])){
				$results[$x]['ActualSchedule']['background_investigation_from'] = date('m/d/Y',strtotime($results[$x]['ActualSchedule']['background_investigation_from']));
			}
			
			if(isset($result['ActualSchedule']['background_investigation_to'])){
				$results[$x]['ActualSchedule']['background_investigation_to'] = date('m/d/Y',strtotime($results[$x]['ActualSchedule']['background_investigation_to']));
			}
			
			if(isset($result['ActualSchedule']['review_by_psb_from'])){
				$results[$x]['ActualSchedule']['review_by_psb_from'] = date('m/d/Y',strtotime($results[$x]['ActualSchedule']['review_by_psb_from']));
			}
			
			if(isset($result['ActualSchedule']['review_by_psb_to'])){
				$results[$x]['ActualSchedule']['review_by_psb_to'] = date('m/d/Y',strtotime($results[$x]['ActualSchedule']['review_by_psb_to']));
			}
			
			if(isset($result['ActualSchedule']['approval_of_appointment_from'])){
				$results[$x]['ActualSchedule']['approval_of_appointment_from'] = date('m/d/Y',strtotime($results[$x]['ActualSchedule']['approval_of_appointment_from']));
			}
			
			if(isset($result['ActualSchedule']['approval_of_appointment_to'])){
				$results[$x]['ActualSchedule']['approval_of_appointment_to'] = date('m/d/Y',strtotime($results[$x]['ActualSchedule']['approval_of_appointment_to']));
			}
			
			if(isset($result['ActualSchedule']['preparation_of_reports_2nd_from'])){
				$results[$x]['ActualSchedule']['preparation_of_reports_2nd_from'] = date('m/d/Y',strtotime($results[$x]['ActualSchedule']['preparation_of_reports_2nd_from']));
			}
			
			if(isset($result['ActualSchedule']['preparation_of_reports_2nd_to'])){
				$results[$x]['ActualSchedule']['preparation_of_reports_2nd_to'] = date('m/d/Y',strtotime($results[$x]['ActualSchedule']['preparation_of_reports_2nd_to']));
			}
			
			if(isset($result['ActualSchedule']['notification_2nd_from'])){
				$results[$x]['ActualSchedule']['notification_2nd_from'] = date('m/d/Y',strtotime($results[$x]['ActualSchedule']['notification_2nd_from']));
			}
			if(isset($result['ActualSchedule']['notification_2nd_to'])){
				$results[$x]['ActualSchedule']['notification_2nd_to'] = date('m/d/Y',strtotime($results[$x]['ActualSchedule']['notification_2nd_to']));
			}
			
			
		}

		return $results;
	}
}
?>