<?php
App::uses('AppModel', 'Model');

class AddressHistoryLog extends AppModel {
	
	public $tablePrefix = 'employee_';
	// public $primarykey = "person_code";
	
	public $belongsTo = array(
		'Employee' => array(
			'className' => 'Employee',
			'foreignKey' => 'employee_code',
			'conditions' => array(
				'Employee.status' => 'Active'
			)
		),
		'Barangay' => array(
			'className' => 'Barangay',
			'foreignKey' => 'barangay_code',
			'fields' => array(
				'Barangay.code',
				'Barangay.name'
			),
			'conditions' => array(
				'Barangay.status' => 'Active'
			)
		),
		'City' => array(
			'className' => 'City',
			'foreignKey' => 'city_code',
			'fields' => array(
				'City.code',
				'City.name'
			),
			'conditions' => array(
				'City.status' => 'Active'
			)
		),
		'Province' => array(
			'className' => 'Province',
			'foreignKey' => 'province_code',
			'fields' => array(
				'Province.code',
				'Province.name'
			),
			'conditions' => array(
				'Province.status' => 'Active'
			)
		),
		'Region' => array(
			'className' => 'Region',
			'foreignKey' => 'region_code',
			'fields' => array(
				'Region.code',
				'Region.name'
			),
			'conditions' => array(
				'Region.status' => 'Active'
			)
		),
		'CountryList' => array(
			'className' => 'CountryList',
			'foreignKey' => 'country_code',
			'fields' => array(
				'CountryList.code',
				'CountryList.name'
			),
			'conditions' => array(
				'CountryList.status' => 'Active'
			)
		),
		'PABarangay' => array(
			'className' => 'Barangay',
			'foreignKey' => 'pa_barangay_code',
			'fields' => array(
				'PABarangay.code',
				'PABarangay.name'
			),
			'conditions' => array(
				'PABarangay.status' => 'Active'
			)
		),
		'PACity' => array(
			'className' => 'City',
			'foreignKey' => 'pa_city_code',
			'fields' => array(
				'PACity.code',
				'PACity.name'
			),
			'conditions' => array(
				'PACity.status' => 'Active'
			)
		),
		'PAProvince' => array(
			'className' => 'Province',
			'foreignKey' => 'pa_province_code',
			'fields' => array(
				'PAProvince.code',
				'PAProvince.name'
			),
			'conditions' => array(
				'PAProvince.status' => 'Active'
			)
		),
		'PARegion' => array(
			'className' => 'Region',
			'foreignKey' => 'pa_region_code',
			'fields' => array(
				'PARegion.code',
				'PARegion.name'
			),
			'conditions' => array(
				'Region.status' => 'Active'
			)
		),
		'PACountryList' => array(
			'className' => 'CountryList',
			'foreignKey' => 'pa_country_code',
			'fields' => array(
				'PACountryList.code',
				'PACountryList.name'
			),
			'conditions' => array(
				'PACountryList.status' => 'Active'
			)
		),
	);
	
	public function beforeSave($options = array()) {
		if(!isset($this->data['AddressHistoryLog']['id'])) {
			$this->data['AddressHistoryLog']['created_by'] = $_SESSION['Auth']['User']['id'];
			$this->data['AddressHistoryLog']['modified_by'] = $_SESSION['Auth']['User']['id'];
			$this->data['AddressHistoryLog']['status'] = 'Active';
		}
		else {
			$this->data['AddressHistoryLog']['modified_by'] = $_SESSION['Auth']['User']['id'];
			$this->data['AddressHistoryLog']['date_last_modified'] = date("Y-m-d");
		}
		
		return true;
	}
}
?>