<?php
App::uses('AppModel', 'Model');

class AnniversaryIncentiveDetail extends AppModel {
	public $actsAs = array('AuditLog.Auditable');
	public $tablePrefix = 'payroll_';
	public $primaryKey = 'code';

	public $belongsTo = array(
		'AnniversaryIncentive' => array(
			'className' => 'AnniversaryIncentive',
			'foreignKey' => 'payroll_anniversary_incentive_code',
		),
	);
	public function update_multiple($data = array()) {
		foreach($data as $k=>$val){
			$code= $val['code'];
			unset($val['code']);
			// debug($val);
		// exit();
			$this->updateAll(
					$val,
				array(
					'AnniversaryIncentiveDetail.code'=>$code
				)
			);
			
		}
		
		
		return true;
	}
	public function beforeValidate($options = array()) {
		if (isset($this->data['AnniversaryIncentiveDetail']['date_hired']) && validate_datetime($this->data['AnniversaryIncentiveDetail']['date_hired'], 'm/d/Y')) {
			$this->data['AnniversaryIncentiveDetail']['date_hired'] = convert_datetime($this->data['AnniversaryIncentiveDetail']['date_hired'], 'Y-m-d');
		}	
		
		return true;
	}

	public function beforeSave($options = array()) {
		if(!isset($this->data['AnniversaryIncentiveDetail']['code'])) {
			$this->data['AnniversaryIncentiveDetail']['created_by'] = $_SESSION['Auth']['User']['id'];
			$this->data['AnniversaryIncentiveDetail']['modified_by'] = $_SESSION['Auth']['User']['id'];
			$this->data['AnniversaryIncentiveDetail']['status'] = 'Active';
			
			$ReferenceCode = ClassRegistry::init('ReferenceCode');
			
			$code_char = 'PAID';
			$reference = $ReferenceCode->findByPrefixCode($code_char);
			$code_number = $reference['ReferenceCode']['number'] + 1;
			$year = $reference['ReferenceCode']['year_code'];
			
			if($year != date('Y')){
				$year= date('Y');
				$ReferenceCode->query("UPDATE reference_codes SET year_code = '$year' WHERE prefix_code = '$code_char'");
				$code_number=1;
			}
			
			$this->data['AnniversaryIncentiveDetail']['code'] = (date('y') . '-'.$code_char . (str_pad($code_number,7,"0",STR_PAD_LEFT)));
		
			$ReferenceCode->query("UPDATE reference_codes SET number = '$code_number' WHERE prefix_code = '$code_char'");
		}
		else {
			$this->data['AnniversaryIncentiveDetail']['modified_by'] = $_SESSION['Auth']['User']['id'];
		}
		
		return true;
	}
	
	public function afterFind($results, $primary = false) {
		foreach($results as $x => $result) {
			if (isset($result['AnniversaryIncentiveDetail']['date_hired'])) {
				$results[$x]['AnniversaryIncentiveDetail']['date_hired'] = date('m/d/Y',strtotime($results[$x]['AnniversaryIncentiveDetail']['date_hired']));
			}
		}

		return $results;
	}
	
}
?>