<?php
/**
 * Application model for CakePHP.
 *
 * This file is application-wide model file. You can put all
 * application-wide model-related methods here.
 *
 * CakePHP(tm) : Rapid Development Framework (http://cakephp.org)
 * Copyright (c) Cake Software Foundation, Inc. (http://cakefoundation.org)
 *
 * Licensed under The MIT License
 * For full copyright and license information, please see the LICENSE.txt
 * Redistributions of files must retain the above copyright notice.
 *
 * @copyright     Copyright (c) Cake Software Foundation, Inc. (http://cakefoundation.org)
 * @link          http://cakephp.org CakePHP(tm) Project
 * @package       app.Model
 * @since         CakePHP(tm) v 0.2.9
 * @license       http://www.opensource.org/licenses/mit-license.php MIT License
 */

App::uses('Model', 'Model');

/**
 * Application model for Cake.
 *
 * Add your application-wide methods in the class below, your models
 * will inherit them.
 *
 * @package       app.Model
 */
class AppModel extends Model {
	
	  public $actsAs = array('Containable', 'DaiCache');
	public function currentUser() {
	   return array(
	   'id' => AuthComponent::user('id'),
	   'standard_name' => AuthComponent::user('Employee.combination_whole_name')
	   );

	  //Return all the User
	  return $currentUser['User'];
	}
	public function fix_date_format($data,$date_fields=array()) {
		if($date_fields){
			// debug($date_fields);
			foreach($date_fields as $k){
				
				if(isset($data[$k])){
					if($this->validateDate($data[$k])){		
						$date = strtotime($data[$k]);
						$newformat = date('Y-m-d H:i:s',$date);
						$data[$k]=$newformat;
						//debug($newformat);
					}
				}
			}
		}
		else{
			foreach($data as $k=>$v){
				if($k!="modified" && $k!="created"){
					// debug($k ."-");
					// debug(($this->validateDate($v)));
					if($this->validateDate($v)){
						$date = strtotime($v);
						$newformat = date('Y-m-d H:i:s',$date);
						$data[$k]=$newformat;
						//debug($newformat);
					}
				}
			}
		}
		
		// debug($data);
		// exit();
		return $data;
	}
	
	function validateDate($myDateString){
		return (bool)strtotime($myDateString);
	}
}
?>