<?php
App::uses('AppModel', 'Model');

class ApplicantAddress extends AppModel {
	public $actsAs = array('AuditLog.Auditable');
	public $tablePrefix = 'recruitment_';
	// public $primarykey = "person_code";
	
	public $belongsTo = array(
		
		'Applicant' => array(
			'className' => 'Applicant',
			'foreignKey' => 'applicant_code',
			'conditions' => array(
				'Applicant.status' => 'Active'
			)
		),
		'Barangay' => array(
			'className' => 'Barangay',
			'foreignKey' => 'barangay_code',
			'conditions' => array(
				'Barangay.status' => 'Active'
			)
		),
		
		'City' => array(
			'className' => 'City',
			'foreignKey' => 'city_code',
			'conditions' => array(
				'City.status' => 'Active'
			)
		),
	
		'Province' => array(
			'className' => 'Province',
			'foreignKey' => 'province_code',
			'conditions' => array(
				'Province.status' => 'Active'
			)
		),
		
		'Region' => array(
			'className' => 'Region',
			'foreignKey' => 'region_code',
			'conditions' => array(
				'Region.status' => 'Active'
			)
		),
		
		
		'CountryList' => array(
			'className' => 'CountryList',
			'foreignKey' => 'country_code',
			'conditions' => array(
				'CountryList.status' => 'Active'
			)
		),
		'PABarangay' => array(
			'className' => 'Barangay',
			'foreignKey' => 'pa_barangay_code',
			'conditions' => array(
				'PABarangay.status' => 'Active'
			)
		),
		'PACity' => array(
			'className' => 'City',
			'foreignKey' => 'pa_city_code',
			'conditions' => array(
				'PACity.status' => 'Active'
			)
		),
		'PAProvince' => array(
			'className' => 'Province',
			'foreignKey' => 'pa_province_code',
			'conditions' => array(
				'PAProvince.status' => 'Active'
			)
		),
		'PARegion' => array(
			'className' => 'Region',
			'foreignKey' => 'pa_region_code',
			'conditions' => array(
				'PARegion.status' => 'Active'
			)
		),
		'PACountryList' => array(
			'className' => 'CountryList',
			'foreignKey' => 'pa_country_code',
			'conditions' => array(
				'PACountryList.status' => 'Active'
			)
		),
		
		
	);
	/* 
	public $hasMany = array(
		'AddressHistoryLog' => array(
			'className' => 'AddressHistoryLog',
			'foreignKey' => 'address_id',
			'fields' => array(
				'AddressHistoryLog.address_id',
				'AddressHistoryLog.employee_code',
				'AddressHistoryLog.street',
				'AddressHistoryLog.barangay_code',
				'AddressHistoryLog.city_code',
				'AddressHistoryLog.province_code',
				'AddressHistoryLog.region_code',
				'AddressHistoryLog.postal_zip_code',
				'AddressHistoryLog.country_code',
			),
			'conditions' => array(
				'AddressHistoryLog.status' => 'Active'
			)
		),
	);
	 */
	public $validate = array(
        // 'street' => array(
			// 'street logic 1' => array(
				// 'rule' => array('notEmpty'),
				// 'message'	=> 'No. and Street is required.'
			// ),
        // ),
		// 'barangay_code' => array(
			// 'barangay_code logic 1' => array(
				// 'rule' => array('notEmpty'),
				// 'message'	=> 'Barangay is required.'
			// ),
        // ),
		// 'city_code' => array(
			// 'city_code logic 1' => array(
				// 'rule' => array('notEmpty'),
				// 'message'	=> 'City / Municipality is required.'
			// ),
        // ),
		// 'province_code' => array(
			// 'province_code logic 1' => array(
				// 'rule' => array('notEmpty'),
				// 'message'	=> 'Province is required.'
			// ),
        // ),
		// 'region_code' => array(
			// 'region_code logic 1' => array(
				// 'rule' => array('notEmpty'),
				// 'message'	=> 'Region is required.'
			// ),
        // ),
		// 'postal_zip_code' => array(
			// 'postal_zip_code logic 1' => array(
				// 'rule' => array('notEmpty'),
				// 'message'	=> 'ZIP Code is required.'
			// ),
        // ),
		// 'country_code' => array(
			// 'country_code logic 1' => array(
				// 'rule' => array('notEmpty'),
				// 'message'	=> 'CountryList is required.'
			// ),
        // ),
	);
	
	public function beforeSave($options = array()) {
		if(!isset($this->data['ApplicantAddress']['id'])) {
			if ($this->data['ApplicantAddress']['is_from_initial_applicant'] == 0)
			{
				$this->data['ApplicantAddress']['created_by'] = 0;
				$this->data['ApplicantAddress']['modified_by'] = 0;
			}
			else 
			{
				$this->data['ApplicantAddress']['created_by'] = $_SESSION['Auth']['User']['id'];
				$this->data['ApplicantAddress']['modified_by'] = $_SESSION['Auth']['User']['id'];
			}
			$this->data['ApplicantAddress']['status'] = 'Active';
		}
		else {
			$this->data['ApplicantAddress']['modified_by'] = $_SESSION['Auth']['User']['id'];
			$this->data['ApplicantAddress']['date_last_modified'] = date("Y-m-d");
		}
		
		return true;
	}
}
?>