<?php
App::uses('AppModel', 'Model');

class ApplicantAttendanceAndScoreReport extends AppModel {
	
	public $actsAs = array('AuditLog.Auditable');
	public $tablePrefix = 'recruitment_';
	// public $displayField = 'employee_code';
	
	public $belongsTo = array(
		// 'Applicant' => array(
			// 'className' => 'Applicant',
			// 'foreignKey' => 'applicant_code',
			// 'conditions' => array(
				// 'Applicant.status' => 'Active'
			// ),
		// ),
		'JobTitleItemNumber' => array(
			'className' => 'JobTitleItemNumber',
			'foreignKey' => 'job_title_item_number_code',
			'conditions' => array(
				'JobTitleItemNumber.status' => 'Active'
			),
		),
		// 'ApplicationStatus' => array(
			// 'className' => 'ApplicationStatus',
			// 'foreignKey' => 'application_status_code',
			// 'conditions' => array(
				// 'ApplicationStatus.status' => 'Active'
			// ),
		// ),
		'JobTitle' => array(
			'className' => 'JobTitle',
			'foreignKey' => 'job_title_code',
			'conditions' => array(
				'JobTitle.status' => 'Active'
			),
		),
	);
	
	public $hasMany = array(
		'ApplicantAttendanceAndScoreReportDetail' => array(
			'className' => 'ApplicantAttendanceAndScoreReportDetail',
			'foreignKey' => 'applicant_attendance_and_score_report_id',
			'conditions' => array(
				'ApplicantAttendanceAndScoreReportDetail.status' => 'Active'
			)
		),
		// 'ApplicantAppliedPositionHistoryLog' => array(
			// 'className' => 'ApplicantAppliedPositionHistoryLog',
			// 'foreignKey' => 'applicant_applied_position_id',
			// 'conditions' => array(
				// 'ApplicantAppliedPositionHistoryLog.status' => 'Active'
			// ),
		// ),

	);
	
	public function beforeValidate($options = array()) {
		if(isset($this->data['ApplicantAttendanceAndScoreReport']['appointment_date']) && validate_datetime($this->data['ApplicantAttendanceAndScoreReport']['appointment_date'], 'm/d/Y')) {
			$this->data['ApplicantAttendanceAndScoreReport']['appointment_date'] = convert_datetime($this->data['ApplicantAttendanceAndScoreReport']['appointment_date'], 'Y-m-d');
		}	
		
		if(isset($this->data['ApplicantAttendanceAndScoreReport']['date_applied']) && validate_datetime($this->data['ApplicantAttendanceAndScoreReport']['date_applied'], 'm/d/Y')) {
			$this->data['ApplicantAttendanceAndScoreReport']['date_applied'] = convert_datetime($this->data['ApplicantAttendanceAndScoreReport']['date_applied'], 'Y-m-d');
		}	
		
		return true;
	}
	
	public function beforeSave($options = array()) {
		if(!isset($this->data['ApplicantAttendanceAndScoreReport']['id'])) {
			$this->data['ApplicantAttendanceAndScoreReport']['created_by'] = $_SESSION['Auth']['User']['id'];
			$this->data['ApplicantAttendanceAndScoreReport']['modified_by'] = $_SESSION['Auth']['User']['id'];
			$this->data['ApplicantAttendanceAndScoreReport']['status'] = 'Active';
			
			$this->data['ApplicantAttendanceAndScoreReport']['date_created'] = date('Y-m-d H:i:s');
		}
		else {
			$this->data['ApplicantAttendanceAndScoreReport']['modified_by'] = $_SESSION['Auth']['User']['id'];
		}
		
		return true;
	}
	
	public function afterFind($results, $primary = false)
	{
		foreach($results as $x => $result){
			if(isset($result['ApplicantAttendanceAndScoreReport']['appointment_date'])){
				$results[$x]['ApplicantAttendanceAndScoreReport']['appointment_date'] = date('m/d/Y',strtotime($results[$x]['ApplicantAttendanceAndScoreReport']['appointment_date']));
			}
			
			if(isset($result['ApplicantAttendanceAndScoreReport']['date_applied'])){
				$results[$x]['ApplicantAttendanceAndScoreReport']['date_applied'] = date('m/d/Y',strtotime($results[$x]['ApplicantAttendanceAndScoreReport']['date_applied']));
			}
		}

		return $results;
	}
}
?>