<?php
App::uses('AppModel', 'Model');

class ApplicantAttendanceAndScoreReportDetail extends AppModel {
	
	public $actsAs = array('AuditLog.Auditable');
	public $tablePrefix = 'recruitment_';
	// public $displayField = 'employee_code';
	
	public $belongsTo = array(
		'Applicant' => array(
			'className' => 'Applicant',
			'foreignKey' => 'applicant_code',
			'conditions' => array(
				'Applicant.status' => 'Active'
			),
		),
		'ApplicantStatus' => array(
			'className' => 'ApplicantStatus',
			'foreignKey' => 'applicant_status_code',
			'conditions' => array(
				'ApplicantStatus.status' => 'Active'
			),
		),
		'ApplicantRemark' => array(
			'className' => 'ApplicantRemark',
			'foreignKey' => 'applicant_remarks_code',
			'conditions' => array(
				'ApplicantRemark.status' => 'Active'
			),
		),
		'JobTitleItemNumber' => array(
			'className' => 'JobTitleItemNumber',
			'foreignKey' => 'job_title_item_number_code',
			'conditions' => array(
				'JobTitleItemNumber.status' => 'Active'
			),
		),
		'JobTitle' => array(
			'className' => 'JobTitle',
			'foreignKey' => 'job_title_code',
			'conditions' => array(
				'JobTitle.status' => 'Active'
			),
		),
	);
	
	// public $hasMany = array(
		// 'ApplicantAttendanceAndScoreReportDetailDetail' => array(
			// 'className' => 'ApplicantAttendanceAndScoreReportDetailDetail',
			// 'foreignKey' => 'applicant_attendance_and_score_report_id',
			// 'conditions' => array(
				// 'ApplicantAttendanceAndScoreReportDetailDetail.status' => 'Active'
			// )
		// ),
		// 'ApplicantAppliedPositionHistoryLog' => array(
			// 'className' => 'ApplicantAppliedPositionHistoryLog',
			// 'foreignKey' => 'applicant_applied_position_id',
			// 'conditions' => array(
				// 'ApplicantAppliedPositionHistoryLog.status' => 'Active'
			// ),
		// ),

	// );
	
	// public function beforeValidate($options = array()) {
		// if(isset($this->data['ApplicantAttendanceAndScoreReportDetail']['appointment_date']) && validate_datetime($this->data['ApplicantAttendanceAndScoreReportDetail']['appointment_date'], 'm/d/Y')) {
			// $this->data['ApplicantAttendanceAndScoreReportDetail']['appointment_date'] = convert_datetime($this->data['ApplicantAttendanceAndScoreReportDetail']['appointment_date'], 'Y-m-d');
		// }	
		
		// if(isset($this->data['ApplicantAttendanceAndScoreReportDetail']['date_applied']) && validate_datetime($this->data['ApplicantAttendanceAndScoreReportDetail']['date_applied'], 'm/d/Y')) {
			// $this->data['ApplicantAttendanceAndScoreReportDetail']['date_applied'] = convert_datetime($this->data['ApplicantAttendanceAndScoreReportDetail']['date_applied'], 'Y-m-d');
		// }	
		
		// return true;
	// }
	
	public function beforeSave($options = array()) {
		if(!isset($this->data['ApplicantAttendanceAndScoreReportDetail']['id'])) {
			$this->data['ApplicantAttendanceAndScoreReportDetail']['created_by'] = $_SESSION['Auth']['User']['id'];
			$this->data['ApplicantAttendanceAndScoreReportDetail']['modified_by'] = $_SESSION['Auth']['User']['id'];
			$this->data['ApplicantAttendanceAndScoreReportDetail']['status'] = 'Active';
			// $this->data['ApplicantAppliedPosition']['application_status_code'] = 'APPTAT-1';
		}
		else {
			$this->data['ApplicantAttendanceAndScoreReportDetail']['modified_by'] = $_SESSION['Auth']['User']['id'];
		}
		
		return true;
	}
	
	// public function afterFind($results, $primary = false)
	// {
		// foreach($results as $x => $result){
			// if(isset($result['ApplicantAttendanceAndScoreReportDetail']['appointment_date'])){
				// $results[$x]['ApplicantAttendanceAndScoreReportDetail']['appointment_date'] = date('m/d/Y',strtotime($results[$x]['ApplicantAttendanceAndScoreReportDetail']['appointment_date']));
			// }
			
			// if(isset($result['ApplicantAttendanceAndScoreReportDetail']['date_applied'])){
				// $results[$x]['ApplicantAttendanceAndScoreReportDetail']['date_applied'] = date('m/d/Y',strtotime($results[$x]['ApplicantAttendanceAndScoreReportDetail']['date_applied']));
			// }
		// }

		// return $results;
	// }
}
?>