<?php
App::uses('AppModel', 'Model');

class ApplicantHistoryLog extends AppModel {
	
	public $actsAs = array('AuditLog.Auditable');
	public $tablePrefix = 'recruitment_';
	// public $primaryKey = 'code';
	// public $displayField = 'employee_code';
	
	public $hasMany = array(
		'TakeExam' => array(
			'className' => 'TakeExam',
			'foreignKey' => 'recruitment_applicant_code',
			'conditions' => array(
				'TakeExam.status' => 'Active'
			)
		),
		// 'ApplicantAppliedPosition' => array(
			// 'className' => 'ApplicantAppliedPosition',
			// 'foreignKey' => 'applicant_code',
			// 'conditions' => array(
				// 'ApplicantAppliedPosition.status' => 'Active'
			// )
		// ),
	);
	
	public $hasOne = array(
		'Employee' => array(
			'className' => 'Employee',
			'foreignKey' => 'applicant_code',
			'conditions' => array(
				'Employee.status' => 'Active'
			),
		),
	);
	
	public $belongsTo = array(
		'Gender' => array(
			'className' => 'Gender',
			'foreignKey' => 'gender_code',
			'conditions' => array(
				'Gender.status' => 'Active'
			),
		),
		'ApplicationStatus' => array(
			'className' => 'ApplicationStatus',
			'foreignKey' => 'application_status_code',
			'conditions' => array(
				'ApplicationStatus.status' => 'Active'
			),
		),
		'Vacancy' => array(
			'className' => 'Vacancy',
			'foreignKey' => 'vacancy_reference_number',
			'conditions' => array(
				'Vacancy.status' => 'Active'
			),
		),
		'Applicant' => array(
			'className' => 'Applicant',
			'foreignKey' => 'applicant_code',
			'conditions' => array(
				'Applicant.status' => 'Active'
			),
		),
	);
	
	public function beforeValidate($options = array()) {
		// if(isset($this->data['Applicant']['date_applied']) && validate_datetime($this->data['Applicant']['date_applied'], 'm/d/Y')) {
			// $this->data['Applicant']['date_applied'] = convert_datetime($this->data['Applicant']['date_applied'], 'Y-m-d');
		// }	
		// if(isset($this->data['Applicant']['scheduled_date']) && validate_datetime($this->data['Applicant']['scheduled_date'], 'm/d/Y')) {
			// $this->data['Applicant']['scheduled_date'] = convert_datetime($this->data['Applicant']['scheduled_date'], 'Y-m-d');
		// }	
		
		if(isset($this->data['ApplicantHistoryLog']['date_of_birth']) && validate_datetime($this->data['Applicant']['date_of_birth'], 'm/d/Y')) {
			$this->data['ApplicantHistoryLog']['date_of_birth'] = convert_datetime($this->data['Applicant']['date_of_birth'], 'Y-m-d');
		}
		
		return true;
	}
	
	public function beforeSave($options = array()) {
		if(!isset($this->data['ApplicantHistoryLog']['id'])) {
			$this->data['ApplicantHistoryLog']['created_by'] = $_SESSION['Auth']['User']['id'];
			$this->data['ApplicantHistoryLog']['modified_by'] = $_SESSION['Auth']['User']['id'];
			$this->data['ApplicantHistoryLog']['status'] = 'Active';
			// $this->data['ApplicantHistoryLog']['application_status_code'] = 'APPTAT-1';
			
			// $ReferenceCode = ClassRegistry::init('ReferenceCode');
			
			// $code_char = 'RAPP';
			// $reference = $ReferenceCode->findByPrefixCode($code_char);
			// $code_number = $reference['ReferenceCode']['number'] + 1;
			// $this->data['Applicant']['code'] = $code_char . '-' . $code_number;
		
			// $ReferenceCode->query("UPDATE reference_codes SET number = '$code_number' WHERE prefix_code = '$code_char'");
		}
		else {
			$this->data['ApplicantHistoryLog']['modified_by'] = $_SESSION['Auth']['User']['id'];
		}
		
		return true;
	}
	
	public function afterFind($results, $primary = false)
	{
		foreach($results as $x => $result){
			if(isset($result['ApplicantHistoryLog']['date_of_birth'])){
				$results[$x]['ApplicantHistoryLog']['date_of_birth'] = date('m/d/Y',strtotime($results[$x]['Applicant']['date_of_birth']));
			}
		}

		return $results;
	}
}
?>