<?php
App::uses('AppModel', 'Model');

class ApplicantRateCard extends AppModel {
	
	public $actsAs = array('AuditLog.Auditable');
	public $tablePrefix = 'recruitment_';
	// public $primaryKey = 'code';
	// public $displayField = 'employee_code';
	

	
	public $hasMany = array(
		'InterviewerScore'
	);
	
	public $belongsTo = array(
		'Applicant' => array(
			'className' => 'Applicant',
			'foreignKey' => 'applicant_code',
			'conditions' => array(
				'Applicant.status' => 'Active',
				// 'Applicant.employee_code=Employee.employee_code'
			),
		),
		
		'ApplicantAppliedPosition' => array(
			'className' => 'ApplicantAppliedPosition',
			'foreignKey' => 'applicant_code',
			'conditions' => array(
				'ApplicantAppliedPosition.status' => 'Active',
			),
		),
		
	);

	
	// public function beforeValidate($options = array()) {
		// if(isset($this->data['ApplicantScoreCard']['exam_date']) && validate_datetime($this->data['ApplicantScoreCard']['exam_date'], 'm/d/Y')) {
			// $this->data['ApplicantScoreCard']['exam_date'] = convert_datetime($this->data['ApplicantScoreCard']['exam_date'], 'Y-m-d');
		// }	
		
		
		// return true;
	// }
	
	public function beforeSave($options = array()) {
		if(!isset($this->data['ApplicantRateCard']['code'])) {
			$this->data['ApplicantRateCard']['created_by'] = $_SESSION['Auth']['User']['id'];
			$this->data['ApplicantRateCard']['modified_by'] = $_SESSION['Auth']['User']['id'];
			$this->data['ApplicantRateCard']['status'] = 'Active';
			
			$ReferenceCode = ClassRegistry::init('ReferenceCode');
			
			$code_char = 'RASC';
			$reference = $ReferenceCode->findByPrefixCode($code_char);
			$code_number = $reference['ReferenceCode']['number'] + 1;
			$this->data['ApplicantRateCard']['code'] = $code_char . '-' . $code_number;
		
			$ReferenceCode->query("UPDATE reference_codes SET number = '$code_number' WHERE prefix_code = '$code_char'");
		}
		else {
			$this->data['ApplicantRateCard']['modified_by'] = $_SESSION['Auth']['User']['id'];
		}
		
		return true;
	}
	
	// public function afterFind($results, $primary = false)
	// {
		// foreach($results as $x => $result){
			// if(isset($result['ApplicantScoreCard']['exam_date'])){
				// $results[$x]['ApplicantScoreCard']['exam_date'] = date('m/d/Y',strtotime($results[$x]['ApplicantScoreCard']['exam_date']));
			// }

		// }

		// return $results;
	// }
}
?>