<?php
App::uses('AppModel', 'Model');

class BankAccountDetail extends AppModel {
	
	public $tablePrefix = 'employee_';
	
	public $belongsTo = array(
		'Bank' => array(
			'className' => 'Bank',
			'foreignKey' => 'bank_code',
			'fields' => array(
				'Bank.code',
				'Bank.name',
			),
			'conditions' => array(
				'Bank.status' => 'Active'
			)
		),
		'Employee' => array(
			'className' => 'Employee',
			'foreignKey' => 'employee_code',
			'conditions' => array(
				'Employee.status' => 'Active'
			)
		),
	);
	
	public $hasMany = array(
		'BankAccountDetailHistoryLog' => array(
			'className' => 'BankAccountDetailHistoryLog',
			'foreignKey' => 'bank_account_detail_id',
			'fields' => array(
				'BankAccountDetailHistoryLog.bank_account_detail_id',
				'BankAccountDetailHistoryLog.employee_code',
				'BankAccountDetailHistoryLog.bank_code',
				'BankAccountDetailHistoryLog.account_number',
			),
			'conditions' => array(
				'BankAccountDetailHistoryLog.status' => 'Active'
			)
		),
	);
	
	public function beforeSave($options = array()) {
		if(!isset($this->data['BankAccountDetail']['id'])) {
			$this->data['BankAccountDetail']['created_by'] = $_SESSION['Auth']['User']['id'];
			$this->data['BankAccountDetail']['modified_by'] = $_SESSION['Auth']['User']['id'];
			$this->data['BankAccountDetail']['status'] = 'Active';
		}
		else {
			$this->data['BankAccountDetail']['modified_by'] = $_SESSION['Auth']['User']['id'];
		}
		
		return true;
	}
}
?>