<?php
App::uses('AppModel', 'Model');

class BankAccountDetailHistoryLog extends AppModel {
	
	public $tablePrefix = 'employee_';
	
	public $belongsTo = array(
		'Bank' => array(
			'className' => 'Bank',
			'foreignKey' => 'bank_code',
			'fields' => array(
				'Bank.code',
				'Bank.name',
			),
			'conditions' => array(
				'Bank.status' => 'Active'
			)
		),
		'Employee' => array(
			'className' => 'Employee',
			'foreignKey' => 'employee_code',
			'conditions' => array(
				'Employee.status' => 'Active'
			)
		),
		'BankAccountDetail' => array(
			'className' => 'BankAccountDetail',
			'foreignKey' => 'bank_account_detail_id',
			'conditions' => array(
				'BankAccountDetail.status' => 'Active'
			)
		),
	);
	
	public function beforeSave($options = array()) {
		if(!isset($this->data['BankAccountDetailHistoryLog']['id'])) {
			$this->data['BankAccountDetailHistoryLog']['created_by'] = $_SESSION['Auth']['User']['id'];
			$this->data['BankAccountDetailHistoryLog']['modified_by'] = $_SESSION['Auth']['User']['id'];
			$this->data['BankAccountDetailHistoryLog']['status'] = 'Active';
		}
		else {
			$this->data['BankAccountDetailHistoryLog']['modified_by'] = $_SESSION['Auth']['User']['id'];
		}
		
		return true;
	}
}
?>