<?php
App::uses('AppModel', 'Model');

class BeginningLeaveCard extends AppModel {
	
	public $tablePrefix = 'employee_';
	public $primaryKey = 'code';
	
	public $belongsTo = array(
		'Employee' => array(
			'className' => 'Employee',
			'foreignKey' => 'employee_code',
			// 'dependent' => true
		),
	);
	public $validate = array(
      
		'employee_code' => array(
			'employee_code logic 2' => array(
				'rule'		=> 'notEmpty',
				'message'	=> 'Employee is required.'
			),
			// 'employee_code logic 2' => array(
				// 'rule'		=> 'isUnique',
				// 'message'	=> 'Employee is already have Beginning Leave Card.'
			// ),
        ),
	);
	public $hasOne = array(
		'EmployeeLeaveCard' => array(
			'className' => 'EmployeeLeaveCard',
			'foreignKey' => 'beginning_leave_card_code',
			// 'dependent' => true
		),
	);
	
	// public $hasMany = array(
		// 'LeaveLog' => array(
			// 'className' => 'LeaveLog',
			// 'foreignKey' => 'reference',
			// 'conditions' => array(
				// 'LeaveLog.status' => 'Active',
				// 'LeaveLog.reference_module' => 'BeginningLeaveCard'
			// ),
			 // 'order' => 'LeaveLog.created ASC',
		// ),
	// );
	public function beforeSave($options = array()) {
		if(!isset($this->data['BeginningLeaveCard']['code'])) {
			$this->data['BeginningLeaveCard']['created_by'] = $_SESSION['Auth']['User']['id'];
			$this->data['BeginningLeaveCard']['modified_by'] = $_SESSION['Auth']['User']['id'];
			$this->data['BeginningLeaveCard']['status'] = 'Active';
			
			$ReferenceCode = ClassRegistry::init('ReferenceCode');
			
			$code_char = 'BLC';
			$reference = $ReferenceCode->findByPrefixCode($code_char);
			$code_number = $reference['ReferenceCode']['number'] + 1;
			$year = $reference['ReferenceCode']['year_code'];
			// debug($year);
			// debug($reference);
			// exit();
			if($year != date('Y')){
				$year= date('Y');
				$ReferenceCode->query("UPDATE reference_codes SET year_code = '$year' WHERE prefix_code = '$code_char'");
				$code_number=1;
			}
			$this->data['BeginningLeaveCard']['code'] = (date('y') . '-'.$code_char . (str_pad($code_number,7,"0",STR_PAD_LEFT)));
		
			$ReferenceCode->query("UPDATE reference_codes SET number = '$code_number' WHERE prefix_code = '$code_char'");
		}
		else {
			$this->data['BeginningLeaveCard']['modified_by'] = $_SESSION['Auth']['User']['id'];
		}
		
		return true;
	}
	
	public function comparisonWithField($validationFields = array(), $operator = null, $compareFieldName = '') {
		if (!isset($this->data[$this->name][$compareFieldName])) {
			throw new CakeException(sprintf(__('Can\'t compare to the non-existing field "%s" of model %s.'), $compareFieldName, $this->name));
		}
		$compareTo = $this->data[$this->name][$compareFieldName];
		foreach ($validationFields as $key => $value) {
			if (!Validation::comparison($value, $operator, $compareTo)) {
				return false;
				}
			}
			return true;
	}
	
	public function Duplicate_Active($check,$compare='') {
		if(isset($this->data['BeginningLeaveCard']['id']) ){
			$x=$this->find('count',array(
					'conditions' => array(
						$compare => $check[$compare],
						'BeginningLeaveCard.status' => 'Active',
						'BeginningLeaveCard.id != ' . $this->data['BeginningLeaveCard']['id']
						)
				)
			);
		}
		else{
			$x=$this->find('count',array(
				'conditions' => array(
					$compare => $check[$compare],
					'status' => 'Active'
					)
				)
			);			
		}
		if($x==0)  return true;
		else return false;
	}
}
?>