<?php
App::uses('AppModel', 'Model');

class BillingIncentive extends AppModel {
	public $actsAs = array('AuditLog.Auditable');
	public $tablePrefix = 'payroll_';
	public $primaryKey = 'code';
	
	
	public $belongsTo = array(
		
	);
	
	public $hasMany = array(
		'BillingIncentiveDetail' => array(
			'className' => 'BillingIncentiveDetail',
			'foreignKey' => 'payroll_billing_incentive_code',
			'conditions' => array(
				'BillingIncentiveDetail.status' => 'Active'
			),
		),
		'BillingIncentiveTempDetail' => array(
			'className' => 'BillingIncentiveTempDetail',
			'foreignKey' => 'payroll_billing_incentive_code',
		),
	);
	
	// public $hasOne = array(
		// 'BillingIncentiveTempDetail' => array(
			// 'className' => 'BillingIncentiveTempDetail',
			// 'foreignKey' => 'code',
		// ),
	// );
	
	public function beforeValidate($options = array()) {
		if(isset($this->data['BillingIncentive']['billing_incentive_date']) && validate_datetime($this->data['BillingIncentive']['billing_incentive_date'], 'm/d/Y')) {
			$this->data['BillingIncentive']['billing_incentive_date'] = convert_datetime($this->data['BillingIncentive']['billing_incentive_date'], 'Y-m-d');
		}	
		if(isset($this->data['BillingIncentive']['assumption_date']) && validate_datetime($this->data['BillingIncentive']['assumption_date'], 'm/d/Y')) {
			$this->data['BillingIncentive']['assumption_date'] = convert_datetime($this->data['BillingIncentive']['assumption_date'], 'Y-m-d');
		}
		return true;
	}

	public function beforeSave($options = array()) {
		if(!isset($this->data['BillingIncentive']['code'])) {
			$this->data['BillingIncentive']['created_by'] = $_SESSION['Auth']['User']['id'];
			$this->data['BillingIncentive']['modified_by'] = $_SESSION['Auth']['User']['id'];
			$this->data['BillingIncentive']['status'] = 'Active';
			
			$ReferenceCode = ClassRegistry::init('ReferenceCode');
			
			$code_char = 'BI';
			$reference = $ReferenceCode->findByPrefixCode($code_char);
			$code_number = $reference['ReferenceCode']['number'] + 1;
			$year = $reference['ReferenceCode']['year_code'];
			
			if($year != date('Y')){
				$year= date('Y');
				$ReferenceCode->query("UPDATE reference_codes SET year_code = '$year' WHERE prefix_code = '$code_char'");
				$code_number=1;
			}
			
			$this->data['BillingIncentive']['code'] = (date('y') . '-'.$code_char . (str_pad($code_number,7,"0",STR_PAD_LEFT)));
		
			$ReferenceCode->query("UPDATE reference_codes SET number = '$code_number' WHERE prefix_code = '$code_char'");
		}
		else {
			$this->data['BillingIncentive']['modified_by'] = $_SESSION['Auth']['User']['id'];
		}
		return true;
	}
	
	public function afterFind($results, $primary = false)
	{
		foreach($results as $x => $result){
			if(isset($result['BillingIncentive']['billing_incentive_date'])){
				$results[$x]['BillingIncentive']['billing_incentive_date'] = date('m/d/Y',strtotime($results[$x]['BillingIncentive']['billing_incentive_date']));
			}
			if(isset($result['BillingIncentive']['assumption_date'])){
				$results[$x]['BillingIncentive']['assumption_date'] = date('m/d/Y',strtotime($results[$x]['BillingIncentive']['assumption_date']));
			}
			if(isset($result['BillingIncentive']['generated_date'])){
				$results[$x]['BillingIncentive']['generated_date'] = date('m/d/Y',strtotime($results[$x]['BillingIncentive']['generated_date']));
			}
			if(isset($result['BillingIncentive']['locked_date'])){
				$results[$x]['BillingIncentive']['locked_date'] = date('m/d/Y',strtotime($results[$x]['BillingIncentive']['locked_date']));
			}
		}

		return $results;
	}
	
}
?>