<?php
App::uses('AppModel', 'Model');

class BillingIncentiveDetail extends AppModel {
	public $actsAs = array('AuditLog.Auditable');
	public $tablePrefix = 'payroll_';
	public $primaryKey = 'code';
	
	
	public $belongsTo = array(
		'BillingIncentive' => array(
			'className' => 'BillingIncentive',
			'foreignKey' => 'payroll_billing_incentive_code',
		),
		
	);
	
	public $hasOne = array(
		'BillingIncentiveTempDetail' => array(
			'className' => 'BillingIncentiveTempDetail',
			'foreignKey' => 'billing_incentive_detail_code',
		),
	);

	public function beforeSave($options = array()) {
		if(!isset($this->data['BillingIncentiveDetail']['code'])) {
			$this->data['BillingIncentiveDetail']['created_by'] = $_SESSION['Auth']['User']['id'];
			$this->data['BillingIncentiveDetail']['modified_by'] = $_SESSION['Auth']['User']['id'];
			$this->data['BillingIncentiveDetail']['status'] = 'Active';
			
			$ReferenceCode = ClassRegistry::init('ReferenceCode');
			
			$code_char = 'BID';
			$reference = $ReferenceCode->findByPrefixCode($code_char);
			$code_number = $reference['ReferenceCode']['number'] + 1;
			$year = $reference['ReferenceCode']['year_code'];
			
			if($year != date('Y')){
				$year= date('Y');
				$ReferenceCode->query("UPDATE reference_codes SET year_code = '$year' WHERE prefix_code = '$code_char'");
				$code_number=1;
			}
			
			$this->data['BillingIncentiveDetail']['code'] = (date('y') . '-'.$code_char . (str_pad($code_number,7,"0",STR_PAD_LEFT)));
		
			$ReferenceCode->query("UPDATE reference_codes SET number = '$code_number' WHERE prefix_code = '$code_char'");
		}
		else {
			$this->data['BillingIncentiveDetail']['modified_by'] = $_SESSION['Auth']['User']['id'];
		}
		
		return true;
	}
	
	// public function afterFind($results, $primary = false)
	// {
		// foreach($results as $x => $result){
			// if(isset($result['MidYearBonusDetail']['date_hired'])){
				// $results[$x]['MidYearBonusDetail']['date_hired'] = date('m/d/Y',strtotime($results[$x]['MidYearBonusDetail']['date_hired']));
			// }
		// }

		// return $results;
	// }
	
}
?>