<?php
App::uses('AppModel', 'Model');

class CaseRatePayment extends AppModel {
	public $actsAs = array('AuditLog.Auditable');
	// public $actsAs = array('AuditLog.Auditable');
	public $tablePrefix = 'payroll_';
	public $primaryKey = 'code';
	public $displayField = 'amount';
	
	public $hasMany = array(
		'EmployeeCaseRatePayment' => array(
			'className' => 'EmployeeCaseRatePayment',
			'foreignKey' => 'case_rate_payment_code',
			'conditions'=>array(
				'status'=>'Active'
			)
		),
	);


	
	public function beforeSave($options = array()) {
		if(!isset($this->data['CaseRatePayment']['id'])) {
			$this->data['CaseRatePayment']['created_by'] = $_SESSION['Auth']['User']['id'];
			$this->data['CaseRatePayment']['modified_by'] = $_SESSION['Auth']['User']['id'];
			$this->data['CaseRatePayment']['status'] = 'Active';
			
			$ReferenceCode = ClassRegistry::init('ReferenceCode');
			
			$code_char = 'CSRTE';
			$reference = $ReferenceCode->findByPrefixCode($code_char);
			$code_number = $reference['ReferenceCode']['number'] + 1;
			$this->data['CaseRatePayment']['code'] = $code_char . '-' . $code_number;
		
			$ReferenceCode->query("UPDATE reference_codes SET number = '$code_number' WHERE prefix_code = '$code_char'");
		}
		else {
			$this->data['CaseRatePayment']['modified_by'] = $_SESSION['Auth']['User']['id'];
		}
		
		return true;
	}
	public function afterFind($results, $primary = false){
		foreach($results as $x => $result){
			if(isset($result['CaseRatePayment']['official_receipt_date'])){
				$results[$x]['CaseRatePayment']['official_receipt_date'] = date('m/d/Y',strtotime($results[$x]['CaseRatePayment']['official_receipt_date']));
			}
		}
		return $results;
	}
}
?>