<?php
App::uses('AppModel', 'Model');

class CashGift extends AppModel {
	
	// public $tablePrefix = 'setting_';
	public $primaryKey = 'code';
	// public $displayField = 'name';
	
	public $hasMany = array(
		'EmployeeCashGift' => array(
			'className' => 'EmployeeCashGift',
			'foreignKey' => 'cash_gift_code',
			'conditions'=>array(
				'status'=>'Active'
			)
		),
		'GeneratedCashGift' => array(
			'className' => 'GeneratedCashGift',
			'foreignKey' => 'cash_gift_code',
			'conditions'=>array(
				'GeneratedCashGift.status'=>'Active'
			)
		),
	);
	
	public $belongsTo = array(
		'EmploymentStatus' => array(
			'className' => 'EmploymentStatus',
			'foreignKey' => 'employment_status_code',
		),
		
		
		
	);
	// public $validate = array(
	 // 'employee_code' => array(
			// 'employee_code logic 1' => array(
				// 'rule'		=> 'isUnique',
				// 'on' => 'create',
				// 'message'	=> 'Employee is already existed.',
				
			// ),
        // ),
	// );
	public function beforeValidate($options = array()) {		
		if(isset($this->data['CashGift']['assumption_date']) && validate_datetime($this->data['CashGift']['assumption_date'], 'm/d/Y')) {
			$this->data['CashGift']['assumption_date'] = convert_datetime($this->data['CashGift']['assumption_date'], 'Y-m-d');
		}
		
		if(isset($this->data['CashGift']['generated_date']) && validate_datetime($this->data['CashGift']['generated_date'], 'm/d/Y')) {
			$this->data['CashGift']['generated_date'] = convert_datetime($this->data['CashGift']['generated_date'], 'Y-m-d');
		}
		
		if(isset($this->data['CashGift']['locked_date']) && validate_datetime($this->data['CashGift']['locked_date'], 'm/d/Y')) {
			$this->data['CashGift']['locked_date'] = convert_datetime($this->data['CashGift']['locked_date'], 'Y-m-d');
		}
			return true;
	}
	public function beforeSave($options = array()) {
		
		// debug($this->data['Deduction']['id']);exit();
		
		if(!isset($this->data['CashGift']['id'])) {
			$this->data['CashGift']['created_by'] = $_SESSION['Auth']['User']['id'];
			$this->data['CashGift']['modified_by'] = $_SESSION['Auth']['User']['id'];
			$this->data['CashGift']['status'] = 'Active';
			
			$ReferenceCode = ClassRegistry::init('ReferenceCode');
			
			$code_char = 'CG';
			$reference = $ReferenceCode->findByPrefixCode($code_char);
			$code_number = $reference['ReferenceCode']['number'] + 1;
			$year = $reference['ReferenceCode']['year_code'];
			
			// debug($year);
			
			if($year != date('Y')){
				$year= date('Y');
				$ReferenceCode->query("UPDATE reference_codes SET year_code = '$year' WHERE prefix_code = '$code_char'");
				$code_number=1;
			}
			
			$this->data['CashGift']['code'] = (date('y') . '-'.$code_char . (str_pad($code_number,7,"0",STR_PAD_LEFT)));
		
			$ReferenceCode->query("UPDATE reference_codes SET number = '$code_number' WHERE prefix_code = '$code_char'");
		}
		else {
			$this->data['CashGift']['modified_by'] = $_SESSION['Auth']['User']['id'];
		}
		
		return true;
	}
	
	public function afterFind($results, $primary = false) {
		foreach($results as $x => $result){
			if (isset($result['CashGift']['assumption_date'])) {
				$results[$x]['CashGift']['assumption_date'] = date('m/d/Y', strtotime($results[$x]['CashGift']['assumption_date']));
			}
			
			if (isset($result['CashGift']['generated_date'])) {
				$results[$x]['CashGift']['generated_date'] = date('m/d/Y', strtotime($results[$x]['CashGift']['generated_date']));
			}
			
			if (isset($result['CashGift']['locked_date'])) {
				$results[$x]['CashGift']['locked_date'] = date('m/d/Y', strtotime($results[$x]['CashGift']['locked_date']));
			}
		}

		return $results;
	}
}
?>