<?php
App::uses('AppModel', 'Model');

class ChangeOfStatusHistoryLog extends AppModel {
	
	public $tablePrefix = 'employee_';
	// public $primaryKey = 'code';
	// public $displayField = 'name';
	
	
	public $belongsTo= array(
		'Employee' => array(
			'className' => 'Employee',
			'foreignKey' => 'employee_code',
			'fields' => array(
				'Employee.combination_whole_name',
				
			),
			'conditions' => array(
				'Employee.status' => 'Active'
			),
		),
		'ChangeOfStatus' => array(
			'className' => 'ChangeOfStatus',
			'foreignKey' => 'change_of_status_id',
			'conditions' => array(
				'ChangeOfStatus.status' => 'Active'
			)
		),
	);

	public function beforeValidate($options = array()) {		
		if(isset($this->data['ChangeOfStatusHistoryLog']['change_of_status_date']) && validate_datetime($this->data['ChangeOfStatusHistoryLog']['change_of_status_date'], 'm/d/Y')) {
			$this->data['ChangeOfStatusHistoryLog']['change_of_status_date'] = convert_datetime($this->data['ChangeOfStatusHistoryLog']['change_of_status_date'], 'Y-m-d');
		}
			return true;
	}
	
	public function beforeSave($options = array()) {
		if(!isset($this->data['ChangeOfStatusHistoryLog']['id'])) {
			$this->data['ChangeOfStatusHistoryLog']['created_by'] = $_SESSION['Auth']['User']['id'];
			$this->data['ChangeOfStatusHistoryLog']['modified_by'] = $_SESSION['Auth']['User']['id'];
			$this->data['ChangeOfStatusHistoryLog']['status'] = 'Active';
			
			$ReferenceCode = ClassRegistry::init('ReferenceCode');
			
			$code_char = 'CHASTAT';
			$reference = $ReferenceCode->findByPrefixCode($code_char);
			$code_number = $reference['ReferenceCode']['number'] + 1;
			$this->data['NewHire']['code'] = $code_char . '-' . $code_number;
		
			$ReferenceCode->query("UPDATE reference_codes SET number = '$code_number' WHERE prefix_code = '$code_char'");
		}
		else {
			$this->data['ChangeOfStatusHistoryLog']['modified_by'] = $_SESSION['Auth']['User']['id'];
		}
		
		return true;
	}
	
	public function afterFind($results, $primary = false)
	{
		foreach($results as $x => $result){
			if(isset($result['ChangeOfStatusHistoryLog']['change_of_status_date'])){
				$results[$x]['ChangeOfStatusHistoryLog']['change_of_status_date'] = date('m/d/Y',strtotime($results[$x]['ChangeOfStatusHistoryLog']['change_of_status_date']));
			}
		}

		return $results;
	}
}
?>