<?php
App::uses('AppModel', 'Model');

class CivilServiceHistoryLog extends AppModel {
	
	public $tablePrefix = 'employee_';
	public $primaryKey = 'id';
	// public $displayField = 'name';
	

	public $belongsTo = array(
		'Employee' => array(
			'className' => 'Employee',
			'foreignKey' => 'employee_code',
			'conditions' => array(
				'Employee.status' => 'Active'
			),
		),

		'CareerServiceType' => array(
			'className' => 'CareerServiceType',
			'foreignKey' => 'career_service_code',
			'conditions' => array(
				'CareerServiceType.status' => 'Active'
			),
		),
		
		'CivilService' => array(
			'className' => 'CivilService',
			'foreignKey' => 'civil_service_id',
			// 'foreignKey' => 'civil_service_history_logs_id',
			'conditions' => array(
				'CivilService.status' => 'Active'
			),
		),		
	);
	public $hasMany = array(
		'Document' => array(
			'className' => 'Document',
			'foreignKey' => 'civil_service_id',

			'conditions' => array(
				'Document.status' => 'Active'
			)
		),
	);
	public function beforeValidate($options = array()) {
		// if(isset($this->data['CivilServiceHistoryLog']['date_passed']) && validate_datetime($this->data['CivilServiceHistoryLog']['date_passed'], 'm/d/Y')) {
			// $this->data['CivilServiceHistoryLog']['date_passed'] = convert_datetime($this->data['CivilServiceHistoryLog']['date_passed'], 'Y-m-d');
		// }	
		
		// if(isset($this->data['CivilServiceHistoryLog']['date_of_examination']) && validate_datetime($this->data['CivilServiceHistoryLog']['date_of_examination'], 'm/d/Y')) {
			// $this->data['CivilServiceHistoryLog']['date_of_examination'] = convert_datetime($this->data['CivilServiceHistoryLog']['date_of_examination'], 'Y-m-d');
		// }
		
		if(isset($this->data['CivilServiceHistoryLog']['date_of_validity']) && validate_datetime($this->data['CivilServiceHistoryLog']['date_of_validity'], 'm/d/Y')) {
			$this->data['CivilServiceHistoryLog']['date_of_validity'] = convert_datetime($this->data['CivilServiceHistoryLog']['date_of_validity'], 'Y-m-d');
		}
			
		return true;
	}
	
	public function beforeSave($options = array()) {
		if(!isset($this->data['CivilServiceHistoryLog']['id'])) {
			$this->data['CivilServiceHistoryLog']['created_by'] = $_SESSION['Auth']['User']['id'];
			$this->data['CivilServiceHistoryLog']['modified_by'] = $_SESSION['Auth']['User']['id'];
			$this->data['CivilServiceHistoryLog']['status'] = 'Active';
		}
		else {
			$this->data['CivilServiceHistoryLog']['modified_by'] = $_SESSION['Auth']['User']['id'];
		}
		
		return true;
	}
	
	public function afterFind($results, $primary = false)
	{
		foreach($results as $x => $result){
			// if(isset($result['CivilServiceHistoryLog']['date_passed'])){
				// $results[$x]['CivilServiceHistoryLog']['date_passed'] = date('m/d/Y',strtotime($results[$x]['CivilServiceHistoryLog']['date_passed']));
			// }
			
			// if(isset($result['CivilServiceHistoryLog']['date_of_examination'])){
				// $results[$x]['CivilServiceHistoryLog']['date_of_examination'] = date('m/d/Y',strtotime($results[$x]['CivilServiceHistoryLog']['date_of_examination']));
			// }
			
			if(isset($result['CivilServiceHistoryLog']['date_of_validity'])){
				$results[$x]['CivilServiceHistoryLog']['date_of_validity'] = date('m/d/Y',strtotime($results[$x]['CivilServiceHistoryLog']['date_of_validity']));
			}
		}

		return $results;
	}
}
?>