<?php
App::uses('AppModel', 'Model');

class ClothingAllowance extends AppModel {
	
	// public $tablePrefix = 'employee_';
	public $primaryKey = 'code';
	// public $displayField = 'name';
	
	public $hasMany = array(
		// 'EmployeeClothingAllowance' => array(
			// 'className' => 'EmployeeClothingAllowance',
			// 'foreignKey' => 'clothing_allowance_code',
			// 'conditions'=>array(
				// 'status'=>'Active'
			// )
		// ),
		'GeneratedClothingAllowance' => array(
			'className' => 'GeneratedClothingAllowance',
			'foreignKey' => 'clothing_allowance_code',
			'conditions'=>array(
				'GeneratedClothingAllowance.status'=>'Active'
			)
		),
		'GeneratedClothingAllowance' => array(
			'className' => 'GeneratedClothingAllowance',
			'foreignKey' => 'clothing_allowance_code',
			'conditions'=>array(
				'GeneratedClothingAllowance.status'=>'Active'
			)
		),
		'ClothingAllowanceEmploymentStatus' => array(
			'className' => 'ClothingAllowanceEmploymentStatus',
			'foreignKey' => 'clothing_allowance_code',
			'fields' => array(
				'employment_status_code',
				'employment_status_name',
			),
			'conditions' => array(
				'ClothingAllowanceEmploymentStatus.status' => 'Active'
			),
		),
	);
	
	public $belongsTo = array(
		// 'EmploymentStatus' => array(
			// 'className' => 'EmploymentStatus',
			// 'foreignKey' => 'employment_status_code',
		// ),

	);
	// public $validate = array(
	 // 'employee_code' => array(
			// 'employee_code logic 1' => array(
				// 'rule'		=> 'isUnique',
				// 'on' => 'create',
				// 'message'	=> 'Employee is already existed.',
				
			// ),
        // ),
	// );
	public function beforeValidate($options = array()) {		
		if(isset($this->data['ClothingAllowance']['assumption_date']) && validate_datetime($this->data['ClothingAllowance']['assumption_date'], 'm/d/Y')) {
			$this->data['ClothingAllowance']['assumption_date'] = convert_datetime($this->data['ClothingAllowance']['assumption_date'], 'Y-m-d');
		}
		
		if(isset($this->data['ClothingAllowance']['generated_date']) && validate_datetime($this->data['ClothingAllowance']['generated_date'], 'm/d/Y')) {
			$this->data['ClothingAllowance']['generated_date'] = convert_datetime($this->data['ClothingAllowance']['generated_date'], 'Y-m-d');
		}
		
		if(isset($this->data['ClothingAllowance']['locked_date']) && validate_datetime($this->data['ClothingAllowance']['locked_date'], 'm/d/Y')) {
			$this->data['ClothingAllowance']['locked_date'] = convert_datetime($this->data['ClothingAllowance']['locked_date'], 'Y-m-d');
		}
		
		if(isset($this->data['ClothingAllowance']['clothing_allowance_date']) && validate_datetime($this->data['ClothingAllowance']['clothing_allowance_date'], 'm/d/Y')) {
			$this->data['ClothingAllowance']['clothing_allowance_date'] = convert_datetime($this->data['ClothingAllowance']['clothing_allowance_date'], 'Y-m-d');
		}
		
		if(isset($this->data['ClothingAllowance']['expected_date_of_release']) && validate_datetime($this->data['ClothingAllowance']['expected_date_of_release'], 'm/d/Y')) {
			$this->data['ClothingAllowance']['expected_date_of_release'] = convert_datetime($this->data['ClothingAllowance']['expected_date_of_release'], 'Y-m-d');
		}
			return true;
	}
	public function beforeSave($options = array()) {
		
		// debug($this->data['Deduction']['id']);exit();
		
		if(!isset($this->data['ClothingAllowance']['id'])) {
			$this->data['ClothingAllowance']['created_by'] = $_SESSION['Auth']['User']['id'];
			$this->data['ClothingAllowance']['modified_by'] = $_SESSION['Auth']['User']['id'];
			$this->data['ClothingAllowance']['status'] = 'Active';
			
			$ReferenceCode = ClassRegistry::init('ReferenceCode');
			
			$code_char = 'CLTA';
			$reference = $ReferenceCode->findByPrefixCode($code_char);
			$code_number = $reference['ReferenceCode']['number'] + 1;
			$year = $reference['ReferenceCode']['year_code'];
			
			// debug($year);
			
			if($year != date('Y')){
				$year= date('Y');
				$ReferenceCode->query("UPDATE reference_codes SET year_code = '$year' WHERE prefix_code = '$code_char'");
				$code_number=1;
			}
			
			$this->data['ClothingAllowance']['code'] = (date('y') . '-'.$code_char . (str_pad($code_number,7,"0",STR_PAD_LEFT)));
		
			$ReferenceCode->query("UPDATE reference_codes SET number = '$code_number' WHERE prefix_code = '$code_char'");
		}
		else {
			$this->data['ClothingAllowance']['modified_by'] = $_SESSION['Auth']['User']['id'];
		}
		
		return true;
	}
	
	public function afterFind($results, $primary = false) {
		foreach($results as $x => $result){
			if (isset($result['ClothingAllowance']['assumption_date'])) {
				$results[$x]['ClothingAllowance']['assumption_date'] = date('m/d/Y', strtotime($results[$x]['ClothingAllowance']['assumption_date']));
			}
			
			if (isset($result['ClothingAllowance']['generated_date'])) {
				$results[$x]['ClothingAllowance']['generated_date'] = date('m/d/Y', strtotime($results[$x]['ClothingAllowance']['generated_date']));
			}
			
			if (isset($result['ClothingAllowance']['locked_date'])) {
				$results[$x]['ClothingAllowance']['locked_date'] = date('m/d/Y', strtotime($results[$x]['ClothingAllowance']['locked_date']));
			}
		}

		return $results;
	}
}
?>