<?php
App::uses('AppModel', 'Model');

class CompensatoryAttachment extends AppModel {
	public $tablePrefix = 'filing_';
	// public $primaryKey = 'reference_number';
	
	
	public $belongsTo = array(
		'DocumentType' => array(
			'className' => 'DocumentType',
			'foreignKey' => 'document_type_code',
			'fields' => array(
				'DocumentType.name' 
			),
			'conditions' => array(
				'DocumentType.status' => 'Active'
			),
		),
		
	);
	
	public function beforeValidate($options = array()) {
		if(isset($this->data['CompensatoryAttachment']['date_attachment']) && validate_datetime($this->data['CompensatoryAttachment']['date_attachment'], 'm/d/Y')) {
			$this->data['CompensatoryAttachment']['date_attachment'] = convert_datetime($this->data['CompensatoryAttachment']['date_attachment'], 'Y-m-d');
		}	
		
		
		
		return true;
	}	
	public function beforeSave($options = array()) {
		if(!isset($this->data['CompensatoryAttachment']['id'])) {
			$this->data['CompensatoryAttachment']['created_by'] = $_SESSION['Auth']['User']['id'];
			$this->data['CompensatoryAttachment']['modified_by'] = $_SESSION['Auth']['User']['id'];
			$this->data['CompensatoryAttachment']['status'] = 'Active';
			
			
		}
		else {
			$this->data['CompensatoryAttachment']['modified_by'] = $_SESSION['Auth']['User']['id'];
			// $this->data['TempTimeDispute']['date_last_modified'] = date("Y-m-d");
		}
		return true;
	}
	
	public function afterFind($results, $primary = false)
	{
		foreach($results as $x => $result){
			if(isset($result['CompensatoryAttachment']['date_attachment'])){
				$results[$x]['CompensatoryAttachment']['date_attachment'] = date('m/d/Y',strtotime($results[$x]['CompensatoryAttachment']['date_attachment']));
			}
			
			
		}

		return $results;
	}
}	
?>