<?php
App::uses('AppModel', 'Model');
class CoopRemittanceEntryDetail extends AppModel {
	
	public $actsAs = array('AuditLog.Auditable');
	public $tablePrefix = 'payroll_';

	
	
	public $belongsTo = array(
		'CoopRemittanceEntry' => array(
			'className' => 'CoopRemittanceEntry',
			'foreignKey' => 'payroll_coop_remittance_entry_id',
			'conditions' => array(
				'CoopRemittanceEntry.status' => 'Active'
			)
		),
		'Employee' => array(
			'className' => 'Employee',
			'foreignKey' => 'employee_code',
			'conditions' => array(
				'Employee.status' => 'Active'
			)
		),
	);
	
	
	public function beforeSave($options = array()) {
		if(!isset($this->data['CoopRemittanceEntryDetail']['id'])) {
			$this->data['CoopRemittanceEntryDetail']['created_by'] = $_SESSION['Auth']['User']['id'];
			$this->data['CoopRemittanceEntryDetail']['modified_by'] = $_SESSION['Auth']['User']['id'];
			$this->data['CoopRemittanceEntryDetail']['status'] = 'Active';
			
		}
		else {
			$this->data['CoopRemittanceEntryDetail']['modified_by'] = $_SESSION['Auth']['User']['id'];
		}
		
		return true;
	}
	
	public function afterFind($results, $primary = false)
	{
		foreach($results as $x => $result){
			
			if(isset($result['CoopRemittanceEntryDetail']['total'])){
				$results[$x]['CoopRemittanceEntryDetail']['total'] = round($results[$x]['CoopRemittanceEntryDetail']['total'], 2);
			}
			
			// if(isset($result['DisbursementVoucher']['check_date'])){
				// $results[$x]['DisbursementVoucher']['check_date'] = date('m/d/Y',strtotime($results[$x]['DisbursementVoucher']['check_date']));
			// }
			
			// if(isset($result['DisbursementVoucher']['or_date'])){
				// $results[$x]['DisbursementVoucher']['or_date'] = date('m/d/Y',strtotime($results[$x]['DisbursementVoucher']['or_date']));
			// }
		}

		return $results;
	}
	
	
}
?>