<?php
App::uses('AppModel', 'Model');

class DeactivateEmployeeType extends AppModel {
	
	public $actsAs = array('AuditLog.Auditable');
	public $tablePrefix = 'setting_';
	public $primaryKey = 'code';
	public $displayField = 'name';
	
	public $validate = array(
           'name' => array(
			'name logic 1' => array(
				'rule'		=> 'isUnique',
				'message'	=> 'Name is already used.',
			),
			'name logic 2' => array(
				'rule'		=> 'notEmpty',
				'message'	=> 'Name is required.'
			),
        ),
	);
	public function add_deactivate_employee_type($data = array()) {		
		$existing_deactivate_employee_type = $this->find_existing_deactivate_employee_type_by_name($data['DeactivateEmployeeType']['name']);
		
		if(isset($existing_deactivate_employee_type) && count($existing_deactivate_employee_type) > 0) {
			$existing_deactivate_employee_type['DeactivateEmployeeType']['status'] = 'Active';
			$data = $existing_deactivate_employee_type;
			
		}

		return $this->save($data);
	}
	public function update_deactivate_employee_type($data = array()) {
		return $this->save($data);
	}
	
	public function update_status($deactivate_employee_type_id = null, $deactivate_employee_type = null) {
		$existing_deactivate_employee_type = $this->find_existing_deactivate_employee_type_by_id_or_code($deactivate_employee_type_id);
		
		if(isset($existing_deactivate_employee_type) && count($existing_deactivate_employee_type) > 0) {
			$existing_deactivate_employee_type['DeactivateEmployeeType']['status'] = $deactivate_employee_type;
			$data = $existing_deactivate_employee_type;
		}

		return $this->save($data);
	}
	
	public function find_existing_deactivate_employee_type_by_name($deactivate_employee_type_name = null) {
		if(isset($deactivate_employee_type_name)) {
			$default_conditions = array(
				'DeactivateEmployeeType.name' => $deactivate_employee_type_name
			);
		}
		
		$deactivate_employee_type = $this->find('first', array(
			'fields' => array(
				'DeactivateEmployeeType.id',
				'DeactivateEmployeeType.code',
				'DeactivateEmployeeType.name',
				'DeactivateEmployeeType.status',
				'DeactivateEmployeeType.lock_flag'
			),
			'recursive'=>-1,
			'conditions' => $default_conditions
		));
		
		return $deactivate_employee_type;
	}
	
	public function find_existing_deactivate_employee_type_by_id_or_code($deactivate_employee_type_id = null) {
		if(is_numeric($deactivate_employee_type_id)) {
			$default_conditions = array(
				'DeactivateEmployeeType.id' => $deactivate_employee_type_id
			);
		}
		else {
			$default_conditions = array(
				'DeactivateEmployeeType.code' => $deactivate_employee_type_id
			);
		}
		
		$deactivate_employee_type = $this->find('first', array(
			'fields' => array(
				'DeactivateEmployeeType.id',
				'DeactivateEmployeeType.code',
				'DeactivateEmployeeType.name',
				'DeactivateEmployeeType.status',
				'DeactivateEmployeeType.lock_flag'
			),
			'recursive'=>-1,
			'conditions' => $default_conditions
		));
		
		return $deactivate_employee_type;
	}
	
	public function beforeSave($options = array()) {
		if(!isset($this->data['DeactivateEmployeeType']['id'])) {
			$this->data['DeactivateEmployeeType']['created_by'] = $_SESSION['Auth']['User']['id'];
			$this->data['DeactivateEmployeeType']['modified_by'] = $_SESSION['Auth']['User']['id'];
			$this->data['DeactivateEmployeeType']['status'] = 'Active';
			
			$ReferenceCode = ClassRegistry::init('ReferenceCode');
			
			$code_char = 'DAET';
			$reference = $ReferenceCode->findByPrefixCode($code_char);
			$code_number = $reference['ReferenceCode']['number'] + 1;
			$this->data['DeactivateEmployeeType']['code'] = $code_char . '-' . $code_number;
		
			$ReferenceCode->query("UPDATE reference_codes SET number = '$code_number' WHERE prefix_code = '$code_char'");
		}
		else {
			$this->data['DeactivateEmployeeType']['modified_by'] = $_SESSION['Auth']['User']['id'];
		}
		
		return true;
	}
}
?>