<?php
App::uses('AppModel', 'Model');

class Deduction extends AppModel {
	
	public $actsAs = array('AuditLog.Auditable');
	// public $tablePrefix = 'setting_';
	// public $primaryKey = 'code';
	// public $displayField = 'deduction_name_code';
	
	// public $validate = array(
        // 'name' => array(
			// 'name logic 2' => array(
				// 'rule'		=> 'notEmpty',
				// 'message'	=> 'Name is required.'
			// ),
			// 'name logic 1' => array(
				// 'rule'		=> 'isUnique',
				// 'on' => 'create',
				// 'message'	=> 'Name is already used.',
				
			// ),
        // ),
		// 'institution' => array(
			// 'institution logic 2' => array(
				// 'rule'		=> 'notEmpty',
				// 'message'	=> 'Institution is required.'
			// ),
			// 'institution logic 1' => array(
				// 'rule'		=> 'isUnique',
				// 'on' => 'create',
				// 'message'	=> 'Institution is already used.',
				
			// ),
        // ),
		// 'accounting_code' => array(
			// 'accounting_code logic 2' => array(
				// 'rule'		=> 'notEmpty',
				// 'message'	=> 'Accounting Code is required.'
			// ),
			// 'accounting_code logic 1' => array(
				// 'rule'		=> 'isUnique',
				// 'on' => 'create',
				// 'message'	=> 'Accounting Code is already used.',
				
			// ),
        // ),
		
	// );
	public $belongsTo = array(
		'DeductionType' => array(
			'className' => 'DeductionType',
			'foreignKey' => 'deduction_type_code',
		),
		'IncomeType' => array(
			'className' => 'IncomeType',
			'foreignKey' => 'income_type_code',
		),
		'PayrollCycle' => array(
			'className' => 'PayrollCycle',
			'foreignKey' => 'payroll_cycle_code',
		),
		'PayrollPeriod' => array(
			'className' => 'PayrollPeriod',
			'foreignKey' => 'payroll_period_code',
		),
		'EmployeeDeduction' => array(
			'className' => 'EmployeeDeduction',
			'foreignKey' => 'employee_deduction_code',
			'conditions'=>array(
				'EmployeeDeduction.status'=>'Active'
			)
		)
	);
	
	public $hasOne = array(
		'EmployeeDeductionScheduleLastPaid' => array(
			'className' => 'EmployeeDeductionSchedule',
			'foreignKey' => 'deduction_id',
			'conditions' => array(
				'EmployeeDeductionScheduleLastPaid.status' => 'Active',
				'EmployeeDeductionScheduleLastPaid.is_paid'=>1
			),
			'fields'=>array(
				'EmployeeDeductionScheduleLastPaid.deduction_schedule_date',
			),
			'order'=>'EmployeeDeductionScheduleLastPaid.deduction_schedule_date asc'
		)
	);
	public $hasMany = array(
			'EmployeeDeductionSchedule' => array(
				'className' => 'EmployeeDeductionSchedule',
				'foreignKey' => 'deduction_id',
				'conditions'=>array(
					'EmployeeDeductionSchedule.status'=>'Active'
				),
			),
		// 'EmployeeDeduction' => array(
			// 'className' => 'EmployeeDeduction',
			// 'foreignKey' => 'deduction_code',
			// 'conditions'=>array(
				// 'status'=>'Active'
			// )
		// )
	);
	
	public function beforeValidate($options = array()) {
		if(isset($this->data['Deduction']['recurring_from']) && validate_datetime($this->data['Deduction']['recurring_from'], 'm/d/Y')) {
			$this->data['Deduction']['recurring_from'] = convert_datetime($this->data['Deduction']['recurring_from'], 'Y-m-d');
		}	
			// return true;		
		if(isset($this->data['Deduction']['recurring_to']) && validate_datetime($this->data['Deduction']['recurring_to'], 'm/d/Y')) {
			$this->data['Deduction']['recurring_to'] = convert_datetime($this->data['Deduction']['recurring_to'], 'Y-m-d');
		}
		
		// if(isset($this->data['LeaveEntry']['filing_date']) && validate_datetime($this->data['LeaveEntry']['filing_date'], 'm/d/Y')) {
			// $this->data['LeaveEntry']['filing_date'] = convert_datetime($this->data['LeaveEntry']['filing_date'], 'Y-m-d');
		// }
		return true;
	}
	
	public function beforeSave($options = array()) {
		
		// debug($this->data['Deduction']['id']);exit();
		
		if(!isset($this->data['Deduction']['id'])) {
			$this->data['Deduction']['created_by'] = $_SESSION['Auth']['User']['id'];
			$this->data['Deduction']['modified_by'] = $_SESSION['Auth']['User']['id'];
			$this->data['Deduction']['status'] = 'Active';
			
			$ReferenceCode = ClassRegistry::init('ReferenceCode');
			
			$code_char = 'DDN';
			$reference = $ReferenceCode->findByPrefixCode($code_char);
			$code_number = $reference['ReferenceCode']['number'] + 1;
			$year = $reference['ReferenceCode']['year_code'];
			
			// debug($year);
			
			if($year != date('Y')){
				$year= date('Y');
				$ReferenceCode->query("UPDATE reference_codes SET year_code = '$year' WHERE prefix_code = '$code_char'");
				$code_number=1;
			}
			
			$this->data['Deduction']['code'] = (date('y') . '-'.$code_char . (str_pad($code_number,7,"0",STR_PAD_LEFT)));
		
			$ReferenceCode->query("UPDATE reference_codes SET number = '$code_number' WHERE prefix_code = '$code_char'");
		}
		else {
			$this->data['Deduction']['modified_by'] = $_SESSION['Auth']['User']['id'];
		}
		
		return true;
	}
}
?>