<?php
App::uses('AppModel', 'Model');

class DivisionHistoryLog extends AppModel {
	
	public $tablePrefix = 'setting_';
	// public $primaryKey = 'code';
	// public $displayField = 'name';
	
	
	public $belongsTo= array(
		'DivisionHead' => array(
			'className' => 'Employee',
			'foreignKey' => 'division_head',
			'fields' => array(
				'DivisionHead.combination_whole_name',
				
			),
			'conditions' => array(
				'DivisionHead.status' => 'Active'
			)
		),
		'DivisionAssistantHead' => array(
			'className' => 'Employee',
			'foreignKey' => 'assistant_division_head',
			'fields' => array(
				'DivisionAssistantHead.combination_whole_name',
				
			),
			'conditions' => array(
				'DivisionAssistantHead.status' => 'Active'
			)
		),
		'Division' => array(
			'className' => 'Division',
			'foreignKey' => 'division_code',
			'conditions' => array(
				'Division.status' => 'Active'
			)
		),
		
		
	);

	
	public function beforeSave($options = array()) {
		if(!isset($this->data['DivisionHistoryLog']['id'])) {
			$this->data['DivisionHistoryLog']['created_by'] = $_SESSION['Auth']['User']['id'];
			$this->data['DivisionHistoryLog']['modified_by'] = $_SESSION['Auth']['User']['id'];
			$this->data['DivisionHistoryLog']['status'] = 'Active';
			
			$ReferenceCode = ClassRegistry::init('ReferenceCode');
			
			$code_char = 'DIV';
			$reference = $ReferenceCode->findByPrefixCode($code_char);
			$code_number = $reference['ReferenceCode']['number'] + 1;
			$this->data['Division']['code'] = $code_char . '-' . $code_number;
		
			$ReferenceCode->query("UPDATE reference_codes SET number = '$code_number' WHERE prefix_code = '$code_char'");
		}
		else {
			$this->data['DivisionHistoryLog']['modified_by'] = $_SESSION['Auth']['User']['id'];
		}
		
		return true;
	}
}
?>