<?php
App::uses('AppModel', 'Model');

class Education extends AppModel {
	
	public $actsAs = array('AuditLog.Auditable');
	// public $primaryKey = "employee_code";
	public $tablePrefix = 'employee_';
	// public $primaryKey = 'code';
	// public $displayField = 'name';

	public $validate = array(
        'degree_level' => array(
			'degree_level logic 2' => array(
				'rule'		=> 'notEmpty',
				'message'	=> 'Degree Level is required.'
			),
        ),
		'from' => array(
			'from logic 2' => array(
				'rule'		=> 'notEmpty',
				'message'	=> 'Date From is required.'
			),
        ),
		// 'to' => array(
		// 	'to logic 2' => array(
		// 		'rule'		=> 'notEmpty',
		// 		'message'	=> 'Date To is required.'
		// 	),
        // ),
		// 'year_graduated' => array(
			// 'year_graduated logic 2' => array(
				// 'rule'		=> 'notEmpty',
				// 'message'	=> 'Year Graduated Degree is required.'
			// ),
        // ),
	);
	public $belongsTo = array(
		'Employee' => array(
			'className' => 'Employee',
			'foreignKey' => 'employee_code',
			'conditions' => array(
				'Employee.status' => 'Active'
			),
		),
		'Level' => array(
			'className' => 'Level',
			'foreignKey' => 'degree_level',
			'conditions' => array(
				'Level.status' => 'Active'
			),
		),
		'Specialization' => array(
			'className' => 'Specialization',
			'foreignKey' => 'specialization_code',
			'conditions' => array(
				'Specialization.status' => 'Active'
			),
		),
	);
	
	public $hasMany = array(
		'EducationHistoryLog' => array(
			'className' => 'EducationHistoryLog',
			'foreignKey' =>'education_id',
			'conditions' => array(
				'EducationHistoryLog.status' => 'Active',
			)
		),		
	);	
	
	public function beforeValidate($options = array()) {
		if(isset($this->data['Education']['from']) && validate_datetime($this->data['Education']['from'], 'm/d/Y')) {
			$this->data['Education']['from'] = convert_datetime($this->data['Education']['from'], 'F j, Y');
		}	
		
		if(isset($this->data['Education']['to']) && validate_datetime($this->data['Education']['to'], 'm/d/Y')) {
			$this->data['Education']['to'] = convert_datetime($this->data['Education']['to'], 'F j, Y');
		}
		
		return true;
	}
	
	public function beforeSave($options = array()) {
		
		if (!isset($this->data['Education']['id'])) {
			$this->data['Education']['created_by'] = $_SESSION['Auth']['User']['id'];
			$this->data['Education']['modified_by'] = $_SESSION['Auth']['User']['id'];
			$this->data['Education']['status'] = 'Active';

		}
		else {
			$this->data['Education']['modified_by'] = $_SESSION['Auth']['User']['id'];
		}
		
		return true;
	}
	
	// public function afterFind($results, $primary = false)
	// {
		// foreach($results as $x => $result){
			// if(isset($result['Education']['from'])){
				// $results[$x]['Education']['from'] = date('m/d/Y',strtotime($results[$x]['Education']['from']));
			// }
			
			// if(isset($result['Education']['to'])){
				// $results[$x]['Education']['to'] = date('m/d/Y',strtotime($results[$x]['Education']['to']));
			// }
		// }

		// return $results;
	// }
}
?>