<?php
App::uses('AppModel', 'Model');

class EducationHistoryLog extends AppModel {
	
	public $actsAs = array('AuditLog.Auditable');
	// public $primaryKey = "employee_code";
	public $tablePrefix = 'employee_';
	// public $primaryKey = 'code';
	// public $displayField = 'name';

	public $belongsTo = array(
		'Employee' => array(
			'className' => 'Employee',
			'foreignKey' => 'employee_code',
			'conditions' => array(
				'Employee.status' => 'Active'
			),
		),
		'Level' => array(
			'className' => 'Level',
			'foreignKey' => 'degree_level',
			'conditions' => array(
				'Level.status' => 'Active'
			),
		),
		'Specialization' => array(
			'className' => 'Specialization',
			'foreignKey' => 'specialization_code',
			'conditions' => array(
				'Specialization.status' => 'Active'
			),
		),
		'Education' => array(
			'className' => 'Education',
			'foreignKey' => 'education_id',
			'conditions' => array(
				'Education.status' => 'Active'
			),
		),
	);
	
	public function beforeValidate($options = array()) {
		if(isset($this->data['EducationHistoryLog']['from']) && validate_datetime($this->data['EducationHistoryLog']['from'], 'm/d/Y')) {
			$this->data['EducationHistoryLog']['from'] = convert_datetime($this->data['EducationHistoryLog']['from'], 'F j, Y');
		}	
		
		if(isset($this->data['EducationHistoryLog']['to']) && validate_datetime($this->data['EducationHistoryLog']['to'], 'm/d/Y')) {
			$this->data['EducationHistoryLog']['to'] = convert_datetime($this->data['EducationHistoryLog']['to'], 'F j, Y');
		}
		
		return true;
	}
	
	public function beforeSave($options = array()) {
		
		if (!isset($this->data['EducationHistoryLog']['id'])) {
			$this->data['EducationHistoryLog']['created_by'] = $_SESSION['Auth']['User']['id'];
			$this->data['EducationHistoryLog']['modified_by'] = $_SESSION['Auth']['User']['id'];
			$this->data['EducationHistoryLog']['status'] = 'Active';

		}
		else {
			$this->data['EducationHistoryLog']['modified_by'] = $_SESSION['Auth']['User']['id'];
		}
		
		return true;
	}
	
	// public function afterFind($results, $primary = false)
	// {
		// foreach($results as $x => $result){
			// if(isset($result['Education']['from'])){
				// $results[$x]['Education']['from'] = date('m/d/Y',strtotime($results[$x]['Education']['from']));
			// }
			
			// if(isset($result['Education']['to'])){
				// $results[$x]['Education']['to'] = date('m/d/Y',strtotime($results[$x]['Education']['to']));
			// }
		// }

		// return $results;
	// }
}
?>