<?php
App::uses('AppModel', 'Model');

class EmployeeAdministrativeOffense extends AppModel {
	
	// public $tablePrefix = 'setting_';
	public $primaryKey = 'code';
	public $displayField = 'name';
	public $belongsTo = array(
		'NumberOfOffense' => array(
			'className' => 'NumberOfOffense',
			'foreignKey' => 'number_of_offense_code',
		),
		'AdministrativeCase' => array(
			'className' => 'AdministrativeCase',
			'foreignKey' => 'administrative_case_code',
		),
		'Sanction' => array(
			'className' => 'Sanction',
			'foreignKey' => 'sanction_code',
		),	
		'Employee' => array(
			'className' => 'Employee',
			'foreignKey' => 'employee_code',
		),
	);
	
	public function beforeValidate($options = array()) {
		if(isset($this->data['EmployeeAdministrativeOffense']['effectivity_date']) && validate_datetime($this->data['EmployeeAdministrativeOffense']['effectivity_date'], 'm/d/Y')) {
			$this->data['EmployeeAdministrativeOffense']['effectivity_date'] = convert_datetime($this->data['EmployeeAdministrativeOffense']['effectivity_date'], 'Y-m-d');
			
		}	
		
		if(isset($this->data['EmployeeAdministrativeOffense']['administrative_offense_date']) && validate_datetime($this->data['EmployeeAdministrativeOffense']['administrative_offense_date'], 'm/d/Y')) {
			$this->data['EmployeeAdministrativeOffense']['administrative_offense_date'] = convert_datetime($this->data['EmployeeAdministrativeOffense']['administrative_offense_date'], 'Y-m-d');
			
		}
		
		return true;
	}	
	
	public function beforeSave($options = array()) {
		if(!isset($this->data['EmployeeAdministrativeOffense']['id'])) {
			$this->data['EmployeeAdministrativeOffense']['created_by'] = $_SESSION['Auth']['User']['id'];
			$this->data['EmployeeAdministrativeOffense']['modified_by'] = $_SESSION['Auth']['User']['id'];
			$this->data['EmployeeAdministrativeOffense']['status'] = 'Active';
			
			$ReferenceCode = ClassRegistry::init('ReferenceCode');
			
			$code_char = 'EMPADVOFF';
			$reference = $ReferenceCode->findByPrefixCode($code_char);
			$code_number = $reference['ReferenceCode']['number'] + 1;
			$this->data['EmployeeAdministrativeOffense']['code'] = $code_char . '-' . $code_number;
		
			$ReferenceCode->query("UPDATE reference_codes SET number = '$code_number' WHERE prefix_code = '$code_char'");
		}
		else {
			$this->data['EmployeeAdministrativeOffense']['modified_by'] = $_SESSION['Auth']['User']['id'];
		}
		
		return true;
	}
}
?>