<?php
App::uses('AppModel', 'Model');

class EmployeeCaseRatePayment extends AppModel {
	
	// public $tablePrefix = 'employee_';
	
	public $belongsTo = array(
		'Employee' => array(
			'className' => 'Employee',
			'foreignKey' => 'employee_code',
			'conditions' => array(
				'Employee.status' => 'Active'
			)
		),
		'CaseRatePayment' => array(
			'className' => 'CaseRatePayment',
			'foreignKey' => 'case_rate_payment_code',
			'conditions' => array(
				'CaseRatePayment.status' => 'Active'
			)
		),
	);
	
	public function beforeSave($options = array()) {
		if(!isset($this->data['EmployeeCaseRatePayment']['id'])) {
			$this->data['EmployeeCaseRatePayment']['created_by'] = $_SESSION['Auth']['User']['id'];
			$this->data['EmployeeCaseRatePayment']['modified_by'] = $_SESSION['Auth']['User']['id'];
			$this->data['EmployeeCaseRatePayment']['status'] = 'Active';
			
			$ReferenceCode = ClassRegistry::init('ReferenceCode');
			
			$code_char = 'ECSRTE';
			$reference = $ReferenceCode->findByPrefixCode($code_char);
			$code_number = $reference['ReferenceCode']['number'] + 1;
			$this->data['EmployeeCaseRatePayment']['code'] = $code_char . '-' . $code_number;
		
			$ReferenceCode->query("UPDATE reference_codes SET number = '$code_number' WHERE prefix_code = '$code_char'");
		}
		else {
			$this->data['EmployeeCaseRatePayment']['modified_by'] = $_SESSION['Auth']['User']['id'];
		}
		
		return true;
	}
}
?>