<?php
App::uses('AppModel', 'Model');

class EmployeeDeduction extends AppModel {
	
	// public $tablePrefix = 'setting_';
	public $primaryKey = 'code';
	
	public $validate = array(
        'employee_code' => array(
			// 'employee_code logic 1' => array(
				// 'rule'		=> 'isUnique',
				// 'message'	=> 'Employee is already used.'
			// ),
			'employee_code logic 1' => array(
				'rule'		=> 'notEmpty',
				'message'	=> 'Employee is required.'
			),
        ),
	);
	
	public $belongsTo = array(
		'Employee' => array(
			'className' => 'Employee',
			'foreignKey' => 'employee_code',
		),
	);
	public $hasMany = array(
		'Deduction' => array(
			'className' => 'Deduction',
			'foreignKey' => 'employee_deduction_code',
		),
	
	);
	
	public function beforeSave($options = array()) {

		if(!isset($this->data['EmployeeDeduction']['code'])) {
			$this->data['EmployeeDeduction']['created_by'] = $_SESSION['Auth']['User']['id'];
			$this->data['EmployeeDeduction']['modified_by'] = $_SESSION['Auth']['User']['id'];
			$this->data['EmployeeDeduction']['status'] = 'Active';


			$ReferenceCode = ClassRegistry::init('ReferenceCode');
			
			$code_char = 'EDN';
			$reference = $ReferenceCode->findByPrefixCode($code_char);
			$code_number = $reference['ReferenceCode']['number'] + 1;
			$year = $reference['ReferenceCode']['year_code'];
			
			// debug($year);
			
			if($year != date('Y')){
				$year= date('Y');
				$ReferenceCode->query("UPDATE reference_codes SET year_code = '$year' WHERE prefix_code = '$code_char'");
				$code_number=1;
			}
			
			$this->data['EmployeeDeduction']['code'] = (date('y') . '-'.$code_char . (str_pad($code_number,7,"0",STR_PAD_LEFT)));
		
			$ReferenceCode->query("UPDATE reference_codes SET number = '$code_number' WHERE prefix_code = '$code_char'");

		}
		else {
			$this->data['EmployeeDeduction']['modified_by'] = $_SESSION['Auth']['User']['id'];
		}
		
		return true;
	}
}
?>