<?php
App::uses('AppModel', 'Model');

class EmployeeGsisRemittance extends AppModel {
	
	public $actsAs = array('AuditLog.Auditable');
	public $tablePrefix = 'payroll_';
	// public $primaryKey = 'code';
	
	public $validate = array(
	
		'adjustment_date' => array(
			'adjustment_date logic 1' => array(
				'rule' => array('notEmpty'),
				'message' => 'Adjustment Date is required.'
			),

		),
		
	);
	
	public $belongsTo = array(
		'Employee' => array(
			'className' => 'Employee',
			'foreignKey' => 'employee_code',
			'conditions' => array(
				// 'Employee.status' => 'Active'
			)
		),
	);
	
	public function beforeValidate($options = array()) {
		if(isset($this->data['EmployeeGsisRemittance']['adjustment_date']) && validate_datetime($this->data['EmployeeGsisRemittance']['adjustment_date'], 'm/d/Y')) {
			$this->data['EmployeeGsisRemittance']['adjustment_date'] = convert_datetime($this->data['EmployeeGsisRemittance']['adjustment_date'], 'Y-m-d');
		}	
	}
	
	public function beforeSave($options = array()) {
		if(!isset($this->data['EmployeeGsisRemittance']['id'])) {
			$this->data['EmployeeGsisRemittance']['created_by'] = $_SESSION['Auth']['User']['id'];
			$this->data['EmployeeGsisRemittance']['modified_by'] = $_SESSION['Auth']['User']['id'];
			$this->data['EmployeeGsisRemittance']['status'] = 'Active';
		}
		else {
			$this->data['EmployeeGsisRemittance']['modified_by'] = $_SESSION['Auth']['User']['id'];
		}
		
		return true;
	}

}