<?php
App::uses('AppModel', 'Model');

class EmployeeHour extends AppModel {
	
	public $tablePrefix = 'setting_';
	public $primaryKey = 'code';
	
	// public $hasMany = array(
		// 'EmployeeCaseRatePayment' => array(
			// 'className' => 'EmployeeCaseRatePayment',
			// 'foreignKey' => 'case_rate_payment_code',
			// 'conditions'=>array(
				// 'status'=>'Active'
			// )
		// ),
	// );
	public $hasMany = array(
		'EmployeeHourHistoryLog' => array(
			'className' => 'EmployeeHourHistoryLog',
			'foreignKey' => 'employee_hour_code',
			'fields' => array(
				'EmployeeHourHistoryLog.employee_hour_code',
				// 'EmployeeHourHistoryLog.section_code',
				'EmployeeHourHistoryLog.regular_employee_hours_per_week',
				'EmployeeHourHistoryLog.part_time_employee_hours_per_week',
				'EmployeeHourHistoryLog.contractual_total_hours_per_day',
				'EmployeeHourHistoryLog.contactual_break_hour',
				'EmployeeHourHistoryLog.contactual_has_night_diffrential',
				'EmployeeHourHistoryLog.minimum_required_pay',
			),
			'conditions' => array(
				'EmployeeHourHistoryLog.status' => 'Active'
			)
		),
	);


	
	public function beforeSave($options = array()) {
		if(!isset($this->data['EmployeeHour']['id'])) {
			$this->data['EmployeeHour']['created_by'] = $_SESSION['Auth']['User']['id'];
			$this->data['EmployeeHour']['modified_by'] = $_SESSION['Auth']['User']['id'];
			$this->data['EmployeeHour']['status'] = 'Active';
			
			$ReferenceCode = ClassRegistry::init('ReferenceCode');
			
			$code_char = 'EMPH';
			$reference = $ReferenceCode->findByPrefixCode($code_char);
			$code_number = $reference['ReferenceCode']['number'] + 1;
			$this->data['EmployeeHour']['code'] = $code_char . '-' . $code_number;
		
			$ReferenceCode->query("UPDATE reference_codes SET number = '$code_number' WHERE prefix_code = '$code_char'");
		}
		else {
			$this->data['EmployeeHour']['modified_by'] = $_SESSION['Auth']['User']['id'];
		}
		
		return true;
	}
}
?>