<?php
App::uses('AppModel', 'Model');

class EmployeeHourHistoryLog extends AppModel {
	
	public $tablePrefix = 'setting_';
	public $primaryKey = 'code';
	
	public $belongsTo= array(
		'EmployeeHour' => array(
				'className' => 'EmployeeHour',
				'foreignKey' => 'employee_hour_code',
				'conditions' => array(
					'EmployeeHour.status' => 'Active'
				)
			),
		);
	
	public function beforeSave($options = array()) {
		if(!isset($this->data['EmployeeHourHistoryLog']['id'])) {
			// debug($this->data);
			// exit();
			$this->data['EmployeeHourHistoryLog']['created_by'] = $_SESSION['Auth']['User']['id'];
			$this->data['EmployeeHourHistoryLog']['modified_by'] = $_SESSION['Auth']['User']['id'];
			$this->data['EmployeeHourHistoryLog']['status'] = 'Active';
			
			$ReferenceCode = ClassRegistry::init('ReferenceCode');
			// debug($ReferenceCode);
			// exit();
			
			$code_char = 'EMPHHL';
			$reference = $ReferenceCode->findByPrefixCode($code_char);
			$code_number = $reference['ReferenceCode']['number'] + 1;
			$this->data['EmployeeHourHistoryLog']['code'] = $code_char . '-' . $code_number;
		
			$ReferenceCode->query("UPDATE reference_codes SET number = '$code_number' WHERE prefix_code = '$code_char'");
		}
		else {
			$this->data['EmployeeHourHistoryLog']['modified_by'] = $_SESSION['Auth']['User']['id'];
		}
		
		return true;
	}
}
?>