<?php
App::uses('AppModel', 'Model');

class EmployeeIncomeAndBenefit extends AppModel {
	
	// public $tablePrefix = 'setting_';
	public $primaryKey = 'code';
	// public $belongsTo = array(
		// 'Employee' => array(
			// 'className' => 'Employee',
			// 'foreignKey' => 'employee_code',
		// ),
	// );
	
	public $validate = array(
        'employee_code' => array(
			// 'employee_code logic 1' => array(
				// 'rule'		=> array('check_active'),
				// 'message'	=> 'Employee is already used.',
				
			// ),
			'employee_code logic 2' => array(
				'rule'		=> 'notEmpty',
				'message'	=> 'Employee is required.',
				
			),
        ),
	);
	
	public $belongsTo = array(
		'Employee' => array(
			'className' => 'Employee',
			'foreignKey' => 'employee_code',
			// 'conditions' => array(
				// 'Employee.status' => 'Active'
			// ),
		),
	);
	
	public $hasMany = array(
		'IncomeAndBenefit' => array(
			'className' => 'IncomeAndBenefit',
			'foreignKey' => 'employee_income_and_benefit_code',
			'conditions' => array(
				'IncomeAndBenefit.status' => 'Active'
			),
		),
		
		
	);
	
	public function check_active($check) {
		
		$default_conditions = array(
			'EmployeeIncomeAndBenefit.employee_code' => $check['employee_code'],
			'EmployeeIncomeAndBenefit.status' => 'Active'
		);
		
		$data = $this->find('count', array(
			'conditions' => $default_conditions,
			'recursive' => 1,
		));
		
		if($data > 0){
			return false;
		}
		else{
			return true;
		}
	}
	public function beforeSave($options = array()) {
		$this->data['EmployeeIncomeAndBenefit'] = AppModel::fix_date_format(
			$this->data['EmployeeIncomeAndBenefit'],
			array('schedule_date')
		);
		if(!isset($this->data['EmployeeIncomeAndBenefit']['id'])) {
			$this->data['EmployeeIncomeAndBenefit']['created_by'] = $_SESSION['Auth']['User']['id'];
			$this->data['EmployeeIncomeAndBenefit']['modified_by'] = $_SESSION['Auth']['User']['id'];
			$this->data['EmployeeIncomeAndBenefit']['status'] = 'Active';
			
			$ReferenceCode = ClassRegistry::init('ReferenceCode');
			
			$code_char = 'EIAB';
			$reference = $ReferenceCode->findByPrefixCode($code_char);
			$code_number = $reference['ReferenceCode']['number'] + 1;
			$year = $reference['ReferenceCode']['year_code'];
			// debug($year);
			
			if($year != date('Y')){
				$year= date('Y');
				$ReferenceCode->query("UPDATE reference_codes SET year_code = '$year' WHERE prefix_code = '$code_char'");
				$code_number=1;
			}
			$this->data['EmployeeIncomeAndBenefit']['code'] = (date('y') . '-'.$code_char . (str_pad($code_number,7,"0",STR_PAD_LEFT)));
		
			$ReferenceCode->query("UPDATE reference_codes SET number = '$code_number' WHERE prefix_code = '$code_char'");
		}
		else {
			$this->data['EmployeeIncomeAndBenefit']['modified_by'] = $_SESSION['Auth']['User']['id'];
		}
		
		return true;
	}
}
?>