<?php
App::uses('AppModel', 'Model');

class EmployeeLoanPaymentSchedule extends AppModel {
	
	// public $tablePrefix = 'setting_';
	public $primaryKey = 'code';
	// public $displayField = 'name';
	
	// public $hasMany = array(
		// 'EmployeeCashGift' => array(
			// 'className' => 'EmployeeCashGift',
			// 'foreignKey' => 'cash_gifts_code',
			// 'conditions'=>array(
				// 'status'=>'Active'
			// )
		// )
	// );
	public $belongsTo = array(
		'Employee' => array(
			'className' => 'Employee',
			'foreignKey' => 'employee_code',
			'conditions' =>array(
				'Employee.status' => 'Active'
			)
		),
		'EmployeeLoanEntry' => array(
			'className' => 'EmployeeLoanEntry',
			'foreignKey' => 'employee_loan_entry_code',
			'conditions' =>array(
				'EmployeeLoanEntry.status' => 'Active'
			)
		),
		'LoanPaymentEntry' => array(
			'className' => 'LoanPayment',
			'foreignKey' => 'loan_payment_code',
			'conditions' =>array(
				'LoanPayment.status' => 'Active'
			)
		),
		'PayrollPeriod' => array(
			'className' => 'PayrollPeriod',
			'foreignKey' => 'payroll_period_code',
			'conditions' =>array(
				'PayrollPeriod.status' => 'Active'
			)
		),
	);
	
	public $hasOne = array(
		'GeneratedPayrollDeductionAndLoanPayment' => array(
			'className' => 'GeneratedPayrollDeductionAndLoanPayment',
			'foreignKey' => 'loan_and_payment_code',
			'conditions' =>array(
				'GeneratedPayrollDeductionAndLoanPayment.status' => 'Active'
			)
		),
	);
	
	public function beforeSave($options = array()) {
		
		// debug($this->data['LoanPayment']['id']);exit();
		
		if(!isset($this->data['EmployeeLoanPaymentSchedule']['code'])) {
			$this->data['EmployeeLoanPaymentSchedule']['created_by'] = $_SESSION['Auth']['User']['id'];
			$this->data['EmployeeLoanPaymentSchedule']['modified_by'] = $_SESSION['Auth']['User']['id'];
			$this->data['EmployeeLoanPaymentSchedule']['status'] = 'Active';
			
			$ReferenceCode = ClassRegistry::init('ReferenceCode');
			
			$code_char = 'ELPS';
			$reference = $ReferenceCode->findByPrefixCode($code_char);
			$code_number = $reference['ReferenceCode']['number'] + 1;
			$year = $reference['ReferenceCode']['year_code'];
			
			// debug($year);
			
			if($year != date('Y')){
				$year= date('Y');
				$ReferenceCode->query("UPDATE reference_codes SET year_code = '$year' WHERE prefix_code = '$code_char'");
				$code_number=1;
			}
			
			$this->data['EmployeeLoanPaymentSchedule']['code'] = (date('y') . '-'.$code_char . (str_pad($code_number,7,"0",STR_PAD_LEFT)));
		
			$ReferenceCode->query("UPDATE reference_codes SET number = '$code_number' WHERE prefix_code = '$code_char'");
		}
		else {
			$this->data['EmployeeLoanPaymentSchedule']['modified_by'] = $_SESSION['Auth']['User']['id'];
		}
		
		return true;
	}
}
?>