<?php
App::uses('AppModel', 'Model');

class EmployeeLoyaltyIncentivePay extends AppModel {
	
	
	
	public $belongsTo = array(
		'Employee' => array(
			'className' => 'Employee',
			'foreignKey' => 'employee_code',
			'conditions' => array(
				'Employee.status' => 'Active'
			)
		),
		'LoyaltyIncentivePay' => array(
			'className' => 'LoyaltyIncentivePay',
			'foreignKey' => 'loyalty_incentive_pay_code',
			'conditions' => array(
				'LoyaltyIncentivePay.status' => 'Active'
			)
		),
	);
	
	public function beforeSave($options = array()) {
		if(!isset($this->data['EmployeeLoyaltyIncentivePay']['id'])) {
			$this->data['EmployeeLoyaltyIncentivePay']['created_by'] = $_SESSION['Auth']['User']['id'];
			$this->data['EmployeeLoyaltyIncentivePay']['modified_by'] = $_SESSION['Auth']['User']['id'];
			$this->data['EmployeeLoyaltyIncentivePay']['status'] = 'Active';
			
			$ReferenceCode = ClassRegistry::init('ReferenceCode');
			
			$code_char = 'EHZP';
			$reference = $ReferenceCode->findByPrefixCode($code_char);
			$code_number = $reference['ReferenceCode']['number'] + 1;
			$this->data['EmployeeLoyaltyIncentivePay']['code'] = $code_char . '-' . $code_number;
		
			$ReferenceCode->query("UPDATE reference_codes SET number = '$code_number' WHERE prefix_code = '$code_char'");
		}
		else {
			$this->data['EmployeeLoyaltyIncentivePay']['modified_by'] = $_SESSION['Auth']['User']['id'];
		}
		
		return true;
	}
}
?>