<?php
App::uses('AppModel', 'Model');

class EmployeeMedicareShare extends AppModel {
	
	// public $tablePrefix = 'employee_';
	
	public $belongsTo = array(
		'Employee' => array(
			'className' => 'Employee',
			'foreignKey' => 'employee_code',
			'conditions' => array(
				'Employee.status' => 'Active'
			)
		),
		'MedicareShare' => array(
			'className' => 'MedicareShare',
			'foreignKey' => 'medicare_share_code',
			'conditions' => array(
				'MedicareShare.status' => 'Active'
			)
		),
		'Section' => array(
			'className' => 'Section',
			'foreignKey' => 'employee_section_code',
			'conditions' => array(
				'Section.status' => 'Active'
			)
		),
		'Division' => array(
			'className' => 'Division',
			'foreignKey' => 'employee_division_code',
			'conditions' => array(
				'Division.status' => 'Active'
			)
		),
		'EmploymentStatus' => array(
			'className' => 'EmploymentStatus',
			'foreignKey' => 'employment_status_code',
			'conditions' => array(
				'EmploymentStatus.status' => 'Active'
			)
		),
		'PersonnelType' => array(
			'className' => 'PersonnelType',
			'foreignKey' => 'personnel_type_code',
			'conditions' => array(
				'PersonnelType.status' => 'Active'
			)
		),
		'JobTitle' => array(
			'className' => 'JobTitle',
			'foreignKey' => 'job_title_code',
			'conditions' => array(
				'JobTitle.status' => 'Active'
			)
		),
		'SalaryGrade' => array(
			'className' => 'SalaryGrade',
			'foreignKey' => 'salary_grade_code',
			'conditions' => array(
				'SalaryGrade.status' => 'Active'
			)
		),
	);
	
	public function beforeSave($options = array()) {
		if(!isset($this->data['EmployeeMedicareShare']['id'])) {
			$this->data['EmployeeMedicareShare']['created_by'] = $_SESSION['Auth']['User']['id'];
			$this->data['EmployeeMedicareShare']['modified_by'] = $_SESSION['Auth']['User']['id'];
			$this->data['EmployeeMedicareShare']['status'] = 'Active';
			
			$ReferenceCode = ClassRegistry::init('ReferenceCode');
			
			$code_char = 'EMDS';
			$reference = $ReferenceCode->findByPrefixCode($code_char);
			$code_number = $reference['ReferenceCode']['number'] + 1;
			$this->data['EmployeeMedicareShare']['code'] = $code_char . '-' . $code_number;
		
			$ReferenceCode->query("UPDATE reference_codes SET number = '$code_number' WHERE prefix_code = '$code_char'");
		}
		else {
			$this->data['EmployeeMedicareShare']['modified_by'] = $_SESSION['Auth']['User']['id'];
		}
		
		return true;
	}
}
?>