<?php
App::uses('AppModel', 'Model');

class EmployeeMemo extends AppModel {
	
	// public $tablePrefix = 'setting_';
	public $primaryKey = 'code';
	// public $displayField = 'name';
	
	public $belongsTo = array(
		'Employee' => array(
			'className' => 'Employee',
			'foreignKey' => 'employee_code',
		),
		'Memo' => array(
			'className' => 'Memo',
			'foreignKey' => 'memo_code',
			'conditions' => array(
				'Memo.status' => 'Active'
			)
		),
	);
	
	// public $belongsTo = array(
		// 'EmployeeMemoDetail' => array(
			// 'className' => 'EmployeeMemoDetail',
			// 'foreignKey' => 'memo_code',
			// 'conditions' => array(
				// 'EmployeeMemoDetail.status' => 'Active'
			// )
		// ),
	// );
	
	public function beforeSave($options = array()) {
		if(!isset($this->data['EmployeeMemo']['id'])) {
			$this->data['EmployeeMemo']['created_by'] = $_SESSION['Auth']['User']['id'];
			$this->data['EmployeeMemo']['modified_by'] = $_SESSION['Auth']['User']['id'];
			$this->data['EmployeeMemo']['status'] = 'Active';


			$ReferenceCode = ClassRegistry::init('ReferenceCode');
			
			$code_char = 'EMEMO';
			$reference = $ReferenceCode->findByPrefixCode($code_char);
			$code_number = $reference['ReferenceCode']['number'] + 1;
			$year = $reference['ReferenceCode']['year_code'];
			
			if($year != date('Y')){
				$year= date('Y');
				$ReferenceCode->query("UPDATE reference_codes SET year_code = '$year' WHERE prefix_code = '$code_char'");
				$code_number=1;
			}
			
			$this->data['EmployeeMemo']['code'] = (date('y') . '-'.$code_char . (str_pad($code_number,7,"0",STR_PAD_LEFT)));
		
			$ReferenceCode->query("UPDATE reference_codes SET number = '$code_number' WHERE prefix_code = '$code_char'");

		}
		else {
			$this->data['EmployeeMemo']['modified_by'] = $_SESSION['Auth']['User']['id'];
		}
		
		return true;
	}
}
?>