<?php
App::uses('AppModel', 'Model');

class EmployeeNotification extends AppModel {
	
	public $tablePrefix = 'employee_';
	// public $primaryKey = 'code';
	public $belongsTo = array(
		'Employee' => array(
			'className' => 'Employee',
			'foreignKey' => 'employee_code',
		),'Notification' => array(
			'className' => 'Notification',
			'foreignKey' => 'notification_code',
		),
	);
	public function beforeSave($options = array()) {
		if(!isset($this->data['EmployeeNotification']['id'])) {
			$this->data['EmployeeNotification']['created_by'] = $_SESSION['Auth']['User']['id'];
			$this->data['EmployeeNotification']['modified_by'] = $_SESSION['Auth']['User']['id'];
			$this->data['EmployeeNotification']['status'] = 'Active';
			
				$ReferenceCode = ClassRegistry::init('ReferenceCode');
			
			$code_char = 'ENOTI';
			$reference = $ReferenceCode->findByPrefixCode($code_char);
			$code_number = $reference['ReferenceCode']['number'] + 1;
			$year = $reference['ReferenceCode']['year_code'];
			// debug($year);
			
			if($year != date('Y')){
				$year= date('Y');
				$ReferenceCode->query("UPDATE reference_codes SET year_code = '$year' WHERE prefix_code = '$code_char'");
				$code_number=1;
			}
			$this->data['EmployeeNotification']['code'] = (date('y') . '-'.$code_char . (str_pad($code_number,7,"0",STR_PAD_LEFT)));
		
			$ReferenceCode->query("UPDATE reference_codes SET number = '$code_number' WHERE prefix_code = '$code_char'");
		}
		else {
			$this->data['EmployeeNotification']['modified_by'] = $_SESSION['Auth']['User']['id'];
		}
		
		return true;
	}
}
?>