<?php
App::uses('AppModel', 'Model');

class EmployeeOvertimeToCompensatoryCredit extends AppModel {
	
	// public $tablePrefix = 'setting_';
	public $primaryKey = 'code';
	// public $displayField = 'name';
	
	public $belongsTo = array(
		'Employee' => array(
			'className' => 'Employee',
			'foreignKey' => 'employee_code',
		),
		'GeneratedPayrollOvertime' => array(
			'className' => 'GeneratedPayrollOvertime',
			'foreignKey' => 'generated_payroll_overtime_reference_number',
		)
	);


	public function beforeSave($options = array()) {
		if(!isset($this->data['EmployeeOvertimeToCompensatoryCredit']['code'])) {
			$this->data['EmployeeOvertimeToCompensatoryCredit']['created_by'] = $_SESSION['Auth']['User']['id'];
			$this->data['EmployeeOvertimeToCompensatoryCredit']['modified_by'] = $_SESSION['Auth']['User']['id'];
			$this->data['EmployeeOvertimeToCompensatoryCredit']['status'] = 'Active';
			$ReferenceCode = ClassRegistry::init('ReferenceCode');
			
			$code_char = 'OTC';
			$reference = $ReferenceCode->findByPrefixCode($code_char);
			$code_number = $reference['ReferenceCode']['number'] + 1;
			$year = $reference['ReferenceCode']['year_code'];
			
			// debug($year);
			
			if($year != date('Y')){
				$year= date('Y');
				$ReferenceCode->query("UPDATE reference_codes SET year_code = '$year' WHERE prefix_code = '$code_char'");
				$code_number=1;
			}
			
			$this->data['EmployeeOvertimeToCompensatoryCredit']['code'] = (date('y') . '-'.$code_char . (str_pad($code_number,7,"0",STR_PAD_LEFT)));
		
			$ReferenceCode->query("UPDATE reference_codes SET number = '$code_number' WHERE prefix_code = '$code_char'");

		}
		else {
			$this->data['EmployeeOvertimeToCompensatoryCredit']['modified_by'] = $_SESSION['Auth']['User']['id'];
		}
		
		return true;
	}
}
?>