<?php
App::uses('AppModel', 'Model');

class EmployeePagibigRemittance extends AppModel {
	
	public $actsAs = array('AuditLog.Auditable');
	public $tablePrefix = 'payroll_';
	// public $primaryKey = 'code';
	
	public $validate = array(
	
		'adjustment_date' => array(
			'adjustment_date logic 1' => array(
				'rule' => array('notEmpty'),
				'message' => 'Adjustment Date is required.'
			),
			'adjustment_date logic 2' => array(
				'rule' => array('date'),
				'message' => 'Enter a valid date in MM/DD/YY format.',
			),

		),
		
	);
	
	public $belongsTo = array(
		'Employee' => array(
			'className' => 'Employee',
			'foreignKey' => 'employee_code',
			'conditions' => array(
				// 'Employee.status' => 'Active'
			)
		),
	);
	
	public function beforeValidate($options = array()) {
		if(isset($this->data['EmployeePagibigRemittance']['adjustment_date']) && validate_datetime($this->data['EmployeePagibigRemittance']['adjustment_date'], 'm/d/Y')) {
			$this->data['EmployeePagibigRemittance']['adjustment_date'] = convert_datetime($this->data['EmployeePagibigRemittance']['adjustment_date'], 'Y-m-d');
		}	
	}
	
	public function beforeSave($options = array()) {
		if(!isset($this->data['EmployeePagibigRemittance']['id'])) {
			$this->data['EmployeePagibigRemittance']['created_by'] = $_SESSION['Auth']['User']['id'];
			$this->data['EmployeePagibigRemittance']['modified_by'] = $_SESSION['Auth']['User']['id'];
			$this->data['EmployeePagibigRemittance']['status'] = 'Active';
		}
		else {
			$this->data['EmployeePagibigRemittance']['modified_by'] = $_SESSION['Auth']['User']['id'];
		}
		
		return true;
	}
	
	public function afterFind($results, $primary = false)
	{
		foreach($results as $x => $result){
			if(isset($result['EmployeePagibigRemittance']['adjustment_date'])){
				$results[$x]['EmployeePagibigRemittance']['adjustment_date'] = date('m/d/Y',strtotime($results[$x]['EmployeePagibigRemittance']['adjustment_date']));
			}
		}

		return $results;
	}

}