<?php
App::uses('AppModel', 'Model');

class EmployeePerformanceAppraisalAttribute extends AppModel {
	
	public $actsAs = array('AuditLog.Auditable');
	// public $tablePrefix = 'employee_';
	// public $primaryKey = 'code';
	// public $displayField = 'employee_code';
	
	public $belongsTo = array(
		'EmployeePerformanceAppraisal' => array(
			'className' => 'EmployeePerformanceAppraisal',
			'foreignKey' => 'performance_appraisal_id',
			'conditions' => array(
				'EmployeePerformanceAppraisal.status' => 'Active'
			),
		),
		'PerformanceAppraisalAttribute' => array(
			'className' => 'PerformanceAppraisalAttribute',
			'foreignKey' => 'attribute_id',
			'conditions' => array(
				'PerformanceAppraisalAttribute.status' => 'Active'
			),
		),
	);

	public function beforeSave($options = array()) {
		if(!isset($this->data['EmployeePerformanceAppraisalAttribute']['id'])) {
			$this->data['EmployeePerformanceAppraisalAttribute']['created_by'] = $_SESSION['Auth']['User']['id'];
			$this->data['EmployeePerformanceAppraisalAttribute']['modified_by'] = $_SESSION['Auth']['User']['id'];
			$this->data['EmployeePerformanceAppraisalAttribute']['status'] = 'Active';
		}
		else {
			$this->data['EmployeePerformanceAppraisalAttribute']['modified_by'] = $_SESSION['Auth']['User']['id'];
		}
		
		return true;
	}
}
?>