<?php
App::uses('AppModel', 'Model');

class EmployeePhicRemittance extends AppModel {
	
	public $actsAs = array('AuditLog.Auditable');
	public $tablePrefix = 'payroll_';
	// public $primaryKey = 'code';
	public $belongsTo = array(
		'Employee' => array(
			'className' => 'Employee',
			'foreignKey' => 'employee_code',
			'conditions' => array(
				// 'Employee.status' => 'Active'
			)
		),
	);
	
	public function beforeValidate($options = array()) {
		if(isset($this->data['EmployeePhicRemittance']['adjustment_date']) && validate_datetime($this->data['EmployeePhicRemittance']['adjustment_date'], 'm/d/Y')) {
			$this->data['EmployeePhicRemittance']['adjustment_date'] = convert_datetime($this->data['EmployeePhicRemittance']['adjustment_date'], 'Y-m-d');
		}	
	}
	
	public function beforeSave($options = array()) {
		if(!isset($this->data['EmployeePhicRemittance']['id'])) {
			$this->data['EmployeePhicRemittance']['created_by'] = $_SESSION['Auth']['User']['id'];
			$this->data['EmployeePhicRemittance']['modified_by'] = $_SESSION['Auth']['User']['id'];
			$this->data['EmployeePhicRemittance']['status'] = 'Active';
		}
		else {
			$this->data['EmployeePhicRemittance']['modified_by'] = $_SESSION['Auth']['User']['id'];
		}
		
		return true;
	}

}