<?php
App::uses('AppModel', 'Model');

class EmployeeTaxRemittance extends AppModel {
	
	public $actsAs = array('AuditLog.Auditable');
	public $tablePrefix = 'payroll_';
	// public $primaryKey = 'code';
	
	public $belongsTo = array(
		'Employee' => array(
			'className' => 'Employee',
			'foreignKey' => 'employee_code',
			'conditions' => array(
				// 'Employee.status' => 'Active'
			)
		),
	);
	
	
	public function beforeValidate($options = array()) {
		if(isset($this->data['EmployeeTaxRemittance']['adjustment_date']) && validate_datetime($this->data['EmployeeTaxRemittance']['adjustment_date'], 'm/d/Y')) {
			$this->data['EmployeeTaxRemittance']['adjustment_date'] = convert_datetime($this->data['EmployeeTaxRemittance']['adjustment_date'], 'Y-m-d');
		}	
	}
	
	public function beforeSave($options = array()) {
		if(!isset($this->data['EmployeeTaxRemittance']['id'])) {
			$this->data['EmployeeTaxRemittance']['created_by'] = $_SESSION['Auth']['User']['id'];
			$this->data['EmployeeTaxRemittance']['modified_by'] = $_SESSION['Auth']['User']['id'];
			$this->data['EmployeeTaxRemittance']['status'] = 'Active';
		}
		else {
			$this->data['EmployeeTaxRemittance']['modified_by'] = $_SESSION['Auth']['User']['id'];
		}
		
		return true;
	}

	public function afterFind($results, $primary = false) {
		foreach ($results as $x => $result) {
			if (isset($result['EmployeeTaxRemittance']['adjustment_date'])) {
				$results[$x]['EmployeeTaxRemittance']['adjustment_date'] = date('m/d/Y',strtotime($results[$x]['EmployeeTaxRemittance']['adjustment_date']));
			}
		}

		return $results;
	}
}