<?php
App::uses('AppModel', 'Model');

class EndorsementToDivisionReport extends AppModel {
	
	public $actsAs = array('AuditLog.Auditable');
	// public $tablePrefix = 'employee_';
	// public $primaryKey = 'code';
	// public $displayField = 'subject';
	
	public $hasMany = array(
		'EndorsementToDivisionReportDetail' => array(
			'className' => 'EndorsementToDivisionReportDetail',
			'foreignKey' => 'endorsement_to_division_report_id',
			'conditions'=>array(
				'status'=>'Active'
			)
		),
	);
	
	public $belongsTo = array(
		'JobTitle' => array(
			'className' => 'JobTitle',
			'foreignKey' => 'job_title_code',
			'fields' => array(
				'JobTitle.code',
				'JobTitle.name',
			),
			'conditions' => array(
				'JobTitle.status' => 'Active'
			)
		),
		'Section' => array(
			'className' => 'Section',
			'foreignKey' => 'section_code',
			'fields' => array(
				'Section.code',
				'Section.name',
			),
			'conditions' => array(
				'Section.status' => 'Active'
			)
		)			
	);
	
	// public $validate = array(
			// 'memo_header_type' => array(
				// 'memo_header_type logic 1' => array(
					// 'rule' => array('notEmpty'),
					// 'message' => 'Memo Header Type is required'
				// )
			// ),
		// );
	public function beforeValidate($options = array()) {
		if(isset($this->data['EndorsementToDivisionReport']['endorsement_date']) && validate_datetime($this->data['EndorsementToDivisionReport']['endorsement_date'], 'm/d/Y')) {
			$this->data['EndorsementToDivisionReport']['endorsement_date'] = convert_datetime($this->data['EndorsementToDivisionReport']['endorsement_date'], 'Y-m-d');
		}	
		return true;
	}	
	
	public function beforeSave($options = array()) {
		if(!isset($this->data['EndorsementToDivisionReport']['id'])) {
			$this->data['EndorsementToDivisionReport']['created_by'] = $_SESSION['Auth']['User']['id'];
			$this->data['EndorsementToDivisionReport']['modified_by'] = $_SESSION['Auth']['User']['id'];
			$this->data['EndorsementToDivisionReport']['status'] = 'Active';
		}
		else {
			$this->data['EndorsementToDivisionReport']['modified_by'] = $_SESSION['Auth']['User']['id'];
		}
		
		return true;
	}
	
	public function afterFind($results, $primary = false)
	{
		foreach($results as $x => $result){
			if(isset($result['EndorsementToDivisionReport']['endorsement_date'])){
				$results[$x]['EndorsementToDivisionReport']['endorsement_date'] = date('m/d/Y',strtotime($results[$x]['EndorsementToDivisionReport']['endorsement_date']));
			}
		}

		return $results;
	}
}
?>