<?php
App::uses('AppModel', 'Model');

class EndorsementToDivisionReportDetail extends AppModel {
	
	// public $tablePrefix = 'setting_';
	// public $primaryKey = 'code';
	// public $displayField = 'name';
	
	public $belongsTo = array(
		'Applicant' => array(
			'className' => 'Applicant',
			'foreignKey' => 'applicant_code',
		),
		'EndorsementToDivisionReport' => array(
			'className' => 'EndorsementToDivisionReport',
			'foreignKey' => 'endorsement_to_division_report_id',
			'conditions' => array(
				'EndorsementToDivisionReport.status' => 'Active'
			)
		),
	);
	
	public function beforeSave($options = array()) {
		if(!isset($this->data['EndorsementToDivisionReportDetail']['id'])) {
			$this->data['EndorsementToDivisionReportDetail']['created_by'] = $_SESSION['Auth']['User']['id'];
			$this->data['EndorsementToDivisionReportDetail']['modified_by'] = $_SESSION['Auth']['User']['id'];
			$this->data['EndorsementToDivisionReportDetail']['status'] = 'Active';


			$ReferenceCode = ClassRegistry::init('ReferenceCode');
			
			$code_char = 'EMEMO';
			$reference = $ReferenceCode->findByPrefixCode($code_char);
			$code_number = $reference['ReferenceCode']['number'] + 1;
			$year = $reference['ReferenceCode']['year_code'];
			
			if($year != date('Y')){
				$year= date('Y');
				$ReferenceCode->query("UPDATE reference_codes SET year_code = '$year' WHERE prefix_code = '$code_char'");
				$code_number=1;
			}
			
			$this->data['EndorsementToDivisionReportDetail']['code'] = (date('y') . '-'.$code_char . (str_pad($code_number,7,"0",STR_PAD_LEFT)));
		
			$ReferenceCode->query("UPDATE reference_codes SET number = '$code_number' WHERE prefix_code = '$code_char'");

		}
		else {
			$this->data['EndorsementToDivisionReportDetail']['modified_by'] = $_SESSION['Auth']['User']['id'];
		}
		
		return true;
	}
}
?>