<?php
App::uses('AppModel', 'Model');

class Exam extends AppModel {
	
	public $actsAs = array('AuditLog.Auditable');
	public $tablePrefix = 'recruitment_';
	public $primaryKey = 'reference_number';
	// public $displayField = 'exam_type_code';
	
	public $belongsTo = array(
		'ExamType' => array(
			'className' => 'ExamType',
			'foreignKey' => 'exam_type_code',
			'fields' => array(
				'ExamType.code',
				'ExamType.name'
			),
			'conditions' => array(
				'ExamType.status' => 'Active'
			),
		),
		'Section' => array(
			'className' => 'Section',
			'foreignKey' => 'section_code',
			'fields' => array(
				'Section.code',
				'Section.name'
			),
			'conditions' => array(
				'Section.status' => 'Active'
			),
		),
		'JobTitle' => array(
			'className' => 'JobTitle',
			'foreignKey' => 'job_title_code',
			'fields' => array(
				'JobTitle.code',
				'JobTitle.name'
			),
			'conditions' => array(
				'JobTitle.status' => 'Active'
			),
		),
	);
	
	public $hasMany = array(
		'ExamQuestionnaire' => array(
			'className' => 'ExamQuestionnaire',
			'foreignKey' => 'exam_reference_number',
			'conditions' => array(
				'ExamQuestionnaire.status' => 'Active'
			),
		),
	);
	
	public function beforeSave($options = array()) {
		if(!isset($this->data['Exam']['id'])) {
			$this->data['Exam']['created_by'] = $_SESSION['Auth']['User']['id'];
			$this->data['Exam']['modified_by'] = $_SESSION['Auth']['User']['id'];
			$this->data['Exam']['status'] = 'Active';
			
			$ReferenceCode = ClassRegistry::init('ReferenceCode');
			
			$code_char = 'EXAM';
			$reference = $ReferenceCode->findByPrefixCode($code_char);
			$code_number = $reference['ReferenceCode']['number'] + 1;
			$year = $reference['ReferenceCode']['year_code'];
			
			if($year != date('Y')){
				$year= date('Y');
				$ReferenceCode->query("UPDATE reference_codes SET year_code = '$year' WHERE prefix_code = '$code_char'");
				$code_number=1;
			}
			
			$this->data['Exam']['reference_number'] = (date('y') . '-'.$code_char . (str_pad($code_number,7,"0",STR_PAD_LEFT)));
		
			$ReferenceCode->query("UPDATE reference_codes SET number = '$code_number' WHERE prefix_code = '$code_char'");
		}
		else {
			$this->data['Exam']['modified_by'] = $_SESSION['Auth']['User']['id'];
		}
		
		return true;
	}
}
?>