<?php
App::uses('AppModel', 'Model');

class ExcludeFromPayroll extends AppModel {
	
	public $tablePrefix = 'payroll_';
	public $primaryKey = 'code';
	
	public $hasMany = array(
		'EmployeeExcludeFromPayroll' => array(
			'className' => 'EmployeeExcludeFromPayroll',
			'foreignKey' => 'exclude_from_payroll_code',
			'conditions'=>array(
				'status'=>'Active'
			)
		),
	);
	
	public $belongsTo = array(
		'PayrollPeriod' => array(
			'className' => 'PayrollPeriod',
			'foreignKey' => 'payroll_period_code',
		),
	);

	
	public function beforeSave($options = array()) {
		if(!isset($this->data['ExcludeFromPayroll']['id'])) {
			$this->data['ExcludeFromPayroll']['created_by'] = $_SESSION['Auth']['User']['id'];
			$this->data['ExcludeFromPayroll']['modified_by'] = $_SESSION['Auth']['User']['id'];
			$this->data['ExcludeFromPayroll']['status'] = 'Active';
			
			$ReferenceCode = ClassRegistry::init('ReferenceCode');
			
			$code_char = 'EXFP';
			$reference = $ReferenceCode->findByPrefixCode($code_char);
			$code_number = $reference['ReferenceCode']['number'] + 1;
			$this->data['ExcludeFromPayroll']['code'] = $code_char . '-' . $code_number;
		
			$ReferenceCode->query("UPDATE reference_codes SET number = '$code_number' WHERE prefix_code = '$code_char'");
		}
		else {
			$this->data['ExcludeFromPayroll']['modified_by'] = $_SESSION['Auth']['User']['id'];
		}
		
		return true;
	}
}
?>