<?php
App::uses('AppModel', 'Model');

class FamilyMemberChildren extends AppModel {
	
	public $actsAs = array('AuditLog.Auditable');
	public $tablePrefix = 'employee_';
	
	
	// public $validate = array(
        // 'surname' => array(
			// 'surname logic 2' => array(
				// 'rule'		=> 'notEmpty',
				// 'message'	=> 'Surname is required.'
			// ),
        // ),
		// 'first_name' => array(
			// 'first_name logic 2' => array(
				// 'rule'		=> 'notEmpty',
				// 'message'	=> 'First Name is required.'
			// ),
        // ),
	// );
	
	public $belongsTo = array(
		'Employee' => array(
			'className' => 'Employee',
			'foreignKey' => 'employee_code',
			'conditions' => array(
				'Employee.status' => 'Active'
			)
		),
		'FamilyMember' => array(
			'className' => 'FamilyMember',
			'foreignKey' => 'family_member_id',
			'conditions' => array(
				'FamilyMember.status' => 'Active'
			)
		),
	);
	public $virtualFields=array(
		'age' => "TIMESTAMPDIFF(YEAR,FamilyMemberChildren.date_of_birth, CURDATE())",
	);
	
	public function __construct($id = false, $table = null, $ds = null) {
		parent::__construct($id, $table, $ds);
		$this->virtualFields['combination_whole_name'] = sprintf(
			'CONCAT(%s.surname, ", ", %s.first_name, " ", %s.middle_name)', $this->alias, $this->alias, $this->alias
		);
		
		$this->virtualFields['standard_name'] = sprintf(
			'CONCAT(%s.first_name, " ", SUBSTR(%s.middle_name, 1, 1), ". ", %s.surname)', $this->alias, $this->alias, $this->alias
		);
	}
	
	public function beforeValidate($options = array()) {
		if(isset($this->data['FamilyMemberChildren']['date_of_birth']) && validate_datetime($this->data['FamilyMemberChildren']['date_of_birth'], 'm/d/Y')) {
			$this->data['FamilyMemberChildren']['date_of_birth'] = convert_datetime($this->data['FamilyMemberChildren']['date_of_birth'], 'Y-m-d');
		}	
		return true;
	}	
	
	
	public function beforeSave($options = array()) {
		if(!isset($this->data['FamilyMemberChildren']['id'])) {
			$this->data['FamilyMemberChildren']['created_by'] = $_SESSION['Auth']['User']['id'];
			$this->data['FamilyMemberChildren']['modified_by'] = $_SESSION['Auth']['User']['id'];
			$this->data['FamilyMemberChildren']['status'] = 'Active';
		}
		else {
			$this->data['FamilyMemberChildren']['modified_by'] = $_SESSION['Auth']['User']['id'];
			$this->data['FamilyMemberChildren']['created_by'] = $_SESSION['Auth']['User']['id'];
			$this->data['FamilyMemberChildren']['status'] = 'Active';
		}
		
		return true;
	}
	
	public function afterFind($results, $primary = false)
	{
		foreach($results as $x => $result){
			if(isset($result['FamilyMemberChildren']['date_of_birth'])){
				$results[$x]['FamilyMemberChildren']['date_of_birth'] = date('m/d/Y',strtotime($results[$x]['FamilyMemberChildren']['date_of_birth']));
			}
				
		}
		 // debug($results);	
		// exit();
		return $results;
	}
}
?>