<?php
App::uses('AppModel', 'Model');

class FamilyMemberHistoryLog extends AppModel {
	
	public $tablePrefix = 'employee_';
	// public $primarykey = "person_code";
	
	public $belongsTo = array(
		// 'StatusOfAppointment' => array(
			// 'className' => 'StatusOfAppointment',
			// 'foreignKey' => 'status_of_appointment_code',
			// 'conditions' => array(
				// 'StatusOfAppointment.status' => 'Active'
			// ),
		// ),
	);
	
	public function beforeValidate($options = array()) {
		if(isset($this->data['FamilyMemberHistoryLog']['from']) && validate_datetime($this->data['FamilyMemberHistoryLog']['from'], 'm/d/Y')) {
			$this->data['FamilyMemberHistoryLog']['from'] = convert_datetime($this->data['FamilyMemberHistoryLog']['from'], 'Y-m-d');
		}	
		
		if(isset($this->data['FamilyMemberHistoryLog']['to']) && validate_datetime($this->data['FamilyMemberHistoryLog']['to'], 'm/d/Y')) {
			$this->data['FamilyMemberHistoryLog']['to'] = convert_datetime($this->data['FamilyMemberHistoryLog']['to'], 'Y-m-d');
		}
		
		if(isset($this->data['FamilyMemberHistoryLog']['separation_date']) && validate_datetime($this->data['FamilyMemberHistoryLog']['separation_date'], 'm/d/Y')) {
			$this->data['FamilyMemberHistoryLog']['separation_date'] = convert_datetime($this->data['FamilyMemberHistoryLog']['separation_date'], 'Y-m-d');
		}
	}
	public function beforeSave($options = array()) {
		if(!isset($this->data['FamilyMemberHistoryLog']['id'])) {
			$this->data['FamilyMemberHistoryLog']['created_by'] = $_SESSION['Auth']['User']['id'];
			$this->data['FamilyMemberHistoryLog']['modified_by'] = $_SESSION['Auth']['User']['id'];
			$this->data['FamilyMemberHistoryLog']['status'] = 'Active';
		}
		else {
			$this->data['FamilyMemberHistoryLog']['modified_by'] = $_SESSION['Auth']['User']['id'];
			$this->data['FamilyMemberHistoryLog']['date_last_modified'] = date("Y-m-d");
		}
		
		return true;
	}
	public function afterFind($results, $primary = false)
	{
		foreach($results as $x => $result){
			if(isset($result['FamilyMemberHistoryLog']['from'])){
				$results[$x]['FamilyMemberHistoryLog']['from'] = date('m/d/Y',strtotime($results[$x]['FamilyMemberHistoryLog']['from']));
			}
			if(isset($result['FamilyMemberHistoryLog']['to'])){
				$results[$x]['FamilyMemberHistoryLog']['to'] = date('m/d/Y',strtotime($results[$x]['FamilyMemberHistoryLog']['to']));
			}
			if(isset($result['FamilyMemberHistoryLog']['separation_date'])){
				$results[$x]['FamilyMemberHistoryLog']['separation_date'] = date('m/d/Y',strtotime($results[$x]['FamilyMemberHistoryLog']['separation_date']));
			}
			if(isset($result['FamilyMemberHistoryLog']['created'])){
				$results[$x]['FamilyMemberHistoryLog']['created'] = date('m/d/Y',strtotime($results[$x]['FamilyMemberHistoryLog']['created']));
			}
			if(isset($result['FamilyMemberHistoryLog']['present'])){
				$results[$x]['FamilyMemberHistoryLog']['present'] = $results[$x]['FamilyMemberHistoryLog']['present'] == 1 ? "Yes": "No";
			}
		}
		return $results;
	}
}
?>