<?php
App::uses('AppModel', 'Model');

class FilingLeaveEntryAttachment extends AppModel {
	
	public $actsAs = array('AuditLog.Auditable');
	// public $tablePrefix = 'employee_';
	// public $primaryKey = 'code';
	// public $displayField = 'subject';
	public $belongsTo = array(
		'DocumentType' => array(
			'className' => 'DocumentType',
			'foreignKey' => 'document_type_code',
			'fields' => array(
				'DocumentType.name' 
			),
			'conditions' => array(
				'DocumentType.status' => 'Active'
			),
		),
		
	);
	
	public function beforeValidate($options = array()) {
		if(isset($this->data['FilingLeaveEntryAttachment']['date_attachment']) && validate_datetime($this->data['FilingLeaveEntryAttachment']['date_attachment'], 'm/d/Y')) {
			$this->data['FilingLeaveEntryAttachment']['date_attachment'] = convert_datetime($this->data['FilingLeaveEntryAttachment']['date_attachment'], 'Y-m-d');
		}	
		// debug($this->data);
		// exit();
		return true;
	}	
	

	
	public function afterFind($results, $primary = false)
	{
		foreach($results as $x => $result){
			if(isset($result['FilingLeaveEntryAttachment']['date_attachment'])){
				$results[$x]['FilingLeaveEntryAttachment']['date_attachment'] = date('m/d/Y',strtotime($results[$x]['FilingLeaveEntryAttachment']['date_attachment']));
			}
		}

		return $results;
	}
}
?>