<?php
App::uses('AppModel', 'Model');

class GeneratedAnniversaryIncentive extends AppModel {
	
	public $actsAs = array('AuditLog.Auditable');
	public $tablePrefix = 'payroll_';
	public $primaryKey = 'reference_number';
	// public $displayField = 'name';
	
	public $validate = array(
        'name' => array(
			'name logic 1' => array(
				'rule'		=> 'isUnique',
				'message'	=> 'Name is already used.'
			),
			'name logic 2' => array(
				'rule'		=> 'notEmpty',
				'message'	=> 'Name is required.'
			),
        ),
	);
	
	public $belongsTo = array(
		'Employee' => array(
			'className' => 'Employee',
			'foreignKey' => 'employee_code',
			'conditions' => array(
				'Employee.status' => 'Active'
			)
		),
		'AnniversaryIncentive' => array(
			'className' => 'AnniversaryIncentive',
			'foreignKey' => 'anniversary_incentive_code',
			'conditions' => array(
				'AnniversaryIncentive.status' => 'Active'
			)
		),
	);
	
	
	
	public function beforeSave($options = array()) {
		if(!isset($this->data['GeneratedAnniversaryIncentive']['id'])) {
			$this->data['GeneratedAnniversaryIncentive']['created_by'] = $_SESSION['Auth']['User']['id'];
			$this->data['GeneratedAnniversaryIncentive']['modified_by'] = $_SESSION['Auth']['User']['id'];
			$this->data['GeneratedAnniversaryIncentive']['status'] = 'Active';
			
			$ReferenceCode = ClassRegistry::init('ReferenceCode');
			
			$code_char = 'GAI';
			$reference = $ReferenceCode->findByPrefixCode($code_char);
			$code_number = $reference['ReferenceCode']['number'] + 1;
			$year = $reference['ReferenceCode']['year_code'];
			// debug($year);
			
			if($year != date('Y')){
				$year= date('Y');
				$ReferenceCode->query("UPDATE reference_codes SET year_code = '$year' WHERE prefix_code = '$code_char'");
				$code_number=1;
			}
			$this->data['GeneratedAnniversaryIncentive']['reference_number'] = (date('y') . '-'.$code_char . (str_pad($code_number,9,"0",STR_PAD_LEFT)));
		
			$ReferenceCode->query("UPDATE reference_codes SET number = '$code_number' WHERE prefix_code = '$code_char'");
		}
		else {
			$this->data['GeneratedAnniversaryIncentive']['modified_by'] = $_SESSION['Auth']['User']['id'];
		}
		
		return true;
	}
}
?>