<?php
App::uses('AppModel', 'Model');

class GeneratedMidYearBonus extends AppModel {
	
	public $actsAs = array('AuditLog.Auditable');
	public $tablePrefix = 'payroll_';
	public $primaryKey = 'reference_number';
	// public $displayField = 'name';
	
	public $validate = array(
        'name' => array(
			'name logic 1' => array(
				'rule'		=> 'isUnique',
				'message'	=> 'Name is already used.'
			),
			'name logic 2' => array(
				'rule'		=> 'notEmpty',
				'message'	=> 'Name is required.'
			),
        ),
	);
	
	// public $hasMany = array(
		// 'GeneratedMidYearBonusIncomeAndBenefit' => array(
			// 'className' => 'GeneratedMidYearBonusIncomeAndBenefit',
			// 'foreignKey' => 'generated_payroll_code',
		// ),
		// 'GeneratedMidYearBonusDeduction' => array(
			// 'className' => 'GeneratedMidYearBonusDeduction',
			// 'foreignKey' => 'generated_payroll_code',
		// ),
		// 'GeneratedMidYearBonusLoanAndPayment' => array(
			// 'className' => 'GeneratedMidYearBonusLoanAndPayment',
			// 'foreignKey' => 'generated_payroll_code',
		// ),
	// );
	
	
	public $belongsTo = array(
		'Employee' => array(
			'className' => 'Employee',
			'foreignKey' => 'employee_code',
			'conditions' => array(
				'Employee.status' => 'Active'
			)
		),
		'MidYearBonus' => array(
			'className' => 'MidYearBonus',
			'foreignKey' => 'mid_year_bonus_code',
			'conditions' => array(
				'MidYearBonus.status' => 'Active'
			)
		),
	);
	
	
	
	public function beforeSave($options = array()) {
		if(!isset($this->data['GeneratedMidYearBonus']['id'])) {
			$this->data['GeneratedMidYearBonus']['created_by'] = $_SESSION['Auth']['User']['id'];
			$this->data['GeneratedMidYearBonus']['modified_by'] = $_SESSION['Auth']['User']['id'];
			$this->data['GeneratedMidYearBonus']['status'] = 'Active';
			
			$ReferenceCode = ClassRegistry::init('ReferenceCode');
			
			$code_char = 'GMYB';
			$reference = $ReferenceCode->findByPrefixCode($code_char);
			$code_number = $reference['ReferenceCode']['number'] + 1;
			$year = $reference['ReferenceCode']['year_code'];
			// debug($year);
			
			if($year != date('Y')){
				$year= date('Y');
				$ReferenceCode->query("UPDATE reference_codes SET year_code = '$year' WHERE prefix_code = '$code_char'");
				$code_number=1;
			}
			$this->data['GeneratedMidYearBonus']['reference_number'] = (date('y') . '-'.$code_char . (str_pad($code_number,9,"0",STR_PAD_LEFT)));
		
			$ReferenceCode->query("UPDATE reference_codes SET number = '$code_number' WHERE prefix_code = '$code_char'");
		}
		else {
			$this->data['GeneratedMidYearBonus']['modified_by'] = $_SESSION['Auth']['User']['id'];
		}
		
		return true;
	}
}
?>