<?php
App::uses('AppModel', 'Model');

class GeneratedPayrollDeduction extends AppModel {
	
	public $actsAs = array('AuditLog.Auditable');
	public $tablePrefix = 'payroll_';
	// public $primaryKey = 'reference_number';
	// public $displayField = 'name';
	
	public $belongsTo = array(
		'GeneratedPayroll' => array(
			'className' => 'GeneratedPayroll',
			'foreignKey' => 'generated_payroll_code',
			'conditions' => array(
				'GeneratedPayroll.status' => 'Active'
			),
		),
		'Employee' => array(
			'className' => 'Employee',
			'foreignKey' => 'employee_code',
			'conditions' => array(
				'Employee.status' => 'Active'
			),
		),
	);
	
	public function beforeSave($options = array()) {
		if(!isset($this->data['GeneratedPayrollDeduction']['id'])) {
			$this->data['GeneratedPayrollDeduction']['created_by'] = $_SESSION['Auth']['User']['id'];
			$this->data['GeneratedPayrollDeduction']['modified_by'] = $_SESSION['Auth']['User']['id'];
			$this->data['GeneratedPayrollDeduction']['status'] = 'Active';
		}
		else {
			$this->data['GeneratedPayrollDeduction']['modified_by'] = $_SESSION['Auth']['User']['id'];
		}
		
		return true;
	}
}
?>