<?php
App::uses('AppModel', 'Model');

class GeneratedPayrollDeductionAndLoanPayment extends AppModel {
	
	public $actsAs = array('AuditLog.Auditable');
	public $tablePrefix = 'payroll_';
	// public $primaryKey = 'reference_number';
	// public $displayField = 'name';
	
	public $belongsTo = array(
		'EmployeeLoanPaymentSchedule' => array(
			'className' => 'EmployeeLoanPaymentSchedule',
			'foreignKey' => 'loan_and_payment_code',
			'conditions' => array(
				'EmployeeLoanPaymentSchedule.status' => 'Active'
			),
		),
		'GeneratedPayroll' => array(
			'className' => 'GeneratedPayroll',
			'foreignKey' => 'generated_payroll_code',
			'conditions' => array(
				'GeneratedPayroll.status' => 'Active'
			),
		),
		'Employee' => array(
			'className' => 'Employee',
			'foreignKey' => 'employee_code',
			'conditions' => array(
				'Employee.status' => 'Active'
			),
		),
		'PayrollPeriod' => array(
			'className' => 'PayrollPeriod',
			'foreignKey' => 'payroll_period_code',
			'conditions' => array(
				'PayrollPeriod.status' => 'Active'
			),
		),
	);
	
	public function beforeSave($options = array()) {
		if(isset($this->data['GeneratedPayrollDeductionAndLoanPayment']['loan_and_payment_code'])) {
			if(isset($this->data['GeneratedPayrollDeductionAndLoanPayment']['loan_count'])) {
				if(($this->data['GeneratedPayrollDeductionAndLoanPayment']['loan_count']<=0)) {
					$this->data['GeneratedPayrollDeductionAndLoanPayment']['loan_count']=1;
				}
			}else{
				$this->data['GeneratedPayrollDeductionAndLoanPayment']['loan_count']=1;
			}
		}
		if(!isset($this->data['GeneratedPayrollDeductionAndLoanPayment']['id'])) {
			$this->data['GeneratedPayrollDeductionAndLoanPayment']['created_by'] = $_SESSION['Auth']['User']['id'];
			$this->data['GeneratedPayrollDeductionAndLoanPayment']['modified_by'] = $_SESSION['Auth']['User']['id'];
			$this->data['GeneratedPayrollDeductionAndLoanPayment']['status'] = 'Active';
		}
		else {
			$this->data['GeneratedPayrollDeductionAndLoanPayment']['modified_by'] = $_SESSION['Auth']['User']['id'];
		}
		
		return true;
	}
}
?>