<?php
App::uses('AppModel', 'Model');

class GeneratedPayrollIncomeAndBenefit extends AppModel {
	
	public $actsAs = array('AuditLog.Auditable');
	public $tablePrefix = 'payroll_';
	// public $primaryKey = 'reference_number';
	// public $displayField = 'name';
	
	public $belongsTo = array(
		'GeneratedPayroll' => array(
			'className' => 'GeneratedPayroll',
			'foreignKey' => 'generated_payroll_code',
			'conditions' => array(
				'GeneratedPayroll.status' => 'Active'
			),
		),
		'Employee' => array(
			'className' => 'Employee',
			'foreignKey' => 'employee_code',
			'conditions' => array(
				'Employee.status' => 'Active'
			),
		),
		'PayrollPeriod' => array(
			'className' => 'PayrollPeriod',
			'foreignKey' => 'payroll_period_code',
			'conditions' => array(
				'PayrollPeriod.status' => 'Active'
			)
		),
	);
	
	public function beforeSave($options = array()) {
		if(!isset($this->data['GeneratedPayrollIncomeAndBenefit']['id'])) {
			$this->data['GeneratedPayrollIncomeAndBenefit']['created_by'] = $_SESSION['Auth']['User']['id'];
			$this->data['GeneratedPayrollIncomeAndBenefit']['modified_by'] = $_SESSION['Auth']['User']['id'];
			$this->data['GeneratedPayrollIncomeAndBenefit']['status'] = 'Active';
		}
		else {
			$this->data['GeneratedPayrollIncomeAndBenefit']['modified_by'] = $_SESSION['Auth']['User']['id'];
		}
		
		return true;
	}
}
?>