<?php
App::uses('AppModel', 'Model');

class GeneratedPayrollLoanAndPayment extends AppModel {
	
	public $actsAs = array('AuditLog.Auditable');
	public $tablePrefix = 'payroll_';
	// public $primaryKey = 'reference_number';
	// public $displayField = 'name';
	
	public $belongsTo = array(
		'GeneratedPayroll' => array(
			'className' => 'GeneratedPayroll',
			'foreignKey' => 'generated_payroll_code',
			'conditions' => array(
				'GeneratedPayroll.status' => 'Active'
			),
		),
		'Employee' => array(
			'className' => 'Employee',
			'foreignKey' => 'employee_code',
			'conditions' => array(
				'Employee.status' => 'Active'
			),
		),
	);
	
	public function beforeSave($options = array()) {
		if(!isset($this->data['GeneratedPayrollLoanAndPayment']['id'])) {
			$this->data['GeneratedPayrollLoanAndPayment']['created_by'] = $_SESSION['Auth']['User']['id'];
			$this->data['GeneratedPayrollLoanAndPayment']['modified_by'] = $_SESSION['Auth']['User']['id'];
			$this->data['GeneratedPayrollLoanAndPayment']['status'] = 'Active';
		}
		else {
			$this->data['GeneratedPayrollLoanAndPayment']['modified_by'] = $_SESSION['Auth']['User']['id'];
		}
		
		return true;
	}
}
?>