<?php
App::uses('AppModel', 'Model');

class GovernmentIssuedId extends AppModel {
	
	public $tablePrefix = 'employee_';
	//public $primaryKey = 'code';
	public $displayField = 'name';
	public $validate = array(
        'government_issued_id_no' => array(
			'government_issued_id_no logic 1' => array(
				'rule'		=> 'notEmpty',
				'message'	=> 'This field is required.'
			),
        ),

        'id_license_passport_no' => array(
			'id_license_passport_no logic 1' => array(
				'rule'		=> 'notEmpty',
				'message'	=> 'This field is required.'
			),
        ),

        'date_place_of_issuance' => array(
			'date_place_of_issuance logic 1' => array(
				'rule'		=> 'notEmpty',
				'message'	=> 'This field is required.'
			),
        ), 
		'place_of_issuance' => array(
			'place_of_issuance logic 1' => array(
				'rule'		=> 'notEmpty',
				'message'	=> 'This field is required.'
			),
        ),
	);
	
	public $belongsTo = array(
		'Employee' => array(
			'className' => 'Employee',
			'foreignKey' => 'employee_code',
			'conditions' => array(
				'Employee.status' => 'Active'
			),
		),
	);

	public $hasMany = array(
		'GovernmentIssuedIdHistoryLog' => array(
			'className' => 'GovernmentIssuedIdHistoryLog',
			// 'foreignKey' =>'civil_service_history_logs_id',
			'foreignKey' =>'government_issued_id',
			'conditions' => array(
				'GovernmentIssuedIdHistoryLog.status' => 'Active',
			)
		),		
	);

	
	public function beforeValidate($options = array()) {
		if(isset($this->data['GovernmentIssuedId']['date_place_of_issuance']) && validate_datetime($this->data['GovernmentIssuedId']['date_place_of_issuance'], 'm/d/Y')) {
			$this->data['GovernmentIssuedId']['date_place_of_issuance'] = convert_datetime($this->data['GovernmentIssuedId']['date_place_of_issuance'], 'Y-m-d');
		}	
		
	}
	
	public function beforeSave($options = array()) {
		if(!isset($this->data['GovernmentIssuedId']['id'])) {
			$this->data['GovernmentIssuedId']['created_by'] = $_SESSION['Auth']['User']['id'];
			$this->data['GovernmentIssuedId']['modified_by'] = $_SESSION['Auth']['User']['id'];
			$this->data['GovernmentIssuedId']['status'] = 'Active';
			
			// $ReferenceCode = ClassRegistry::init('ReferenceCode');
			
			// $code_char = 'BNK';
			// $reference = $ReferenceCode->findByPrefixCode($code_char);
			// $code_number = $reference['ReferenceCode']['number'] + 1;
			// $this->data['WorkHistory']['code'] = $code_char . '-' . $code_number;
		
			// $ReferenceCode->query("UPDATE reference_codes SET number = '$code_number' WHERE prefix_code = '$code_char'");
		}
		else {
			$this->data['GovernmentIssuedId']['modified_by'] = $_SESSION['Auth']['User']['id'];
		}
		
		return true;
	}
}
?>