<?php
App::uses('AppModel', 'Model');

class GovernmentIssuedIdHistoryLog extends AppModel {
	
	public $tablePrefix = 'employee_';
	public $primaryKey = 'id';
	// public $displayField = 'name';

	
	public $belongsTo = array(
		'Employee' => array(
			'className' => 'Employee',
			'foreignKey' => 'employee_code',
			'conditions' => array(
				'Employee.status' => 'Active'
			),
		),
		
		'GovernmentIssuedId' => array(
			'className' => 'GovernmentIssuedId',
			'foreignKey' => 'government_issued_id',
			// 'foreignKey' => 'civil_service_history_logs_id',
			'conditions' => array(
				'GovernmentIssuedId.status' => 'Active'
			),
		),			
	);

	
	public function beforeValidate($options = array()) {
		if(isset($this->data['GovernmentIssuedIdHistoryLog']['date_place_of_issuance']) && validate_datetime($this->data['GovernmentIssuedIdHistoryLog']['date_place_of_issuance'], 'm/d/Y')) {
			$this->data['GovernmentIssuedIdHistoryLog']['date_place_of_issuance'] = convert_datetime($this->data['GovernmentIssuedIdHistoryLog']['date_place_of_issuance'], 'Y-m-d');
		}	
		
	}
	
	public function beforeSave($options = array()) {
		if(!isset($this->data['GovernmentIssuedIdHistoryLog']['id'])) {
			$this->data['GovernmentIssuedIdHistoryLog']['created_by'] = $_SESSION['Auth']['User']['id'];
			$this->data['GovernmentIssuedIdHistoryLog']['modified_by'] = $_SESSION['Auth']['User']['id'];
			$this->data['GovernmentIssuedIdHistoryLog']['status'] = 'Active';
			
			// $ReferenceCode = ClassRegistry::init('ReferenceCode');
			
			// $code_char = 'BNK';
			// $reference = $ReferenceCode->findByPrefixCode($code_char);
			// $code_number = $reference['ReferenceCode']['number'] + 1;
			// $this->data['WorkHistory']['code'] = $code_char . '-' . $code_number;
		
			// $ReferenceCode->query("UPDATE reference_codes SET number = '$code_number' WHERE prefix_code = '$code_char'");
		}
		else {
			$this->data['GovernmentIssuedIdHistoryLog']['modified_by'] = $_SESSION['Auth']['User']['id'];
		}
		
		return true;
	}
}
?>