<?php
App::uses('AppModel', 'Model');

class HazardPayment extends AppModel {
	
	public $actsAs = array('AuditLog.Auditable');
	public $tablePrefix = 'payroll_';
	public $primaryKey = 'code';
	public $displayField = 'hazard_pay';
	
	public $hasMany = array(
		'EmployeeHazardPayment' => array(
			'className' => 'EmployeeHazardPayment',
			'foreignKey' => 'hazard_payment_code',
			'conditions'=>array(
				'status'=>'Active'
			)
		),
	);

	
	public function beforeSave($options = array()) {
		if(!isset($this->data['HazardPayment']['id'])) {
			$this->data['HazardPayment']['created_by'] = $_SESSION['Auth']['User']['id'];
			$this->data['HazardPayment']['modified_by'] = $_SESSION['Auth']['User']['id'];
			$this->data['HazardPayment']['status'] = 'Active';
			
			$ReferenceCode = ClassRegistry::init('ReferenceCode');
			
			$code_char = 'HZP';
			$reference = $ReferenceCode->findByPrefixCode($code_char);
			$code_number = $reference['ReferenceCode']['number'] + 1;
			$this->data['HazardPayment']['code'] = $code_char . '-' . $code_number;
		
			$ReferenceCode->query("UPDATE reference_codes SET number = '$code_number' WHERE prefix_code = '$code_char'");
		}
		else {
			$this->data['HazardPayment']['modified_by'] = $_SESSION['Auth']['User']['id'];
		}
		
		return true;
	}
}
?>