<?php
App::uses('AppModel', 'Model');

class Holiday extends AppModel {
	
	public $actsAs = array('AuditLog.Auditable');
	public $tablePrefix = 'setting_';
	public $primaryKey = 'code';
	public $displayField = 'name';
	
	// public $validate = array(
 //        'name' => array(
	// 		// 'name logic 1' => array(
	// 			// 'rule'		=> 'isUnique',
	// 			// 'message'	=> 'Name is already used.',
	// 			// 'on' => 'create',
	// 		// ),
	// 		'name logic 2' => array(
	// 			'rule'		=> 'notEmpty',
	// 			'message'	=> 'Name is required.'
	// 		),
 //        ),
	// 	'holiday_date' => array(
	// 		'holiday_date logic 2' => array(
	// 			'rule'		=> 'notEmpty',
	// 			'message'	=> 'Date is required.'
	// 		),
 //        ),
	// 	'holiday_type_code' => array(
	// 		'holiday_type_code logic 2' => array(
	// 			'rule'		=> 'notEmpty',
	// 			'message'	=> 'Type is required.'
	// 		),
 //        ),
	// );
	public $belongsTo = array(
		'HolidayType' => array(
			'className' => 'HolidayType',
			'foreignKey' => 'holiday_type_code',
			'fields' => array(
				'HolidayType.code',
				'HolidayType.name',
				
			),
			'conditions' => array(
				'HolidayType.status' => 'Active'
			)
		),
	);
	
	public $hasMany = array(
		'HolidayAllowedEmployee' => array(
			'className' => 'HolidayAllowedEmployee',
			'foreignKey' => 'holiday_code',
			'conditions' => array(
				'HolidayAllowedEmployee.status' => 'Active'
			)
		),
	);
	
	public function beforeValidate($options = array()) {
		if(isset($this->data['Holiday']['holiday_date']) && validate_datetime($this->data['Holiday']['holiday_date'], 'm/d/Y')) {
			$this->data['Holiday']['holiday_date'] = convert_datetime($this->data['Holiday']['holiday_date'], 'Y-m-d');
		}		
			return true;
	}
	
	public function beforeSave($options = array()) {
		if(!isset($this->data['Holiday']['id'])) {
			$this->data['Holiday']['created_by'] = $_SESSION['Auth']['User']['id'];
			$this->data['Holiday']['modified_by'] = $_SESSION['Auth']['User']['id'];
			$this->data['Holiday']['status'] = 'Active';
			
			$ReferenceCode = ClassRegistry::init('ReferenceCode');
			$code_char = 'HLDY';
			$reference = $ReferenceCode->findByPrefixCode($code_char);
			$code_number = $reference['ReferenceCode']['number'] + 1;
			$year = $reference['ReferenceCode']['year_code'];
			// debug($year);
			
			if($year != date('Y')){
				$year= date('Y');
				$ReferenceCode->query("UPDATE reference_codes SET year_code = '$year' WHERE prefix_code = '$code_char'");
				$code_number=1;
			}

			$this->data['Holiday']['code'] = (date('y') . '-'.$code_char . (str_pad($code_number,7,"0",STR_PAD_LEFT)));
			// debug($this->data['LaboratoryLogBook']['laboratory_case_number']);
			// exit();
			$ReferenceCode->query("UPDATE reference_codes SET number = '$code_number' WHERE prefix_code = '$code_char'");
		}
		else {
			$this->data['Holiday']['modified_by'] = $_SESSION['Auth']['User']['id'];
		}
		
		return true;
	}
	
	public function afterFind($results, $primary = false)
	{
		foreach($results as $x => $result){
			if(isset($result['Holiday']['holiday_date'])){
				$results[$x]['Holiday']['holiday_date'] = date('m/d/Y',strtotime($results[$x]['Holiday']['holiday_date']));
			}
		}

		return $results;
	}
}
?>