<?php
App::uses('AppModel', 'Model');

class HolidayAllowedEmployee extends AppModel {
	
	public $actsAs = array('AuditLog.Auditable');
	public $tablePrefix = 'setting_';
	public $primaryKey = 'id';
	// public $displayField = 'name';
	
	// public $validate = array(
        // 'name' => array(
			// 'name logic 1' => array(
				// 'rule'		=> 'isUnique',
				// 'message'	=> 'Name is already used.',
				// 'on' => 'create',
			// ),
			// 'name logic 2' => array(
				// 'rule'		=> 'notEmpty',
				// 'message'	=> 'Name is required.'
			// ),
        // ),
	// );
	
	public $belongsTo = array(
		'Holiday' => array(
			'className' => 'Holiday',
			'foreignKey' => 'holiday_code',
			'conditions' => array(
				'Holiday.status' => 'Active'
			)
		),
		'Employee' => array(
			'className' => 'Employee',
			'foreignKey' => 'employee_code',
			'conditions' => array(
				'Employee.status' => 'Active'
			)
		),
	);
	
	public function beforeValidate($options = array()) {
		if(isset($this->data['HolidayAllowedEmployee']['holiday_date']) && validate_datetime($this->data['HolidayAllowedEmployee']['holiday_date'], 'm/d/Y')) {
			$this->data['HolidayAllowedEmployee']['holiday_date'] = convert_datetime($this->data['HolidayAllowedEmployee']['holiday_date'], 'Y-m-d');
		}
	}
	
	public function beforeSave($options = array()) {
		
		if(!isset($this->data['HolidayAllowedEmployee']['id'])) {
			$this->data['HolidayAllowedEmployee']['created_by'] = $_SESSION['Auth']['User']['id'];
			$this->data['HolidayAllowedEmployee']['modified_by'] = $_SESSION['Auth']['User']['id'];
			$this->data['HolidayAllowedEmployee']['status'] = 'Active';
			
			$ReferenceCode = ClassRegistry::init('ReferenceCode');
			
			$code_char = 'HLDYAE';
			$reference = $ReferenceCode->findByPrefixCode($code_char);
			$code_number = $reference['ReferenceCode']['number'] + 1;
			$this->data['HolidayAllowedEmployee']['code'] = $code_char . '-' . $code_number;
		
			$ReferenceCode->query("UPDATE reference_codes SET number = '$code_number' WHERE prefix_code = '$code_char'");
		}
		else {
			$this->data['HolidayAllowedEmployee']['modified_by'] = $_SESSION['Auth']['User']['id'];
			
		}
		// debug($this->data);
		// exit();
		return true;
	}
	
	public function afterFind($results, $primary = false)
	{
		foreach($results as $x => $result){
			if(isset($result['HolidayAllowedEmployee']['holiday_date'])){
				$results[$x]['HolidayAllowedEmployee']['holiday_date'] = date('m/d/Y',strtotime($results[$x]['HolidayAllowedEmployee']['holiday_date']));
			}
		}
		return $results;
	}
}
?>