<?php
App::uses('AppModel', 'Model');

class HolidayAllowedPersonnel extends AppModel {
	
	public $actsAs = array('AuditLog.Auditable');
	public $tablePrefix = 'setting_';
	public $primaryKey = 'code';
	// public $displayField = 'name';
	
	// public $validate = array(
        // 'name' => array(
			// 'name logic 1' => array(
				// 'rule'		=> 'isUnique',
				// 'message'	=> 'Name is already used.',
				// 'on' => 'create',
			// ),
			// 'name logic 2' => array(
				// 'rule'		=> 'notEmpty',
				// 'message'	=> 'Name is required.'
			// ),
        // ),
	// );
	
	public $belongsTo = array(
		'Holiday' => array(
			'className' => 'Holiday',
			'foreignKey' => 'holiday_code',
			'conditions' => array(
				'Holiday.status' => 'Active'
			)
		),
		'PersonnelType' => array(
			'className' => 'PersonnelType',
			'foreignKey' => 'personnel_type_code',
			'conditions' => array(
				'PersonnelType.status' => 'Active'
			)
		),
	);
	
	public function beforeSave($options = array()) {
		if(!isset($this->data['HolidayAllowedPersonnel']['id'])) {
			$this->data['HolidayAllowedPersonnel']['created_by'] = $_SESSION['Auth']['User']['id'];
			$this->data['HolidayAllowedPersonnel']['modified_by'] = $_SESSION['Auth']['User']['id'];
			$this->data['HolidayAllowedPersonnel']['status'] = 'Active';
			
			$ReferenceCode = ClassRegistry::init('ReferenceCode');
			
			$code_char = 'HLDYAP';
			$reference = $ReferenceCode->findByPrefixCode($code_char);
			$code_number = $reference['ReferenceCode']['number'] + 1;
			$this->data['HolidayAllowedPersonnel']['code'] = $code_char . '-' . $code_number;
		
			$ReferenceCode->query("UPDATE reference_codes SET number = '$code_number' WHERE prefix_code = '$code_char'");
		}
		else {
			$this->data['HolidayAllowedPersonnel']['modified_by'] = $_SESSION['Auth']['User']['id'];
		}
		
		return true;
	}
}
?>