<?php
App::uses('AppModel', 'Model');

class HospitalPersonnelOrderSubmissionForDtrDate extends AppModel {
	
	public $actsAs = array('AuditLog.Auditable');
	
	public $belongsTo = array(
		'HospitalPersonnelOrderSubmissionForDtr' => array(
			'className' => 'HospitalPersonnelOrderSubmissionForDtr',
			'foreignKey' => 'hospital_personnel_order_submission_for_dtr_id',
			'conditions' => array(
				'HospitalPersonnelOrderSubmissionForDtr.status' => 'Active',
			),
		),		
	);

	public function beforeValidate($options = array()) {
		if (isset($this->data['HospitalPersonnelOrderSubmissionForDtrDate']['hpo_date']) && validate_datetime($this->data['HospitalPersonnelOrderSubmissionForDtrDate']['hpo_date'], 'm/d/Y')) {
			$this->data['HospitalPersonnelOrderSubmissionForDtrDate']['hpo_date'] = convert_datetime($this->data['HospitalPersonnelOrderSubmissionForDtrDate']['hpo_date'], 'Y-m-d');
		}	
		
		return true;
	}
	
	public function beforeSave($options = array()) {
		if (!isset($this->data['HospitalPersonnelOrderSubmissionForDtrDate']['id'])) {
			$this->data['HospitalPersonnelOrderSubmissionForDtrDate']['created_by'] = $_SESSION['Auth']['User']['id'];
			$this->data['HospitalPersonnelOrderSubmissionForDtrDate']['modified_by'] = $_SESSION['Auth']['User']['id'];
			$this->data['HospitalPersonnelOrderSubmissionForDtrDate']['status'] = 'Active';
		}
		else {
			$this->data['HospitalPersonnelOrderSubmissionForDtrDate']['modified_by'] = $_SESSION['Auth']['User']['id'];
		}
		
		return true;
	}
	
	public function afterFind($results, $primary = false) {
		foreach($results as $x => $result){
			if (isset($result['HospitalPersonnelOrderSubmissionForDtrDate']['hpo_date'])) {
				$results[$x]['HospitalPersonnelOrderSubmissionForDtrDate']['hpo_date'] = date('m/d/Y',strtotime($results[$x]['HospitalPersonnelOrderSubmissionForDtrDate']['hpo_date']));
			}		
		}

		return $results;
	}
}
?>