<?php
App::uses('AppModel', 'Model');

class HospitalPersonnelOrderType extends AppModel {
	
	public $actsAs = array('AuditLog.Auditable');
	// public $tablePrefix = 'setting_';
	public $primaryKey = 'code';
	public $displayField = 'name';
	
	public $validate = array(
        'name' => array(
			'name logic 1' => array(
				'rule'		=> 'isUnique',
				'message'	=> 'Name is already used.',
			),
			'name logic 2' => array(
				'rule'		=> 'notEmpty',
				'message'	=> 'Name is required.'
			),
        ),
	);
	public function add_hospital_personnel_order_type($data = array()) {		
		$existing_hospital_personnel_order_types = $this->find_existing_hospital_personnel_order_type_by_name($data['HospitalPersonnelOrderType']['name']);
		
		if(isset($existing_hospital_personnel_order_types) && count($existing_hospital_personnel_order_types) > 0) {
			$existing_hospital_personnel_order_types['HospitalPersonnelOrderType']['status'] = 'Active';
			$data = $existing_hospital_personnel_order_types;
		}

		return $this->save($data);
	}
	public function update_hospital_personnel_order_type($data = array()) {
		return $this->save($data);
	}
	public function update_status($hospital_personnel_order_type_id = null, $hospital_personnel_order_type = null) {
		$existing_hospital_personnel_order_type = $this->find_existing_hospital_personnel_order_type_by_id_or_code($hospital_personnel_order_type_id);
		
		if(isset($existing_hospital_personnel_order_type) && count($existing_hospital_personnel_order_type) > 0) {
			$existing_hospital_personnel_order_type['HospitalPersonnelOrderType']['status'] = $hospital_personnel_order_type;
			$data = $existing_hospital_personnel_order_type;
		}

		return $this->save($data);
	}
	public function find_existing_hospital_personnel_order_type_by_name($hospital_personnel_order_type_name = null) {
		if(isset($hospital_personnel_order_type_name)) {
			$default_conditions = array(
				'HospitalPersonnelOrderType.name' => $hospital_personnel_order_type_name
			);
		}
		
		$hospital_personnel_order_types = $this->find('first', array(
			'fields' => array(
				'HospitalPersonnelOrderType.id',
				'HospitalPersonnelOrderType.code',
				'HospitalPersonnelOrderType.name',
				'HospitalPersonnelOrderType.status',
				// 'HospitalPersonnelOrderType.lock_flag'
			),
			'recursive'=>-1,
			'conditions' => $default_conditions
		));
		
		return $hospital_personnel_order_types;
	}
	
	public function find_existing_hospital_personnel_order_type_by_id_or_code($hospital_personnel_order_types_id = null) {
		if(is_numeric($hospital_personnel_order_types_id)) {
			$default_conditions = array(
				'HospitalPersonnelOrderType.id' => $hospital_personnel_order_types_id
			);
		}
		else {
			$default_conditions = array(
				'HospitalPersonnelOrderType.code' => $hospital_personnel_order_types_id
			);
		}
		
		$hospital_personnel_order_type = $this->find('first', array(
			'fields' => array(
				'HospitalPersonnelOrderType.id',
				'HospitalPersonnelOrderType.code',
				'HospitalPersonnelOrderType.name',
				'HospitalPersonnelOrderType.status',
				// 'HospitalPersonnelOrderType.lock_flag'
			),
			'recursive'=>-1,
			'conditions' => $default_conditions
		));
		
		return $hospital_personnel_order_type;
	}
	
	public function beforeSave($options = array()) {
		if(!isset($this->data['HospitalPersonnelOrderType']['code'])) {
			$this->data['HospitalPersonnelOrderType']['created_by'] = $_SESSION['Auth']['User']['id'];
			$this->data['HospitalPersonnelOrderType']['modified_by'] = $_SESSION['Auth']['User']['id'];
			$this->data['HospitalPersonnelOrderType']['status'] = 'Active';
			
			$ReferenceCode = ClassRegistry::init('ReferenceCode');
			
			$code_char = 'HPOTYP';
			$reference = $ReferenceCode->findByPrefixCode($code_char);
			$code_number = $reference['ReferenceCode']['number'] + 1;
			$this->data['HospitalPersonnelOrderType']['code'] = $code_char . '-' . $code_number;
		
			$ReferenceCode->query("UPDATE reference_codes SET number = '$code_number' WHERE prefix_code = '$code_char'");
		}
		else {
			$this->data['HospitalPersonnelOrderType']['modified_by'] = $_SESSION['Auth']['User']['id'];
		}
		
		return true;
	}
}
?>