<?php
App::uses('AppModel', 'Model');

class IncomeAndBenefit extends AppModel {
	
	public $actsAs = array('AuditLog.Auditable');
	// public $tablePrefix = 'setting_';
	// public $primaryKey = 'code';
	
	
	// public $validate = array(
        // 'employee_code' => array(
			// 'employee_code logic 1' => array(
				// 'rule'		=> 'isUnique',
				// 'message'	=> 'Employee is already used.'
			// ),
			// 'employee_code logic 2' => array(
				// 'rule'		=> 'notEmpty',
				// 'message'	=> 'Employee is required.'
			// ),
        // ),
	// );
	
	public $belongsTo = array(
		'IncomeAndBenefitType' => array(
			'className' => 'IncomeAndBenefitType',
			'foreignKey' => 'income_and_benefit_type_code',
		),
		'IncomeType' => array(
			'className' => 'IncomeType',
			'foreignKey' => 'income_type_code',
		),
		'PayrollCycle' => array(
			'className' => 'PayrollCycle',
			'foreignKey' => 'payroll_cycle_code',
		),
		'PayrollPeriod' => array(
			'className' => 'PayrollPeriod',
			'foreignKey' => 'payroll_period_code',
		),
		'EmployeeIncomeAndBenefit' => array(
			'className' => 'EmployeeIncomeAndBenefit',
			'foreignKey' => 'employee_income_and_benefit_code',
			'conditions'=>array(
				'EmployeeIncomeAndBenefit.status'=>'Active'
			)
		),
		
	);
	
	public $hasOne = array(
		'EmployeeIncomeAndBenefitScheduleLastPaid' => array(
			'className' => 'EmployeeIncomeAndBenefitSchedule',
			'foreignKey' => 'income_and_benefit_id',
			'conditions' => array(
				'EmployeeIncomeAndBenefitScheduleLastPaid.status' => 'Active',
				'EmployeeIncomeAndBenefitScheduleLastPaid.is_paid'=>1
			),
			'fields'=>array(
				'EmployeeIncomeAndBenefitScheduleLastPaid.payment_schedule_date',
			),
			'order'=>'EmployeeIncomeAndBenefitScheduleLastPaid.payment_schedule_date asc'
		)
	);
	public $hasMany = array(
		'EmployeeIncomeAndBenefitSchedule' => array(
			'className' => 'EmployeeIncomeAndBenefitSchedule',
			'foreignKey' => 'income_and_benefit_id',
			'conditions' => array(
				'EmployeeIncomeAndBenefitSchedule.status' => 'Active'
			),
		),
		// 'EmployeeIncomeAndBenefit' => array(
			// 'className' => 'EmployeeIncomeAndBenefit',
			// 'foreignKey' => 'income_and_benefit_code',
			// 'conditions'=>array(
				// 'status'=>'Active'
			// )
		// )
	);
	public function beforeValidate($options = array()) {
		if(isset($this->data['IncomeAndBenefit']['recurring_from']) && validate_datetime($this->data['IncomeAndBenefit']['recurring_from'], 'm/d/Y')) {
			$this->data['IncomeAndBenefit']['recurring_from'] = convert_datetime($this->data['IncomeAndBenefit']['recurring_from'], 'Y-m-d');
		}	
			// return true;		
		if(isset($this->data['IncomeAndBenefit']['recurring_to']) && validate_datetime($this->data['IncomeAndBenefit']['recurring_to'], 'm/d/Y')) {
			$this->data['IncomeAndBenefit']['recurring_to'] = convert_datetime($this->data['IncomeAndBenefit']['recurring_to'], 'Y-m-d');
		}
		
		// if(isset($this->data['LeaveEntry']['filing_date']) && validate_datetime($this->data['LeaveEntry']['filing_date'], 'm/d/Y')) {
			// $this->data['LeaveEntry']['filing_date'] = convert_datetime($this->data['LeaveEntry']['filing_date'], 'Y-m-d');
		// }
		return true;
	}
	public function beforeSave($options = array()) {
		if(!isset($this->data['IncomeAndBenefit']['id'])) {
			$this->data['IncomeAndBenefit']['created_by'] = $_SESSION['Auth']['User']['id'];
			$this->data['IncomeAndBenefit']['modified_by'] = $_SESSION['Auth']['User']['id'];
			$this->data['IncomeAndBenefit']['status'] = 'Active';
			
				$ReferenceCode = ClassRegistry::init('ReferenceCode');
			// debug($this->data);
			// exit();
			$code_char = 'IAB';
			$reference = $ReferenceCode->findByPrefixCode($code_char);
			$code_number = $reference['ReferenceCode']['number'] + 1;
			$year = $reference['ReferenceCode']['year_code'];
			// debug($year);
			
			if($year != date('Y')){
				$year= date('Y');
				$ReferenceCode->query("UPDATE reference_codes SET year_code = '$year' WHERE prefix_code = '$code_char'");
				$code_number=1;
			}
			$this->data['IncomeAndBenefit']['code'] = (date('y') . '-'.$code_char . (str_pad($code_number,7,"0",STR_PAD_LEFT)));
		
			$ReferenceCode->query("UPDATE reference_codes SET number = '$code_number' WHERE prefix_code = '$code_char'");
		}
		else {
			$this->data['IncomeAndBenefit']['modified_by'] = $_SESSION['Auth']['User']['id'];
		}
		
		return true;
	}
	public function afterFind($results, $primary = false)
	{
		foreach($results as $x => $result){
			if(isset($result['IncomeAndBenefit']['recurring_from'])){
				$results[$x]['IncomeAndBenefit']['recurring_from'] = date('m/d/Y',strtotime($results[$x]['IncomeAndBenefit']['recurring_from']));
			}
			
			if(isset($result['IncomeAndBenefit']['recurring_to'])){
				$results[$x]['IncomeAndBenefit']['recurring_to'] = date('m/d/Y',strtotime($results[$x]['IncomeAndBenefit']['recurring_to']));
			}
			// if(isset($result['LeaveEntry']['filing_date'])){
				// $results[$x]['LeaveEntry']['filing_date'] = date('m/d/Y',strtotime($results[$x]['LeaveEntry']['filing_date']));
			// }
		}

		return $results;
	}
}
?>