<?php
App::uses('AppModel', 'Model');

class ItemNumberHistoryLog extends AppModel {
	
	// public $actsAs = array('AuditLog.Auditable');
	// public $tablePrefix = 'recruitment_';
	public $primaryKey = 'code';
	// public $displayField = 'employee_code';
	
	
	
	public $belongsTo = array(
		'PositionDetailHistoryLog' => array(
			'className' => 'PositionDetailHistoryLog',
			'foreignKey' => 'position_detail_history_log_id',
			
		),
		'PreviousEmployeeHolder' => array(
			'className' => 'Employee',
			'foreignKey' => 'from_employee_code',
			'fields'=>array(
				'PreviousEmployeeHolder.employee_code',
				'PreviousEmployeeHolder.combination_whole_name'
			)
			
		),
		'CurrentEmployeeHolder' => array(
			'className' => 'Employee',
			'foreignKey' => 'to_employee_code',
			'fields'=>array(
				'CurrentEmployeeHolder.employee_code',
				'CurrentEmployeeHolder.combination_whole_name'
			)
			
		),
	);
	public function beforeSave($options = array()) {
		if(!isset($this->data['ItemNumberHistoryLog']['code'])) {
			$this->data['ItemNumberHistoryLog']['created_by'] = $_SESSION['Auth']['User']['id'];
			$this->data['ItemNumberHistoryLog']['modified_by'] = $_SESSION['Auth']['User']['id'];
			$this->data['ItemNumberHistoryLog']['status'] = 'Active';
			
			$ReferenceCode = ClassRegistry::init('ReferenceCode');
			
			$code_char = 'INHL';
			$reference = $ReferenceCode->findByPrefixCode($code_char);
			$code_number = $reference['ReferenceCode']['number'] + 1;
			$this->data['ItemNumberHistoryLog']['code'] = $code_char . '-' . $code_number;
		
			$ReferenceCode->query("UPDATE reference_codes SET number = '$code_number' WHERE prefix_code = '$code_char'");
		}
		else {
			$this->data['ItemNumberHistoryLog']['modified_by'] = $_SESSION['Auth']['User']['id'];
		}
		
		return true;
	}
	
}
?>