<?php
App::uses('AppModel', 'Model');

class JobRotation extends AppModel {
	
	public $actsAs = array('AuditLog.Auditable');
	// public $tablePrefix = 'setting_';
	public $primaryKey = 'code';
	// public $displayField = 'employee_code';
	
	
	public $belongsTo = array(
		'Employee' => array(
			'className' => 'Employee',
			'foreignKey' => 'employee_code',
			'conditions' => array(
				'Employee.status' => 'Active'
			)
		),
		'JobTitle' => array(
			'className' => 'JobTitle',
			'foreignKey' => 'job_title_code',
			'fields' => array(
				'JobTitle.code',
				'JobTitle.name',
			),
			'conditions' => array(
				'JobTitle.status' => 'Active'
			)
		),
		'Section' => array(
			'className' => 'Section',
			'foreignKey' => 'section_code',
			'fields' => array(
				'Section.code',
				'Section.name',
			),
			'conditions' => array(
				'Section.status' => 'Active'
			)
		),
		'Unit' => array(
			'className' => 'Unit',
			'foreignKey' => 'unit_code',
			'fields' => array(
				'Unit.code',
				'Unit.name',
			),
			'conditions' => array(
				'Unit.status' => 'Active'
			)
		),
		'SubUnit' => array(
			'className' => 'SubUnit',
			'foreignKey' => 'sub_unit_code',
			'fields' => array(
				'SubUnit.code',
				'SubUnit.name',
			),
			'conditions' => array(
				'SubUnit.status' => 'Active'
			)
		),
		'EmployeeType' => array(
			'className' => 'EmployeeType',
			'foreignKey' => 'employee_type_code',
			'fields' => array(
				'EmployeeType.code',
				'EmployeeType.name',
			),
			'conditions' => array(
				'EmployeeType.status' => 'Active'
			)
		),
		'PersonnelType' => array(
			'className' => 'PersonnelType',
			'foreignKey' => 'personnel_type_code',
			'fields' => array(
				'PersonnelType.code',
				'PersonnelType.name',
			),
			'conditions' => array(
				'PersonnelType.status' => 'Active'
			)
		),
	);
	
	
	public function beforeSave($options = array()) {
		$this->data['JobRotation'] = AppModel::fix_date_format(
			$this->data['JobRotation'],
			array('from','to')
		);
		
		if(!isset($this->data['JobRotation']['id'])) {
			$this->data['JobRotation']['created_by'] = $_SESSION['Auth']['User']['id'];
			$this->data['JobRotation']['modified_by'] = $_SESSION['Auth']['User']['id'];
			$this->data['JobRotation']['status'] = 'Active';
			$ReferenceCode = ClassRegistry::init('ReferenceCode');
			
			$code_char = 'JR';
			$reference = $ReferenceCode->findByPrefixCode($code_char);
			$code_number = $reference['ReferenceCode']['number'] + 1;
			$year = $reference['ReferenceCode']['year_code'];
			// debug($year);
			
			if($year != date('Y')){
				$year= date('Y');
				$ReferenceCode->query("UPDATE reference_codes SET year_code = '$year' WHERE prefix_code = '$code_char'");
				$code_number=1;
			}
			$this->data['JobRotation']['code'] = (date('y') . '-'.$code_char . (str_pad($code_number,7,"0",STR_PAD_LEFT)));
			
			$ReferenceCode->query("UPDATE reference_codes SET number = '$code_number' WHERE prefix_code = '$code_char'");
		}
		else {
			$this->data['JobRotation']['modified_by'] = $_SESSION['Auth']['User']['id'];
		}
		
		return true;
	}
}
?>