<?php
App::uses('AppModel', 'Model');

class LearningAndDevelopment extends AppModel {
	
	public $tablePrefix = 'employee_';
	// public $primaryKey = 'code';
	// public $displayField = 'name';
	public $validate = array(
        // 'service_years' => array(
			// 'service_years logic 2' => array(
				// 'rule'		=> 'notEmpty',
				// 'message'	=> 'Service Year is required.'
			// ),
        // ),
		// 'employeer_name' => array(
			// 'employeer_name logic 2' => array(
				// 'rule'		=> 'notEmpty',
				// 'message'	=> 'Employeer Name is required.'
			// ),
        // ),
		// 'industry_code' => array(
			// 'industry_code logic 2' => array(
				// 'rule'		=> 'notEmpty',
				// 'message'	=> 'Industry is required.'
			// ),
        // ),
		// 'address' => array(
			// 'address logic 2' => array(
				// 'rule'		=> 'notEmpty',
				// 'message'	=> 'Address is required.'
			// ),
        // ),
		// 'position_code' => array(
			// 'position_code logic 2' => array(
				// 'rule'		=> 'notEmpty',
				// 'message'	=> 'Position is required.'
			// ),
        // ),
		'title_of_learning_and_development' => array(
			'title_of_learning_and_development logic 1' => array(
				'rule'		=> 'notEmpty',
				'message'	=> 'Title of learning and development is required.',
			),
        ),
		'from' => array(
			'from logic 1' => array(
				'rule'		=> 'notEmpty',
				'message'	=> 'Date is required.',
			),
        ),
		'to' => array(
			'to logic 1' => array(
				'rule'		=> 'notEmpty',
				'message'	=> 'Date is required.',
			),
        ),
		'number_of_hours' => array(
			'number_of_hours logic 1' => array(
				'rule'		=> 'notEmpty',
				'message'	=> 'Number of hours is required.',
			),
        ),
		'type_of_ld' => array(
			'type_of_ld logic 1' => array(
				'rule'		=> 'notEmpty',
				'message'	=> 'Type of LD is required.',
			),
        ),
		// 'conducted_sponsored_by' => array(
			// 'conducted_sponsored_by logic 1' => array(
				// 'rule'		=> 'notEmpty',
				// 'message'	=> 'Conducted/Sponsored by is required.',
			// ),
        // ),
	);
	public $belongsTo = array(
		'Employee' => array(
			'className' => 'Employee',
			'foreignKey' => 'employee_code',
			'conditions' => array(
				'Employee.status' => 'Active'
			),
		),
		'LearningAndDevelopmentType' => array(
			'className' => 'LearningAndDevelopmentType',
			'foreignKey' => 'type_of_ld',
			'fields' => array(
				'code',
				'name',
			),
			'conditions' => array(
				'LearningAndDevelopmentType.status' => 'Active'
			),
		),
		'LearningAndDevelopmentMonitoring' => array(
			'className' => 'LearningAndDevelopmentMonitoring',
			'foreignKey' => 'learning_and_development_monitoring_code',
			'conditions' => array(
				'LearningAndDevelopmentMonitoring.status' => 'Active'
			),
		),
	);
	
	
	
	public $hasMany = array(
		'LearningAndDevelopmentSponsor' => array(
			'className' => 'LearningAndDevelopmentSponsor',
			'foreignKey' => 'learning_and_development_code',
			'conditions' => array(
				'LearningAndDevelopmentSponsor.status' => 'Active'
			),
		),
		'LearningAndDevelopmentHistoryLog' => array(
			'className' => 'LearningAndDevelopmentHistoryLog',
			'foreignKey' =>'learning_and_development_id',
			'conditions' => array(
				'LearningAndDevelopmentHistoryLog.status' => 'Active',
			)
		),		
	);
	
	public function beforeValidate($options = array()) {
		if(isset($this->data['LearningAndDevelopment']['from']) && validate_datetime($this->data['LearningAndDevelopment']['from'], 'm/d/Y')) {
			$this->data['LearningAndDevelopment']['from'] = convert_datetime($this->data['LearningAndDevelopment']['from'], 'Y-m-d');
		}	
		
		if(isset($this->data['LearningAndDevelopment']['to']) && validate_datetime($this->data['LearningAndDevelopment']['to'], 'm/d/Y')) {
			$this->data['LearningAndDevelopment']['to'] = convert_datetime($this->data['LearningAndDevelopment']['to'], 'Y-m-d');
		}
	}
	
	public function beforeSave($options = array()) {
		if(!isset($this->data['LearningAndDevelopment']['id'])) {
			$this->data['LearningAndDevelopment']['created_by'] = $_SESSION['Auth']['User']['id'];
			$this->data['LearningAndDevelopment']['modified_by'] = $_SESSION['Auth']['User']['id'];
			$this->data['LearningAndDevelopment']['status'] = 'Active';
		}
		else {
			$this->data['LearningAndDevelopment']['modified_by'] = $_SESSION['Auth']['User']['id'];
		}
		
		return true;
	}
	
	public function afterFind($results, $primary = false)
	{
		foreach($results as $x => $result){
			if(isset($result['LearningAndDevelopment']['from'])){
				$results[$x]['LearningAndDevelopment']['from'] = date('m/d/Y',strtotime($results[$x]['LearningAndDevelopment']['from']));
			}
			
			if(isset($result['LearningAndDevelopment']['to'])){
				$results[$x]['LearningAndDevelopment']['to'] = date('m/d/Y',strtotime($results[$x]['LearningAndDevelopment']['to']));
			}
		}

		return $results;
	}
}
?>