<?php
App::uses('AppModel', 'Model');

class LearningAndDevelopmentDetail extends AppModel {
	
	public $tablePrefix = 'employee_hospital_';
	
	public $belongsTo = array(
		'Employee' => array(
			'className' => 'Employee',
			'foreignKey' => 'employee_code',
			'conditions' => array(
				'Employee.status' => 'Active'
			),
		),
		'LearningAndDevelopmentHeader' => array(
			'className' => 'LearningAndDevelopmentHeader',
			'foreignKey' => 'learning_and_development_code',
			'conditions' => array(
				'LearningAndDevelopmentHeader.status' => 'Active'
			),
		)
	);
	
	public function beforeSave($options = array()) {
		if(!isset($this->data['LearningAndDevelopmentDetail']['id'])) {
			$this->data['LearningAndDevelopmentDetail']['created_by'] = $_SESSION['Auth']['User']['id'];
			$this->data['LearningAndDevelopmentDetail']['modified_by'] = $_SESSION['Auth']['User']['id'];
			$this->data['LearningAndDevelopmentDetail']['status'] = 'Active';
		}
		else {
			$this->data['LearningAndDevelopmentDetail']['modified_by'] = $_SESSION['Auth']['User']['id'];
		}
		
		return true;
	}
}
?>