<?php
App::uses('AppModel', 'Model');

class LearningAndDevelopmentDocument extends AppModel {
	
	// public $tablePrefix = 'employee_';
	public $primaryKey = 'id';
	public $displayField = 'name';
	
	public $validate = array(
        // 'employee_code' => array(
			// 'employee_code logic 1' => array(
				// 'rule'		=> 'notEmpty',
				// 'message'	=> 'Name is required.'
			// ),
        // ),
		// 'document_type_code' => array(
			// 'document_type_code logic 1' => array(
				// 'rule'		=> 'notEmpty',
				// 'message'	=> 'Name is required.'
			// ),
        // ),
		// 'attachment' => array(
			// 'attachment logic 2' => array(
				// 'on'        => 'create',
				// 'rule'		=> 'notEmpty',
				// 'message'	=> 'Attachment is required.'
			// ),
        // ),
		
		
		// 'file_path' => array(
			// 'file_path logic 1' => array(
				// 'rule'		=> 'notEmpty',
				// 'message'	=> 'Please attach a document.',
				// 'on' => 'create',
			// ),
        // ),
	);

	public $belongsTo = array(
		'Employee' => array(
			'className' => 'Employee',
			'foreignKey' => 'employee_code',
			'conditions' => array(
				'Employee.status' => 'Active'
			),
		),
		'DocumentType' => array(
			'className' => 'DocumentType',
			'foreignKey' => 'document_type_code',
			'conditions' => array(
				'DocumentType.status' => 'Active'
			),
		),
		// 'LearningAndDevelopmentMonitoring' => array(
			// 'className' => 'LearningAndDevelopmentMonitoring',
			// 'foreignKey' => 'learning_and_development_monitoring_code',
			// 'conditions' => array(
				// 'LearningAndDevelopmentMonitoring.status' => 'Active'
			// ),
		// ),
		
	);
	
	public function beforeValidate($options = array()) {
		if(isset($this->data['LearningAndDevelopmentDocument']['date_attachment']) && validate_datetime($this->data['LearningAndDevelopmentDocument']['date_attachment'], 'm/d/Y')) {
			$this->data['LearningAndDevelopmentDocument']['date_attachment'] = convert_datetime($this->data['LearningAndDevelopmentDocument']['date_attachment'], 'Y-m-d');
		}	
			
		return true;
	}
	
	public function beforeSave($options = array()) {
		// debug($this->data['LearningAndDevelopmentDocument']);
		// exit();
		if(!isset($this->data['LearningAndDevelopmentDocument']['id']) || empty($this->data['LearningAndDevelopmentDocument']['id'])) {
			$this->data['LearningAndDevelopmentDocument']['created_by'] = $_SESSION['Auth']['User']['id'];
			$this->data['LearningAndDevelopmentDocument']['modified_by'] = $_SESSION['Auth']['User']['id'];
			$this->data['LearningAndDevelopmentDocument']['status'] = 'Active';
			$ReferenceCode = ClassRegistry::init('ReferenceCode');
			
			$code_char = 'LADD';
			$reference = $ReferenceCode->findByPrefixCode($code_char);
			$code_number = $reference['ReferenceCode']['number'] + 1;
			$year = $reference['ReferenceCode']['year_code'];
			// debug($year);
			
			if($year != date('Y')){
				$year= date('Y');
				$ReferenceCode->query("UPDATE reference_codes SET year_code = '$year' WHERE prefix_code = '$code_char'");
				$code_number=1;
			}
			$this->data['LearningAndDevelopmentDocument']['code'] = (date('y') . '-'.$code_char . (str_pad($code_number,7,"0",STR_PAD_LEFT)));
		// debug($this->data);
			$ReferenceCode->query("UPDATE reference_codes SET number = '$code_number' WHERE prefix_code = '$code_char'");
		}
		else {
			$this->data['LearningAndDevelopmentDocument']['modified_by'] = $_SESSION['Auth']['User']['id'];
		}
		
		return true;
	}
	
	public function afterFind($results, $primary = false)
	{
		foreach($results as $x => $result){
			if(isset($result['LearningAndDevelopmentDocument']['date_attachment'])){
				$results[$x]['LearningAndDevelopmentDocument']['date_attachment'] = date('m/d/Y',strtotime($results[$x]['LearningAndDevelopmentDocument']['date_attachment']));
			}
		}

		return $results;
	}
}
?>