<?php
App::uses('AppModel', 'Model');

class LearningAndDevelopmentHistoryLog extends AppModel {
	
	public $tablePrefix = 'employee_';
	public $primaryKey = 'id';
	// public $displayField = 'name';
	

	public $belongsTo = array(
		'Employee' => array(
			'className' => 'Employee',
			'foreignKey' => 'employee_code',
			'conditions' => array(
				'Employee.status' => 'Active'
			),
		),

		'LearningAndDevelopment' => array(
			'className' => 'LearningAndDevelopment',
			'foreignKey' => 'learning_and_development_id',
			// 'foreignKey' => 'civil_service_history_logs_id',
			'conditions' => array(
				'LearningAndDevelopment.status' => 'Active'
			),
		),		
		'LearningAndDevelopmentType' => array(
			'className' => 'LearningAndDevelopmentType',
			'foreignKey' => 'type_of_ld',
			// 'foreignKey' => 'civil_service_history_logs_id',
			'conditions' => array(
				'LearningAndDevelopmentType.status' => 'Active'
			),
		),		
	);

	public function beforeValidate($options = array()) {
		if(isset($this->data['LearningAndDevelopmentHistoryLog']['from']) && validate_datetime($this->data['LearningAndDevelopmentHistoryLog']['from'], 'm/d/Y')) {
			$this->data['LearningAndDevelopmentHistoryLog']['from'] = convert_datetime($this->data['LearningAndDevelopmentHistoryLog']['from'], 'Y-m-d');
		}	
		
		if(isset($this->data['LearningAndDevelopmentHistoryLog']['to']) && validate_datetime($this->data['LearningAndDevelopmentHistoryLog']['to'], 'm/d/Y')) {
			$this->data['LearningAndDevelopmentHistoryLog']['to'] = convert_datetime($this->data['LearningAndDevelopmentHistoryLog']['to'], 'Y-m-d');
		}
		return true;
	}
	
	public function beforeSave($options = array()) {
		if(!isset($this->data['LearningAndDevelopmentHistoryLog']['id'])) {
			$this->data['LearningAndDevelopmentHistoryLog']['created_by'] = $_SESSION['Auth']['User']['id'];
			$this->data['LearningAndDevelopmentHistoryLog']['modified_by'] = $_SESSION['Auth']['User']['id'];
			$this->data['LearningAndDevelopmentHistoryLog']['status'] = 'Active';
		}
		else {
			$this->data['LearningAndDevelopmentHistoryLog']['modified_by'] = $_SESSION['Auth']['User']['id'];
		}
		
		return true;
	}
	
	public function afterFind($results, $primary = false)
	{
		foreach($results as $x => $result){
			if(isset($result['LearningAndDevelopmentHistoryLog']['from'])){
				$results[$x]['LearningAndDevelopmentHistoryLog']['from'] = date('m/d/Y',strtotime($results[$x]['LearningAndDevelopmentHistoryLog']['from']));
			}
			
			if(isset($result['LearningAndDevelopmentHistoryLog']['to'])){
				$results[$x]['LearningAndDevelopmentHistoryLog']['to'] = date('m/d/Y',strtotime($results[$x]['LearningAndDevelopmentHistoryLog']['to']));
			}
			if(isset($result['LearningAndDevelopmentHistoryLog']['created'])){
				$results[$x]['LearningAndDevelopmentHistoryLog']['created'] = date('m/d/Y',strtotime($results[$x]['LearningAndDevelopmentHistoryLog']['created']));
			}
		}

		return $results;
	}
}
?>