<?php
App::uses('AppModel', 'Model');

class LearningAndDevelopmentMonitoring extends AppModel {
	
	// public $tablePrefix = '';
	public $primaryKey = 'code';
	// public $displayField = 'name';
	public $validate = array(
        // 'service_years' => array(
			// 'service_years logic 2' => array(
				// 'rule'		=> 'notEmpty',
				// 'message'	=> 'Service Year is required.'
			// ),
        // ),
		'employee_code' => array(
			'employee_code logic 2' => array(
				'rule'		=> 'notEmpty',
				'message'	=> 'Employee Name is required.'
			),
        ),
		
		// 'address' => array(
			// 'address logic 2' => array(
				// 'rule'		=> 'notEmpty',
				// 'message'	=> 'Address is required.'
			// ),
        // ),
		// 'position_code' => array(
			// 'position_code logic 2' => array(
				// 'rule'		=> 'notEmpty',
				// 'message'	=> 'Position is required.'
			// ),
        // ),
		'title_of_learning_and_development' => array(
			'title_of_learning_and_development logic 1' => array(
				'rule'		=> 'notEmpty',
				'message'	=> 'Title of learning and development is required.',
			),
        ),
		'from' => array(
			'from logic 1' => array(
				'rule'		=> 'notEmpty',
				'message'	=> 'Date is required.',
			),
        ),
		'to' => array(
			'to logic 1' => array(
				'rule'		=> 'notEmpty',
				'message'	=> 'Date is required.',
			),
        ),
		'number_of_hours' => array(
			'number_of_hours logic 1' => array(
				'rule'		=> 'notEmpty',
				'message'	=> 'Number of hours is required.',
			),
        ),
		// 'type_of_ld' => array(
			// 'type_of_ld logic 1' => array(
				// 'rule'		=> 'notEmpty',
				// 'message'	=> 'Type of LD is required.',
			// ),
        // ),
		// 'conducted_sponsored_by' => array(
			// 'conducted_sponsored_by logic 1' => array(
				// 'rule'		=> 'notEmpty',
				// 'message'	=> 'Conducted/Sponsored by is required.',
			// ),
        // ),
	);
	public $belongsTo = array(
		'Employee' => array(
			'className' => 'Employee',
			'foreignKey' => 'employee_code',
			'conditions' => array(
				'Employee.status' => 'Active'
			),
		),
		'LearningAndDevelopmentType' => array(
			'className' => 'LearningAndDevelopmentType',
			'foreignKey' => 'type_of_ld',
			'conditions' => array(
				'LearningAndDevelopmentType.status' => 'Active'
			),
		),
		
		// 'LearningAndDevelopment' => array(
			// 'className' => 'LearningAndDevelopment',
			// 'foreignKey' => 'title_of_learning_and_development_id',
			// 'conditions' => array(
				// 'LearningAndDevelopment.status' => 'Active'
			// ),
		// ),
		
	);
		
	public $hasMany = array(
		'LearningAndDevelopmentDocument' => array(
			'className' => 'LearningAndDevelopmentDocument',
			'foreignKey' => 'learning_and_development_monitoring_code',
			'conditions' => array(
				'LearningAndDevelopmentDocument.status' => 'Active'
			),
		),
		'LearningAndDevelopmentSponsor' => array(
			'className' => 'LearningAndDevelopmentSponsor',
			'foreignKey' => 'learning_and_development_monitoring_code',
			'conditions' => array(
				'LearningAndDevelopmentSponsor.status' => 'Active'
			),
		)
	
	);
	public $hasOne = array(
		'LearningAndDevelopment' => array(
			'className' => 'LearningAndDevelopment',
			'foreignKey' => 'learning_and_development_monitoring_code',
			'conditions' => array(
				'LearningAndDevelopment.status' => 'Active'
			),
		),
	);
	
	public function beforeValidate($options = array()) {
		
		if(isset($this->data['LearningAndDevelopmentMonitoring']['from']) && validate_datetime($this->data['LearningAndDevelopmentMonitoring']['from'], 'm/d/Y')) {
			$this->data['LearningAndDevelopmentMonitoring']['from'] = convert_datetime($this->data['LearningAndDevelopmentMonitoring']['from'], 'Y-m-d');
		}	
		
		if(isset($this->data['LearningAndDevelopmentMonitoring']['to']) && validate_datetime($this->data['LearningAndDevelopmentMonitoring']['to'], 'm/d/Y')) {
			$this->data['LearningAndDevelopmentMonitoring']['to'] = convert_datetime($this->data['LearningAndDevelopmentMonitoring']['to'], 'Y-m-d');
		}
		
		if(isset($this->data['LearningAndDevelopmentMonitoring']['valid_up_to']) && validate_datetime($this->data['LearningAndDevelopmentMonitoring']['valid_up_to'], 'm/d/Y')) {
			$this->data['LearningAndDevelopmentMonitoring']['valid_up_to'] = convert_datetime($this->data['LearningAndDevelopmentMonitoring']['valid_up_to'], 'Y-m-d');
		}
		
		if(isset($this->data['LearningAndDevelopmentMonitoring']['number_of_month_to_remind_validity']) && validate_datetime($this->data['LearningAndDevelopmentMonitoring']['number_of_month_to_remind_validity'], 'm/d/Y')) {
			$this->data['LearningAndDevelopmentMonitoring']['number_of_month_to_remind_validity'] = convert_datetime($this->data['LearningAndDevelopmentMonitoring']['number_of_month_to_remind_validity'], 'Y-m-d');
		}
		return true;
	}
	
	public function beforeSave($options = array()) {
			// debug($this->data);
			// exit();
			if(!isset($this->data['LearningAndDevelopmentMonitoring']['code']) || empty($this->data['LearningAndDevelopmentMonitoring']['code'])) {
			$this->data['LearningAndDevelopmentMonitoring']['created_by'] = $_SESSION['Auth']['User']['id'];
			$this->data['LearningAndDevelopmentMonitoring']['modified_by'] = $_SESSION['Auth']['User']['id'];
			$this->data['LearningAndDevelopmentMonitoring']['status'] = 'Active';
			$ReferenceCode = ClassRegistry::init('ReferenceCode');
			
			$code_char = 'LADM';
			$reference = $ReferenceCode->findByPrefixCode($code_char);
			$code_number = $reference['ReferenceCode']['number'] + 1;
			$year = $reference['ReferenceCode']['year_code'];
			// debug($year);
			
			if($year != date('Y')){
				$year= date('Y');
				$ReferenceCode->query("UPDATE reference_codes SET year_code = '$year' WHERE prefix_code = '$code_char'");
				$code_number=1;
			}
			$this->data['LearningAndDevelopmentMonitoring']['code'] = (date('y') . '-'.$code_char . (str_pad($code_number,7,"0",STR_PAD_LEFT)));
		// debug($this->data);
			$ReferenceCode->query("UPDATE reference_codes SET number = '$code_number' WHERE prefix_code = '$code_char'");
		}
		else {
			$this->data['LearningAndDevelopmentMonitoring']['modified_by'] = $_SESSION['Auth']['User']['id'];
		}
		
		return true;
	}
	
	public function afterFind($results, $primary = false)
	{
		foreach($results as $x => $result){
			if(isset($result['LearningAndDevelopmentMonitoring']['from'])){
				$results[$x]['LearningAndDevelopmentMonitoring']['from'] = date('m/d/Y',strtotime($results[$x]['LearningAndDevelopmentMonitoring']['from']));
			}
			
			if(isset($result['LearningAndDevelopmentMonitoring']['to'])){
				$results[$x]['LearningAndDevelopmentMonitoring']['to'] = date('m/d/Y',strtotime($results[$x]['LearningAndDevelopmentMonitoring']['to']));
			}
		}

		return $results;
	}
}
?>