<?php
App::uses('AppModel', 'Model');

class LearningAndDevelopmentSponsor extends AppModel {
	
	public $displayField = "name";
	public $tablePrefix = 'employee_';
	public $belongsTo = array(
		'LearningAndDevelopment' => array(
			'className' => 'LearningAndDevelopment',
			'foreignKey' => 'learning_and_development_code',
			'conditions' => array(
				'LearningAndDevelopment.status' => 'Active'
			),
		),
		'LearningAndDevelopmentMonitoring' => array(
			'className' => 'LearningAndDevelopmentMonitoring',
			'foreignKey' => 'learning_and_development_monitoring_code',
			'conditions' => array(
				'LearningAndDevelopmentMonitoring.status' => 'Active'
			),
		),
		
		'TempLearningAndDevelopment' => array(
			'className' => 'TempLearningAndDevelopment',
			'foreignKey' => 'temp_learning_and_development_code',
			'conditions' => array(
				'TempLearningAndDevelopment.status' => 'Active'
			),
		),
	);
	
	public function beforeSave($options = array()) {
		if(!isset($this->data['LearningAndDevelopmentSponsor']['id'])) {
		
			$this->data['LearningAndDevelopmentSponsor']['created_by'] = $_SESSION['Auth']['User']['id'];
			$this->data['LearningAndDevelopmentSponsor']['modified_by'] = $_SESSION['Auth']['User']['id'];
			$this->data['LearningAndDevelopmentSponsor']['status'] = 'Active';
			
		}else {
			$this->data['LearningAndDevelopmentSponsor']['modified_by'] = $_SESSION['Auth']['User']['id'];
		}
	}
}
?>