<?php
App::uses('AppModel', 'Model');

class LeaveCreditUsed extends AppModel {
	
	public $actsAs = array('AuditLog.Auditable');
	public $tablePrefix = 'employee_';
	
	public $belongsTo = array(
		'Employee' => array(
			'className' => 'Employee',
			'foreignKey' => 'employee_code',
		),
	);
	
	public function beforeSave($options = array()) {
		if(!isset($this->data['LeaveCreditUsed']['id'])) {
			$this->data['LeaveCreditUsed']['created_by'] = $_SESSION['Auth']['User']['id'];
			$this->data['LeaveCreditUsed']['modified_by'] = $_SESSION['Auth']['User']['id'];
			$this->data['LeaveCreditUsed']['status'] = 'Active';
		}
		else {
			$this->data['LeaveCreditUsed']['modified_by'] = $_SESSION['Auth']['User']['id'];
		}
		
		return true;
	}
}
?>