<?php
App::uses('AppModel', 'Model');

class LeaveEarned extends AppModel {
	
	public $actsAs = array('AuditLog.Auditable');
	public $tablePrefix = 'employee_';
	
	public $belongsTo = array(
		'Employee' => array(
			'className' => 'Employee',
			'foreignKey' => 'employee_code',
		),
	);
	
	public function beforeSave($options = array()) {
		if(!isset($this->data['LeaveEarned']['id'])) {
			$this->data['LeaveEarned']['created_by'] = $_SESSION['Auth']['User']['id'];
			$this->data['LeaveEarned']['modified_by'] = $_SESSION['Auth']['User']['id'];
			$this->data['LeaveEarned']['status'] = 'Active';
		}
		else {
			$this->data['LeaveEarned']['modified_by'] = $_SESSION['Auth']['User']['id'];
		}
		
		return true;
	}
	
	public function afterFind($results, $primary = false)
	{
		foreach($results as $x => $result){
			if(isset($result['LeaveEarned']['date'])){
				$results[$x]['LeaveEarned']['date'] = date('m/d/Y',strtotime($results[$x]['LeaveEarned']['date']));
			}
		}

		return $results;
	}
}
?>