<?php
App::uses('AppModel', 'Model');

class LeaveEntryScheduleDateApproval extends AppModel {
	
	public $actsAs = array('AuditLog.Auditable');
	public $tablePrefix = 'filing_';
	public $primaryKey = 'code';
	
	public $belongsTo = array(
		'EmployeeSchedule' => array(
			'className' => 'EmployeeSchedule',
			'foreignKey' => 'schedule_code',
			'conditions' => array(
				'EmployeeSchedule.status' => 'Active'
			)
		),
		'ApproverEmployee' => array(
			'className' => 'Employee',
			'foreignKey' => 'approver_employee_code',
			'conditions' => array(
				'ApproverEmployee.status' => 'Active'
			)
		),
		'Employee' => array(
			'className' => 'Employee',
			'foreignKey' => 'employee_code',
			'conditions' => array(
				'Employee.status' => 'Active'
			)
		),
		
	);
	
	// public $hasMany = array(
		// 'ApproverEmployee' => array(
			// 'className' => 'Employee',
			// 'foreignKey' => 'approver_employee_code',
			// 'conditions' => array(
				// 'ApproverEmployee.status' => 'Active'
			// )
		// ),
		
	// );
	public function beforeSave($options = array()) {
		// debug($this->data);
		// exit();
		if(!isset($this->data['LeaveEntryScheduleDateApproval']['code'])) {
			
			$this->data['LeaveEntryScheduleDateApproval']['created_by'] = $_SESSION['Auth']['User']['id'];
			$this->data['LeaveEntryScheduleDateApproval']['modified_by'] = $_SESSION['Auth']['User']['id'];
			$this->data['LeaveEntryScheduleDateApproval']['status'] = 'Active';
			
			$ReferenceCode = ClassRegistry::init('ReferenceCode');
			
			$code_char = 'LESDA';
			$reference = $ReferenceCode->findByPrefixCode($code_char);
			$code_number = $reference['ReferenceCode']['number'] + 1;
			$this->data['LeaveEntryScheduleDateApproval']['code'] = $code_char . '-' . $code_number;
			// debug($this->data);
			// exit();
			$ReferenceCode->query("UPDATE reference_codes SET number = '$code_number' WHERE prefix_code = '$code_char'");
		}
		else {
			
			$this->data['LeaveEntryScheduleDateApproval']['modified_by'] = $_SESSION['Auth']['User']['id'];
		}
		
		return true;
	}
}
?>