<?php
App::uses('AppModel', 'Model');

class LeaveManagement extends AppModel {
	
	public $tablePrefix = 'employee_';
	public $primaryKey = 'code';
	
	public $belongsTo = array(
		'Employee' => array(
			'className' => 'Employee',
			'foreignKey' => 'employee_code',
			// 'dependent' => true
		),
		'LeaveUsedAndRemaining' => array(
			'className' => 'LeaveUsedAndRemaining',
			'foreignKey' => 'leave_used_and_remaining_code',
			// 'dependent' => true
		),
	);
	
	public function beforeSave($options = array()) {
		if(!isset($this->data['LeaveManagement']['id'])) {
			$this->data['LeaveManagement']['created_by'] = $_SESSION['Auth']['User']['id'];
			$this->data['LeaveManagement']['modified_by'] = $_SESSION['Auth']['User']['id'];
			$this->data['LeaveManagement']['status'] = 'Active';
		}
		else {
			$this->data['LeaveManagement']['modified_by'] = $_SESSION['Auth']['User']['id'];
		}
		
		return true;
	}
}
?>