<?php
App::uses('AppModel', 'Model');

class LeaveUsed extends AppModel {
	
	public $actsAs = array('AuditLog.Auditable');
	public $tablePrefix = 'employee_';
	public $primaryKey = 'code';
	
	public $belongsTo = array(
		'Employee' => array(
			'className' => 'Employee',
			'foreignKey' => 'employee_code',
			// 'dependent' => true
		),
	);
	
	public $hasMany = array(
		'LeaveManagement' => array(
			'className' => 'LeaveManagement',
			'foreignKey' => 'leave_used_code',
			// 'dependent' => true
		),
	);
	
	public function beforeSave($options = array()) {
		if(!isset($this->data['LeaveUsed']['id'])) {
			$this->data['LeaveUsed']['created_by'] = $_SESSION['Auth']['User']['id'];
			$this->data['LeaveUsed']['modified_by'] = $_SESSION['Auth']['User']['id'];
			$this->data['LeaveUsed']['status'] = 'Active';
			
			$ReferenceCode = ClassRegistry::init('ReferenceCode');
			
			$code_char = 'LUSE';
			$reference = $ReferenceCode->findByPrefixCode($code_char);
			$code_number = $reference['ReferenceCode']['number'] + 1;
			$year = $reference['ReferenceCode']['year_code'];
			// debug($year);
			// debug($reference);
			// exit();
			if($year != date('Y')){
				$year= date('Y');
				$ReferenceCode->query("UPDATE reference_codes SET year_code = '$year' WHERE prefix_code = '$code_char'");
				$code_number=1;
			}
			$this->data['LeaveUsed']['code'] = (date('y') . '-'.$code_char . (str_pad($code_number,7,"0",STR_PAD_LEFT)));
		
			$ReferenceCode->query("UPDATE reference_codes SET number = '$code_number' WHERE prefix_code = '$code_char'");
		}
		else {
			$this->data['LeaveUsed']['modified_by'] = $_SESSION['Auth']['User']['id'];
		}
		
		return true;
	}
}
?>