<?php
App::uses('AppModel', 'Model');

class LoanAndPayment extends AppModel {
	
	public $actsAs = array('AuditLog.Auditable');
	// public $tablePrefix = 'setting_';
	// public $primaryKey = 'code';
	// public $displayField = 'deduction_name_code';
	
	public $validate = array(
        'employee_code' => array(
			'employee_code logic 1' => array(
				'rule'		=> 'isUnique',
				'on' => 'create',
				'message'	=> 'Employee is already existed.',
				
			),
        ),
	);
	
	public $belongsTo = array(
		'Employee' => array(
			'className' => 'Employee',
			'foreignKey' => 'employee_code',
			'conditions' => array(
				'Employee.status' => 'Active'
			),
		),
		'JobTitle' => array(
			'className' => 'JobTitle',
			'foreignKey' => 'job_title_code',
			'conditions' => array(
				'JobTitle.status' => 'Active'
			),
		),
		
	);
	
	// public $hasMany = array(
		// 'EmployeeLoanEntry' => array(
			// 'className' => 'EmployeeLoanEntry',
			// 'foreignKey' => false,
			// 'conditions'=>array(
				// 'EmployeeLoanEntry.employee_code = LoanAndPayment.employee_code',
				// 'EmployeeLoanEntry.status'=>'Active'
			// )
		// )
	// );
	
	public function beforeSave($options = array()) {
		if(!isset($this->data['LoanAndPayment']['code'])) {
			$this->data['LoanAndPayment']['created_by'] = $_SESSION['Auth']['User']['id'];
			$this->data['LoanAndPayment']['modified_by'] = $_SESSION['Auth']['User']['id'];
			$this->data['LoanAndPayment']['status'] = 'Active';
			
			$ReferenceCode = ClassRegistry::init('ReferenceCode');
			
			$code_char = 'LAP';
			$reference = $ReferenceCode->findByPrefixCode($code_char);
			$code_number = $reference['ReferenceCode']['number'] + 1;
			$year = $reference['ReferenceCode']['year_code'];
			
			if($year != date('Y')){
				$year= date('Y');
				$ReferenceCode->query("UPDATE reference_codes SET year_code = '$year' WHERE prefix_code = '$code_char'");
				$code_number=1;
			}
			
			$this->data['LoanAndPayment']['code'] = (date('y') . '-'.$code_char . (str_pad($code_number,7,"0",STR_PAD_LEFT)));
		
			$ReferenceCode->query("UPDATE reference_codes SET number = '$code_number' WHERE prefix_code = '$code_char'");
		}
		else {
			$this->data['LoanAndPayment']['modified_by'] = $_SESSION['Auth']['User']['id'];
		}
		
		return true;
	}
}
?>