<?php
App::uses('AppModel', 'Model');

class LoanType extends AppModel {
	
	public $actsAs = array('AuditLog.Auditable');
	public $tablePrefix = 'setting_';
	public $primaryKey = 'code';
	public $displayField = 'name';
		
	public $validate = array(
        'name' => array(
			// 'name logic 1' => array(
				// 'rule'		=> 'isUnique',
				// 'message'	=> 'Name is already used.',
			// ),
			'name logic 2' => array(
				'rule'		=> 'notEmpty',
				'message'	=> 'Name is required.'
			),
        ), 
		'accounting_code' => array(
			// 'accounting_code logic 1' => array(
				// 'rule'		=> 'isUnique',
				// 'message'	=> 'Accounting Code is already used.',
			// ),
			'accounting_code logic 2' => array(
				'rule'		=> 'notEmpty',
				'message'	=> 'Accounting Code is required.'
			),
        ),
	);
	
	public function add_loan_type($data = array()) {		
		$existing_loan_type = $this->find_existing_loan_type_by_name($data['LoanType']['name']);

		if(isset($existing_loan_type) && count($existing_loan_type) > 0) {
			$existing_loan_type['LoanType']['status'] = 'Active';
			$data = $existing_loan_type;

		}else{
			
			return $this->save($data);
			
		}

	}
	
	public function update_loan_type($data = array()) {
		return $this->save($data);
	}
	
	public function update_status($loan_type_id = null, $loan_type = null) {

		$existing_loan_type = $this->find_existing_loan_type_by_id_or_code($loan_type_id);

		if(isset($existing_loan_type) && count($existing_loan_type) > 0) {
			$existing_loan_type['LoanType']['status'] = $loan_type;
			$data = $existing_loan_type;
		}

		return $this->save($data);
	}
	
	public function find_existing_loan_type_by_name($loan_type_name = null) {
		if(isset($loan_type_name)) {
			$default_conditions = array(
				'LoanType.name' => $loan_type_name,
				'LoanType.status' => 'Active'
			);
		}
		
		$loan_type = $this->find('first', array(
			'fields' => array(
				'LoanType.id',
				'LoanType.code',
				'LoanType.accounting_code',
				'LoanType.name',
				'LoanType.category',
				'LoanType.status',
				'LoanType.lock_flag'
			),
			'recursive' => -1,
			'conditions' => $default_conditions,
		));
		
		return $loan_type;
	}
	
	public function find_existing_loan_type_by_id_or_code($loan_type_id = null) {
		if(is_numeric($loan_type_id)) {
			$default_conditions = array(
				'LoanType.id' => $loan_type_id,
				// 'LoanType.status' => 'Active'
			);
		}
		else {
			$default_conditions = array(
				'LoanType.code' => $loan_type_id,
				// 'LoanType.status' => 'Active'
			);
		}
		
		$loan_type = $this->find('first', array(
			'fields' => array(
				'LoanType.id',
				'LoanType.code',
				'LoanType.accounting_code',
				'LoanType.name',
				'LoanType.category',
				'LoanType.status',
				'LoanType.lock_flag'
			),
			'recursive' => -1,
			'conditions' => $default_conditions,
		));
		
		return $loan_type;
	}
	
	public function beforeSave($options = array()) {
		if(!isset($this->data['LoanType']['id'])) {
			$this->data['LoanType']['created_by'] = $_SESSION['Auth']['User']['id'];
			$this->data['LoanType']['modified_by'] = $_SESSION['Auth']['User']['id'];
			$this->data['LoanType']['status'] = 'Active';
			
			$ReferenceCode = ClassRegistry::init('ReferenceCode');
			
			$code_char = 'LNTYP';
			$reference = $ReferenceCode->findByPrefixCode($code_char);
			$code_number = $reference['ReferenceCode']['number'] + 1;
			$this->data['LoanType']['code'] = $code_char . '-' . $code_number;
		
			$ReferenceCode->query("UPDATE reference_codes SET number = '$code_number' WHERE prefix_code = '$code_char'");
		}
		else {
			$this->data['LoanType']['modified_by'] = $_SESSION['Auth']['User']['id'];
		}
		
		return true;
	}
}
?>