<?php
App::uses('AppModel', 'Model');

class LongevityPayPayrollPeriod extends AppModel {
	
	
	public $actsAs = array('AuditLog.Auditable');
	// public $tablePrefix = 'setting_';
	public $primaryKey = 'code';
	public $displayField = 'name';
	
	public $belongsTo = array(
		
		'EmploymentStatus' => array(
			'className' => 'EmploymentStatus',
			'foreignKey' => 'employment_status_code',
		),
	);
	

	// public $virtualFields= array(
		// 'LongevityPayPayrollPeriodFromTo'=> 'CONCAT(LongevityPayPayrollPeriod.from, " to ", LongevityPayPayrollPeriod.to)',
		// 'name'=> 'CONCAT(DATE_FORMAT(LongevityPayPayrollPeriod.from, "%m/%d/%Y"), " to ", DATE_FORMAT(LongevityPayPayrollPeriod.to, "%m/%d/%Y"))',
	// );
	
	// public function beforeValidate($options = array()) {
		// if(isset($this->data['LongevityPayPayrollPeriod']['from']) && validate_datetime($this->data['LongevityPayPayrollPeriod']['from'], 'm/d/Y')) {
			// $this->data['LongevityPayPayrollPeriod']['from'] = convert_datetime($this->data['LongevityPayPayrollPeriod']['from'], 'Y-m-d');
		// }	
		
		// if(isset($this->data['LongevityPayPayrollPeriod']['to']) && validate_datetime($this->data['LongevityPayPayrollPeriod']['to'], 'm/d/Y')) {
			// $this->data['LongevityPayPayrollPeriod']['to'] = convert_datetime($this->data['LongevityPayPayrollPeriod']['to'], 'Y-m-d');
		// }
		// return true;
	// }	
	
	public function beforeSave($options = array()) {
		$this->data['LongevityPayPayrollPeriod'] = AppModel::fix_date_format(
			$this->data['LongevityPayPayrollPeriod'],
			array('assumption_date')
		);
		if(!isset($this->data['LongevityPayPayrollPeriod']['code'])) {
			$this->data['LongevityPayPayrollPeriod']['created_by'] = $_SESSION['Auth']['User']['id'];
			$this->data['LongevityPayPayrollPeriod']['modified_by'] = $_SESSION['Auth']['User']['id'];
			$this->data['LongevityPayPayrollPeriod']['status'] = 'Active';
			
			$ReferenceCode = ClassRegistry::init('ReferenceCode');
			
			$code_char = 'LPPP';
			$reference = $ReferenceCode->findByPrefixCode($code_char);
			$code_number = $reference['ReferenceCode']['number'] + 1;
			$year = $reference['ReferenceCode']['year_code'];
			// debug($year);
			
			if($year != date('Y')){
				$year= date('Y');
				$ReferenceCode->query("UPDATE reference_codes SET year_code = '$year' WHERE prefix_code = '$code_char'");
				$code_number=1;
			}
			$this->data['LongevityPayPayrollPeriod']['code'] = (date('y') . '-'.$code_char . (str_pad($code_number,7,"0",STR_PAD_LEFT)));
		
			$ReferenceCode->query("UPDATE reference_codes SET number = '$code_number' WHERE prefix_code = '$code_char'");
		}
		else {
			$this->data['LongevityPayPayrollPeriod']['modified_by'] = $_SESSION['Auth']['User']['id'];
		}
		
		return true;
	}
	
		public function afterFind($results, $primary = false)
	{
		foreach($results as $x => $result){
			if(isset($result['LongevityPayPayrollPeriod']['assumption_date'])){
				$results[$x]['LongevityPayPayrollPeriod']['assumption_date'] = date('m/d/Y',strtotime($results[$x]['LongevityPayPayrollPeriod']['assumption_date']));
			}
			
			
			
		}
		 // debug($results);		
		// exit();
		return $results;
	}
}
?>