<?php
App::uses('AppModel', 'Model');

class LoyaltyIncentivePay extends AppModel {
	
	public $actsAs = array('AuditLog.Auditable');
	// public $tablePrefix = 'payroll_';
	public $primaryKey = 'code';
	public $displayField = 'loyalty_incentive_pay';
	
	
	public $belongsTo = array(
		'Employee' => array(
			'className' => 'Employee',
			'foreignKey' => 'employee_code',
			'conditions' => array(
				'Employee.status' => 'Active'
			)
		),
		'JobTitle' => array(
			'className' => 'JobTitle',
			'foreignKey' => 'job_title_code',
			'conditions' => array(
				'JobTitle.status' => 'Active'
			)
		),
		'Section' => array(
			'className' => 'Section',
			'foreignKey' => 'section_code',
			'conditions' => array(
				'Section.status' => 'Active'
			)
		),
		'Division' => array(
			'className' => 'Division',
			'foreignKey' => 'division_code',
			'conditions' => array(
				'Division.status' => 'Active'
			)
		),
		'EmploymentStatus' => array(
			'className' => 'EmploymentStatus',
			'foreignKey' => 'employment_status_code',
			'conditions' => array(
				'EmploymentStatus.status' => 'Active'
			)
		),
	);
	public $hasMany = array(
		'EmployeeLoyaltyIncentivePay' => array(
			'className' => 'EmployeeLoyaltyIncentivePay',
			'foreignKey' => 'loyalty_incentive_pay_code',
			'conditions'=>array(
				'status'=>'Active'
			)
		),
	);
	
	public function beforeValidate($options = array()) {
		if(isset($this->data['LoyaltyIncentivePay']['date_hired']) && validate_datetime($this->data['LoyaltyIncentivePay']['date_hired'], 'm/d/Y')) {
			$this->data['LoyaltyIncentivePay']['date_hired'] = convert_datetime($this->data['LoyaltyIncentivePay']['date_hired'], 'Y-m-d');
		}	
		return true;
	}
	
	public function beforeSave($options = array()) {
		if(!isset($this->data['LoyaltyIncentivePay']['id'])) {
			$this->data['LoyaltyIncentivePay']['created_by'] = $_SESSION['Auth']['User']['id'];
			$this->data['LoyaltyIncentivePay']['modified_by'] = $_SESSION['Auth']['User']['id'];
			$this->data['LoyaltyIncentivePay']['status'] = 'Active';
			
			$ReferenceCode = ClassRegistry::init('ReferenceCode');
			
			$code_char = 'LIP';
			$reference = $ReferenceCode->findByPrefixCode($code_char);
			$code_number = $reference['ReferenceCode']['number'] + 1;
			$this->data['LoyaltyIncentivePay']['code'] = $code_char . '-' . $code_number;
		
			$ReferenceCode->query("UPDATE reference_codes SET number = '$code_number' WHERE prefix_code = '$code_char'");
		}
		else {
			$this->data['LoyaltyIncentivePay']['modified_by'] = $_SESSION['Auth']['User']['id'];
		}
		
		return true;
	}
}
?>