<?php
App::uses('AppModel', 'Model');

class LoyaltyIncentivePayEmployee extends AppModel {
	
	public $actsAs = array('AuditLog.Auditable');
	public $tablePrefix = 'payroll_';
	// public $primaryKey = 'code';
	// public $displayField = 'loyalty_incentive_pay';
	
	
	public $belongsTo = array(
		'Employee' => array(
			'className' => 'Employee',
			'foreignKey' => 'employee_code',
			'conditions' => array(
				'Employee.status' => 'Active'
			)
		),
		'LoyaltyIncentivePayDetail' => array(
			'className' => 'LoyaltyIncentivePayDetail',
			'foreignKey' => 'loyalty_incentive_pay_id',
		),
	);
	public function update_multiple($data = array()) {
		foreach($data as $k=>$val){
			$code= $val['code'];
			unset($val['code']);
			// debug($val);
		// exit();
			$this->updateAll(
					$val,
				array(
					'LoyaltyIncentivePayEmployee.id'=>$code
				)
			);
			
		}
		
		
		return true;
	}
	public function beforeValidate($options = array()) {
		if(isset($this->data['LoyaltyIncentivePayEmployee']['date_hired']) && validate_datetime($this->data['LoyaltyIncentivePayEmployee']['date_hired'], 'm/d/Y')) {
			$this->data['LoyaltyIncentivePayEmployee']['date_hired'] = convert_datetime($this->data['LoyaltyIncentivePayEmployee']['date_hired'], 'Y-m-d');
		}	
		return true;
	}
	
	public function beforeSave($options = array()) {
		if(!isset($this->data['LoyaltyIncentivePayEmployee']['id'])) {
			$this->data['LoyaltyIncentivePayEmployee']['created_by'] = $_SESSION['Auth']['User']['id'];
			$this->data['LoyaltyIncentivePayEmployee']['modified_by'] = $_SESSION['Auth']['User']['id'];
			$this->data['LoyaltyIncentivePayEmployee']['status'] = 'Active';
			
			$ReferenceCode = ClassRegistry::init('ReferenceCode');
			
			$code_char = 'LIP';
			$reference = $ReferenceCode->findByPrefixCode($code_char);
			$code_number = $reference['ReferenceCode']['number'] + 1;
			$this->data['LoyaltyIncentivePayEmployee']['code'] = $code_char . '-' . $code_number;
		
			$ReferenceCode->query("UPDATE reference_codes SET number = '$code_number' WHERE prefix_code = '$code_char'");
		}
		else {
			$this->data['LoyaltyIncentivePayEmployee']['modified_by'] = $_SESSION['Auth']['User']['id'];
		}
		
		return true;
	}
}
?>