<?php
App::uses('AppModel', 'Model');

class Memo extends AppModel {
	
	public $actsAs = array('AuditLog.Auditable');
	// public $tablePrefix = 'setting_';
	public $primaryKey = 'code';
	public $displayField = 'subject';
	
	public $hasMany = array(
		'EmployeeMemo' => array(
			'className' => 'EmployeeMemo',
			'foreignKey' => 'memo_code',
			'conditions'=>array(
				'status'=>'Active'
			)
		)
	);
	
	public function beforeValidate($options = array()) {
		if(isset($this->data['Memo']['date_filed']) && validate_datetime($this->data['Memo']['date_filed'], 'm/d/Y')) {
			$this->data['Memo']['date_filed'] = convert_datetime($this->data['Memo']['date_filed'], 'Y-m-d');
		}	
		return true;
	}	
	
	public function beforeSave($options = array()) {
		
		// debug($this->data['Deduction']['id']);exit();
		
		if(!isset($this->data['Memo']['id'])) {
			$this->data['Memo']['created_by'] = $_SESSION['Auth']['User']['id'];
			$this->data['Memo']['modified_by'] = $_SESSION['Auth']['User']['id'];
			$this->data['Memo']['status'] = 'Active';
			
			$ReferenceCode = ClassRegistry::init('ReferenceCode');
			
			$code_char = 'MEMO';
			$reference = $ReferenceCode->findByPrefixCode($code_char);
			$code_number = $reference['ReferenceCode']['number'] + 1;
			$year = $reference['ReferenceCode']['year_code'];
			
			// debug($year);
			
			if($year != date('Y')){
				$year= date('Y');
				$ReferenceCode->query("UPDATE reference_codes SET year_code = '$year' WHERE prefix_code = '$code_char'");
				$code_number=1;
			}
			
			$this->data['Memo']['code'] = (date('y') . '-'.$code_char . (str_pad($code_number,7,"0",STR_PAD_LEFT)));
		
			$ReferenceCode->query("UPDATE reference_codes SET number = '$code_number' WHERE prefix_code = '$code_char'");
		}
		else {
			$this->data['Memo']['modified_by'] = $_SESSION['Auth']['User']['id'];
		}
		
		return true;
	}
	
	public function afterFind($results, $primary = false)
	{
		foreach($results as $x => $result){
			if(isset($result['Memo']['date_filed'])){
				$results[$x]['Memo']['date_filed'] = date('m/d/Y',strtotime($results[$x]['Memo']['date_filed']));
			}
		}

		return $results;
	}
}
?>