<?php
App::uses('AppModel', 'Model');

class MidYearBonus extends AppModel {
	public $actsAs = array('AuditLog.Auditable');
	public $tablePrefix = 'payroll_';
	public $primaryKey = 'code';
	
	
	public $belongsTo = array(
		// 'EmploymentStatus' => array(
			// 'className' => 'EmploymentStatus',
			// 'foreignKey' => 'employment_status_code',
		// ),
	);
	
	public $hasMany = array(
		'MidYearBonusEmploymentStatus' => array(
			'className' => 'MidYearBonusEmploymentStatus',
			'foreignKey' => 'payroll_mid_year_bonus_code',
			'conditions' => array(
				'MidYearBonusEmploymentStatus.status' => 'Active'
			),
		),
		'MidYearBonusDetail' => array(
			'className' => 'MidYearBonusDetail',
			'foreignKey' => 'payroll_mid_year_bonus_code',
			'conditions' => array(
				'MidYearBonusDetail.status' => 'Active'
			),
		),
	);
	public function beforeValidate($options = array()) {
		if(isset($this->data['MidYearBonus']['mid_year_bonus_date']) && validate_datetime($this->data['MidYearBonus']['mid_year_bonus_date'], 'm/d/Y')) {
			$this->data['MidYearBonus']['mid_year_bonus_date'] = convert_datetime($this->data['MidYearBonus']['mid_year_bonus_date'], 'Y-m-d');
		}	
		if(isset($this->data['MidYearBonus']['assumption_date']) && validate_datetime($this->data['MidYearBonus']['assumption_date'], 'm/d/Y')) {
			$this->data['MidYearBonus']['assumption_date'] = convert_datetime($this->data['MidYearBonus']['assumption_date'], 'Y-m-d');
		}
		return true;
	}

	public function beforeSave($options = array()) {
		if(!isset($this->data['MidYearBonus']['code'])) {
			$this->data['MidYearBonus']['created_by'] = $_SESSION['Auth']['User']['id'];
			$this->data['MidYearBonus']['modified_by'] = $_SESSION['Auth']['User']['id'];
			$this->data['MidYearBonus']['status'] = 'Active';
			
			$ReferenceCode = ClassRegistry::init('ReferenceCode');
			
			$code_char = 'MDYB';
			$reference = $ReferenceCode->findByPrefixCode($code_char);
			$code_number = $reference['ReferenceCode']['number'] + 1;
			$year = $reference['ReferenceCode']['year_code'];
			
			if($year != date('Y')){
				$year= date('Y');
				$ReferenceCode->query("UPDATE reference_codes SET year_code = '$year' WHERE prefix_code = '$code_char'");
				$code_number=1;
			}
			
			$this->data['MidYearBonus']['code'] = (date('y') . '-'.$code_char . (str_pad($code_number,7,"0",STR_PAD_LEFT)));
		
			$ReferenceCode->query("UPDATE reference_codes SET number = '$code_number' WHERE prefix_code = '$code_char'");
		}
		else {
			$this->data['MidYearBonus']['modified_by'] = $_SESSION['Auth']['User']['id'];
		}
		return true;
	}
	
	public function afterFind($results, $primary = false)
	{
		foreach($results as $x => $result){
			if(isset($result['MidYearBonus']['mid_year_bonus_date'])){
				$results[$x]['MidYearBonus']['mid_year_bonus_date'] = date('m/d/Y',strtotime($results[$x]['MidYearBonus']['mid_year_bonus_date']));
			}
			if(isset($result['MidYearBonus']['assumption_date'])){
				$results[$x]['MidYearBonus']['assumption_date'] = date('m/d/Y',strtotime($results[$x]['MidYearBonus']['assumption_date']));
			}
			if(isset($result['MidYearBonus']['generated_date'])){
				$results[$x]['MidYearBonus']['generated_date'] = date('m/d/Y',strtotime($results[$x]['MidYearBonus']['generated_date']));
			}
			if(isset($result['MidYearBonus']['locked_date'])){
				$results[$x]['MidYearBonus']['locked_date'] = date('m/d/Y',strtotime($results[$x]['MidYearBonus']['locked_date']));
			}
		}

		return $results;
	}
	
}
?>