<?php
App::uses('AppModel', 'Model');

class MidYearBonusDeduction extends AppModel {
	public $actsAs = array('AuditLog.Auditable');
	public $tablePrefix = 'payroll_';
	public $primaryKey = 'code';
	// public $displayField = 'name';
	
	public $belongsTo = array(
		'MidYearBonus' => array(
			'className' => 'MidYearBonus',
			'foreignKey' => 'mid_year_bonus_code',
		),
	);
	
	public function beforeSave($options = array()) {
		
		// debug($this->data['Deduction']['id']);exit();
		
		if(!isset($this->data['MidYearBonusDeduction']['code'])) {
			$this->data['MidYearBonusDeduction']['created_by'] = $_SESSION['Auth']['User']['id'];
			$this->data['MidYearBonusDeduction']['modified_by'] = $_SESSION['Auth']['User']['id'];
			$this->data['MidYearBonusDeduction']['status'] = 'Active';
			
			$ReferenceCode = ClassRegistry::init('ReferenceCode');
			
			$code_char = 'MYBD';
			$reference = $ReferenceCode->findByPrefixCode($code_char);
			$code_number = $reference['ReferenceCode']['number'] + 1;
			$year = $reference['ReferenceCode']['year_code'];
			
			// debug($year);
			
			if($year != date('Y')){
				$year= date('Y');
				$ReferenceCode->query("UPDATE reference_codes SET year_code = '$year' WHERE prefix_code = '$code_char'");
				$code_number=1;
			}
			
			$this->data['MidYearBonusDeduction']['code'] = (date('y') . '-'.$code_char . (str_pad($code_number,7,"0",STR_PAD_LEFT)));
			// $this->data['MidYearBonusDeduction']['reference_number'] = (date('y') . '-'.$code_char . (str_pad($code_number,9,"0",STR_PAD_LEFT)));
			$ReferenceCode->query("UPDATE reference_codes SET number = '$code_number' WHERE prefix_code = '$code_char'");
		}
		else {
			$this->data['MidYearBonusDeduction']['modified_by'] = $_SESSION['Auth']['User']['id'];
		}
		
		return true;
	}
}
?>