<?php
App::uses('AppModel', 'Model');

class MidYearBonusDetail extends AppModel {
	public $actsAs = array('AuditLog.Auditable');
	public $tablePrefix = 'payroll_';
	public $primaryKey = 'code';
	
	
	public $belongsTo = array(
		'Employee' => array(
			'className' => 'Employee',
			'foreignKey' => 'employee_code',
			'conditions' => array(
				'Employee.status' => 'Active'
			)
		),
		'MidYearBonus' => array(
			'className' => 'MidYearBonus',
			'foreignKey' => 'payroll_mid_year_bonus_code',
		),
	);
	public function beforeValidate($options = array()) {
		if(isset($this->data['MidYearBonusDetail']['date_hired']) && validate_datetime($this->data['MidYearBonusDetail']['date_hired'], 'm/d/Y')) {
			$this->data['MidYearBonusDetail']['date_hired'] = convert_datetime($this->data['MidYearBonusDetail']['date_hired'], 'Y-m-d');
		}	
		
		return true;
	}
	public function update_multiple($data = array()) {
		foreach($data as $k=>$val){
			$code= $val['code'];
			unset($val['code']);
			// debug($val);
		// exit();
			$this->updateAll(
					$val,
				array(
					'MidYearBonusDetail.code'=>$code
				)
			);
			
		}
		
		
		return true;
	}
	public function beforeSave($options = array()) {
		if(!isset($this->data['MidYearBonusDetail']['code'])) {
			$this->data['MidYearBonusDetail']['created_by'] = $_SESSION['Auth']['User']['id'];
			$this->data['MidYearBonusDetail']['modified_by'] = $_SESSION['Auth']['User']['id'];
			$this->data['MidYearBonusDetail']['status'] = 'Active';
			
			$ReferenceCode = ClassRegistry::init('ReferenceCode');
			
			$code_char = 'PMYBD';
			$reference = $ReferenceCode->findByPrefixCode($code_char);
			$code_number = $reference['ReferenceCode']['number'] + 1;
			$year = $reference['ReferenceCode']['year_code'];
			
			if($year != date('Y')){
				$year= date('Y');
				$ReferenceCode->query("UPDATE reference_codes SET year_code = '$year' WHERE prefix_code = '$code_char'");
				$code_number=1;
			}
			
			$this->data['MidYearBonusDetail']['code'] = (date('y') . '-'.$code_char . (str_pad($code_number,7,"0",STR_PAD_LEFT)));
		
			$ReferenceCode->query("UPDATE reference_codes SET number = '$code_number' WHERE prefix_code = '$code_char'");
		}
		else {
			$this->data['MidYearBonusDetail']['modified_by'] = $_SESSION['Auth']['User']['id'];
		}
		
		return true;
	}
	
	public function afterFind($results, $primary = false)
	{
		foreach($results as $x => $result){
			if(isset($result['MidYearBonusDetail']['date_hired'])){
				$results[$x]['MidYearBonusDetail']['date_hired'] = date('m/d/Y',strtotime($results[$x]['MidYearBonusDetail']['date_hired']));
			}
		}

		return $results;
	}
	
}
?>