<?php
App::uses('AppModel', 'Model');

class MidYearBonusEmploymentStatus extends AppModel {
	
	public $actsAs = array('AuditLog.Auditable');
	public $tablePrefix = 'payroll_';
	public $primaryKey = 'code';
	
	
	public $belongsTo = array(
		'MidYearBonus' => array(
			'className' => 'MidYearBonus',
			'foreignKey' => 'payroll_mid_year_bonus_code',
		),
	);

	public function beforeSave($options = array()) {
		if(!isset($this->data['MidYearBonusEmploymentStatus']['code'])) {
			$this->data['MidYearBonusEmploymentStatus']['created_by'] = $_SESSION['Auth']['User']['id'];
			$this->data['MidYearBonusEmploymentStatus']['modified_by'] = $_SESSION['Auth']['User']['id'];
			$this->data['MidYearBonusEmploymentStatus']['status'] = 'Active';
			
			$ReferenceCode = ClassRegistry::init('ReferenceCode');
			
			$code_char = 'PMYBES';
			$reference = $ReferenceCode->findByPrefixCode($code_char);
			$code_number = $reference['ReferenceCode']['number'] + 1;
			$year = $reference['ReferenceCode']['year_code'];
			
			if($year != date('Y')){
				$year= date('Y');
				$ReferenceCode->query("UPDATE reference_codes SET year_code = '$year' WHERE prefix_code = '$code_char'");
				$code_number=1;
			}
			
			$this->data['MidYearBonusEmploymentStatus']['code'] = (date('y') . '-'.$code_char . (str_pad($code_number,7,"0",STR_PAD_LEFT)));
		
			$ReferenceCode->query("UPDATE reference_codes SET number = '$code_number' WHERE prefix_code = '$code_char'");
		}
		else {
			$this->data['MidYearBonusEmploymentStatus']['modified_by'] = $_SESSION['Auth']['User']['id'];
		}
		
		return true;
	}
	
}
?>