<?php
App::uses('AppModel', 'Model');

class ModuleWithApprover extends AppModel {
	
	public $actsAs = array('AuditLog.Auditable');
	// public $tablePrefix = 'setting_';
	public $primaryKey = 'code';
	public $displayField = 'name';
	
	public $validate = array(
        'name' => array(
			'name logic 1' => array(
				'rule'		=> 'isUnique',
				'message'	=> 'Name is already used.',
			),
			'name logic 2' => array(
				'rule'		=> 'notEmpty',
				'message'	=> 'Name is required.'
			),
        ),
	);
	
	public $hasMany = array(
		
		'ApproverPerModule' => array(
			'className' => 'ApproverPerModule',
			'foreignKey' =>'module_code',
			'conditions' => array(
				'ApproverPerModule.status' => 'Active',
			)
		),
	);
	public function add_approver($data = array()) {		
		$existing_approvers = $this->find_existing_approver_by_name($data['ModuleWithApprover']['name']);
		
		if(isset($existing_approvers) && count($existing_approvers) > 0) {
			$existing_approvers['ModuleWithApprover']['status'] = 'Active';
			$data = $existing_approvers;
		}

		return $this->save($data);
	}
	public function update_approver($data = array()) {
		return $this->save($data);
	}
	public function update_status($approver_id = null, $approver = null) {
		$existing_approver = $this->find_existing_approver_by_id_or_code($approver_id);
		
		if(isset($existing_approver) && count($existing_approver) > 0) {
			$existing_approver['ModuleWithApprover']['status'] = $approver;
			$data = $existing_approver;
		}

		return $this->save($data);
	}
	public function find_existing_approver_by_name($approver_name = null) {
		if(isset($approver_name)) {
			$default_conditions = array(
				'ModuleWithApprover.name' => $approver_name
			);
		}
		
		$approvers = $this->find('first', array(
			'fields' => array(
				'ModuleWithApprover.id',
				'ModuleWithApprover.code',
				'ModuleWithApprover.name',
				'ModuleWithApprover.status',
			),
			'recursive'=>-1,
			'conditions' => $default_conditions
		));
		
		return $approvers;
	}
	
	public function find_existing_approver_by_id_or_code($approvers_id = null) {
		if(is_numeric($approvers_id)) {
			$default_conditions = array(
				'ModuleWithApprover.id' => $approvers_id
			);
		}
		else {
			$default_conditions = array(
				'ModuleWithApprover.code' => $approvers_id
			);
		}
		
		$approver = $this->find('first', array(
			'fields' => array(
				'ModuleWithApprover.id',
				'ModuleWithApprover.code',
				'ModuleWithApprover.name',
				'ModuleWithApprover.status',
			),
			'recursive'=>-1,
			'conditions' => $default_conditions
		));
		
		return $approver;
	}
	
}
?>