<?php
App::uses('AppModel', 'Model');

class MultipleOvertime extends AppModel {
	
	public $actsAs = array('AuditLog.Auditable');
	public $tablePrefix = 'filing_';
	public $primaryKey = 'reference_number';

	
	public $belongsTo = array(
		// 'LeaveType' => array(
			// 'className' => 'LeaveType',
			// 'foreignKey' => 'leave_type_code',
			// 'fields' => array(
				// 'LeaveType.name',
			// ),
			// 'conditions' => array(
				// 'LeaveType.status' => 'Active'
			// )
		// ),
		// 'Employee' => array(
			// 'className' => 'Employee',
			// 'foreignKey' => 'employee_code',
			// 'conditions' => array(
				// 'Employee.status' => 'Active'
			// ),
		// ),
		// 'ApprovedByUnit' => array(
			// 'className' => 'Employee',
			// 'foreignKey' => 'approved_by_unit',
			// 'conditions' => array(
				// 'ApprovedByUnit.status' => 'Active'
			// )
		// ),
		// 'ApprovedBySubUnit' => array(
			// 'className' => 'Employee',
			// 'foreignKey' => 'approved_by_sub_unit',
			// 'conditions' => array(
				// 'ApprovedBySubUnit.status' => 'Active'
			// )
		// ),
		// 'ApprovedBySection' => array(
			// 'className' => 'Employee',
			// 'foreignKey' => 'approved_by_section',
			// 'conditions' => array(
				// 'ApprovedBySection.status' => 'Active'
			// )
		// ),
		// 'ApprovedByAdminOfficer' => array(
			// 'className' => 'Employee',
			// 'foreignKey' => 'approved_by_admin_officer',
			// 'conditions' => array(
				// 'ApprovedByAdminOfficer.status' => 'Active'
			// )
		// ),
		// 'ApprovedByHRAdmin' => array(
			// 'className' => 'Employee',
			// 'foreignKey' => 'approved_by_hr_admin',
			// 'conditions' => array(
				// 'ApprovedByHRAdmin.status' => 'Active'
			// )
		// ),
		// 'Section' => array(
			// 'className' => 'Section',
			// 'foreignKey' => 'section_code',
			// 'conditions' => array(
				// 'Section.status' => 'Active'
			// )
		// ),
		// 'Unit' => array(
			// 'className' => 'Unit',
			// 'foreignKey' => 'unit_code',
			// 'conditions' => array(
				// 'Unit.status' => 'Active'
			// )
		// ),
		// 'SubUnit' => array(
			// 'className' => 'SubUnit',
			// 'foreignKey' => 'sub_unit_code',
			// 'conditions' => array(
				// 'SubUnit.status' => 'Active'
			// )
		// ),	
	);
	public $hasMany = array (
		'MultipleOvertimeEmployee' => array(
			'className' => 'MultipleOvertimeEmployee',
			'foreignKey' => 'multiple_overtime_code',
			'conditions'=>array(
				'status'=>'Active'
			),
		),
		'EmployeeOvertimeToCompensatoryCredit' => array(
			'className' => 'EmployeeOvertimeToCompensatoryCredit',
			'foreignKey' => 'multiple_overtime_reference_number',
			'conditions'=>array(
				'status'=>'Active'
			),
		),
		'ApprovalNotification' => array(
			'className' => 'ApprovalNotification',
			'foreignKey' => 'alert_code',
			'conditions'=>array(
				'status'=>'Active'
			),
		),
	);
	
	public $validate = array(
        'date_of_overtime' => array(
            'date_of_overtime logic 1' => array(
                'rule' => array('notEmpty'),
                'message' => 'Date Of Overtime is required.'
            ),
        ),
		'time_from' => array(
            'time_from logic 1' => array(
                'rule' => array('notEmpty'),
                'message' => 'Time From is required.'
            ),
        )
	);
	public function beforeValidate($options = array()) {
		if(isset($this->data['MultipleOvertime']['date_of_overtime']) && validate_datetime($this->data['MultipleOvertime']['date_of_overtime'], 'm/d/Y')) {
			$this->data['MultipleOvertime']['date_of_overtime'] = convert_datetime($this->data['MultipleOvertime']['date_of_overtime'], 'Y-m-d');
		}	
		
		if(isset($this->data['MultipleOvertime']['date_filed']) && validate_datetime($this->data['MultipleOvertime']['date_filed'], 'm/d/Y')) {
			$this->data['MultipleOvertime']['date_filed'] = convert_datetime($this->data['MultipleOvertime']['date_filed'], 'Y-m-d');
		}	
		
		return true;
	}	
	
	public function beforeSave($options = array()) {
		if(!isset($this->data['MultipleOvertime']['id'])) {
			$this->data['MultipleOvertime']['created_by'] = $_SESSION['Auth']['User']['id'];
			$this->data['MultipleOvertime']['modified_by'] = $_SESSION['Auth']['User']['id'];
			$this->data['MultipleOvertime']['status'] = 'Active';
		
			$ReferenceCode = ClassRegistry::init('ReferenceCode');
			$code_char = 'MOT';
			$reference = $ReferenceCode->findByPrefixCode($code_char);
			$code_number = $reference['ReferenceCode']['number'] + 1;
			$year = $reference['ReferenceCode']['year_code'];
			
			if($year != date('Y')){
				$year= date('Y');
				$ReferenceCode->query("UPDATE reference_codes SET year_code = '$year' WHERE prefix_code = '$code_char'");
				$code_number=1;
			}

			$this->data['MultipleOvertime']['reference_number'] = (date('y') . '-'.$code_char . (str_pad($code_number,7,"0",STR_PAD_LEFT)));
			$ReferenceCode->query("UPDATE reference_codes SET number = '$code_number' WHERE prefix_code = '$code_char'");
		}
		else {
			$this->data['MultipleOvertime']['modified_by'] = $_SESSION['Auth']['User']['id'];
		}
		
		return true;
	}
	
	public function afterFind($results, $primary = false)
	{
		foreach($results as $x => $result){
			if(isset($result['MultipleOvertime']['date_of_overtime'])){
				$results[$x]['MultipleOvertime']['date_of_overtime'] = date('m/d/Y',strtotime($results[$x]['MultipleOvertime']['date_of_overtime']));
			}
			
			if(isset($result['MultipleOvertime']['date_filed'])){
				$results[$x]['MultipleOvertime']['date_filed'] = date('m/d/Y',strtotime($results[$x]['MultipleOvertime']['date_filed']));
			}
		}
		return $results;
	}
}
?>