<?php
App::uses('AppModel', 'Model');

class NightDifferential extends AppModel {
	
	public $actsAs = array('AuditLog.Auditable');
	public $tablePrefix = 'setting_';
	public $primaryKey = 'code';
	// public $displayField = 'name';
	public $validate = array(
        'time_from' => array(
			'time_from logic 2' => array(
				'rule'		=> 'notEmpty',
				'message'	=> 'Time From is required.'
			),
        ),
	    'time_to' => array(
			'time_to logic 2' => array(
				'rule'		=> 'notEmpty',
				'message'	=> 'Time To is required.'
			),
        ),
		'hourly_percentage_amount' => array(
			'hourly_percentage_amount logic 2' => array(
				'rule'		=> 'notEmpty',
				'message'	=> 'Hourly Percentage Amount To is required.'
			),
        ),
	);
	public $hasOne = array(
		'NightDifferentialHistoryLog' => array(
			'className' => 'NightDifferentialHistoryLog',
			'foreignKey' => 'night_differential_code',
			'conditions' => array(
				'NightDifferentialHistoryLog.status' => 'Active'
			)
		),
	);
	
	public function beforeSave($options = array()) {
		if(!isset($this->data['NightDifferential']['id'])) {
			$this->data['NightDifferential']['created_by'] = $_SESSION['Auth']['User']['id'];
			$this->data['NightDifferential']['modified_by'] = $_SESSION['Auth']['User']['id'];
			$this->data['NightDifferential']['status'] = 'Active';
			
			$ReferenceCode = ClassRegistry::init('ReferenceCode');
			
			$code_char = 'ND';
			$reference = $ReferenceCode->findByPrefixCode($code_char);
			$code_number = $reference['ReferenceCode']['number'] + 1;
			$this->data['NightDifferential']['code'] = $code_char . '-' . $code_number;
		
			$ReferenceCode->query("UPDATE reference_codes SET number = '$code_number' WHERE prefix_code = '$code_char'");
		}
		else {
			$this->data['NightDifferential']['modified_by'] = $_SESSION['Auth']['User']['id'];
		}
		
		return true;
	}
}
?>