<?php
App::uses('AppModel', 'Model');

class Notification extends AppModel {
	
	public $actsAs = array('AuditLog.Auditable');
	public $tablePrefix = 'employee_';
	public $primaryKey = 'code';
	// public $displayField = 'name';
	
	public $hasMany = array(
		'EmployeeNotification' => array(
			'className' => 'EmployeeNotification',
			'foreignKey' => 'notification_code',
			'conditions'=>array(
				'status'=>'Active'
			)
		),
		
	);
	
	public function beforeValidate($options = array()) {
		if(isset($this->data['Notification']['date_filed']) && validate_datetime($this->data['Notification']['date_filed'], 'm/d/Y')) {
			$this->data['Notification']['date_filed'] = convert_datetime($this->data['Notification']['date_filed'], 'Y-m-d');
		}	
		return true;
	}	
	
	public function beforeSave($options = array()) {
		$this->data['Notification'] = AppModel::fix_date_format(
			$this->data['Notification'],
			array('date_filled')
		);
		if(!isset($this->data['Notification']['id'])) {
			$this->data['Notification']['created_by'] = $_SESSION['Auth']['User']['id'];
			$this->data['Notification']['modified_by'] = $_SESSION['Auth']['User']['id'];
			$this->data['Notification']['status'] = 'Active';
			
			$ReferenceCode = ClassRegistry::init('ReferenceCode');
			
			$code_char = 'NOTI';
			$reference = $ReferenceCode->findByPrefixCode($code_char);
			$code_number = $reference['ReferenceCode']['number'] + 1;
			$year = $reference['ReferenceCode']['year_code'];
			// debug($year);
			
			if($year != date('Y')){
				$year= date('Y');
				$ReferenceCode->query("UPDATE reference_codes SET year_code = '$year' WHERE prefix_code = '$code_char'");
				$code_number=1;
			}
			$this->data['Notification']['code'] = (date('y') . '-'.$code_char . (str_pad($code_number,7,"0",STR_PAD_LEFT)));
			
			$ReferenceCode->query("UPDATE reference_codes SET number = '$code_number' WHERE prefix_code = '$code_char'");
		
		}
		else {
			$this->data['Notification']['modified_by'] = $_SESSION['Auth']['User']['id'];
		}
		
		return true;
	}
	
	public function afterFind($results, $primary = false)
	{
		foreach($results as $x => $result){
			if(isset($result['Notification']['date_filed'])){
				$results[$x]['Notification']['date_filed'] = date('m/d/Y',strtotime($results[$x]['Notification']['date_filed']));
			}
		}

		return $results;
	}
}
?>