<?php
App::uses('AppModel', 'Model');

class NotificationHeader extends AppModel {
	
	public $actsAs = array('AuditLog.Auditable');
	public $tablePrefix = 'employee_';
	public $primaryKey = 'code';
	// public $displayField = 'name';
	
	public $hasMany = array(
		'EmployeeNotificationDetail' => array(
			'className' => 'EmployeeNotificationDetail',
			'foreignKey' => 'notification_code',
			'conditions'=>array(
				'EmployeeNotificationDetail.status'=>'Active'
			)
		),
		'NotificationHeaderAttachment' => array(
			'className' => 'NotificationHeaderAttachment',
			'foreignKey' => 'notification_code',
			'conditions'=>array(
				'NotificationHeaderAttachment.status'=>'Active'
			)
		)
	);
	// public $validate = array(
			// 'memo_header_type' => array(
				// 'memo_header_type logic 1' => array(
					// 'rule' => array('notEmpty'),
					// 'message' => 'Memo Header Type is required'
				// )
			// ),
		// );
	public function beforeValidate($options = array()) {
		if(isset($this->data['NotificationHeader']['date_filed']) && validate_datetime($this->data['NotificationHeader']['date_filed'], 'm/d/Y')) {
			$this->data['NotificationHeader']['date_filed'] = convert_datetime($this->data['NotificationHeader']['date_filed'], 'Y-m-d');
		}	
		return true;
	}	
	
	public function beforeSave($options = array()) {
		$this->data['NotificationHeader'] = AppModel::fix_date_format(
			$this->data['NotificationHeader'],
			array('date_filled')
		);
		if(!isset($this->data['NotificationHeader']['id'])) {
			$this->data['NotificationHeader']['created_by'] = $_SESSION['Auth']['User']['id'];
			$this->data['NotificationHeader']['modified_by'] = $_SESSION['Auth']['User']['id'];
			$this->data['NotificationHeader']['status'] = 'Active';
			
			$ReferenceCode = ClassRegistry::init('ReferenceCode');
			
			$code_char = 'NOTI';
			$reference = $ReferenceCode->findByPrefixCode($code_char);
			$code_number = $reference['ReferenceCode']['number'] + 1;
			$year = $reference['ReferenceCode']['year_code'];
			// debug($year);
			
			if($year != date('Y')){
				$year= date('Y');
				$ReferenceCode->query("UPDATE reference_codes SET year_code = '$year' WHERE prefix_code = '$code_char'");
				$code_number=1;
			}
			$this->data['NotificationHeader']['code'] = (date('y') . '-'.$code_char . (str_pad($code_number,7,"0",STR_PAD_LEFT)));
			
			$ReferenceCode->query("UPDATE reference_codes SET number = '$code_number' WHERE prefix_code = '$code_char'");
		
		}
		else {
			$this->data['NotificationHeader']['modified_by'] = $_SESSION['Auth']['User']['id'];
		}
		
		return true;
	}
	
	public function afterFind($results, $primary = false)
	{
		foreach($results as $x => $result){
			if(isset($result['NotificationHeader']['date_filed'])){
				$results[$x]['NotificationHeader']['date_filed'] = date('m/d/Y',strtotime($results[$x]['NotificationHeader']['date_filed']));
			}
		}

		return $results;
	}
}
?>