<?php
App::uses('AppModel', 'Model');

class ObligationRequest extends AppModel {
	
	public $actsAs = array('AuditLog.Auditable');
	public $tablePrefix = 'payroll_';
	public $primaryKey = 'code';
	public $displayField = 'fund_cluster';
	public $hasOne = array(
		'DisbursementVoucher' => array(
			'className' => 'DisbursementVoucher',
			'foreignKey' => 'obligation_request_code'
		)
	);
	
	
	public function beforeSave($options = array()) {
		if(!isset($this->data['ObligationRequest']['code'])) {
			$this->data['ObligationRequest']['created_by'] = $_SESSION['Auth']['User']['id'];
			$this->data['ObligationRequest']['modified_by'] = $_SESSION['Auth']['User']['id'];
			$this->data['ObligationRequest']['status'] = 'Active';
			
			$ReferenceCode = ClassRegistry::init('ReferenceCode');
			
			$code_char = 'OBLREQ';
			$reference = $ReferenceCode->findByPrefixCode($code_char);
			$code_number = $reference['ReferenceCode']['number'] + 1;
			$this->data['ObligationRequest']['code'] = $code_char . '-' . $code_number;
		
			$ReferenceCode->query("UPDATE reference_codes SET number = '$code_number' WHERE prefix_code = '$code_char'");
		}
		else {
			$this->data['ObligationRequest']['modified_by'] = $_SESSION['Auth']['User']['id'];
		}
		
		return true;
	}
}
?>