<?php
App::uses('AppModel', 'Model');

class OrganizationalChart extends AppModel {

	public $actsAs = array('AuditLog.Auditable');

	public $belongsTo = array(
		'Section' => array(
			'className' => 'Section',
			'foreignKey' => 'section_code',
			'fields' => array(
				'Section.code',
				'Section.name',
			),
			'conditions' => array(
				'Section.status' => 'Active'
			)
		),
		'Unit' => array(
			'className' => 'Unit',
			'foreignKey' => 'unit_code',
			'fields' => array(
				'Unit.code',
				'Unit.name',
			),
			'conditions' => array(
				'Unit.status' => 'Active'
			)
		),
		'SubUnit' => array(
			'className' => 'SubUnit',
			'foreignKey' => 'sub_unit_code',
			'fields' => array(
				'SubUnit.code',
				'SubUnit.name',
			),
			'conditions' => array(
				'SubUnit.status' => 'Active'
			)
		)
	);
	
	
	public function beforeValidate($options = array()) {

		if(isset($this->data['OrganizationalChart']['date']) && validate_datetime($this->data['OrganizationalChart']['date'], 'm/d/Y')) {
			$this->data['OrganizationalChart']['date'] = convert_datetime($this->data['OrganizationalChart']['date'], 'Y-m-d');
		}
		return true;
	}
		
	public function beforeSave($options = array()) {
		if(!isset($this->data['OrganizationalChart']['id'])) {
			$this->data['OrganizationalChart']['created_by'] = $_SESSION['Auth']['User']['id'];
			$this->data['OrganizationalChart']['modified_by'] = $_SESSION['Auth']['User']['id'];
			$this->data['OrganizationalChart']['status'] = 'Active';
		}
		else {
			$this->data['OrganizationalChart']['modified_by'] = $_SESSION['Auth']['User']['id'];
		}
		
		return true;
	}
	
	public function afterFind($results, $primary = false)
	{
		foreach($results as $x => $result){
			if(isset($result['OrganizationalChart']['date'])){
				$results[$x]['OrganizationalChart']['date'] = date('m/d/Y',strtotime($results[$x]['OrganizationalChart']['date']));
			}
		}
		
		return $results;
	}
	
	
	
}
?>