<?php
App::uses('AppModel', 'Model');

class OtherInformation extends AppModel {
	public $actsAs = array('AuditLog.Auditable');
	public $tablePrefix = 'employee_';
	//public $primaryKey = 'code';
	// public $displayField = 'id';
	public $validate = array(
        // 'special_skill_and_hobby' => array(
		// 	'service_years logic 2' => array(
		// 		'rule'		=> 'notEmpty',
		// 		'message'	=> 'Special skill or hobby is required.'
		// 	),
        // ),
	);
	public $belongsTo = array(
		'Employee' => array(
			'className' => 'Employee',
			'foreignKey' => 'employee_code',
			'conditions' => array(
				'Employee.status' => 'Active'
			),
		),
	);
	
	public $hasMany = array(
		'OtherInformationHistoryLog' => array(
			'className' => 'OtherInformationHistoryLog',
			'foreignKey' => 'other_information_id',
			'conditions' => array(
				'OtherInformationHistoryLog.status' => 'Active'
			),
		),
	);
	
	public function beforeValidate($options = array()) {
		if(isset($this->data['OtherInformation']['from']) && validate_datetime($this->data['OtherInformation']['from'], 'm/d/Y')) {
			$this->data['OtherInformation']['from'] = convert_datetime($this->data['OtherInformation']['from'], 'Y-m-d');
		}	
		
		if(isset($this->data['OtherInformation']['to']) && validate_datetime($this->data['OtherInformation']['to'], 'm/d/Y')) {
			$this->data['OtherInformation']['to'] = convert_datetime($this->data['OtherInformation']['to'], 'Y-m-d');
		}
	}
	
	public function beforeSave($options = array()) {
		if(!isset($this->data['OtherInformation']['id'])) {
			$this->data['OtherInformation']['created_by'] = $_SESSION['Auth']['User']['id'];
			$this->data['OtherInformation']['modified_by'] = $_SESSION['Auth']['User']['id'];
			$this->data['OtherInformation']['status'] = 'Active';
			
			// $ReferenceCode = ClassRegistry::init('ReferenceCode');
			
			// $code_char = 'BNK';
			// $reference = $ReferenceCode->findByPrefixCode($code_char);
			// $code_number = $reference['ReferenceCode']['number'] + 1;
			// $this->data['WorkHistory']['code'] = $code_char . '-' . $code_number;
		
			// $ReferenceCode->query("UPDATE reference_codes SET number = '$code_number' WHERE prefix_code = '$code_char'");
		}
		else {
			$this->data['OtherInformation']['modified_by'] = $_SESSION['Auth']['User']['id'];
		}
		
		return true;
	}
	
	public function afterFind($results, $primary = false)
	{
		foreach($results as $x => $result){
			if(isset($result['OtherInformation']['from'])){
				$results[$x]['OtherInformation']['from'] = date('m/d/Y',strtotime($results[$x]['OtherInformation']['from']));
			}
			
			if(isset($result['OtherInformation']['to'])){
				$results[$x]['OtherInformation']['to'] = date('m/d/Y',strtotime($results[$x]['OtherInformation']['to']));
			}
		}

		return $results;
	}
}
?>