<?php
App::uses('AppModel', 'Model');

class OtherInformationQuestionHistoryLog extends AppModel {
	
	public $tablePrefix = 'employee_';
	// public $primaryKey = 'code';
	// public $displayField = 'name';

	
	public $hasMany = array(
		'Document' => array(
			'className' => 'Document',
			'foreignKey' => 'other_information_question_id',
			'conditions' => array(
				'Document.status' => 'Active'
			)
		),
	);
	
	public $belongsTo = array(
		'Employee' => array(
			'className' => 'Employee',
			'foreignKey' => 'employee_code',
			'conditions' => array(
				'Employee.status' => 'Active'
			),
		),
		
		'OtherInformationQuestion' => array(
			'className' => 'OtherInformationQuestion',
			'foreignKey' => 'other_information_question_id',
			// 'foreignKey' => 'civil_service_history_logs_id',
			'conditions' => array(
				'OtherInformationQuestion.status' => 'Active'
			),
		),			
	);
	
	public function validate_solo_parent_attachment($validation_fields = array()) {
		$answer_solo_parent = $this->data['OtherInformationQuestionHistoryLog']['solo_parent'];
		
		
		if($answer_solo_parent == 'YES'){
				
			if(isset($this->data['OtherInformationQuestionHistoryLog']['solo_parent_attachment']['error']) && $this->data['OtherInformationQuestionHistoryLog']['solo_parent_attachment']['error'] > 0 ){
				return false;
			}
			else{
				return true;
			}
		}
		return true;
	}
	
	public function validate_person_with_disability_attachment($validation_fields = array()) {
		$answer_person_with_disability = $this->data['OtherInformationQuestionHistoryLog']['person_with_disability'];
		
		
		if($answer_person_with_disability == 'YES'){
				
			if(isset($this->data['OtherInformationQuestionHistoryLog']['person_with_disability_attachment']['error']) && $this->data['OtherInformationQuestionHistoryLog']['person_with_disability_attachment']['error'] > 0 ){
				return false;
			}
			else{
				return true;
			}
		}
		return true;
	}
	
	public function validate_details($validation_fields = array(), $fields_and_details = array()) {
		$details_field=null;
		$field_name = $this->data['OtherInformationQuestionHistoryLog'][$fields_and_details[0]];
		if(isset($this->data['OtherInformationQuestionHistoryLog'][$fields_and_details[1]])){
			$details_field = $this->data['OtherInformationQuestionHistoryLog'][$fields_and_details[1]];
		}
		

		if($field_name == 'YES'){
			if($details_field== null || $details_field==''){
				return false;
			}
			else{
				return true;
			}
		}
		else{
			$this->data['OtherInformationQuestionHistoryLog'][$fields_and_details[1]]=null;
			return true;
		}
	}
	
	public function validate_addtional_details ($validation_fields = array(), $fields_and_details = array()) {
		
		$details_field=null;
		$date_field_data=null;
		$field_name = $this->data['OtherInformationQuestionHistoryLog'][$fields_and_details[0]];
		if(isset($this->data['OtherInformationQuestionHistoryLog'][$fields_and_details[1]])){
			$details_field = $this->data['OtherInformationQuestionHistoryLog'][$fields_and_details[1]];
		}
		if(isset($this->data['OtherInformationQuestionHistoryLog'][$fields_and_details[2]])){
			$date_field_data = $this->data['OtherInformationQuestionHistoryLog'][$fields_and_details[2]];
		}
		if($field_name == 'YES'){
			if($details_field== null || $details_field==''){
				if($date_field_data == null || $date_field_data==''){
					return false;
				}
				else{
					return false;
				}
			}
			else{
				if($date_field_data == null || $date_field_data==''){
					return false;
				}
				else{
					return true;
				}
			}
		}
		else{
			$this->data['OtherInformationQuestionHistoryLog'][$fields_and_details[1]] = null;
			$this->data['OtherInformationQuestionHistoryLog'][$fields_and_details[2]] = null;
			return true;
		}
	}
	
	public function beforeValidate($options = array()) {
		if(isset($this->data['OtherInformationQuestionHistoryLog']['criminally_charged_date_filed']) && validate_datetime($this->data['OtherInformationQuestionHistoryLog']['criminally_charged_date_filed'], 'm/d/Y')) {
			$this->data['OtherInformationQuestionHistoryLog']['criminally_charged_date_filed'] = convert_datetime($this->data['OtherInformationQuestionHistoryLog']['criminally_charged_date_filed'], 'Y-m-d');
		}	
		return true;
	}	
	
	public function beforeSave($options = array()) {
		if(!isset($this->data['OtherInformationQuestionHistoryLog']['id'])) {
			$this->data['OtherInformationQuestionHistoryLog']['created_by'] = $_SESSION['Auth']['User']['id'];
			$this->data['OtherInformationQuestionHistoryLog']['modified_by'] = $_SESSION['Auth']['User']['id'];
			$this->data['OtherInformationQuestionHistoryLog']['status'] = 'Active';
		}
		else {
			$this->data['OtherInformationQuestionHistoryLog']['modified_by'] = $_SESSION['Auth']['User']['id'];
		}
		
		return true;
	}
	
	public function afterFind($results, $primary = false)
	{
		foreach($results as $x => $result){
			if(isset($result['OtherInformationQuestionHistoryLog']['criminally_charged_date_filed'])){
				$results[$x]['OtherInformationQuestionHistoryLog']['criminally_charged_date_filed'] = date('m/d/Y',strtotime($results[$x]['OtherInformationQuestionHistoryLog']['criminally_charged_date_filed']));
			}
		}

		return $results;
	}
}
?>