<?php
App::uses('AppModel', 'Model');

class PayrollDetailHistoryLog extends AppModel {
	
	public $tablePrefix = 'employee_';
	
	public $belongsTo = array(
		'Employee' => array(
			'className' => 'Employee',
			'foreignKey' => 'employee_code',
			'conditions' => array(
				'Employee.status' => 'Active'
			)
		),
		'PayrollType' => array(
			'className' => 'PayrollType',
			'foreignKey' => 'payroll_type_code',
			'fields' => array(
				'PayrollType.code',
				'PayrollType.name',
			),
			'conditions' => array(
				'PayrollType.status' => 'Active'
			)
		),
		'TaxStatus' => array(
			'className' => 'TaxStatus',
			'foreignKey' => 'tax_status_code',
			'fields' => array(
				'TaxStatus.code',
				'TaxStatus.name',
			),
			'conditions' => array(
				'TaxStatus.status' => 'Active'
			)
		),
		// 'PayrollDetail' => array(
			// 'className' => 'PayrollDetail',
			// 'foreignKey' => 'payroll_detail_id',
			// 'conditions' => array(
				// 'PayrollDetail.status' => 'Active'
			// )
		// ),
		'SalaryGrade' => array(
			'className' => 'SalaryGrade',
			'foreignKey' => 'salary_grade_code',
			'conditions' => array(
				'SalaryGrade.status' => 'Active'
			)
		),
		'PositionDetail' => array(
			'className' => 'PositionDetail',
			'foreignKey' => 'position_detail_id',
			'conditions' => array(
				'PositionDetail.status' => 'Active'
			)
		),
	);
	
	public function beforeSave($options = array()) {
		if(!isset($this->data['PayrollDetailHistoryLog']['id'])) {
			$this->data['PayrollDetailHistoryLog']['created_by'] = $_SESSION['Auth']['User']['id'];
			$this->data['PayrollDetailHistoryLog']['modified_by'] = $_SESSION['Auth']['User']['id'];
			$this->data['PayrollDetailHistoryLog']['status'] = 'Active';
		}
		else {
			$this->data['PayrollDetailHistoryLog']['modified_by'] = $_SESSION['Auth']['User']['id'];
		}
		
		return true;
	}
}
?>