<?php
App::uses('AppModel', 'Model');

class PayrollLongevityPayEmploymentStatus extends AppModel {
	
	public $actsAs = array('AuditLog.Auditable');
	// public $tablePrefix = 'payroll_';
	public $primaryKey = 'code';
	
	
	public $belongsTo = array(
		'PayrollLongevityPay' => array(
			'className' => 'PayrollLongevityPay',
			'foreignKey' => 'payroll_longevity_pay_code',
			'conditions' => array(
				'PayrollLongevityPay.status' => 'Active'
			),
		),
	);

	public function beforeSave($options = array()) {
		if(!isset($this->data['PayrollLongevityPayEmploymentStatus']['code'])) {
			$this->data['PayrollLongevityPayEmploymentStatus']['created_by'] = $_SESSION['Auth']['User']['id'];
			$this->data['PayrollLongevityPayEmploymentStatus']['modified_by'] = $_SESSION['Auth']['User']['id'];
			$this->data['PayrollLongevityPayEmploymentStatus']['status'] = 'Active';
			
			$ReferenceCode = ClassRegistry::init('ReferenceCode');
			
			$code_char = 'PLPES';
			$reference = $ReferenceCode->findByPrefixCode($code_char);
			$code_number = $reference['ReferenceCode']['number'] + 1;
			$year = $reference['ReferenceCode']['year_code'];
			
			if($year != date('Y')){
				$year= date('Y');
				$ReferenceCode->query("UPDATE reference_codes SET year_code = '$year' WHERE prefix_code = '$code_char'");
				$code_number=1;
			}
			
			$this->data['PayrollLongevityPayEmploymentStatus']['code'] = (date('y') . '-'.$code_char . (str_pad($code_number,7,"0",STR_PAD_LEFT)));
		
			$ReferenceCode->query("UPDATE reference_codes SET number = '$code_number' WHERE prefix_code = '$code_char'");
		}
		else {
			$this->data['PayrollLongevityPayEmploymentStatus']['modified_by'] = $_SESSION['Auth']['User']['id'];
		}
		
		return true;
	}
	
}
?>