<?php
App::uses('AppModel', 'Model');

class PositionDetailHistoryLog extends AppModel {
	
	public $tablePrefix = 'employee_';
	
	public $hasOne = array(

			 'ItemNumberHistoryLog' => array(
				'className' => 'ItemNumberHistoryLog',
				'foreignKey' => 'position_detail_history_log_id',
				// 'conditions' => array(
					// 'Employee.status' => 'Active'
				// )
			),
	);
	public $belongsTo = array(
		'Employee' => array(
			'className' => 'Employee',
			'foreignKey' => 'employee_code',
			'conditions' => array(
				'Employee.status' => 'Active'
			)
		),
		'JobTitle' => array(
			'className' => 'JobTitle',
			'foreignKey' => 'job_title_code',
			'fields' => array(
				'JobTitle.code',
				'JobTitle.name',
			),
			'conditions' => array(
				'JobTitle.status' => 'Active'
			)
		),
		'JobTitleItemNumber' => array(
			'className' => 'JobTitleItemNumber',
			'foreignKey' => 'job_title_item_number_code',
			'fields' => array(
				'JobTitleItemNumber.code',
				'JobTitleItemNumber.item_number',
			),
			'conditions' => array(
				'JobTitleItemNumber.status' => 'Active'
			)
		),
		'Section' => array(
			'className' => 'Section',
			'foreignKey' => 'section_code',
			'fields' => array(
				'Section.code',
				'Section.name',
			),
			'conditions' => array(
				'Section.status' => 'Active'
			)
		),
		'Division' => array(
			'className' => 'Division',
			'foreignKey' => 'division_code',
			'fields' => array(
				'Division.code',
				'Division.name',
			),
			'conditions' => array(
				'Division.status' => 'Active'
			)
		),
		'Unit' => array(
			'className' => 'Unit',
			'foreignKey' => 'unit_code',
			'fields' => array(
				'Unit.code',
				'Unit.name',
			),
			'conditions' => array(
				'Unit.status' => 'Active'
			)
		),
		'SubUnit' => array(
			'className' => 'SubUnit',
			'foreignKey' => 'sub_unit_code',
			'fields' => array(
				'SubUnit.code',
				'SubUnit.name',
			),
			'conditions' => array(
				'SubUnit.status' => 'Active'
			)
		),
		// 'EmployeeType' => array(
		// 	'className' => 'EmployeeType',
		// 	'foreignKey' => 'employee_type_code',
		// 	'fields' => array(
		// 		'EmployeeType.code',
		// 		'EmployeeType.name',
		// 	),
		// 	'conditions' => array(
		// 		'EmployeeType.status' => 'Active'
		// 	)
		// ),
		'EmploymentStatus' => array(
			'className' => 'EmploymentStatus',
			'foreignKey' => 'employment_status_code',
			'fields' => array(
				'EmploymentStatus.code',
				'EmploymentStatus.name',
			),
			'conditions' => array(
				'EmploymentStatus.status' => 'Active'
			)
		),
		'PersonnelType' => array(
			'className' => 'PersonnelType',
			'foreignKey' => 'personnel_type_code',
			'fields' => array(
				'PersonnelType.code',
				'PersonnelType.name',
			),
			'conditions' => array(
				'PersonnelType.status' => 'Active'
			)
		),
		'PositionDetail' => array(
			'className' => 'PositionDetail',
			'foreignKey' => 'position_detail_id',
			'conditions' => array(
				'PositionDetail.status' => 'Active'
			)
		),
		'NatureOfAppointment' => array(
			'className' => 'NatureOfAppointment',
			'foreignKey' => 'nature_of_appointment_code',
			'fields' => array(
				'NatureOfAppointment.code',
				'NatureOfAppointment.name',
			),
			'conditions' => array(
				'NatureOfAppointment.status' => 'Active'
			)
		),
		'SalaryGrade' => array(
			'className' => 'SalaryGrade',
			'foreignKey' => 'salary_grade_code',
			'fields' => array(
				'SalaryGrade.code',
				'SalaryGrade.name',
				'SalaryGrade.salary_grade_number',
			),
			'conditions' => array(
				'SalaryGrade.status' => 'Active'
			)
		),
		'SeparationStatus' => array(
			'className' => 'SeparationStatus',
			'foreignKey' => 'separation_status_code',
			'fields' => array(
				'SeparationStatus.code',
				'SeparationStatus.name',
			)
		),
	);
	
	public function beforeValidate($options = array()) {
		// if(isset($this->data['PositionDetailHistoryLog']['date_employed']) && validate_datetime($this->data['PositionDetailHistoryLog']['date_employed'], 'm/d/Y')) {
			// $this->data['PositionDetailHistoryLog']['date_employed'] = convert_datetime($this->data['PositionDetailHistoryLog']['date_employed'], 'Y-m-d');
		// }

		if(isset($this->data['PositionDetailHistoryLog']['end_of_contract']) && validate_datetime($this->data['PositionDetailHistoryLog']['end_of_contract'], 'm/d/Y')) {
			$this->data['PositionDetailHistoryLog']['end_of_contract'] = convert_datetime($this->data['PositionDetailHistoryLog']['end_of_contract'], 'Y-m-d');
		}
		if(isset($this->data['PositionDetailHistoryLog']['date_hired']) && validate_datetime($this->data['PositionDetailHistoryLog']['date_hired'], 'm/d/Y')) {
			$this->data['PositionDetailHistoryLog']['date_hired'] = convert_datetime($this->data['PositionDetailHistoryLog']['date_hired'], 'Y-m-d');
		}
		if(isset($this->data['PositionDetailHistoryLog']['appointment_date_from_agency']) && validate_datetime($this->data['PositionDetailHistoryLog']['appointment_date_from_agency'], 'm/d/Y')) {
			$this->data['PositionDetailHistoryLog']['appointment_date_from_agency'] = convert_datetime($this->data['PositionDetailHistoryLog']['appointment_date_from_agency'], 'Y-m-d');
		}
		
		if(isset($this->data['PositionDetailHistoryLog']['appointment_date']) && validate_datetime($this->data['PositionDetailHistoryLog']['appointment_date'], 'm/d/Y')) {
			$this->data['PositionDetailHistoryLog']['appointment_date'] = convert_datetime($this->data['PositionDetailHistoryLog']['appointment_date'], 'Y-m-d');
		}
		if(isset($this->data['PositionDetailHistoryLog']['other_personnel_action_type_date']) && validate_datetime($this->data['PositionDetailHistoryLog']['other_personnel_action_type_date'], 'm/d/Y')) {
			$this->data['PositionDetailHistoryLog']['other_personnel_action_type_date'] = convert_datetime($this->data['PositionDetailHistoryLog']['other_personnel_action_type_date'], 'Y-m-d');
		}
		return true;
	}
	
	public function beforeSave($options = array()) {
		if(!isset($this->data['PositionDetailHistoryLog']['id'])) {
			$this->data['PositionDetailHistoryLog']['created_by'] = $_SESSION['Auth']['User']['id'];
			$this->data['PositionDetailHistoryLog']['modified_by'] = $_SESSION['Auth']['User']['id'];
			$this->data['PositionDetailHistoryLog']['status'] = 'Active';
		}
		else {
			$this->data['PositionDetailHistoryLog']['modified_by'] = $_SESSION['Auth']['User']['id'];
		}
		
		return true;
	}
	
	public function afterFind($results, $primary = false)
	{
		foreach($results as $x => $result){
			if(isset($result['PositionDetailHistoryLog']['end_of_contract'])){
				$results[$x]['PositionDetailHistoryLog']['end_of_contract'] = date('m/d/Y',strtotime($results[$x]['PositionDetailHistoryLog']['end_of_contract']));
			}
			
			if(isset($result['PositionDetailHistoryLog']['appointment_date'])){
				$results[$x]['PositionDetailHistoryLog']['appointment_date'] = date('m/d/Y',strtotime($results[$x]['PositionDetailHistoryLog']['appointment_date']));
			}
			
			if(isset($result['PositionDetailHistoryLog']['other_personnel_action_type_date'])){
				$results[$x]['PositionDetailHistoryLog']['other_personnel_action_type_date'] = date('m/d/Y',strtotime($results[$x]['PositionDetailHistoryLog']['other_personnel_action_type_date']));
			}
		}

		return $results;
	}
}
?>