<?php
App::uses('AppModel', 'Model');

class ProfessionalFeeDetail extends AppModel {
	
	public $actsAs = array('AuditLog.Auditable');
	public $tablePrefix = 'payroll_';
	
	public $belongsTo = array(
		'ProfessionalFee' => array(
			'className' => 'ProfessionalFee',
			'foreignKey' => 'professional_fee_id',
			'conditions' => array(
				'ProfessionalFee.status' => 'Active'
			)
		)
	);
	
	// public $hasMany = array(
		// 'ProfessionalFeeDetailDetail' => array(
			// 'className' => 'ProfessionalFeeDetailDetail',
			// 'foreignKey' => 'professional_fee_id',
			// 'conditions' => array(
				// 'ProfessionalFeeDetailDetail.status' => 'Active'
			// )
		// )
	// );
	
	// public $validate = array(
		// 'amount' => array(
			// 'checkPositive' => array(
				// 'rule' => array('validate_negative_numbers', array('amount')),
				// 'allowEmpty' => true,
				// 'message' => 'Negative numbers are not allowed.'
			// )
		// ),
	// );
	
	// function validate_negative_numbers($value, $fields) {
		// foreach ($fields as $field_key => $field_val) {
			// if ($value[$fields[0]] >= 0) {
				// return true;
			// }
			// else {
				// return false;
			// }
		// }
	// }
	
	public function beforeValidate($options = array()) {
		if (isset($this->data['ProfessionalFeeDetail']['apv_date']) && validate_datetime($this->data['ProfessionalFeeDetail']['apv_date'], 'm/d/Y')) {
			$this->data['ProfessionalFeeDetail']['apv_date'] = convert_datetime($this->data['ProfessionalFeeDetail']['apv_date'], 'Y-m-d');
		}	
		
		if (isset($this->data['ProfessionalFeeDetail']['date_from']) && validate_datetime($this->data['ProfessionalFeeDetail']['date_from'], 'm/d/Y')) {
			$this->data['ProfessionalFeeDetail']['date_from'] = convert_datetime($this->data['ProfessionalFeeDetail']['date_from'], 'Y-m-d');
		}
		
		if (isset($this->data['ProfessionalFeeDetail']['date_to']) && validate_datetime($this->data['ProfessionalFeeDetail']['date_to'], 'm/d/Y')) {
			$this->data['ProfessionalFeeDetail']['date_to'] = convert_datetime($this->data['ProfessionalFeeDetail']['date_to'], 'Y-m-d');
		}
		
		if (isset($this->data['ProfessionalFeeDetail']['date_received_by_accounting']) && validate_datetime($this->data['ProfessionalFeeDetail']['date_received_by_accounting'], 'm/d/Y')) {
			$this->data['ProfessionalFeeDetail']['date_received_by_accounting'] = convert_datetime($this->data['ProfessionalFeeDetail']['date_received_by_accounting'], 'Y-m-d');
		}
		
		return true;
	}	
	
	public function beforeSave($options = array()) {
		if (!isset($this->data['ProfessionalFeeDetail']['id'])) {
			$this->data['ProfessionalFeeDetail']['created_by'] = $_SESSION['Auth']['User']['id'];
			$this->data['ProfessionalFeeDetail']['modified_by'] = $_SESSION['Auth']['User']['id'];
			$this->data['ProfessionalFeeDetail']['status'] = 'Active';
		}
		else {
			$this->data['ProfessionalFeeDetail']['modified_by'] = $_SESSION['Auth']['User']['id'];
		}
		
		return true;
	}
	
	public function afterFind($results, $primary = false) {
		foreach ($results as $x => $result) {
			if (isset($result['ProfessionalFeeDetail']['apv_date'])) {
				$results[$x]['ProfessionalFeeDetail']['apv_date'] = date('m/d/Y',strtotime($results[$x]['ProfessionalFeeDetail']['apv_date']));
			}
			
			if (isset($result['ProfessionalFeeDetail']['date_from'])) {
				$results[$x]['ProfessionalFeeDetail']['date_from'] = date('m/d/Y',strtotime($results[$x]['ProfessionalFeeDetail']['date_from']));
			}
			
			if (isset($result['ProfessionalFeeDetail']['date_to'])) {
				$results[$x]['ProfessionalFeeDetail']['date_to'] = date('m/d/Y',strtotime($results[$x]['ProfessionalFeeDetail']['date_to']));
			}
			
			if (isset($result['ProfessionalFeeDetail']['date_received_by_accounting'])) {
				$results[$x]['ProfessionalFeeDetail']['date_received_by_accounting'] = date('m/d/Y',strtotime($results[$x]['ProfessionalFeeDetail']['date_received_by_accounting']));
			}
		}

		return $results;
	}
}
?>