<?php
App::uses('AppModel', 'Model');

class RecruitmentApplicantEducation extends AppModel {
	
	public $actsAs = array('AuditLog.Auditable');


	public $validate = array(
        // 'degree_level' => array(
			// 'degree_level logic 2' => array(
				// 'rule'		=> 'notEmpty',
				// 'message'	=> 'Degree Level is required.'
			// ),
        // ),
		// 'from' => array(
			// 'from logic 2' => array(
				// 'rule'		=> 'notEmpty',
				// 'message'	=> 'Date From is required.'
			// ),
        // ),
		// 'to' => array(
			// 'to logic 2' => array(
				// 'rule'		=> 'notEmpty',
				// 'message'	=> 'Date To is required.'
			// ),
        // ),
		// 'year_graduated' => array(
			// 'year_graduated logic 2' => array(
				// 'rule'		=> 'notEmpty',
				// 'message'	=> 'Year Graduated Degree is required.'
			// ),
        // ),
	);
	public $belongsTo = array(
		'Employee' => array(
			'className' => 'Employee',
			'foreignKey' => 'employee_code',
			'conditions' => array(
				'Employee.status' => 'Active'
			),
		),
		'Level' => array(
			'className' => 'Level',
			'foreignKey' => 'degree_level',
			'conditions' => array(
				'Level.status' => 'Active'
			),
		),
	);
	
	public function beforeValidate($options = array()) {
		if(isset($this->data['RecruitmentApplicantEducation']['from']) && validate_datetime($this->data['RecruitmentApplicantEducation']['from'], 'm/d/Y')) {
			$this->data['RecruitmentApplicantEducation']['from'] = convert_datetime($this->data['RecruitmentApplicantEducation']['from'], 'Y-m-d');
		}	
		
		if(isset($this->data['RecruitmentApplicantEducation']['to']) && validate_datetime($this->data['RecruitmentApplicantEducation']['to'], 'm/d/Y')) {
			$this->data['RecruitmentApplicantEducation']['to'] = convert_datetime($this->data['RecruitmentApplicantEducation']['to'], 'Y-m-d');
		}

		return true;
	}
	
	public function beforeSave($options = array()) {
		if(isset($_SESSION['Auth']['User']['id'])){
			$user_id = $_SESSION['Auth']['User']['id'];
		}else{
			$user_id = 0;
		}
		
		
		if (!isset($this->data['Education']['id'])) {
			
			$this->data['RecruitmentApplicantEducation']['created_by'] = $user_id;
			$this->data['RecruitmentApplicantEducation']['modified_by'] = $user_id;
			$this->data['RecruitmentApplicantEducation']['status'] = 'Active';
			
		}
		else {
			$this->data['RecruitmentApplicantEducation']['modified_by'] = $user_id;
		}
		
		return true;
	}
	
	public function afterFind($results, $primary = false)
	{
		foreach($results as $x => $result) {
			if (isset($result['RecruitmentApplicantEducation']['from'])) {
				$results[$x]['RecruitmentApplicantEducation']['from'] = date('m/d/Y',strtotime($results[$x]['RecruitmentApplicantEducation']['from']));
			}
			
			if (isset($result['RecruitmentApplicantEducation']['to'])) {
				$results[$x]['RecruitmentApplicantEducation']['to'] = date('m/d/Y',strtotime($results[$x]['RecruitmentApplicantEducation']['to']));
			}
		}

		return $results;
	}
}
?>