<?php
App::uses('AppModel', 'Model');

class RecruitmentApplicantLearningAndDevelopment extends AppModel {
	
	// public $tablePrefix = 'employee_';

	public $belongsTo = array(
		'Employee' => array(
			'className' => 'Employee',
			'foreignKey' => 'employee_code',
			'conditions' => array(
				'Employee.status' => 'Active'
			),
		),
		'LearningAndDevelopmentType' => array(
			'className' => 'LearningAndDevelopmentType',
			'foreignKey' => 'type_of_ld',
			'conditions' => array(
				'LearningAndDevelopmentType.status' => 'Active'
			),
		),
	);
	
	
	
	public function beforeValidate($options = array()) {
		if(isset($this->data['RecruitmentApplicantLearningAndDevelopment']['from']) && validate_datetime($this->data['RecruitmentApplicantLearningAndDevelopment']['from'], 'm/d/Y')) {
			$this->data['RecruitmentApplicantLearningAndDevelopment']['from'] = convert_datetime($this->data['RecruitmentApplicantLearningAndDevelopment']['from'], 'Y-m-d');
		}	
		
		if(isset($this->data['RecruitmentApplicantLearningAndDevelopment']['to']) && validate_datetime($this->data['RecruitmentApplicantLearningAndDevelopment']['to'], 'm/d/Y')) {
			$this->data['RecruitmentApplicantLearningAndDevelopment']['to'] = convert_datetime($this->data['RecruitmentApplicantLearningAndDevelopment']['to'], 'Y-m-d');
		}
	}
	
	public function beforeSave($options = array()) {
		$user_id = '';
		if(isset($_SESSION['Auth']['User']['id'])){
			$user_id = $_SESSION['Auth']['User']['id'];
		}else{
			$user_id = 0;
		}
		if(!isset($this->data['RecruitmentApplicantLearningAndDevelopment']['id'])) {
			$this->data['RecruitmentApplicantLearningAndDevelopment']['created_by'] = $user_id ;
			$this->data['RecruitmentApplicantLearningAndDevelopment']['modified_by'] = $user_id ;
			$this->data['RecruitmentApplicantLearningAndDevelopment']['status'] = 'Active';
		}
		else {
			$this->data['RecruitmentApplicantLearningAndDevelopment']['modified_by'] = $user_id ;
		}
		
		return true;
	}
	
	public function afterFind($results, $primary = false)
	{
		foreach($results as $x => $result){
			if(isset($result['RecruitmentApplicantLearningAndDevelopment']['from'])){
				$results[$x]['RecruitmentApplicantLearningAndDevelopment']['from'] = date('m/d/Y',strtotime($results[$x]['RecruitmentApplicantLearningAndDevelopment']['from']));
			}
			
			if(isset($result['RecruitmentApplicantLearningAndDevelopment']['to'])){
				$results[$x]['RecruitmentApplicantLearningAndDevelopment']['to'] = date('m/d/Y',strtotime($results[$x]['RecruitmentApplicantLearningAndDevelopment']['to']));
			}
		}

		return $results;
	}
}
?>