<?php
App::uses('AppModel', 'Model');

class ReferenceHistoryLog extends AppModel {
	
	public $tablePrefix = 'employee_';
	public $primaryKey = 'id';
	// public $displayField = 'name';
	
	public $belongsTo = array(
		'Employee' => array(
			'className' => 'Employee',
			'foreignKey' => 'employee_code',
			'conditions' => array(
				'Employee.status' => 'Active'
			),
		),
		
		'ReferenceHistoryLog' => array(
			'className' => 'ReferenceHistoryLog',
			'foreignKey' => 'reference_id',
			// 'foreignKey' => 'civil_service_history_logs_id',
			'conditions' => array(
				'ReferenceHistoryLog.status' => 'Active'
			),
		),	
		
	);
	
	public function beforeValidate($options = array()) {
		if(isset($this->data['ReferenceHistoryLog']['from']) && validate_datetime($this->data['ReferenceHistoryLog']['from'], 'm/d/Y')) {
			$this->data['ReferenceHistoryLog']['from'] = convert_datetime($this->data['ReferenceHistoryLog']['from'], 'Y-m-d');
		}	
		
		if(isset($this->data['ReferenceHistoryLog']['to']) && validate_datetime($this->data['ReferenceHistoryLog']['to'], 'm/d/Y')) {
			$this->data['ReferenceHistoryLog']['to'] = convert_datetime($this->data['ReferenceHistoryLog']['to'], 'Y-m-d');
		}
	}
	
	public function beforeSave($options = array()) {
		if(!isset($this->data['ReferenceHistoryLog']['id'])) {
			$this->data['ReferenceHistoryLog']['created_by'] = $_SESSION['Auth']['User']['id'];
			$this->data['ReferenceHistoryLog']['modified_by'] = $_SESSION['Auth']['User']['id'];
			$this->data['ReferenceHistoryLog']['status'] = 'Active';
			
			// $ReferenceCode = ClassRegistry::init('ReferenceCode');
			
			// $code_char = 'BNK';
			// $reference = $ReferenceCode->findByPrefixCode($code_char);
			// $code_number = $reference['ReferenceCode']['number'] + 1;
			// $this->data['WorkHistory']['code'] = $code_char . '-' . $code_number;
		
			// $ReferenceCode->query("UPDATE reference_codes SET number = '$code_number' WHERE prefix_code = '$code_char'");
		}
		else {
			$this->data['ReferenceHistoryLog']['modified_by'] = $_SESSION['Auth']['User']['id'];
		}
		
		return true;
	}
}
?>