<?php
App::uses('AppModel', 'Model');

class ReinstatementHistoryLog extends AppModel {
	
	public $tablePrefix = 'employee_';
	// public $primaryKey = 'code';
	// public $displayField = 'name';
	
	
	public $belongsTo= array(
		'Employee' => array(
			'className' => 'Employee',
			'foreignKey' => 'employee_code',
			'fields' => array(
				'Employee.combination_whole_name',
				
			),
			'conditions' => array(
				'Employee.status' => 'Active'
			),
		),
		'Reinstatement' => array(
			'className' => 'Reinstatement',
			'foreignKey' => 'reinstatement_id',
			'conditions' => array(
				'Reinstatement.status' => 'Active'
			)
		),
	);

	public function beforeValidate($options = array()) {		
		if(isset($this->data['ReinstatementHistoryLog']['reinstatement_date']) && validate_datetime($this->data['ReinstatementHistoryLog']['reinstatement_date'], 'm/d/Y')) {
			$this->data['ReinstatementHistoryLog']['reinstatement_date'] = convert_datetime($this->data['ReinstatementHistoryLog']['reinstatement_date'], 'Y-m-d');
		}
			return true;
	}
	
	public function beforeSave($options = array()) {
		if(!isset($this->data['ReinstatementHistoryLog']['id'])) {
			$this->data['ReinstatementHistoryLog']['created_by'] = $_SESSION['Auth']['User']['id'];
			$this->data['ReinstatementHistoryLog']['modified_by'] = $_SESSION['Auth']['User']['id'];
			$this->data['ReinstatementHistoryLog']['status'] = 'Active';
			
			$ReferenceCode = ClassRegistry::init('ReferenceCode');
			
			$code_char = 'REINSTMNT';
			$reference = $ReferenceCode->findByPrefixCode($code_char);
			$code_number = $reference['ReferenceCode']['number'] + 1;
			$this->data['NewHire']['code'] = $code_char . '-' . $code_number;
		
			$ReferenceCode->query("UPDATE reference_codes SET number = '$code_number' WHERE prefix_code = '$code_char'");
		}
		else {
			$this->data['ReinstatementHistoryLog']['modified_by'] = $_SESSION['Auth']['User']['id'];
		}
		
		return true;
	}
	
	public function afterFind($results, $primary = false)
	{
		foreach($results as $x => $result){
			if(isset($result['ReinstatementHistoryLog']['reinstatement_date'])){
				$results[$x]['ReinstatementHistoryLog']['reinstatement_date'] = date('m/d/Y',strtotime($results[$x]['ReinstatementHistoryLog']['reinstatement_date']));
			}
		}

		return $results;
	}
}
?>