<?php
App::uses('AppModel', 'Model');

class RelativesInGovernment extends AppModel {
	
	public $actsAs = array('AuditLog.Auditable');
	public $tablePrefix = 'employee_';
	// public $primaryKey = 'code';
	// public $displayField = 'name';
	
	public $validate = array(
        'name' => array(
			'name logic 1' => array(
				'rule'		=> 'notEmpty',
				'message'	=> 'Name is required.'
			),
        ),
	);
	
	public $belongsTo = array(
		'Employee' => array(
			'className' => 'Employee',
			'foreignKey' => 'employee_code',
			'conditions' => array(
				'Employee.status' => 'Active'
			),
		),
		'Gender' => array(
			'className' => 'Gender',
			'foreignKey' => 'gender_code',
			'fields' => array(
				'code',
				'name',
			),
			'conditions' => array(
				'Gender.status' => 'Active'
			),
		),
		'Relation' => array(
			'className' => 'Relation',
			'foreignKey' => 'relation_code',
			'fields' => array(
				'code',
				'name',
			),
			'conditions' => array(
				'Relation.status' => 'Active'
			),
		),
	);
	
	public function beforeSave($options = array()) {
		if(!isset($this->data['RelativesInGovernment']['id'])) {
			$this->data['RelativesInGovernment']['created_by'] = $_SESSION['Auth']['User']['id'];
			$this->data['RelativesInGovernment']['modified_by'] = $_SESSION['Auth']['User']['id'];
			$this->data['RelativesInGovernment']['status'] = 'Active';
			
			// $ReferenceCode = ClassRegistry::init('ReferenceCode');
			
			// $code_char = 'BNK';
			// $reference = $ReferenceCode->findByPrefixCode($code_char);
			// $code_number = $reference['ReferenceCode']['number'] + 1;
			// $this->data['RelativesInGovernment']['code'] = $code_char . '-' . $code_number;
		
			// $ReferenceCode->query("UPDATE reference_codes SET number = '$code_number' WHERE prefix_code = '$code_char'");
		}
		else {
			$this->data['RelativesInGovernment']['modified_by'] = $_SESSION['Auth']['User']['id'];
		}
		
		return true;
	}
}
?>