<?php
App::uses('AppModel', 'Model');

class SalaryGradeGroupDetail extends AppModel {
	
	// public $actsAs = array('AuditLog.Auditable');
	public $tablePrefix = 'setting_';
	public $primaryKey = 'code';
	// public $displayField = 'name';
	
	
	
	
	public $validate = array(
        'new_basic_salary' => array(
			
			'new_basic_salary logic 1' => array(
				'rule'		=> 'notEmpty',
				'message'	=> 'New Basic Salary is required.'
			),
        ),
        'new_hazard_pay_percentage' => array(
			
			'new_hazard_pay_percentage logic 1' => array(
				'rule'		=> 'notEmpty',
				'message'	=> 'New Hazard pay percentage is required.'
			),
        ),
        'new_annual_salary' => array(
			
			'new_annual_salary logic 1' => array(
				'rule'		=> 'notEmpty',
				'message'	=> 'New Annual Salary is required.'
			),
        ),
        'new_semi_monthly_rate' => array(
			
			'new_semi_monthly_rate logic 1' => array(
				'rule'		=> 'notEmpty',
				'message'	=> 'New-Semi Monthly Rate is required.'
			),
        ),
        'new_weekly_rate' => array(
			
			'new_weekly_rate logic 1' => array(
				'rule'		=> 'notEmpty',
				'message'	=> 'New weekly rate is required.'
			),
        ),
		
        'new_daily_rate' => array(
			
			'new_daily_rate logic 1' => array(
				'rule'		=> 'notEmpty',
				'message'	=> 'New Daily Rate is required.'
			),
        ),
        'new_hourly_rate' => array(
			
			'new_hourly_rate logic 1' => array(
				'rule'		=> 'notEmpty',
				'message'	=> 'New Hourly Rate is required.'
			),
        ),
		'new_minute_rate' => array(
			
			'new_minute_rate logic 1' => array(
				'rule'		=> 'notEmpty',
				'message'	=> 'New Minute Rate is required.'
			),
        ),
		'phic_employee_share' => array(
			
			'phic_employee_share logic 1' => array(
				'rule'		=> 'notEmpty',
				'message'	=> 'PHIC Employee Share is required.'
			),
        ),
		'phic_employer_share' => array(
			
			'phic_employer_share logic 1' => array(
				'rule'		=> 'notEmpty',
				'message'	=> 'PHIC Employer Share is required.'
			),
        ),
		'pagibig_employee_share' => array(
			
			'pagibig_employee_share logic 1' => array(
				'rule'		=> 'notEmpty',
				'message'	=> 'PagIbig Employee Share is required.'
			),
        ),
		'pagibig_employer_share' => array(
			
			'pagibig_employer_share logic 1' => array(
				'rule'		=> 'notEmpty',
				'message'	=> 'PagIbig Employer Share is required.'
			),
        ),
		'gsis_employee_share' => array(
			
			'gsis_employee_share logic 1' => array(
				'rule'		=> 'notEmpty',
				'message'	=> 'GSIS employee share is required.'
			),
        ),
		'gsis_employer_share' => array(
			
			'gsis_employer_share logic 1' => array(
				'rule'		=> 'notEmpty',
				'message'	=> 'GSIS employer share is required.'
			),
        ),
		'gsis_ecip_employer_share' => array(
			
			'gsis_ecip_employer_share logic 1' => array(
				'rule'		=> 'notEmpty',
				'message'	=> 'GSIS ECIP employer share is required.'
			),
        ),
		
	);
	
	public $belongsTo = array(
		'SalaryGradeGroup' => array(
			'className' => 'SalaryGradeGroup',
			'foreignKey' => 'salary_grade_group_code',
			'conditions' => array(
				'SalaryGradeGroup.status' => 'Active'
			)
		),'SalaryGrade' => array(
			'className' => 'SalaryGrade',
			'foreignKey' => 'salary_grade_code',
			'conditions' => array(
				'SalaryGrade.status' => 'Active'
			)
		),'SalaryGradeStepNumber' => array(
			'className' => 'SalaryGradeStepNumber',
			'foreignKey' => 'salary_grade_step_number_code',
			'conditions' => array(
				'SalaryGradeStepNumber.status' => 'Active'
			)
		),
	);
	
	public function add_salary_grade_group_detail($data = array()) {		
	
		return $this->save($data);
	}
	
	public function update_salary_grade_group_detail($data = array()) {
		return $this->save($data);
	}
	
	public function update_status($salary_grade_group_detail_id = null, $salary_grade_group_detail = null) {
		$existing_salary_grade_group_detail = $this->find_existing_salary_grade_group_detail_by_id_or_code($salary_grade_group_detail_id);
		
		if(isset($existing_salary_grade_group_detail) && count($existing_salary_grade_group_detail) > 0) {
			$existing_salary_grade_group_detail['SalaryGradeGroupDetail']['status'] = $salary_grade_group_detail;
			$data = $existing_salary_grade_group_detail;
		}

		return $this->save($data);
	}
	
	public function find_existing_salary_grade_group_detail_by_name($salary_grade_group_detail_name = null) {
		if(isset($salary_grade_group_detail_name)) {
			$default_conditions = array(
				'SalaryGradeGroupDetail.name' => $salary_grade_group_detail_name
			);
		}
		
		$salary_grade_group_detail = $this->find('first', array(
			'fields' => array(
				'SalaryGradeGroupDetail.id',
				'SalaryGradeGroupDetail.code',
				'SalaryGradeGroupDetail.name',
				'SalaryGradeGroupDetail.salary_grade_number',
				'SalaryGradeGroupDetail.basic_salary',
				'SalaryGradeGroupDetail.hazard_pay_percentage',
				'SalaryGradeGroupDetail.status',
				'SalaryGradeGroupDetail.lock_flag'
			),
			'contain' => 'SalaryGradeGroupDetailStepNumber',
			'conditions' => $default_conditions
		));
		
		return $salary_grade;
	}
	
	public function find_existing_salary_grade_by_id_or_code($salary_grade_id = null) {
		if(is_numeric($salary_grade_id)) {
			$default_conditions = array(
				'SalaryGradeGroupDetail.id' => $salary_grade_id
			);
		}
		else {
			$default_conditions = array(
				'SalaryGradeGroupDetail.code' => $salary_grade_id
			);
		}
		
		$salary_grade = $this->find('first', array(
			// 'fields' => array(
				// 'SalaryGradeGroupDetail.id',
				// 'SalaryGradeGroupDetail.code',
				// 'SalaryGradeGroupDetail.name',
				// 'SalaryGradeGroupDetail.salary_grade_number',
				// 'SalaryGradeGroupDetail.basic_salary',
				// 'SalaryGradeGroupDetail.hazard_pay_percentage',
				// 'SalaryGradeGroupDetail.status',
				// 'SalaryGradeGroupDetail.lock_flag'
			// ),
			'contain' => array(
				'SalaryGradeGroupDetailStepNumber',
				'SalaryGradeGroupDetailGroup',
			),
			'conditions' => $default_conditions
		));
		
		return $salary_grade;
	}
	
	
		
	public function beforeSave($options = array()) {
		if(!isset($this->data['SalaryGradeGroupDetail']['code'])) {
			$this->data['SalaryGradeGroupDetail']['created_by'] = $_SESSION['Auth']['User']['id'];
			$this->data['SalaryGradeGroupDetail']['modified_by'] = $_SESSION['Auth']['User']['id'];
			$this->data['SalaryGradeGroupDetail']['status'] = 'Active';
			
			$ReferenceCode = ClassRegistry::init('ReferenceCode');
			
			$code_char = 'SGGD';
			$reference = $ReferenceCode->findByPrefixCode($code_char);
			$code_number = $reference['ReferenceCode']['number'] + 1;
			$this->data['SalaryGradeGroupDetail']['code'] = $code_char . '-' . $code_number;
		
			$ReferenceCode->query("UPDATE reference_codes SET number = '$code_number' WHERE prefix_code = '$code_char'");
		}
		else {
			$this->data['SalaryGradeGroupDetail']['modified_by'] = $_SESSION['Auth']['User']['id'];
		}
		
		return true;
	}
}
?>