<?php
App::uses('AppModel', 'Model');

class Schedule extends AppModel {
	
	public $actsAs = array('AuditLog.Auditable');
	// public $tablePrefix = 'setting_';
	public $primaryKey = 'code';
	public $displayField = 'group_name';
	
	public $validate = array(
        'from' => array(
			'from logic 1' => array(
				'rule'		=> 'notEmpty',
				'message'	=> 'Date is required.'
			),
        ),
		'to' => array(
			'to logic 1' => array(
				'rule'		=> 'notEmpty',
				'message'	=> 'Date is required.'
			),
        ),
		'schedule_type_code' => array(
			'rule'		=> 'notEmpty',
			'message'	=> 'Schedule is required.'
        ),
		// 'shift_code' => array(
			// 'rule'		=> 'notEmpty',
			// 'message'	=> 'Shift is required.'
			
        // ),
		'employee_code' => array(
			'employee_code logic 1' => array(
				'rule'		=> 'notEmpty',
				'message'	=> 'Employee is required.'
			),
        ),
		
	);
	// public function cantBeEmpty(){
		// return ( empty($this->data['Schedule']['schedule_type_code']));
	// }
	// public function cantBeEmptyShift(){
		// return ( empty($this->data['Schedule']['shift_code']));
	// }
	// public $belongsTo = array(
		// 'Shift' => array(
			// 'className' => 'Shift',
			// 'foreignKey' => 'shift_code',
		// ),
	// );
	
	// public $validate = array(
        // 'employee_code' => array(
			// 'employee_code logic 1' => array(
				// 'rule'		=> 'notEmpty',
				// 'message'	=> 'Employee is required.'
			// ),
        // ),
	// );
	
	public $hasMany = array(
		'EmployeeSchedule' => array(
			'className' => 'EmployeeSchedule',
			'foreignKey' => 'schedule_code',
			'conditions'=>array(
				'status'=>'Active'
			)
		),
	);
	
	public $belongsTo = array(
		'Shift' => array(
			'className' => 'Shift',
			'foreignKey' => 'shift_code',
			'conditions'=>array(
				'Shift.status'=>'Active'
			)
		),
		'ScheduleType' => array(
			'className' => 'ScheduleType',
			'foreignKey' => 'schedule_type_code',
			'conditions'=>array(
				'ScheduleType.status'=>'Active'
			)
		)
	);
	
	public function beforeSave($options = array()) {
		
		$this->data['Schedule'] = AppModel::fix_date_format(
			$this->data['Schedule'],
			array('from','to')
		);
	 
		if(!isset($this->data['Schedule']['code'])) {
			$this->data['Schedule']['created_by'] = $_SESSION['Auth']['User']['id'];
			$this->data['Schedule']['modified_by'] = $_SESSION['Auth']['User']['id'];
			$this->data['Schedule']['status'] = 'Active';
				
			$ReferenceCode = ClassRegistry::init('ReferenceCode');
			
			$code_char = 'SCHED';
			$reference = $ReferenceCode->findByPrefixCode($code_char);
			$code_number = $reference['ReferenceCode']['number'] + 1;
			$year = $reference['ReferenceCode']['year_code'];
			// debug($year);
			
			if($year != date('Y')){
				$year= date('Y');
				$ReferenceCode->query("UPDATE reference_codes SET year_code = '$year' WHERE prefix_code = '$code_char'");
				$code_number=1;
			}
			$this->data['Schedule']['code'] = (date('y') . '-'.$code_char . (str_pad($code_number,7,"0",STR_PAD_LEFT)));
			
			$ReferenceCode->query("UPDATE reference_codes SET number = '$code_number' WHERE prefix_code = '$code_char'");
		}
		else {
			$this->data['Schedule']['modified_by'] = $_SESSION['Auth']['User']['id'];
		}
		
		return true;
	}
	
	public function afterFind($results, $primary = false)
	{
		foreach($results as $x => $result){
			if(isset($result['Schedule']['schedule_date'])){
				$results[$x]['Schedule']['schedule_date'] = date('m/d/Y',strtotime($results[$x]['Schedule']['schedule_date']));
			}
			
			if(isset($result['Schedule']['from'])){
				$results[$x]['Schedule']['from'] = date('m/d/Y',strtotime($results[$x]['Schedule']['from']));
			}
			
			if(isset($result['Schedule']['to'])){
				$results[$x]['Schedule']['to'] = date('m/d/Y',strtotime($results[$x]['Schedule']['to']));
			}
		}

		return $results;
	}
}
?>