<?php
App::uses('AppModel', 'Model');

class SectionHistoryLog extends AppModel {
	
	public $tablePrefix = 'setting_';
	// public $primaryKey = 'code';
	// public $displayField = 'name';
	
	
	public $belongsTo= array(
		'SectionHead' => array(
			'className' => 'Employee',
			'foreignKey' => 'section_head',
			'fields' => array(
				'SectionHead.combination_whole_name',
				
			),
			'conditions' => array(
				'SectionHead.status' => 'Active'
			)
		),
		'SectionAssistantHead' => array(
			'className' => 'Employee',
			'foreignKey' => 'assistant_section_head',
			'fields' => array(
				'SectionAssistantHead.combination_whole_name',
				
			),
			'conditions' => array(
				'SectionAssistantHead.status' => 'Active'
			)
		),
		'Section' => array(
			'className' => 'Section',
			'foreignKey' => 'section_code',
			'conditions' => array(
				'Section.status' => 'Active'
			)
		),
		'Division' => array(
			'className' => 'Division',
			'foreignKey' => 'division_code',
			'conditions' => array(
				'Division.status' => 'Active'
			)
		),
		
		
	);

	
	public function beforeSave($options = array()) {
		if(!isset($this->data['SectionHistoryLog']['id'])) {
			$this->data['SectionHistoryLog']['created_by'] = $_SESSION['Auth']['User']['id'];
			$this->data['SectionHistoryLog']['modified_by'] = $_SESSION['Auth']['User']['id'];
			$this->data['SectionHistoryLog']['status'] = 'Active';
			
			$ReferenceCode = ClassRegistry::init('ReferenceCode');
			
			$code_char = 'SEC';
			$reference = $ReferenceCode->findByPrefixCode($code_char);
			$code_number = $reference['ReferenceCode']['number'] + 1;
			$this->data['Section']['code'] = $code_char . '-' . $code_number;
		
			$ReferenceCode->query("UPDATE reference_codes SET number = '$code_number' WHERE prefix_code = '$code_char'");
		}
		else {
			$this->data['SectionHistoryLog']['modified_by'] = $_SESSION['Auth']['User']['id'];
		}
		
		return true;
	}
}
?>