<?php
App::uses('AppModel', 'Model');

class ServiceRecord extends AppModel {
	
	public $actsAs = array('AuditLog.Auditable');
	public $tablePrefix = 'employee_';
	// public $primaryKey = 'code';
	// public $displayField = 'name';
	public $validate = array(
        // 'designation' => array(
			// 'designation logic 2' => array(
				// 'rule'		=> 'notEmpty',
				// 'message'	=> 'Designation is required.'
			// ),
        // ),
		// 'date_from' => array(
			// 'date_from logic 2' => array(
				// 'rule'		=> 'notEmpty',
				// 'message'	=> 'Date is required.'
			// ),
        // ),
		// 'date_to' => array(
			// 'date_to logic 2' => array(
				// 'rule'		=> 'notEmpty',
				// 'message'	=> 'Date is required.'
			// ),
        // ),
		// 'salary' => array(
			// 'salary logic 2' => array(
				// 'rule'		=> 'notEmpty',
				// 'message'	=> 'Salary is required.'
			// ),
        // ),
		// 'service_status' => array(
			// 'service_status logic 2' => array(
				// 'rule'		=> 'notEmpty',
				// 'message'	=> 'Service Status is required.'
			// ),
        // ),
		// 'placement_assignment' => array(
			// 'placement_assignment logic 2' => array(
				// 'rule'		=> 'notEmpty',
				// 'message'	=> 'Place assignment is required.'
			// ),
        // ),
		// 'branch' => array(
			// 'branch logic 2' => array(
				// 'rule'		=> 'notEmpty',
				// 'message'	=> 'Branch Status is required.'
			// ),
        // ),
		// 'wop' => array(
			// 'wop logic 2' => array(
				// 'rule'		=> 'notEmpty',
				// 'message'	=> 'WOP Status is required.'
			// ),
        // ),
	);
	public $belongsTo = array(
		'Employee' => array(
			'className' => 'Employee',
			'foreignKey' => 'employee_code',
			'conditions' => array(
				'Employee.status' => 'Active'
			),
		),
		'EmploymentStatus' => array(
			'className' => 'EmploymentStatus',
			'foreignKey' => 'employment_status_code',
			'conditions' => array( 
				'EmploymentStatus.status' => 'Active',
			),
		),
	);
	
	public function beforeValidate($options = array()) {
		if(isset($this->data['ServiceRecord']['date_from']) && validate_datetime($this->data['ServiceRecord']['date_from'], 'm/d/Y')) {
			$this->data['ServiceRecord']['date_from'] = convert_datetime($this->data['ServiceRecord']['date_from'], 'Y-m-d');
		}	
			
		if(isset($this->data['ServiceRecord']['date_to']) && validate_datetime($this->data['ServiceRecord']['date_to'], 'm/d/Y')) {
			$this->data['ServiceRecord']['date_to'] = convert_datetime($this->data['ServiceRecord']['date_to'], 'Y-m-d');
		}
		if(isset($this->data['ServiceRecord']['separation_date']) && validate_datetime($this->data['ServiceRecord']['separation_date'], 'm/d/Y')) {
			$this->data['ServiceRecord']['separation_date'] = convert_datetime($this->data['ServiceRecord']['separation_date'], 'Y-m-d');
		}
			
		return true;
	}
	
	public function beforeSave($options = array()) {
		if(!isset($this->data['ServiceRecord']['id'])) {
			$this->data['ServiceRecord']['created_by'] = $_SESSION['Auth']['User']['id'];
			$this->data['ServiceRecord']['modified_by'] = $_SESSION['Auth']['User']['id'];
			$this->data['ServiceRecord']['status'] = 'Active'; 
		}
		else {
			$this->data['ServiceRecord']['modified_by'] = $_SESSION['Auth']['User']['id'];
		} 
		return true;
	}
	
	public function afterFind($results, $primary = false)
	{
		foreach($results as $x => $result){
			if(isset($result['ServiceRecord']['date_from'])){
				$results[$x]['ServiceRecord']['date_from'] = date('m/d/Y',strtotime($results[$x]['ServiceRecord']['date_from']));
			}
			
			if(isset($result['ServiceRecord']['date_to'])){
				$results[$x]['ServiceRecord']['date_to'] = date('m/d/Y',strtotime($results[$x]['ServiceRecord']['date_to']));
			}
			if(isset($result['ServiceRecord']['separation_date'])){
				$results[$x]['ServiceRecord']['separation_date'] = date('m/d/Y',strtotime($results[$x]['ServiceRecord']['separation_date']));
			}
		}

		return $results;
	}
}
?>