<?php
App::uses('AppModel', 'Model');

class Shift extends AppModel {
	
	public $actsAs = array('AuditLog.Auditable');
	public $tablePrefix = 'setting_';
	public $primaryKey = 'code';
	public $displayField = 'name';
	
	
	
	public $validate = array(

		'time_in' => array(
			'time_in logic 1' => array(
				'rule'		=> 'notEmpty',
				'message'	=> 'Time In is required.'
			),
			// 'time_in logic 2' => array(
				// 'rule'		=> array('notSameValue', 'time_in', 'break_in','break_out','time_out'),
				// 'message'	=> 'Time in has a the same value.'
			// ),
         ),
		 
		  // 'break_out' => array(
			// 'break_out logic 1' => array(
				// 'rule'		=> 'notEmpty',
				// 'message'	=> 'Break Out is required.'
			// ),
			// 'break_out logic 2' => array(
				// 'rule'		=> array('notSameValue', 'break_out', 'time_in','break_in','time_out'),
				// 'message'	=> 'Break Out has a the same value.'
			// ),
         // ),
		
		 
		// 'break_in' => array(
			// 'break_in logic 1' => array(
				// 'rule'		=> 'notEmpty',
				// 'message'	=> 'Break In is required.'
			// ),
			// 'break_in logic 1' => array(
				// 'rule'		=> array('notSameValue', 'break_in', 'time_in','break_out','time_out'),
				// 'message'	=> 'Break in has a the same value.'
			// ),
         // ),
		 
		
		'time_out' => array(
			'time_out logic 1' => array(
				'rule'		=> 'notEmpty',
				'message'	=> 'Time Out is required.'
			),
			// 'time_out logic 2' => array(
				// 'rule'		=> array('notSameValue', 'time_out', 'time_in','break_in','break_out'),
				// 'message'	=> 'Time Out has a the same value.'
			// ),
         ),
		 
		'no_of_hours' => array(
			'rule'		=> 'notEmpty',
			'message'	=> 'No of hours is required.'
        ),
		// 'shift_code' => array(
			// 'rule'		=> 'notEmpty',
			// 'message'	=> 'Shift is required.'
			
        // ),
		
	);
	
	public function notSameValue($check,$base_column_name = '', $field_1 = null, $field_2 = null, $field_3 = null) {
		
		if (isset($this->data[$this->name])) {
			
			$compare_check			=	$check[$base_column_name];
			$compare_data_1		=	$this->data[$this->name][$field_1];
			$compare_data_2		=	$this->data[$this->name][$field_2];
			$compare_data_3		=	$this->data[$this->name][$field_3];
		 
			if($compare_check != $compare_data_1 && $compare_check != $compare_data_2 && $compare_check != $compare_data_3) {

				return true;
			}
			else {

				return false;
			}
		}
		else {
			return false;
		}
			
	}
		
	public function beforeSave($options = array()) {
		if(!isset($this->data['Shift']['id'])) {
			$this->data['Shift']['created_by'] = $_SESSION['Auth']['User']['id'];
			$this->data['Shift']['modified_by'] = $_SESSION['Auth']['User']['id'];
			$this->data['Shift']['status'] = 'Active';
			
			$ReferenceCode = ClassRegistry::init('ReferenceCode');
			
			$code_char = 'SHFT';
			$reference = $ReferenceCode->findByPrefixCode($code_char);
			$code_number = $reference['ReferenceCode']['number'] + 1;
			$this->data['Shift']['code'] = $code_char . '-' . $code_number;
		
			$ReferenceCode->query("UPDATE reference_codes SET number = '$code_number' WHERE prefix_code = '$code_char'");
		}
		else {
			$this->data['Shift']['modified_by'] = $_SESSION['Auth']['User']['id'];
		}
		
		return true;
	}
}
?>