<?php
App::uses('AppModel', 'Model');

class StatementOfAssetsLiabilityAndNetworth extends AppModel {
	
	public $actsAs = array('AuditLog.Auditable');
	public $tablePrefix = 'employee_';
	public $primaryKey = 'code';
	// public $displayField = 'name';
	public $validate = array(
        // 'employee_code' => array(
			// 'employee_code logic 2' => array(
				// 'rule'		=> 'notEmpty',
				// 'message'	=> 'Name is required.'
			// ),
        // ),
		// 'date_passed' => array(
			// 'date_passed logic 2' => array(
				// 'rule'		=> 'notEmpty',
				// 'message'	=> 'Date Pass is required.'
			// ),
		
        // ),
		// 'title' => array(
			// 'title logic 2' => array(
				// 'rule'		=> 'notEmpty',
				// 'message'	=> 'Title Path is required.'
			// ),
        // ),
		// 'attachment' => array(
			// 'attachment logic 2' => array(
				// 'rule'		=> 'notEmpty',
				// 'message'	=> 'Attachment Path is required.'
			// ),
        // ),
		
		'filing_option' => array(
			'filing_option logic 2' => array(
				'rule'		=> 'notEmpty',
				'message'	=> 'Filing Option is required.'
			),
        ),
	);
	public $belongsTo = array(
		'Employee' => array(
			'className' => 'Employee',
			'foreignKey' => 'employee_code',
			'conditions' => array(
				'Employee.status' => 'Active'
			),
		),
		
		
	);
	public $hasMany= array(
		'RealProperty' => array(
			'className' => 'RealProperty',
			'foreignKey' => 'statement_of_assets_liability_and_networth_code',

			'conditions' => array(
				'RealProperty.status' => 'Active'
			)
		),
		'PersonalProperty' => array(
			'className' => 'PersonalProperty',
			'foreignKey' => 'statement_of_assets_liability_and_networth_code',

			'conditions' => array(
				'PersonalProperty.status' => 'Active'
			)
		),
		'Liability' => array(
			'className' => 'Liability',
			'foreignKey' => 'statement_of_assets_liability_and_networth_code',

			'conditions' => array(
				'Liability.status' => 'Active'
			)
		),
		'BusinessInterestsAndFinancialConnection' => array(
			'className' => 'BusinessInterestsAndFinancialConnection',
			'foreignKey' => 'statement_of_assets_liability_and_networth_code',

			'conditions' => array(
				'BusinessInterestsAndFinancialConnection.status' => 'Active'
			)
		),
		'RelativesInGovernmentService' => array(
			'className' => 'RelativesInGovernmentService',
			'foreignKey' => 'statement_of_assets_liability_and_networth_code',

			'conditions' => array(
				'RelativesInGovernmentService.status' => 'Active'
			)
		),
		'Document' => array(
			'className' => 'Document',
			'foreignKey' => 'statement_of_assets_liability_and_networth_code',

			'conditions' => array(
				'Document.status' => 'Active'
			)
		),
	);

	public function beforeValidate($options = array()) {
		if(isset($this->data['StatementOfAssetsLiabilityAndNetworth']['filing_date']) && validate_datetime($this->data['StatementOfAssetsLiabilityAndNetworth']['filing_date'], 'm/d/Y')) {
			$this->data['StatementOfAssetsLiabilityAndNetworth']['filing_date'] = convert_datetime($this->data['StatementOfAssetsLiabilityAndNetworth']['filing_date'], 'Y-m-d');
		}	
		
		if(isset($this->data['StatementOfAssetsLiabilityAndNetworth']['as_of_date']) && validate_datetime($this->data['StatementOfAssetsLiabilityAndNetworth']['as_of_date'], 'm/d/Y')) {
			$this->data['StatementOfAssetsLiabilityAndNetworth']['as_of_date'] = convert_datetime($this->data['StatementOfAssetsLiabilityAndNetworth']['as_of_date'], 'Y-m-d');
		}	
			
		return true;
	}	
	
	public function beforeSave($options = array()) {
		if(!isset($this->data['StatementOfAssetsLiabilityAndNetworth']['code'])) {
			$this->data['StatementOfAssetsLiabilityAndNetworth']['created_by'] = $_SESSION['Auth']['User']['id'];
			$this->data['StatementOfAssetsLiabilityAndNetworth']['modified_by'] = $_SESSION['Auth']['User']['id'];
			$this->data['StatementOfAssetsLiabilityAndNetworth']['status'] = 'Active';
			
			$ReferenceCode = ClassRegistry::init('ReferenceCode');
			$code_char = 'SALN';
			$reference = $ReferenceCode->findByPrefixCode($code_char);
			$code_number = $reference['ReferenceCode']['number'] + 1;
			$this->data['StatementOfAssetsLiabilityAndNetworth']['code'] = $code_char . '-' . $code_number;
		
			$ReferenceCode->query("UPDATE reference_codes SET number = '$code_number' WHERE prefix_code = '$code_char'");
			// $code_char = 'SALN';
			// $reference = $ReferenceCode->findByPrefixCode($code_char);
			// $code_number = $reference['ReferenceCode']['number'] + 1;
			// $this->data['StatementOfAssetsLiabilityAndNetworth']['real_property_code'] = $code_char . '-' . $code_number;
		
			// $ReferenceCode->query("UPDATE reference_codes SET number = '$code_number' WHERE prefix_code = '$code_char'");
		}
		else {
			$this->data['StatementOfAssetsLiabilityAndNetworth']['modified_by'] = $_SESSION['Auth']['User']['id'];
		}
		
		return true;
	}
	
	public function afterFind($results, $primary = false)
	{
		foreach($results as $x => $result){
			if(isset($result['StatementOfAssetsLiabilityAndNetworth']['filing_date'])){
				$results[$x]['StatementOfAssetsLiabilityAndNetworth']['filing_date'] = date('m/d/Y',strtotime($results[$x]['StatementOfAssetsLiabilityAndNetworth']['filing_date']));
			}
			
			if(isset($result['StatementOfAssetsLiabilityAndNetworth']['as_of_date'])){
				$results[$x]['StatementOfAssetsLiabilityAndNetworth']['as_of_date'] = date('m/d/Y',strtotime($results[$x]['StatementOfAssetsLiabilityAndNetworth']['as_of_date']));
			}
		}

		return $results;
	}
}
?>