<?php
App::uses('AppModel', 'Model');

class SubUnitHistoryLog extends AppModel {
	
	public $tablePrefix = 'setting_';
	
	public $belongsTo = array(
		'Unit' => array(
			'className' => 'Unit',
			'foreignKey' => 'unit_code',
			'fields' => array(
				'Unit.name',
				
			),
			'conditions' => array(
				'Unit.status' => 'Active'
			)
		),
		
		'SubUnitHead' => array(
			'className' => 'Employee',
			'foreignKey' => 'sub_unit_head',
			'fields' => array(
				'SubUnitHead.combination_whole_name',
				
			),
			'conditions' => array(
				'SubUnitHead.status' => 'Active'
			)
		),
		'SubUnitHeadAssistant' => array(
			'className' => 'Employee',
			'foreignKey' => 'sub_unit_head_assistant',
			'fields' => array(
				'SubUnitHeadAssistant.combination_whole_name',
				
			),
			'conditions' => array(
				'SubUnitHeadAssistant.status' => 'Active'
			)
		),
		'SubUnit' => array(
			'className' => 'SubUnit',
			'foreignKey' => 'sub_unit_code',
			// 'fields' => array(
				// 'SubUnit.unit_code',
				// 'SubUnit.sub_unit_code',
				// 'SubUnit.name',
				// 'SubUnit.sub_unit_head',
				// 'SubUnit.sub_unit_head_assistant',
			// ),
			'conditions' => array(
				'SubUnit.status' => 'Active'
			)
		),
		'Division' => array(
			'className' => 'Division',
			'foreignKey' => 'division_code',
			'conditions' => array(
				'SubUnit.status' => 'Active'
			)
		),
		'Section' => array(
			'className' => 'Section',
			'foreignKey' => 'section_code',
			'conditions' => array(
				'SubUnit.status' => 'Active'
			)
		)
	);		

	public function beforeSave($options = array()) {
		if(!isset($this->data['SubUnitHistoryLog']['id'])) {
			$this->data['SubUnitHistoryLog']['created_by'] = $_SESSION['Auth']['User']['id'];
			$this->data['SubUnitHistoryLog']['modified_by'] = $_SESSION['Auth']['User']['id'];
			$this->data['SubUnitHistoryLog']['status'] = 'Active';
		}
		else {
			$this->data['SubUnitHistoryLog']['modified_by'] = $_SESSION['Auth']['User']['id'];
		}
		
		return true;
	}
}
?>