<?php
App::uses('AppModel', 'Model');

class SystemApprover extends AppModel {
	
	public $actsAs = array('AuditLog.Auditable');
	// public $tablePrefix = 'setting_';
	// public $primaryKey = 'code';
	// public $displayField = 'hr_admin';
	public $validate = array(
        'hr_admin' => array(
			'hr_admin logic 2' => array(
				'rule'		=> 'notEmpty',
				'message'	=> 'Name is required.'
			),
        ),
		'hr_admin_assistant' => array(
			'hr_admin_assistant logic 2' => array(
				'rule'		=> 'notEmpty',
				'message'	=> 'Name is required.'
			),
        ),
		'hr_admin_liason' => array(
			'hr_admin_liason logic 2' => array(
				'rule'		=> 'notEmpty',
				'message'	=> 'Name is required.'
			),
        ),
		'admin_approval' => array(
			'admin_approval logic 2' => array(
				'rule'		=> 'notEmpty',
				'message'	=> 'Name is required.'
			),
        ),
		'admin_officer' => array(
			'admin_officer logic 2' => array(
				'rule'		=> 'notEmpty',
				'message'	=> 'Name is required.'
			),
        ),
		'admin_officer_assistant' => array(
			'admin_officer_assistant logic 2' => array(
				'rule'		=> 'notEmpty',
				'message'	=> 'Name is required.'
			),
        ),
	);
	public $belongsTo = array(
		'HrAdmin' => array(
			'className' => 'Employee',
			'foreignKey' => 'hr_admin',
			'fields' => array(
				'HrAdmin.employee_code',
				'HrAdmin.first_name',
				'HrAdmin.middle_name',
				'HrAdmin.last_name',
				'HrAdmin.combination_whole_name',
				'HrAdmin.standard_name',
			),
			'conditions' => array(
				'HrAdmin.status' => 'Active'
			)
		),
		'HrAdminAssistant' => array(
			'className' => 'Employee',
			'foreignKey' => 'hr_admin_assistant',
			'fields' => array(
				'HrAdminAssistant.employee_code',
				'HrAdminAssistant.first_name',
				'HrAdminAssistant.middle_name',
				'HrAdminAssistant.last_name',
				'HrAdminAssistant.combination_whole_name',
				'HrAdminAssistant.standard_name',
			),
			'conditions' => array(
				'HrAdminAssistant.status' => 'Active'
			)
		),
		'HrAdminLiason' => array(
			'className' => 'Employee',
			'foreignKey' => 'hr_admin_liason',
			'fields' => array(
				'HrAdminLiason.employee_code',
				'HrAdminLiason.first_name',
				'HrAdminLiason.middle_name',
				'HrAdminLiason.last_name',
				'HrAdminLiason.combination_whole_name',
				'HrAdminLiason.standard_name',
			),
			'conditions' => array(
				'HrAdminLiason.status' => 'Active'
			)
		),
		'AdminOfficer' => array(
			'className' => 'Employee',
			'foreignKey' => 'admin_officer',
			'fields' => array(
				'AdminOfficer.employee_code',
				'AdminOfficer.first_name',
				'AdminOfficer.middle_name',
				'AdminOfficer.last_name',
				'AdminOfficer.combination_whole_name',
				'AdminOfficer.standard_name',
			),
			'conditions' => array(
				'AdminOfficer.status' => 'Active'
			)
		),
		'AdminOfficerAssistant' => array(
			'className' => 'Employee',
			'foreignKey' => 'admin_officer_assistant',
			'fields' => array(
				'AdminOfficerAssistant.employee_code',
				'AdminOfficerAssistant.first_name',
				'AdminOfficerAssistant.middle_name',
				'AdminOfficerAssistant.last_name',
				'AdminOfficerAssistant.combination_whole_name',
				'AdminOfficerAssistant.standard_name',
			),
			'conditions' => array(
				'AdminOfficerAssistant.status' => 'Active'
			)
		),
	);
	
	public $hasOne = array(
		'SystemApproverHistoryLog' => array(
			'className' => 'SystemApproverHistoryLog',
			'foreignKey' => 'system_approver_id',
			'conditions' => array(
				'SystemApproverHistoryLog.status' => 'Active'
			)
		),
	);
	
	public function update_system_approver($data = array()) {
		return $this->save($data);
	}
	
	public function find_existing_system_approver_by_id_or_code($system_approver_id = null) {
		if(is_numeric($system_approver_id)) {
			$default_conditions = array(
				'SystemApprover.id' => $system_approver_id
			);
		}
		else {
			$default_conditions = array(
				'SystemApprover.code' => $system_approver_id
			);
		}
		
		$system_approver = $this->find('first', array(
			'recursive'=>1,
			'conditions' => $default_conditions
		));
		
		return $system_approver;
	}
	
	public function beforeSave($options = array()) {
		if(!isset($this->data['SystemApprover']['id'])) {
			$this->data['SystemApprover']['created_by'] = $_SESSION['Auth']['User']['id'];
			$this->data['SystemApprover']['modified_by'] = $_SESSION['Auth']['User']['id'];
			$this->data['SystemApprover']['status'] = 'Active';
		}
		else {
			$this->data['SystemApprover']['modified_by'] = $_SESSION['Auth']['User']['id'];
		}
		
		return true;
	}
}
?>