<?php
App::uses('AppModel', 'Model');

class SystemApproverHistoryLog extends AppModel {
	
	// public $tablePrefix = 'setting_';
	// public $primaryKey = 'code';
	// public $displayField = 'name';
	
	public $belongsTo = array(
		'HrAdmin' => array(
			'className' => 'Employee',
			'foreignKey' => 'hr_admin',
			'fields' => array(
				'HrAdmin.employee_code',
				'HrAdmin.first_name',
				'HrAdmin.middle_name',
				'HrAdmin.last_name',
				'HrAdmin.combination_whole_name',
				'HrAdmin.standard_name',
			),
			'conditions' => array(
				'HrAdmin.status' => 'Active'
			)
		),
		'HrAdminAssistant' => array(
			'className' => 'Employee',
			'foreignKey' => 'hr_admin_assistant',
			'fields' => array(
				'HrAdminAssistant.employee_code',
				'HrAdminAssistant.first_name',
				'HrAdminAssistant.middle_name',
				'HrAdminAssistant.last_name',
				'HrAdminAssistant.combination_whole_name',
				'HrAdminAssistant.standard_name',
			),
			'conditions' => array(
				'HrAdminAssistant.status' => 'Active'
			)
		),
		'HrAdminLiason' => array(
			'className' => 'Employee',
			'foreignKey' => 'hr_admin_liason',
			'fields' => array(
				'HrAdminLiason.employee_code',
				'HrAdminLiason.first_name',
				'HrAdminLiason.middle_name',
				'HrAdminLiason.last_name',
				'HrAdminLiason.combination_whole_name',
				'HrAdminLiason.standard_name',
			),
			'conditions' => array(
				'HrAdminLiason.status' => 'Active'
			)
		),
		'AdminOfficer' => array(
			'className' => 'Employee',
			'foreignKey' => 'admin_officer',
			'fields' => array(
				'AdminOfficer.employee_code',
				'AdminOfficer.first_name',
				'AdminOfficer.middle_name',
				'AdminOfficer.last_name',
				'AdminOfficer.combination_whole_name',
				'AdminOfficer.standard_name',
			),
			'conditions' => array(
				'AdminOfficer.status' => 'Active'
			)
		),
		'AdminOfficerAssistant' => array(
			'className' => 'Employee',
			'foreignKey' => 'admin_officer_assistant',
			'fields' => array(
				'AdminOfficerAssistant.employee_code',
				'AdminOfficerAssistant.first_name',
				'AdminOfficerAssistant.middle_name',
				'AdminOfficerAssistant.last_name',
				'AdminOfficerAssistant.combination_whole_name',
				'AdminOfficerAssistant.standard_name',
			),
			'conditions' => array(
				'AdminOfficerAssistant.status' => 'Active'
			)
		),
		'SystemApprover' => array(
			'className' => 'SystemApprover',
			'foreignKey' => 'system_approver_id',
			'conditions' => array(
				'SystemApprover.status' => 'Active'
			)
		),
	);
	
	public function beforeSave($options = array()) {
		if(!isset($this->data['SystemApproverHistoryLog']['id'])) {
			$this->data['SystemApproverHistoryLog']['created_by'] = $_SESSION['Auth']['User']['id'];
			$this->data['SystemApproverHistoryLog']['modified_by'] = $_SESSION['Auth']['User']['id'];
			$this->data['SystemApproverHistoryLog']['status'] = 'Active';
		}
		else {
			$this->data['SystemApproverHistoryLog']['modified_by'] = $_SESSION['Auth']['User']['id'];
		}
		
		return true;
	}
}
?>