<?php
App::uses('AppModel', 'Model');

class TakeExam extends AppModel {
	
	public $actsAs = array('AuditLog.Auditable');
	public $tablePrefix = 'recruitment_';
	// public $primaryKey = 'code';
	// public $displayField = 'employee_code';
	
	public $belongsTo = array(
		'Exam' => array(
			'className' => 'Exam',
			'foreignKey' => 'exam_reference_number',
			'conditions' => array(
				'Exam.status' => 'Active'
			),
		),
		'ApplicantAppliedPosition' => array(
			'className' => 'Applicant',
			'foreignKey' => 'applicant_applied_position_id',
			'conditions' => array(
				'ApplicantAppliedPosition.status' => 'Active'
			),
		),
	);
	
	public $hasMany = array(
		'TakeExamApplicantAnswer' => array(
			'className' => 'TakeExamApplicantAnswer',
			'foreignKey' => 'take_exam_id',
			'conditions' => array(
				'TakeExamApplicantAnswer.status' => 'Active'
			)
		),
	);
	
	public function beforeSave($options = array()) {
		if(!isset($this->data['TakeExam']['id'])) {
			$this->data['TakeExam']['created_by'] = $_SESSION['Auth']['User']['id'];
			$this->data['TakeExam']['modified_by'] = $_SESSION['Auth']['User']['id'];
			$this->data['TakeExam']['status'] = 'Active';
		}
		else {
			$this->data['TakeExam']['modified_by'] = $_SESSION['Auth']['User']['id'];
		}
		
		return true;
	}
}
?>