<?php
App::uses('AppModel', 'Model');

class TaxTable extends AppModel {
	public $actsAs = array('AuditLog.Auditable');
	public $tablePrefix = 'payroll_';
	// public $primaryKey = 'code';
	// public $displayField = 'name';
	
	public $belongsTo = array(
		'TaxStatus' => array(
			'className' => 'TaxStatus',
			'foreignKey' => 'tax_status_code',
			'conditions' => array(
				'TaxStatus.status' => 'Active'
			)
		),
		'PayrollType' => array(
			'className' => 'PayrollType',
			'foreignKey' => 'payroll_type_code',
			'conditions' => array(
				'PayrollType.status' => 'Active'
			)
		),
	);
	
	public function beforeSave($options = array()) {
		if(!isset($this->data['TaxTable']['id'])) {
			$this->data['TaxTable']['created_by'] = $_SESSION['Auth']['User']['id'];
			$this->data['TaxTable']['modified_by'] = $_SESSION['Auth']['User']['id'];
			$this->data['TaxTable']['status'] = 'Active';
			
			$ReferenceCode = ClassRegistry::init('ReferenceCode');
			
			$code_char = 'TXTBLE';
			$reference = $ReferenceCode->findByPrefixCode($code_char);
			$code_number = $reference['ReferenceCode']['number'] + 1;
			$this->data['TaxTable']['code'] = $code_char . '-' . $code_number;
		
			$ReferenceCode->query("UPDATE reference_codes SET number = '$code_number' WHERE prefix_code = '$code_char'");
		}
		else {
			$this->data['TaxTable']['modified_by'] = $_SESSION['Auth']['User']['id'];
		}
		
		return true;
	}
}
?>