<?php
App::uses('AppModel', 'Model');

class TempCivilService extends AppModel {
	public $tablePrefix = 'employee_';
	public $actsAs = array('AuditLog.Auditable');
	// public $primaryKey = 'code';
	// public $displayField = 'name';
	public $validate = array(
        'employee_code' => array(
			'employee_code logic 2' => array(
				'rule'		=> 'notEmpty',
				'message'	=> 'Name is required.'
			),
        ),
		// 'date_passed' => array(
			// 'date_passed logic 2' => array(
				// 'rule'		=> 'notEmpty',
				// 'message'	=> 'Date Pass is required.'
			// ),
		
        // ),
		// 'title' => array(
			// 'title logic 2' => array(
				// 'rule'		=> 'notEmpty',
				// 'message'	=> 'Title Path is required.'
			// ),
        // ),
		// 'attachment' => array(
			// 'attachment logic 2' => array(
				// 'rule'		=> 'notEmpty',
				// 'message'	=> 'Attachment Path is required.'
			// ),
        // ),
	);
	public $belongsTo = array(
		'Employee' => array(
			'className' => 'Employee',
			'foreignKey' => 'employee_code',
			'conditions' => array(
				'Employee.status' => 'Active'
			),
		),

		'CareerServiceType' => array(
			'className' => 'CareerServiceType',
			'foreignKey' => 'career_service_code',
			'conditions' => array(
				'CareerServiceType.status' => 'Active'
			),
		),
	);

	public $hasMany = array(
		'TempCivilServiceHistoryLog' => array(
			'className' => 'TempCivilServiceHistoryLog',
			'foreignKey' =>'civil_service_history_logs_id',
			// 'foreignKey' =>'civil_service_id',
			'conditions' => array(
				'TempCivilServiceHistoryLog.status' => 'Active',
			)
		),
	);
	
	public function beforeValidate($options = array()) {
		// debug($this->data);
		// exit();
		if(isset($this->data['TempCivilService']['date_passed']) && validate_datetime($this->data['TempCivilService']['date_passed'], 'm/d/Y')) {
			$this->data['TempCivilService']['date_passed'] = convert_datetime($this->data['TempCivilService']['date_passed'], 'Y-m-d');
		}	
		
		if(isset($this->data['TempCivilService']['date_of_examination']) && validate_datetime($this->data['TempCivilService']['date_of_examination'], 'm/d/Y')) {
			$this->data['TempCivilService']['date_of_examination'] = convert_datetime($this->data['TempCivilService']['date_of_examination'], 'Y-m-d');
		}
		
		if(isset($this->data['TempCivilService']['date_of_validity']) && validate_datetime($this->data['TempCivilService']['date_of_validity'], 'm/d/Y')) {
			$this->data['TempCivilService']['date_of_validity'] = convert_datetime($this->data['TempCivilService']['date_of_validity'], 'Y-m-d');
		}
			
		return true;
	}
	
	public function beforeSave($options = array()) {
		// debug($this->data);
		// exit();
		if(!isset($this->data['TempCivilService']['id'])) {
			$this->data['TempCivilService']['created_by'] = $_SESSION['Auth']['User']['id'];
			$this->data['TempCivilService']['modified_by'] = $_SESSION['Auth']['User']['id'];
			$this->data['TempCivilService']['status'] = 'Active';
		}
		else {
			$this->data['TempCivilService']['modified_by'] = $_SESSION['Auth']['User']['id'];
		}
		
		return true;
	}
	
	public function afterFind($results, $primary = false)
	{
		foreach($results as $x => $result){
			if(isset($result['TempCivilService']['date_passed'])){
				$results[$x]['TempCivilService']['date_passed'] = date('m/d/Y',strtotime($results[$x]['TempCivilService']['date_passed']));
			}
			
			// if(isset($result['TempCivilService']['date_of_examination'])){
				// $results[$x]['TempCivilService']['date_of_examination'] = date('m/d/Y',strtotime($results[$x]['TempCivilService']['date_of_examination']));
			// }
			
			if(isset($result['TempCivilService']['date_of_validity'])){
				$results[$x]['TempCivilService']['date_of_validity'] = date('m/d/Y',strtotime($results[$x]['TempCivilService']['date_of_validity']));
			}
		}

		return $results;
	}
}
?>