<?php
App::uses('AppModel', 'Model');

class TempCivilServiceHistoryLog extends AppModel {
	public $actsAs = array('AuditLog.Auditable');
	public $tablePrefix = 'employee_';

	public $belongsTo = array(
		'Employee' => array(
			'className' => 'Employee',
			'foreignKey' => 'employee_code',
			'conditions' => array(
				'Employee.status' => 'Active'
			),
		),

		'CareerServiceType' => array(
			'className' => 'CareerServiceType',
			'foreignKey' => 'career_service_code',
			'conditions' => array(
				'CareerServiceType.status' => 'Active'
			),
		),
		
		'TempCivilService' => array(
			'className' => 'TempCivilService',
			// 'foreignKey' => 'civil_service_id',
			'foreignKey' => 'civil_service_history_logs_id',
			'conditions' => array(
				'TempCivilService.status' => 'Active'
			),
		),
	);
	
	public function beforeValidate($options = array()) {
		if(isset($this->data['TempCivilServiceHistoryLog']['date_passed']) && validate_datetime($this->data['TempCivilServiceHistoryLog']['date_passed'], 'm/d/Y')) {
			$this->data['TempCivilServiceHistoryLog']['date_passed'] = convert_datetime($this->data['TempCivilServiceHistoryLog']['date_passed'], 'Y-m-d');
		}	
		
		if(isset($this->data['TempCivilServiceHistoryLog']['date_of_examination']) && validate_datetime($this->data['TempCivilServiceHistoryLog']['date_of_examination'], 'm/d/Y')) {
			$this->data['TempCivilServiceHistoryLog']['date_of_examination'] = convert_datetime($this->data['TempCivilServiceHistoryLog']['date_of_examination'], 'Y-m-d');
		}
		
		if(isset($this->data['TempCivilServiceHistoryLog']['date_of_validity']) && validate_datetime($this->data['TempCivilServiceHistoryLog']['date_of_validity'], 'm/d/Y')) {
			$this->data['TempCivilServiceHistoryLog']['date_of_validity'] = convert_datetime($this->data['TempCivilServiceHistoryLog']['date_of_validity'], 'Y-m-d');
		}
			
		return true;
	}
	
	public function beforeSave($options = array()) {
		// debug($this->data);
		// exit();
		if(!isset($this->data['TempCivilServiceHistoryLog']['id'])) {
			$this->data['TempCivilServiceHistoryLog']['created_by'] = $_SESSION['Auth']['User']['id'];
			$this->data['TempCivilServiceHistoryLog']['modified_by'] = $_SESSION['Auth']['User']['id'];
			$this->data['TempCivilServiceHistoryLog']['status'] = 'Active';
		}
		else {
			$this->data['TempCivilServiceHistoryLog']['modified_by'] = $_SESSION['Auth']['User']['id'];
		}
		
		return true;
	}
	
	public function afterFind($results, $primary = false)
	{
		foreach($results as $x => $result){
			if(isset($result['TempCivilServiceHistoryLog']['date_passed'])){
				$results[$x]['TempCivilServiceHistoryLog']['date_passed'] = date('m/d/Y',strtotime($results[$x]['TempCivilServiceHistoryLog']['date_passed']));
			}
			
			// if(isset($result['TempCivilServiceHistoryLog']['date_of_examination'])){
				// $results[$x]['TempCivilServiceHistoryLog']['date_of_examination'] = date('m/d/Y',strtotime($results[$x]['TempCivilServiceHistoryLog']['date_of_examination']));
			// }
			
			if(isset($result['TempCivilServiceHistoryLog']['date_of_validity'])){
				$results[$x]['TempCivilServiceHistoryLog']['date_of_validity'] = date('m/d/Y',strtotime($results[$x]['TempCivilServiceHistoryLog']['date_of_validity']));
			}
		}

		return $results;
	}
}
?>