<?php
App::uses('AppModel', 'Model');

class TempEducation extends AppModel {
	
	public $actsAs = array('AuditLog.Auditable');
	// public $primaryKey = "employee_code";
	public $tablePrefix = 'employee_';
	// public $primaryKey = 'code';

	public $validate = array(
        'degree_level' => array(
			'degree_level logic 2' => array(
				'rule'		=> 'notEmpty',
				'message'	=> 'Degree Level is required.'
			),
        ),
		'from' => array(
			'from logic 2' => array(
				'rule'		=> 'notEmpty',
				'message'	=> 'Date From is required.'
			),
        ),
		'to' => array(
			'to logic 2' => array(
				'rule'		=> 'notEmpty',
				'message'	=> 'Date To Degree is required.'
			),
        ),
		// 'year_graduated' => array(
			// 'year_graduated logic 2' => array(
				// 'rule'		=> 'notEmpty',
				// 'message'	=> 'Year Graduated Degree is required.'
			// ),
        // ),
	);
	public $belongsTo = array(
		'Employee' => array(
			'className' => 'Employee',
			'foreignKey' => 'employee_code',
			'conditions' => array(
				'Employee.status' => 'Active'
			),
		),
		'Level' => array(
			'className' => 'Level',
			'foreignKey' => 'degree_level',
			'conditions' => array(
				'Level.status' => 'Active'
			),
		),
		'Specialization' => array(
			'className' => 'Specialization',
			'foreignKey' => 'specialization_code',
			'conditions' => array(
				'Specialization.status' => 'Active'
			),
		),
	);
	
	public function beforeValidate($options = array()) {
		if(isset($this->data['TempEducation']['from']) && validate_datetime($this->data['TempEducation']['from'], 'm/d/Y')) {
			$this->data['TempEducation']['from'] = convert_datetime($this->data['TempEducation']['from'], 'Y-m-d');
		}	
		
		if(isset($this->data['TempEducation']['to']) && validate_datetime($this->data['TempEducation']['to'], 'm/d/Y')) {
			$this->data['TempEducation']['to'] = convert_datetime($this->data['TempEducation']['to'], 'Y-m-d');
		}
		
		return true;
	}
	
	public function beforeSave($options = array()) {
		if(!isset($this->data['TempEducation']['id'])) {
			$this->data['TempEducation']['created_by'] = $_SESSION['Auth']['User']['id'];
			$this->data['TempEducation']['modified_by'] = $_SESSION['Auth']['User']['id'];
			$this->data['TempEducation']['status'] = 'Active';
			
			// $ReferenceCode = ClassRegistry::init('ReferenceCode');
			
			// $code_char = 'BNK';
			// $reference = $ReferenceCode->findByPrefixCode($code_char);
			// $code_number = $reference['ReferenceCode']['number'] + 1;
			// $this->data['TempEducation']['code'] = $code_char . '-' . $code_number;
		
			// $ReferenceCode->query("UPDATE reference_codes SET number = '$code_number' WHERE prefix_code = '$code_char'");
		}
		else {
			$this->data['TempEducation']['modified_by'] = $_SESSION['Auth']['User']['id'];
		}
		
		return true;
	}
	
	public function afterFind($results, $primary = false)
	{
		// foreach($results as $x => $result){
			// if(isset($result['TempEducation']['from'])){
				// $results[$x]['TempEducation']['from'] = date('m/d/Y',strtotime($results[$x]['TempEducation']['from']));
			// }
			
			// if(isset($result['TempEducation']['to'])){
				// $results[$x]['TempEducation']['to'] = date('m/d/Y',strtotime($results[$x]['TempEducation']['to']));
			// }
		// }

		return $results;
	}
}
?>