<?php
App::uses('AppModel', 'Model');

class TempFamilyMember extends AppModel {
	
	public $actsAs = array('AuditLog.Auditable');
	public $tablePrefix = 'employee_';
	// public $primaryKey = 'code';
	// public $displayField = 'name';
	public $validate = array(
        'name' => array(
			'name logic 2' => array(
				'rule'		=> 'notEmpty',
				'message'	=> 'Name is required.'
			),
        ),
		// 'gender_code' => array(
			// 'gender_code logic 2' => array(
				// 'rule'		=> 'notEmpty',
				// 'message'	=> 'Gender is required.'
			// ),
        // ),
		// 'relation_code' => array(
			// 'relation_code logic 2' => array(
				// 'rule'		=> 'notEmpty',
				// 'message'	=> 'Relation is required.'
			// ),
        // ),
		'age' => array(
			'age logic 2' => array(
				'rule'		=> 'notEmpty',
				'message'	=> 'Age is required.'
			),
        ),
	);
	
	public $hasMany = array(
		'TempFamilyMemberChildren' => array(
				'className' => 'TempFamilyMemberChildren',
				'conditions' => array(
					'TempFamilyMemberChildren.status' => 'Active'
				),
			),
	);
	
	public $belongsTo = array(
		'Employee' => array(
			'className' => 'Employee',
			'foreignKey' => 'employee_code',
			'conditions' => array(
				'Employee.status' => 'Active'
			),
		),
		// 'Gender' => array(
			// 'className' => 'Gender',
			// 'foreignKey' => 'gender_code',
			// 'fields' => array(
				// 'code',
				// 'name',
			// ),
			// 'conditions' => array(
				// 'Gender.status' => 'Active'
			// ),
		// ),
		// 'Relation' => array(
			// 'className' => 'Relation',
			// 'foreignKey' => 'relation_code',
			// 'fields' => array(
				// 'code',
				// 'name',
			// ),
			// 'conditions' => array(
				// 'Relation.status' => 'Active'
			// ),
		// ),
	);
	public function __construct($id = false, $table = null, $ds = null) {
		parent::__construct($id, $table, $ds);
		$this->virtualFields['spouse_combination_whole_name'] = sprintf(
			'CONCAT(%s.spouse_surname, ", ", %s.spouse_first_name, " ", %s.spouse_middle_name)', $this->alias, $this->alias, $this->alias
		);
		$this->virtualFields['spouse_combination_whole_maiden_name'] = sprintf(
			'CONCAT(%s.spouse_middle_name, ", ", %s.spouse_first_name, " ", %s.spouse_maiden_middle_name)', $this->alias, $this->alias, $this->alias
		);
		$this->virtualFields['spouse_standard_name'] = sprintf(
			'CONCAT(%s.spouse_first_name, " ", SUBSTR(%s.spouse_middle_name, 1, 1), ". ", %s.spouse_surname)', $this->alias, $this->alias, $this->alias
		);
	}
	public function beforeSave($options = array()) {
		if(!isset($this->data['TempFamilyMember']['id'])) {
			$this->data['TempFamilyMember']['created_by'] = $_SESSION['Auth']['User']['id'];
			$this->data['TempFamilyMember']['modified_by'] = $_SESSION['Auth']['User']['id'];
			$this->data['TempFamilyMember']['status'] = 'Active';
			
			// $ReferenceCode = ClassRegistry::init('ReferenceCode');
			
			// $code_char = 'BNK';
			// $reference = $ReferenceCode->findByPrefixCode($code_char);
			// $code_number = $reference['ReferenceCode']['number'] + 1;
			// $this->data['TempFamilyMember']['code'] = $code_char . '-' . $code_number;
		
			// $ReferenceCode->query("UPDATE reference_codes SET number = '$code_number' WHERE prefix_code = '$code_char'");
		}
		else {
			$this->data['TempFamilyMember']['modified_by'] = $_SESSION['Auth']['User']['id'];
		}
		
		return true;
	}
}
?>