<?php
App::uses('AppModel', 'Model');

class TempGovernmentIssuedId extends AppModel {
	
	public $actsAs = array('AuditLog.Auditable');
	public $tablePrefix = 'employee_';
	//public $primaryKey = 'code';
	// public $displayField = 'name';
	public $validate = array(
        'government_issued_id_no' => array(
			'service_years logic 2' => array(
				'rule'		=> 'notEmpty',
				'message'	=> 'This field is required.'
			),
        ),
	);
	
	public $belongsTo = array(
		'Employee' => array(
			'className' => 'Employee',
			'foreignKey' => 'employee_code',
			'conditions' => array(
				'Employee.status' => 'Active'
			),
		),
	);
	
	public function beforeValidate($options = array()) {
		if(isset($this->data['TempGovernmentIssuedId']['date_place_of_issuance']) && validate_datetime($this->data['TempGovernmentIssuedId']['date_place_of_issuance'], 'm/d/Y')) {
			$this->data['TempGovernmentIssuedId']['date_place_of_issuance'] = convert_datetime($this->data['TempGovernmentIssuedId']['date_place_of_issuance'], 'Y-m-d');
		}	
		
	}
	
	public function beforeSave($options = array()) {
		if(!isset($this->data['TempGovernmentIssuedId']['id'])) {
			$this->data['TempGovernmentIssuedId']['created_by'] = $_SESSION['Auth']['User']['id'];
			$this->data['TempGovernmentIssuedId']['modified_by'] = $_SESSION['Auth']['User']['id'];
			$this->data['TempGovernmentIssuedId']['status'] = 'Active';
			
			// $ReferenceCode = ClassRegistry::init('ReferenceCode');
			
			// $code_char = 'BNK';
			// $reference = $ReferenceCode->findByPrefixCode($code_char);
			// $code_number = $reference['ReferenceCode']['number'] + 1;
			// $this->data['WorkHistory']['code'] = $code_char . '-' . $code_number;
		
			// $ReferenceCode->query("UPDATE reference_codes SET number = '$code_number' WHERE prefix_code = '$code_char'");
		}
		else {
			$this->data['TempGovernmentIssuedId']['modified_by'] = $_SESSION['Auth']['User']['id'];
		}
		
		return true;
	}
	
	 public function afterFind($results, $primary = false)
	 {
		 foreach($results as $x => $result){
			 if(isset($result['TempGovernmentIssuedId']['date_place_of_issuance'])){
				 $results[$x]['TempGovernmentIssuedId']['date_place_of_issuance'] = date('m/d/Y',strtotime($results[$x]['TempGovernmentIssuedId']['date_place_of_issuance']));
			 }
			 
		 }
		 return $results;
	 }
	
}
?>