<?php
App::uses('AppModel', 'Model');

class TempReference extends AppModel {
	public $actsAs = array('AuditLog.Auditable');
	public $tablePrefix = 'employee_';
	//public $primaryKey = 'code';
	public $displayField = 'name';
	public $validate = array(
        'name' => array(
			'service_years logic 2' => array(
				'rule'		=> 'notEmpty',
				'message'	=> 'Name is required.'
			),
        ),
	);
	public $belongsTo = array(
		'Employee' => array(
			'className' => 'Employee',
			'foreignKey' => 'employee_code',
			'conditions' => array(
				'Employee.status' => 'Active'
			),
		),
	);
	
	public function beforeValidate($options = array()) {
		if(isset($this->data['TempReference']['from']) && validate_datetime($this->data['TempReference']['from'], 'm/d/Y')) {
			$this->data['TempReference']['from'] = convert_datetime($this->data['TempReference']['from'], 'Y-m-d');
		}	
		
		if(isset($this->data['TempReference']['to']) && validate_datetime($this->data['TempReference']['to'], 'm/d/Y')) {
			$this->data['TempReference']['to'] = convert_datetime($this->data['TempReference']['to'], 'Y-m-d');
		}
	}
	
	public function beforeSave($options = array()) {
	 
		if(!isset($this->data['TempReference']['id'])) {
			$this->data['TempReference']['created_by'] = $_SESSION['Auth']['User']['id'];
			$this->data['TempReference']['modified_by'] = $_SESSION['Auth']['User']['id'];
			$this->data['TempReference']['status'] = 'Active';
			
			// $ReferenceCode = ClassRegistry::init('ReferenceCode');
			
			// $code_char = 'BNK';
			// $reference = $ReferenceCode->findByPrefixCode($code_char);
			// $code_number = $reference['ReferenceCode']['number'] + 1;
			// $this->data['WorkHistory']['code'] = $code_char . '-' . $code_number;
		
			// $ReferenceCode->query("UPDATE reference_codes SET number = '$code_number' WHERE prefix_code = '$code_char'");
		}
		else {
			$this->data['TempReference']['modified_by'] = $_SESSION['Auth']['User']['id'];
		}
		
		return true;
	}
}
?>