<?php
App::uses('AppModel', 'Model');

class TempTimeDispute extends AppModel {
	public $actsAs = array('AuditLog.Auditable');
	public $tablePrefix = 'employee_';
		// public $primaryKey = 'reference_number';
	public $belongsTo = array(
		'Employee' => array(
			'className' => 'Employee',
			'foreignKey' => 'employee_code',
			'conditions' => array(
				'Employee.status' => 'Active'
			)
		),
	);
	public $hasMany = array(
		'TempTimeDisputeAttachment' => array(
			'className' => 'TempTimeDisputeAttachment',
			'foreignKey' => 'temp_time_dispute_id',
			'conditions'=>array(
				'status'=>'Active'
			),
		),
		'ApprovalNotification' => array(
			'className' => 'ApprovalNotification',
			'foreignKey' => 'alert_code',
			'conditions'=>array(
				'status'=>'Active'
			),
		),
	);
	// public $validate = array(
		 
 //        'dispute_reason' => array(
 //            'dispute_reason logic 1' => array(
 //                'rule' => array('notEmpty'),
 //                'message' => 'Dispute Reason is required.'
 //            ),
 //        ), 
        
 //    );	


	public function beforeSave($options = array()) {
		if(!isset($this->data['TempTimeDispute']['id'])) {
			$this->data['TempTimeDispute']['created_by'] = $_SESSION['Auth']['User']['id'];
			$this->data['TempTimeDispute']['modified_by'] = $_SESSION['Auth']['User']['id'];
			$this->data['TempTimeDispute']['status'] = 'Active';
		}
		else {
			$this->data['TempTimeDispute']['modified_by'] = $_SESSION['Auth']['User']['id'];
			// $this->data['TempTimeDispute']['date_last_modified'] = date("Y-m-d");
		}
		
		return true;
	}
	
	public function afterFind($results, $primary = false)
	{
		foreach($results as $x => $result){
			if(isset($result['TempTimeDispute']['schedule_date'])){
				$results[$x]['TempTimeDispute']['schedule_date'] = date('m/d/Y',strtotime($results[$x]['TempTimeDispute']['schedule_date']));
			}
			if(isset($result['TempTimeDispute']['filing_date'])){
				$results[$x]['TempTimeDispute']['filing_date'] = date('m/d/Y',strtotime($results[$x]['TempTimeDispute']['filing_date']));
			}
			if(isset($result['TempTimeDispute']['time_in'])){
				$results[$x]['TempTimeDispute']['time_in'] = date('g:iA'  ,strtotime($results[$x]['TempTimeDispute']['time_in']));
			}
			if(isset($result['TempTimeDispute']['break_in'])){
				$results[$x]['TempTimeDispute']['break_in'] = date('g:iA'  ,strtotime($results[$x]['TempTimeDispute']['break_in']));
			}
			if(isset($result['TempTimeDispute']['break_out'])){
				$results[$x]['TempTimeDispute']['break_out'] = date('g:iA',strtotime($results[$x]['TempTimeDispute']['break_out']));
			}
			if(isset($result['TempTimeDispute']['time_out'])){
				$results[$x]['TempTimeDispute']['time_out'] = date('g:iA',strtotime($results[$x]['TempTimeDispute']['time_out']));
			}
		}

		return $results;
	}
}	
?>