<?php
App::uses('AppModel', 'Model');

class TempTimeDisputeReport extends AppModel {
	
	public $actsAs = array('AuditLog.Auditable');
	public $tablePrefix = 'employee_';
	// public $primaryKey = 'reference_number';
	
	public $belongsTo = array(
		'Employee' => array(
			'className' => 'Employee',
			'foreignKey' => 'employee_code',
			'conditions' => array(
				'Employee.status' => 'Active'
			)
		),
		// 'TempTimeDisputeAttachment' => array(
			// 'className' => 'TempTimeDisputeAttachment',
			// 'foreignKey' => 'temp_time_dispute_reference_number',
			// 'conditions'=>array(
				// 'status'=>'Active'
			// ),
		// ),
	);
	public function beforeValidate($options = array()) {
		if(isset($this->data['TempTimeDisputeReport']['schedule_date']) && validate_datetime($this->data['TempTimeDisputeReport']['schedule_date'], 'm/d/Y')) {
			$this->data['TempTimeDisputeReport']['schedule_date'] = convert_datetime($this->data['TempTimeDisputeReport']['schedule_date'], 'Y-m-d');
		}	
		if(isset($this->data['TempTimeDisputeReport']['filing_date']) && validate_datetime($this->data['TempTimeDisputeReport']['filing_date'], 'm/d/Y')) {
			$this->data['TempTimeDisputeReport']['filing_date'] = convert_datetime($this->data['TempTimeDisputeReport']['filing_date'], 'Y-m-d');
		}	
		
		
		return true;
	}	
	public function beforeSave($options = array()) {
		if(!isset($this->data['TempTimeDisputeReport']['id'])) {
			$this->data['TempTimeDisputeReport']['created_by'] = $_SESSION['Auth']['User']['id'];
			$this->data['TempTimeDisputeReport']['modified_by'] = $_SESSION['Auth']['User']['id'];
			$this->data['TempTimeDisputeReport']['status'] = 'Active';
			
			
		}
		else {
			$this->data['TempTimeDisputeReport']['modified_by'] = $_SESSION['Auth']['User']['id'];
			// $this->data['TempTimeDispute']['date_last_modified'] = date("Y-m-d");
		}
		return true;
	}
	
	// public function afterFind($results, $primary = false)
	// {
		// foreach($results as $x => $result){
			// if(isset($result['TempTimeDispute']['schedule_date'])){
				// $results[$x]['TempTimeDispute']['schedule_date'] = date('m/d/Y',strtotime($results[$x]['TempTimeDispute']['schedule_date']));
			// }
			
			// if(isset($result['TempTimeDispute']['time_in'])){
				// $results[$x]['TempTimeDispute']['time_in'] = date('m/d/Y g:iA'  ,strtotime($results[$x]['TempTimeDispute']['time_in']));
			// }
			// if(isset($result['TempTimeDispute']['break_in'])){
				// $results[$x]['TempTimeDispute']['break_in'] = date('m/d/Y g:iA'  ,strtotime($results[$x]['TempTimeDispute']['break_in']));
			// }
			// if(isset($result['TempTimeDispute']['break_out'])){
				// $results[$x]['TempTimeDispute']['break_out'] = date('m/d/Y g:iA',strtotime($results[$x]['TempTimeDispute']['break_out']));
			// }
			// if(isset($result['TempTimeDispute']['time_out'])){
				// $results[$x]['TempTimeDispute']['time_out'] = date('m/d/Y g:iA',strtotime($results[$x]['TempTimeDispute']['time_out']));
			// }
		// }

		// return $results;
	// }
}	
?>