<?php
App::uses('AppModel', 'Model');

class TempWorkExperience extends AppModel {
	public $actsAs = array('AuditLog.Auditable');
	public $tablePrefix = 'employee_';
	public $belongsTo = array(
		'Employee' => array(
			'className' => 'Employee',
			'foreignKey' => 'employee_code',
			'conditions' => array(
				'Employee.status' => 'Active'
			),
		),
		'StatusOfAppointment' => array(
			'className' => 'StatusOfAppointment',
			'foreignKey' => 'status_of_appointment_code',
			'conditions' => array(
				'StatusOfAppointment.status' => 'Active'
			),
		),
		
	);
	
	
	
	public function beforeValidate($options = array()) {
		if(isset($this->data['TempWorkExperience']['from']) && validate_datetime($this->data['TempWorkExperience']['from'], 'm/d/Y')) {
			$this->data['TempWorkExperience']['from'] = convert_datetime($this->data['TempWorkExperience']['from'], 'Y-m-d');
		}	
		
		if(isset($this->data['TempWorkExperience']['to']) && validate_datetime($this->data['TempWorkExperience']['to'], 'm/d/Y')) {
			$this->data['TempWorkExperience']['to'] = convert_datetime($this->data['TempWorkExperience']['to'], 'Y-m-d');
		}
	}
	
	public function beforeSave($options = array()) {
		if(!isset($this->data['TempWorkExperience']['id'])) {
			$this->data['TempWorkExperience']['created_by'] = $_SESSION['Auth']['User']['id'];
			$this->data['TempWorkExperience']['modified_by'] = $_SESSION['Auth']['User']['id'];
			$this->data['TempWorkExperience']['status'] = 'Active';
		}
		else {
			$this->data['TempWorkExperience']['modified_by'] = $_SESSION['Auth']['User']['id'];
		}
		
		// debug($this->data);
		// exit();
		
		return true;
	}
	
	public function afterFind($results, $primary = false)
	{
		foreach($results as $x => $result){
			if(isset($result['TempWorkExperience']['from'])){
				$results[$x]['TempWorkExperience']['from'] = date('m/d/Y',strtotime($results[$x]['TempWorkExperience']['from']));
			}
			
			if(isset($result['TempWorkExperience']['to'])){
				$results[$x]['TempWorkExperience']['to'] = date('m/d/Y',strtotime($results[$x]['TempWorkExperience']['to']));
			}
		}

		return $results;
	}
}
?>