<?php
App::uses('AppModel', 'Model');

class TrainTaxTable extends AppModel {
	
	public $actsAs = array('AuditLog.Auditable');
	public $tablePrefix = 'payroll_';
	public $primaryKey = 'code';
	// public $displayField = 'name';
	
	public $validate = array(
        'annual_income_from' => array(
			'annual_income_from logic 1' => array(
				'rule'		=> 'isUnique',
				'message'	=> 'Annual Income From is already used.',
				'on' => 'create',
			),
			'annual_income_from logic 2' => array(
				'rule'		=> 'notEmpty',
				'message'	=> 'Annual Income From is required.'
			),
        ),
		
		'annual_income_to' => array(
			'annual_income_to logic 1' => array(
				'rule'		=> 'isUnique',
				'message'	=> 'Annual Income To is already used.',
				'on' => 'create',
			),
			'annual_income_to logic 2' => array(
				'rule'		=> 'notEmpty',
				'message'	=> 'Annual Income To is required.'
			),
        ),
		
		'base_annual_income' => array(
			'base_annual_income logic 1' => array(
				'rule'		=> 'isUnique',
				'message'	=> 'Base Annual Income is already used.',
				'on' => 'create',
			),
			'base_annual_income logic 2' => array(
				'rule'		=> 'notEmpty',
				'message'	=> 'Base Annual Income is required.'
			),
        ),
		
		'additional_tax_in_peso' => array(
			// 'additional_tax_in_peso logic 1' => array(
				// 'rule'		=> 'isUnique',
				// 'message'	=> 'Additional Tax in Peso is already used.',
				// 'on' => 'create',
			// ),
			'additional_tax_in_peso logic 2' => array(
				'rule'		=> 'notEmpty',
				'message'	=> 'Additional Tax in Peso is required.'
			),
        ),
		
		'tax_rate_percentage' => array(
			'tax_rate_percentage logic 1' => array(
				'rule'		=> 'isUnique',
				'message'	=> 'Tax Rate Percentage is already used.',
				'on' => 'create',
			),
			'tax_rate_percentage logic 2' => array(
				'rule'		=> 'notEmpty',
				'message'	=> 'Tax Rate Percentage is required.'
			),
        ),
	);
	
	public function beforeSave($options = array()) {
		if(!isset($this->data['TrainTaxTable']['id'])) {
			$this->data['TrainTaxTable']['created_by'] = $_SESSION['Auth']['User']['id'];
			$this->data['TrainTaxTable']['modified_by'] = $_SESSION['Auth']['User']['id'];
			$this->data['TrainTaxTable']['status'] = 'Active';
			
			$ReferenceCode = ClassRegistry::init('ReferenceCode');
			
			// $code_char = 'TRAIN';
			// $reference = $ReferenceCode->findByPrefixCode($code_char);
			// $code_number = $reference['ReferenceCode']['number'] + 1;
			// $this->data['TrainTaxTable']['code'] = $code_char . '-' . $code_number;
		
			// $ReferenceCode->query("UPDATE reference_codes SET number = '$code_number' WHERE prefix_code = '$code_char'");
		
			$code_char = 'TRAIN';
			$reference = $ReferenceCode->findByPrefixCode($code_char);
			$code_number = $reference['ReferenceCode']['number'] + 1;
			$year = $reference['ReferenceCode']['year_code'];
		
			if($year != date('Y')){
				$year= date('Y');
				$ReferenceCode->query("UPDATE reference_codes SET year_code = '$year' WHERE prefix_code = '$code_char'");
				$code_number=1;
			}
			
			$this->data['TrainTaxTable']['code'] = (date('y') . '-'.$code_char . (str_pad($code_number,7,"0",STR_PAD_LEFT)));
		
			$ReferenceCode->query("UPDATE reference_codes SET number = '$code_number' WHERE prefix_code = '$code_char'");
		}
		else {
			$this->data['TrainTaxTable']['modified_by'] = $_SESSION['Auth']['User']['id'];
		}
		
		return true;
	}
}
?>