<?php
App::uses('AppModel', 'Model');

class UnitHistoryLog extends AppModel {
	
	public $tablePrefix = 'setting_';
	
	public $belongsTo = array(
		'Section' => array(
			'className' => 'Section',
			'foreignKey' => 'section_code',
			'fields' => array(
				'Section.name',
				
			),
			'conditions' => array(
				'Section.status' => 'Active'
			)
		),		
		'UnitHead' => array(
			'className' => 'Employee',
			'foreignKey' => 'unit_head',
			'fields' => array(
				'UnitHead.combination_whole_name',
				
			),
			'conditions' => array(
				'UnitHead.status' => 'Active'
			)
		),
		'UnitHeadAssistant' => array(
			'className' => 'Employee',
			'foreignKey' => 'unit_head_assistant',
			'fields' => array(
				'UnitHeadAssistant.combination_whole_name',
				
			),
			'conditions' => array(
				'UnitHeadAssistant.status' => 'Active'
			)
		),
		'Unit' => array(
			'className' => 'Unit',
			'foreignKey' => 'unit_code',
			'fields' => array(
				'Unit.section_code',
				'Unit.code',
				'Unit.name',
				'Unit.unit_head',
				'Unit.unit_head_assistant',
			),
			'conditions' => array(
				'Unit.status' => 'Active'
			)
		),
		'Division' => array(
			'className' => 'Division',
			'foreignKey' => 'division_code',
			'conditions' => array(
				'Division.status' => 'Active'
			)
		),
	);

	public function beforeSave($options = array()) {
		if(!isset($this->data['UnitHistoryLog']['id'])) {
			$this->data['UnitHistoryLog']['created_by'] = $_SESSION['Auth']['User']['id'];
			$this->data['UnitHistoryLog']['modified_by'] = $_SESSION['Auth']['User']['id'];
			$this->data['UnitHistoryLog']['status'] = 'Active';
		}
		else {
			$this->data['UnitHistoryLog']['modified_by'] = $_SESSION['Auth']['User']['id'];
		}
		
		return true;
	}
}
?>