<?php
App::uses('AppModel', 'Model');

class Vacancy extends AppModel {
	public $actsAs = array('AuditLog.Auditable');
	public $tablePrefix = 'recruitment_';
	public $primaryKey = 'reference_number';
	// public $displayField='job_title';
	public $belongsTo = array(
		'Section' => array(
			'className' => 'Section',
			'foreignKey' => 'section_code',
			'fields' => array(
				'code',
				'name',
			),
			'conditions' => array(
				'Section.status' => 'Active'
			),
		),
		'EmploymentStatus' => array(
			'className' => 'EmploymentStatus',
			'foreignKey' => 'employment_status_code',
			'fields' => array(
				'code',
				'name',
			),
			'conditions' => array(
				'EmploymentStatus.status' => 'Active'
			),
		),
		'ImmediateSupervisor' => array(
			'className' => 'Employee',
			'foreignKey' => 'immediate_supervisor',
			'fields' => array(
				'combination_whole_name',
			),
			'conditions' => array(
				'EmploymentStatus.status' => 'Active'
			),
		),
		// 'JobTitle' => array(
			// 'className' => 'JobTitle',
			// 'foreignKey' => 'job_title_code',
			// 'conditions' => array(
				// 'JobTitle.status' => 'Active'
			// ),
		// ),
		// 'JobTitleItemNumber' => array(
			// 'className' => 'JobTitleItemNumber',
			// 'foreignKey' => 'job_title_item_number_code',
			// 'conditions' => array(
				// 'JobTitleItemNumber.status' => 'Active'
			// ),
		// ),
	);
	// public $hasMany= array(
		// 'Applicant' => array(
			// 'className' => 'Applicant',
			// 'foreignKey' => 'vacancy_code',
			// 'conditions' => array(
				// 'Applicant.status' => 'Active'
			// )
		// ),
		
	// );
	public function beforeSave($options = array()) {
		// debug($this->data);
		// exit();
		if(!isset($this->data['Vacancy']['id'])) {
			$this->data['Vacancy']['created_by'] = $_SESSION['Auth']['User']['id'];
			$this->data['Vacancy']['modified_by'] = $_SESSION['Auth']['User']['id'];
			$this->data['Vacancy']['status'] = 'Active';
			
			// $ReferenceCode = ClassRegistry::init('ReferenceCode');
			
			// $code_char = 'RVAC';
			// $reference = $ReferenceCode->findByPrefixCode($code_char);
			// $code_number = $reference['ReferenceCode']['number'] + 1;
			// $this->data['Vacancy']['reference_number'] = $code_char . '-' . $code_number;
		
			// $ReferenceCode->query("UPDATE reference_codes SET number = '$code_number' WHERE prefix_code = '$code_char'");
		
			$ReferenceCode = ClassRegistry::init('ReferenceCode');
			
			$code_char = 'RVAC';
			$reference = $ReferenceCode->findByPrefixCode($code_char);
			$code_number = $reference['ReferenceCode']['number'] + 1;
			$year = $reference['ReferenceCode']['year_code'];
			
			if($year != date('Y')){
				$year= date('Y');
				$ReferenceCode->query("UPDATE reference_codes SET year_code = '$year' WHERE prefix_code = '$code_char'");
				$code_number=1;
			}
			
			$this->data['Vacancy']['reference_number'] = (date('y') . '-'.$code_char . (str_pad($code_number,7,"0",STR_PAD_LEFT)));
		
			$ReferenceCode->query("UPDATE reference_codes SET number = '$code_number' WHERE prefix_code = '$code_char'");
		}
		else {
			$this->data['Vacancy']['modified_by'] = $_SESSION['Auth']['User']['id'];
		}
		
		return true;
	}
}
?>