<?php
App::uses('AppModel', 'Model');

class VoluntaryWork extends AppModel {
	
	public $tablePrefix = 'employee_';
	// public $primaryKey = 'code';
	// public $displayField = 'name';
	public $validate = array(
        'service_years' => array(
			'service_years logic 2' => array(
				'rule'		=> 'notEmpty',
				'message'	=> 'Service Year is required.'
			),
        ),
		'employeer_name' => array(
			'employeer_name logic 2' => array(
				'rule'		=> 'notEmpty',
				'message'	=> 'Employeer Name is required.'
			),
        ),
		'industry_code' => array(
			'industry_code logic 2' => array(
				'rule'		=> 'notEmpty',
				'message'	=> 'Industry is required.'
			),
        ),
		'address' => array(
			'address logic 2' => array(
				'rule'		=> 'notEmpty',
				'message'	=> 'Address is required.'
			),
        ),
		'position_code' => array(
			'position_code logic 2' => array(
				'rule'		=> 'notEmpty',
				'message'	=> 'Position is required.'
			),
        ),
		
	);
	public $belongsTo = array(
		'Employee' => array(
			'className' => 'Employee',
			'foreignKey' => 'employee_code',
			'conditions' => array(
				'Employee.status' => 'Active'
			),
		),
		'VoluntaryWorkHistoryLog' => array(
			'className' => 'VoluntaryWorkHistoryLog',
			'foreignKey' => false,
			'conditions' => array(
				'VoluntaryWorkHistoryLog.employee_code = VoluntaryWork.employee_code',
				'VoluntaryWorkHistoryLog.status' => 'Active'
			),
		),
	);
	
	public function beforeValidate($options = array()) {
		if(isset($this->data['VoluntaryWork']['from']) && validate_datetime($this->data['VoluntaryWork']['from'], 'm/d/Y')) {
			$this->data['VoluntaryWork']['from'] = convert_datetime($this->data['VoluntaryWork']['from'], 'Y-m-d');
		}	
		
		if(isset($this->data['VoluntaryWork']['to']) && validate_datetime($this->data['VoluntaryWork']['to'], 'm/d/Y')) {
			$this->data['VoluntaryWork']['to'] = convert_datetime($this->data['VoluntaryWork']['to'], 'Y-m-d');
		}
	}
	
	public function beforeSave($options = array()) {
		if(!isset($this->data['VoluntaryWork']['id'])) {
			$this->data['VoluntaryWork']['created_by'] = $_SESSION['Auth']['User']['id'];
			$this->data['VoluntaryWork']['modified_by'] = $_SESSION['Auth']['User']['id'];
			$this->data['VoluntaryWork']['status'] = 'Active';
		}
		else {
			$this->data['VoluntaryWork']['modified_by'] = $_SESSION['Auth']['User']['id'];
		}
		
		return true;
	}
	
	public function afterFind($results, $primary = false)
	{
		foreach($results as $x => $result){
			if(isset($result['VoluntaryWork']['from'])){
				$results[$x]['VoluntaryWork']['from'] = date('m/d/Y',strtotime($results[$x]['VoluntaryWork']['from']));
			}
			
			if(isset($result['VoluntaryWork']['to'])){
				$results[$x]['VoluntaryWork']['to'] = date('m/d/Y',strtotime($results[$x]['VoluntaryWork']['to']));
			}
		}

		return $results;
	}
}
?>