<?php
App::uses('AppModel', 'Model');

class WorkHistory extends AppModel {
	public $actsAs = array('AuditLog.Auditable');
	public $tablePrefix = 'employee_';
	// public $primaryKey = 'code';
	// public $displayField = 'name';
	public $validate = array(
        'service_years' => array(
			'service_years logic 2' => array(
				'rule'		=> 'notEmpty',
				'message'	=> 'Service Year is required.'
			),
        ),
		'employeer_name' => array(
			'employeer_name logic 2' => array(
				'rule'		=> 'notEmpty',
				'message'	=> 'Employeer Name is required.'
			),
        ),
		'industry_code' => array(
			'industry_code logic 2' => array(
				'rule'		=> 'notEmpty',
				'message'	=> 'Industry is required.'
			),
        ),
		'address' => array(
			'address logic 2' => array(
				'rule'		=> 'notEmpty',
				'message'	=> 'Address is required.'
			),
        ),
		'position_code' => array(
			'position_code logic 2' => array(
				'rule'		=> 'notEmpty',
				'message'	=> 'Position is required.'
			),
        ),
		// 'salary_grade' => array(
			// 'salary_grade logic 2' => array(
				// 'rule'		=> 'notEmpty',
				// 'message'	=> 'Salary Grade is required.'
			// ),
        // ),
		// 'step_increment' => array(
			// 'step_increment logic 2' => array(
				// 'rule'		=> 'notEmpty',
				// 'message'	=> 'Step Increment is required.'
			// ),
        // ),
		// 'work_field' => array(
			// 'work_field logic 2' => array(
				// 'rule'		=> 'notEmpty',
				// 'message'	=> 'Work Field is required.'
			// ),
        // ),
		
	);
	public $belongsTo = array(
		'Employee' => array(
			'className' => 'Employee',
			'foreignKey' => 'employee_code',
			'conditions' => array(
				'Employee.status' => 'Active'
			),
		),
		'StatusOfAppointment' => array(
			'className' => 'StatusOfAppointment',
			'foreignKey' => 'status_of_appointment_code',
			'conditions' => array(
				'StatusOfAppointment.status' => 'Active'
			),
		),
	);
	public $hasMany = array(
		'WorkHistoryLog' => array(
			'className' => 'WorkHistoryLog',
			'foreignKey' => 'work_history_id',
			'conditions' => array(
				'WorkHistoryLog.status' => 'Active'
			),
		),
	);
	
	public function beforeValidate($options = array()) {
		if(isset($this->data['WorkHistory']['from']) && validate_datetime($this->data['WorkHistory']['from'], 'm/d/Y')) {
			$this->data['WorkHistory']['from'] = convert_datetime($this->data['WorkHistory']['from'], 'Y-m-d');
		}	
		
		if(isset($this->data['WorkHistory']['to']) && validate_datetime($this->data['WorkHistory']['to'], 'm/d/Y')) {
			$this->data['WorkHistory']['to'] = convert_datetime($this->data['WorkHistory']['to'], 'Y-m-d');
		}
		
		if(isset($this->data['WorkHistory']['separation_date']) && validate_datetime($this->data['WorkHistory']['separation_date'], 'm/d/Y')) {
			$this->data['WorkHistory']['separation_date'] = convert_datetime($this->data['WorkHistory']['separation_date'], 'Y-m-d');
		}
	}
	
	public function beforeSave($options = array()) {
		if(!isset($this->data['WorkHistory']['id'])) {
			$this->data['WorkHistory']['created_by'] = $_SESSION['Auth']['User']['id'];
			$this->data['WorkHistory']['modified_by'] = $_SESSION['Auth']['User']['id'];
			$this->data['WorkHistory']['status'] = 'Active';
			
			// $ReferenceCode = ClassRegistry::init('ReferenceCode');
			
			// $code_char = 'BNK';
			// $reference = $ReferenceCode->findByPrefixCode($code_char);
			// $code_number = $reference['ReferenceCode']['number'] + 1;
			// $this->data['WorkHistory']['code'] = $code_char . '-' . $code_number;
		
			// $ReferenceCode->query("UPDATE reference_codes SET number = '$code_number' WHERE prefix_code = '$code_char'");
		}
		else {
			$this->data['WorkHistory']['modified_by'] = $_SESSION['Auth']['User']['id'];
		}
		
		return true;
	}
	
	public function afterFind($results, $primary = false)
	{
		foreach($results as $x => $result){
			if(isset($result['WorkHistory']['from'])){
				$results[$x]['WorkHistory']['from'] = date('m/d/Y',strtotime($results[$x]['WorkHistory']['from']));
			}
			
			if(isset($result['WorkHistory']['to'])){
				$results[$x]['WorkHistory']['to'] = date('m/d/Y',strtotime($results[$x]['WorkHistory']['to']));
			}
			if(isset($result['WorkHistory']['separation_date'])){
				$results[$x]['WorkHistory']['separation_date'] = date('m/d/Y',strtotime($results[$x]['WorkHistory']['separation_date']));
			}
		}

		return $results;
	}
}
?>