<?php
App::uses('AppModel', 'Model');

class WorkHistoryLog extends AppModel {
	
	public $tablePrefix = 'employee_';
	// public $primarykey = "person_code";
	
	public $belongsTo = array(
		'StatusOfAppointment' => array(
			'className' => 'StatusOfAppointment',
			'foreignKey' => 'status_of_appointment_code',
			'conditions' => array(
				'StatusOfAppointment.status' => 'Active'
			),
		),
	);
	
	public function beforeValidate($options = array()) {
		if(isset($this->data['WorkHistoryLog']['from']) && validate_datetime($this->data['WorkHistoryLog']['from'], 'm/d/Y')) {
			$this->data['WorkHistoryLog']['from'] = convert_datetime($this->data['WorkHistoryLog']['from'], 'Y-m-d');
		}	
		
		if(isset($this->data['WorkHistoryLog']['to']) && validate_datetime($this->data['WorkHistoryLog']['to'], 'm/d/Y')) {
			$this->data['WorkHistoryLog']['to'] = convert_datetime($this->data['WorkHistoryLog']['to'], 'Y-m-d');
		}
		
		if(isset($this->data['WorkHistoryLog']['separation_date']) && validate_datetime($this->data['WorkHistoryLog']['separation_date'], 'm/d/Y')) {
			$this->data['WorkHistoryLog']['separation_date'] = convert_datetime($this->data['WorkHistoryLog']['separation_date'], 'Y-m-d');
		}
	}
	public function beforeSave($options = array()) {
		if(!isset($this->data['WorkHistoryLog']['id'])) {
			$this->data['WorkHistoryLog']['created_by'] = $_SESSION['Auth']['User']['id'];
			$this->data['WorkHistoryLog']['modified_by'] = $_SESSION['Auth']['User']['id'];
			$this->data['WorkHistoryLog']['status'] = 'Active';
		}
		else {
			$this->data['WorkHistoryLog']['modified_by'] = $_SESSION['Auth']['User']['id'];
			$this->data['WorkHistoryLog']['date_last_modified'] = date("Y-m-d");
		}
		
		return true;
	}
	public function afterFind($results, $primary = false)
	{
		foreach($results as $x => $result){
			if(isset($result['WorkHistoryLog']['from'])){
				$results[$x]['WorkHistoryLog']['from'] = date('m/d/Y',strtotime($results[$x]['WorkHistoryLog']['from']));
			}
			if(isset($result['WorkHistoryLog']['to'])){
				$results[$x]['WorkHistoryLog']['to'] = date('m/d/Y',strtotime($results[$x]['WorkHistoryLog']['to']));
			}
			if(isset($result['WorkHistoryLog']['separation_date'])){
				$results[$x]['WorkHistoryLog']['separation_date'] = date('m/d/Y',strtotime($results[$x]['WorkHistoryLog']['separation_date']));
			}
			if(isset($result['WorkHistoryLog']['created'])){
				$results[$x]['WorkHistoryLog']['created'] = date('m/d/Y',strtotime($results[$x]['WorkHistoryLog']['created']));
			}
			if(isset($result['WorkHistoryLog']['present'])){
				$results[$x]['WorkHistoryLog']['present'] = $results[$x]['WorkHistoryLog']['present'] == 1 ? "Yes": "No";
			}
		}
		return $results;
	}
}
?>