<?php
App::uses('AppModel', 'Model');

class YearEndAndCashGiftBonus extends AppModel {
	public $actsAs = array('AuditLog.Auditable');
	public $tablePrefix = 'payroll_';
	public $primaryKey = 'code';
	
	
	public $belongsTo = array(
		// 'EmploymentStatus' => array(
			// 'className' => 'EmploymentStatus',
			// 'foreignKey' => 'employment_status_code',
		// ),
	);
	
	public $hasMany = array(
		
		'YearEndAndCashGiftDetail' => array(
			'className' => 'YearEndAndCashGiftDetail',
			'foreignKey' => 'year_end_and_cash_gift_code',
			'conditions' => array(
				'YearEndAndCashGiftDetail.status' => 'Active'
			),
		),
	);
	public function beforeValidate($options = array()) {
		if(isset($this->data['YearEndAndCashGiftBonus']['year_end_and_cash_gift_date']) && validate_datetime($this->data['YearEndAndCashGiftBonus']['year_end_and_cash_gift_date'], 'm/d/Y')) {
			$this->data['YearEndAndCashGiftBonus']['year_end_and_cash_gift_date'] = convert_datetime($this->data['YearEndAndCashGiftBonus']['year_end_and_cash_gift_date'], 'Y-m-d');
		}	
		if(isset($this->data['YearEndAndCashGiftBonus']['assumption_date']) && validate_datetime($this->data['YearEndAndCashGiftBonus']['assumption_date'], 'm/d/Y')) {
			$this->data['YearEndAndCashGiftBonus']['assumption_date'] = convert_datetime($this->data['YearEndAndCashGiftBonus']['assumption_date'], 'Y-m-d');
		}
		if(isset($this->data['YearEndAndCashGiftBonus']['generated_date']) && validate_datetime($this->data['YearEndAndCashGiftBonus']['generated_date'], 'm/d/Y')) {
			$this->data['YearEndAndCashGiftBonus']['generated_date'] = convert_datetime($this->data['YearEndAndCashGiftBonus']['generated_date'], 'Y-m-d');
		}
		return true;
	}

	public function beforeSave($options = array()) {
		if(!isset($this->data['YearEndAndCashGiftBonus']['code'])) {
			$this->data['YearEndAndCashGiftBonus']['created_by'] = $_SESSION['Auth']['User']['id'];
			$this->data['YearEndAndCashGiftBonus']['modified_by'] = $_SESSION['Auth']['User']['id'];
			$this->data['YearEndAndCashGiftBonus']['status'] = 'Active';
			
			$ReferenceCode = ClassRegistry::init('ReferenceCode');
			
			$code_char = 'YECGB';
			$reference = $ReferenceCode->findByPrefixCode($code_char);
			$code_number = $reference['ReferenceCode']['number'] + 1;
			$year = $reference['ReferenceCode']['year_code'];
			
			if($year != date('Y')){
				$year= date('Y');
				$ReferenceCode->query("UPDATE reference_codes SET year_code = '$year' WHERE prefix_code = '$code_char'");
				$code_number=1;
			}
			
			$this->data['YearEndAndCashGiftBonus']['code'] = (date('y') . '-'.$code_char . (str_pad($code_number,7,"0",STR_PAD_LEFT)));
		
			$ReferenceCode->query("UPDATE reference_codes SET number = '$code_number' WHERE prefix_code = '$code_char'");
		}
		else {
			$this->data['YearEndAndCashGiftBonus']['modified_by'] = $_SESSION['Auth']['User']['id'];
		}
		return true;
	}
	 
	public function afterFind($results, $primary = false)
	{
		foreach($results as $x => $result){
			if(isset($result['YearEndAndCashGiftBonus']['year_end_and_cash_gift_date'])){
				$results[$x]['YearEndAndCashGiftBonus']['year_end_and_cash_gift_date'] = date('m/d/Y',strtotime($results[$x]['YearEndAndCashGiftBonus']['year_end_and_cash_gift_date']));
			} 
			if(isset($result['YearEndAndCashGiftBonus']['assumption_date'])){
				$results[$x]['YearEndAndCashGiftBonus']['assumption_date'] = date('m/d/Y',strtotime($results[$x]['YearEndAndCashGiftBonus']['assumption_date']));
			} 
			if(isset($result['YearEndAndCashGiftBonus']['generated_date'])){
				$results[$x]['YearEndAndCashGiftBonus']['generated_date'] = date('m/d/Y',strtotime($results[$x]['YearEndAndCashGiftBonus']['generated_date']));
			} 
		}

		return $results;
	}
	
}
?>