<?php
App::uses('AppModel', 'Model');

class YearEndAndCashGiftDetail extends AppModel {
	public $actsAs = array('AuditLog.Auditable');
	public $tablePrefix = 'payroll_';
	public $primaryKey = 'code';
	// public $displayField = 'name';
	
	public $belongsTo = array(
		'YearEndAndCashGiftBonus' => array(
			'className' => 'YearEndAndCashGiftBonus',
			'foreignKey' => 'year_end_and_cash_gift_code',
		),
		'Employee' => array(
			'className' => 'Employee',
			'foreignKey' => 'employee_code',
		),
	);
	
	public function update_multiple($data = array()) {
		foreach($data as $k=>$val){
			$code= $val['code'];
			unset($val['code']);
			// debug($val);
		// exit();
			$this->updateAll(
					$val,
				array(
					'YearEndAndCashGiftDetail.code'=>$code
				)
			);
			
		}
		
		
		return true;
	}
	public function beforeValidate($options = array()) {
		
		if(isset($this->data['YearEndAndCashGiftDetail']['date_hired']) && validate_datetime($this->data['YearEndAndCashGiftDetail']['date_hired'], 'm/d/Y')) {
			$this->data['YearEndAndCashGiftDetail']['date_hired'] = convert_datetime($this->data['YearEndAndCashGiftDetail']['date_hired'], 'Y-m-d');
		}	
		
		return true;
	}
	public function beforeSave($options = array()) {
		
		// debug($this->data);
		// exit();
		if(!isset($this->data['YearEndAndCashGiftDetail']['code'])) {
			$this->data['YearEndAndCashGiftDetail']['created_by'] = $_SESSION['Auth']['User']['id'];
			$this->data['YearEndAndCashGiftDetail']['modified_by'] = $_SESSION['Auth']['User']['id'];
			$this->data['YearEndAndCashGiftDetail']['status'] = 'Active';
			
			$ReferenceCode = ClassRegistry::init('ReferenceCode');
			
			$code_char = 'YECGD';
			$reference = $ReferenceCode->findByPrefixCode($code_char);
			$code_number = $reference['ReferenceCode']['number'] + 1;
			$year = $reference['ReferenceCode']['year_code'];
			
			// debug($year);
			
			if($year != date('Y')){
				$year= date('Y');
				$ReferenceCode->query("UPDATE reference_codes SET year_code = '$year' WHERE prefix_code = '$code_char'");
				$code_number=1;
			}
			
			$this->data['YearEndAndCashGiftDetail']['code'] = (date('y') . '-'.$code_char . (str_pad($code_number,7,"0",STR_PAD_LEFT)));
			// $this->data['YearEndAndCashGiftDetail']['reference_number'] = (date('y') . '-'.$code_char . (str_pad($code_number,9,"0",STR_PAD_LEFT)));
			$ReferenceCode->query("UPDATE reference_codes SET number = '$code_number' WHERE prefix_code = '$code_char'");
		}
		else {
			$this->data['YearEndAndCashGiftDetail']['modified_by'] = $_SESSION['Auth']['User']['id'];
		}
		
		return true;
	}
}
?>