<?php
App::uses('AppModel', 'Model');

class YearEndBonus extends AppModel {
	public $actsAs = array('AuditLog.Auditable');
	public $tablePrefix = 'payroll_';
	public $primaryKey = 'code';
	
	
	public $belongsTo = array(
		// 'EmploymentStatus' => array(
			// 'className' => 'EmploymentStatus',
			// 'foreignKey' => 'employment_status_code',
		// ),
	);
	
	public $hasMany = array(
		'YearEndBonusEmploymentStatus' => array(
			'className' => 'YearEndBonusEmploymentStatus',
			'foreignKey' => 'payroll_year_end_bonus_code',
			'conditions' => array(
				'YearEndBonusEmploymentStatus.status' => 'Active'
			),
		),
		'YearEndBonusDetail' => array(
			'className' => 'YearEndBonusDetail',
			'foreignKey' => 'payroll_year_end_bonus_code',
			'conditions' => array(
				'YearEndBonusDetail.status' => 'Active'
			),
		),
	);
	public function beforeValidate($options = array()) {
		if(isset($this->data['YearEndBonus']['year_end_bonus_date']) && validate_datetime($this->data['YearEndBonus']['year_end_bonus_date'], 'm/d/Y')) {
			$this->data['YearEndBonus']['year_end_bonus_date'] = convert_datetime($this->data['YearEndBonus']['year_end_bonus_date'], 'Y-m-d');
		}	
		if(isset($this->data['YearEndBonus']['assumption_date']) && validate_datetime($this->data['YearEndBonus']['assumption_date'], 'm/d/Y')) {
			$this->data['YearEndBonus']['assumption_date'] = convert_datetime($this->data['YearEndBonus']['assumption_date'], 'Y-m-d');
		}
		return true;
	}

	public function beforeSave($options = array()) {
		if(!isset($this->data['YearEndBonus']['code'])) {
			$this->data['YearEndBonus']['created_by'] = $_SESSION['Auth']['User']['id'];
			$this->data['YearEndBonus']['modified_by'] = $_SESSION['Auth']['User']['id'];
			$this->data['YearEndBonus']['status'] = 'Active';
			
			$ReferenceCode = ClassRegistry::init('ReferenceCode');
			
			$code_char = 'YEB';
			$reference = $ReferenceCode->findByPrefixCode($code_char);
			$code_number = $reference['ReferenceCode']['number'] + 1;
			$year = $reference['ReferenceCode']['year_code'];
			
			if($year != date('Y')){
				$year= date('Y');
				$ReferenceCode->query("UPDATE reference_codes SET year_code = '$year' WHERE prefix_code = '$code_char'");
				$code_number=1;
			}
			
			$this->data['YearEndBonus']['code'] = (date('y') . '-'.$code_char . (str_pad($code_number,7,"0",STR_PAD_LEFT)));
		
			$ReferenceCode->query("UPDATE reference_codes SET number = '$code_number' WHERE prefix_code = '$code_char'");
		}
		else {
			$this->data['YearEndBonus']['modified_by'] = $_SESSION['Auth']['User']['id'];
		}
		return true;
	}
	
	public function afterFind($results, $primary = false)
	{
		foreach($results as $x => $result){
			if(isset($result['YearEndBonus']['year_end_bonus_date'])){
				$results[$x]['YearEndBonus']['year_end_bonus_date'] = date('m/d/Y',strtotime($results[$x]['YearEndBonus']['year_end_bonus_date']));
			}
			if(isset($result['YearEndBonus']['assumption_date'])){
				$results[$x]['YearEndBonus']['assumption_date'] = date('m/d/Y',strtotime($results[$x]['YearEndBonus']['assumption_date']));
			}
			if(isset($result['YearEndBonus']['generated_date'])){
				$results[$x]['YearEndBonus']['generated_date'] = date('m/d/Y',strtotime($results[$x]['YearEndBonus']['generated_date']));
			}
			if(isset($result['YearEndBonus']['locked_date'])){
				$results[$x]['YearEndBonus']['locked_date'] = date('m/d/Y',strtotime($results[$x]['YearEndBonus']['locked_date']));
			}
		}

		return $results;
	}
	
}
?>