<?php
App::uses('AppModel', 'Model');

class YearEndBonusAndCashGift extends AppModel {
	public $actsAs = array('AuditLog.Auditable');
	// public $tablePrefix = 'setting_';
	public $primaryKey = 'code';
	// public $displayField = 'name';
	
	public $hasMany = array(
		'EmployeeYearEndBonusAndCashGift' => array(
			'className' => 'EmployeeYearEndBonusAndCashGift',
			'foreignKey' => 'year_end_bonus_and_cash_gifts_code',
			'conditions'=>array(
				'status'=>'Active'
			)
		)
	);
	public function beforeSave($options = array()) {
		
		// debug($this->data['Deduction']['id']);exit();
		
		if(!isset($this->data['YearEndBonusAndCashGift']['id'])) {
			$this->data['YearEndBonusAndCashGift']['created_by'] = $_SESSION['Auth']['User']['id'];
			$this->data['YearEndBonusAndCashGift']['modified_by'] = $_SESSION['Auth']['User']['id'];
			$this->data['YearEndBonusAndCashGift']['status'] = 'Active';
			
			$ReferenceCode = ClassRegistry::init('ReferenceCode');
			
			$code_char = 'YEBCG';
			$reference = $ReferenceCode->findByPrefixCode($code_char);
			$code_number = $reference['ReferenceCode']['number'] + 1;
			$year = $reference['ReferenceCode']['year_code'];
			
			// debug($year);
			
			if($year != date('Y')){
				$year= date('Y');
				$ReferenceCode->query("UPDATE reference_codes SET year_code = '$year' WHERE prefix_code = '$code_char'");
				$code_number=1;
			}
			
			$this->data['YearEndBonusAndCashGift']['code'] = (date('y') . '-'.$code_char . (str_pad($code_number,7,"0",STR_PAD_LEFT)));
		
			$ReferenceCode->query("UPDATE reference_codes SET number = '$code_number' WHERE prefix_code = '$code_char'");
		}
		else {
			$this->data['YearEndBonusAndCashGift']['modified_by'] = $_SESSION['Auth']['User']['id'];
		}
		
		return true;
	}
}
?>