<?php
App::uses('AppModel', 'Model');

class YearEndBonusDetail extends AppModel {
	public $actsAs = array('AuditLog.Auditable');
	public $tablePrefix = 'payroll_';
	public $primaryKey = 'code';
	
	
	public $belongsTo = array(
		'YearEndBonus' => array(
			'className' => 'YearEndBonus',
			'foreignKey' => 'payroll_year_end_bonus_code',
		),
	);
	public function beforeValidate($options = array()) {
		if(isset($this->data['YearEndBonusDetail']['date_hired']) && validate_datetime($this->data['YearEndBonusDetail']['date_hired'], 'm/d/Y')) {
			$this->data['YearEndBonusDetail']['date_hired'] = convert_datetime($this->data['YearEndBonusDetail']['date_hired'], 'Y-m-d');
		}	
		
		return true;
	}

	public function beforeSave($options = array()) {
		if(!isset($this->data['YearEndBonusDetail']['code'])) {
			$this->data['YearEndBonusDetail']['created_by'] = $_SESSION['Auth']['User']['id'];
			$this->data['YearEndBonusDetail']['modified_by'] = $_SESSION['Auth']['User']['id'];
			$this->data['YearEndBonusDetail']['status'] = 'Active';
			
			$ReferenceCode = ClassRegistry::init('ReferenceCode');
			$code_char = 'PYEBD';
			$reference = $ReferenceCode->findByPrefixCode($code_char);
			$code_number = $reference['ReferenceCode']['number'] + 1;
			$year = $reference['ReferenceCode']['year_code'];
			
			if($year != date('Y')){
				$year= date('Y');
				$ReferenceCode->query("UPDATE reference_codes SET year_code = '$year' WHERE prefix_code = '$code_char'");
				$code_number=1;
			}
			
			$this->data['YearEndBonusDetail']['code'] = (date('y') . '-'.$code_char . (str_pad($code_number,7,"0",STR_PAD_LEFT)));
		
			$ReferenceCode->query("UPDATE reference_codes SET number = '$code_number' WHERE prefix_code = '$code_char'");
		}
		else {
			$this->data['YearEndBonusDetail']['modified_by'] = $_SESSION['Auth']['User']['id'];
		}
		
		return true;
	}
	
	public function afterFind($results, $primary = false)
	{
		foreach($results as $x => $result){
			if(isset($result['YearEndBonusDetail']['date_hired'])){
				$results[$x]['YearEndBonusDetail']['date_hired'] = date('m/d/Y',strtotime($results[$x]['YearEndBonusDetail']['date_hired']));
			}
		}

		return $results;
	}
	
}
?>