<?php
App::uses('AppHelper', 'View/Helper');

class BootstrapComponentHelper extends AppHelper {
	var $helpers = array('Html', 'Form', 'BootstrapPaginator', 'DaiSecurity', 'Time');
	
	public function inspinia_get_form_input($column_name, $params = array()) {
		$params = array_merge(array('label' => false, 'class' => 'form-control', 'placeholder' => Inflector::humanize($column_name)), $params);
		return $this->Form->input($column_name, $params);
	}
	public function inspinia_create_submit_button($label = 'Submit', $params = array('type' => 'submit', 'escape' => 'false')) {
		$template_class = ' btn-primary';
		
		if(isset($params['template'])) {
			$template_class = ' btn-' . $params['template'];
			unset($params['template']);
		}
		
		if (isset($params['class'])) {
			$params['class'] = 'btn m-b ' . $params['class'] . $template_class;
		}
		else {
			$params['class'] = 'btn m-b ' . $template_class;
		}
		
		echo $this->Form->button($label, $params);
	}
		public function create_wizard_header_start($id="wizard") {
		echo ' <div id="'.$id.'" class="wizard-tab wizard-big">';
	}
	public function create_wizard_content_start($id="",$title="wizard") {
		echo '<h1>'.$title.'</h1>';
        echo '<div class="step-content" id="'.$id.'">';
		echo "<div class='row'>";
	}
	public function create_wizard_content_end() {
        echo '</div>';
        echo '</div>';
	}
	public function create_wizard_header_end() {
        echo '</div>';
	}
	public function create_loading_box($label ="Loading...",$id="myLoading") {
		echo '<div id="'.$id.'" class="text-center">
                    <div class="ibox ">
                        <div class="text-center">
                            <h3 >'.$label.'</h3>
                        </div>
                        <div class="ibox-content">
                            <div class="spiner-example">
                                <div class="sk-spinner sk-spinner-wave">
                                    <div class="sk-rect1"></div>
                                    <div class="sk-rect2"></div>
                                    <div class="sk-rect3"></div>
                                    <div class="sk-rect4"></div>
                                    <div class="sk-rect5"></div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>';
	}
	public function inspinia_create_navigation_bar_links($link_params = array()) {
		$navigation_link_string_level_1 = '';
		$navigation_link_string_level_2 = '';
		$navigation_link_string_level_3 = '';
		
		$has_match_level_1 = false;
		$has_match_level_2 = false;
		$has_match_level_3 = false;
		
		if(isset($this->params['prefix'])) {
			$action = substr($this->params['action'], strlen($this->params['prefix'] . '_'));
		}
		else {
			$action = $this->params['action'];
		}
		
		if(isset($this->params['controller'])) {
			$controller = $this->params['controller'];
		}

		foreach($link_params as $link_param_index => $link_param_key_value_pair) {
			$active_class = '';
			if (isset($link_param_key_value_pair['url'])) {	
				
				if(isset($link_param_key_value_pair['url']['controller']) && $link_param_key_value_pair['url']['controller'] == $controller && isset($link_param_key_value_pair['url']['action']) && $link_param_key_value_pair['url']['action'] == $action) {
					$active_class = ' class="active"';
				}
				
				$navigation_link_string_level_1.= '<li' . $active_class . '>' . $this->create_secured_link($link_param_index, $link_param_key_value_pair['url'], array('escape' => false)) . '</li>';
				
				$active_class = '';
			}
			else if (isset($link_param_key_value_pair['children'])) {
				$total_children_level_2 = 0;
				$total_children_level_3 = 0;
				foreach($link_param_key_value_pair['children'] as $children_one_level_index => $children_one_level_key_value_pair) {
					if (isset($children_one_level_key_value_pair['url'])) {	
						if(isset($children_one_level_key_value_pair['url']['controller']) && $children_one_level_key_value_pair['url']['controller'] == $controller && isset($children_one_level_key_value_pair['url']['action']) && $children_one_level_key_value_pair['url']['action'] == $action) {
							$active_class = ' class="active"';
							$has_match_level_2 = true;
						}
						
						$link_button_string = $this->create_secured_link($children_one_level_index, $children_one_level_key_value_pair['url'], array('escape' => false));
						
						if($link_button_string != "") {
							$navigation_link_string_level_2 .= '<li' . $active_class . '>' . $link_button_string . '</li>';
							$total_children_level_2++;
						}
						else {
							$navigation_link_string_level_2 .= '';
						}
						
						
						
						
						$active_class = '';
					}
					else if(isset($children_one_level_key_value_pair['children'])) {
						
						$total_children_level_3 = 0;
						foreach($children_one_level_key_value_pair['children'] as $children_two_level_index => $children_two_level_key_value_pair) {
							if (isset($children_two_level_key_value_pair['url'])) {	
								if(isset($children_two_level_key_value_pair['url']['controller']) && $children_two_level_key_value_pair['url']['controller'] == $controller && isset($children_two_level_key_value_pair['url']['action']) && $children_two_level_key_value_pair['url']['action'] == $action) {
									$active_class = ' class="active"';
									$has_match_level_2 = true;
									$has_match_level_3 = true;
								}

								
								$link_button_string = $this->create_secured_link($children_two_level_index, $children_two_level_key_value_pair['url'], array('escape' => false));
						
								if($link_button_string != "") {
									$navigation_link_string_level_3 .= '<li' . $active_class . '>' . $link_button_string . '</li>';
									$total_children_level_3++;
								}
								else {
									$navigation_link_string_level_3 .= '';
								}
						
								$active_class = '';
							}
							else {
								$navigation_link_string_level_3 .= '<li><a></a></li>';
								// $navigation_link_string_level_3 .= '<li><a>' . $children_two_level_key_value_pair . '</a></li>';
							}						
						}
						
						if($has_match_level_3) {
							$active_class = ' class="active"';
						}
						
						if($total_children_level_3 > 0) {
							$navigation_link_string_level_2 .= '
								<li' . $active_class . '>' . $this->Html->link('<span class="nav-label">' . $children_one_level_index . '</span> <span class="fa arrow"></span>',	'#', array('escape' => false)) . '
									<ul class="nav nav-third-level collapse">
							';
							
							$navigation_link_string_level_2 .= $navigation_link_string_level_3;
							
							$navigation_link_string_level_3 = '';
							$has_match_level_3 = false;
							$active_class = '';
							
							$navigation_link_string_level_2 .= '
									</ul>
								</li>
							';
						}
						
						
					}
					else {
						$navigation_link_string_level_2 .= '<li><a>' . $children_one_level_key_value_pair . '</a></li>';
					}
				}
				
				if($has_match_level_2) {
					$active_class = ' class="active"';
				}
				
				
				if($total_children_level_2 + $total_children_level_3 > 0) {
					$navigation_link_string_level_1.= '
						<li' . $active_class . '>' . $this->Html->link('<span class="nav-label">' . $link_param_index . '</span> <span class="fa arrow"></span>',	'#', array('escape' => false)) . '
							<ul class="nav nav-second-level collapse">
					';
					
					$navigation_link_string_level_1.= $navigation_link_string_level_2;
					
					$navigation_link_string_level_2 = '';
					$has_match_level_2 = false;
					$active_class = '';
					
					$navigation_link_string_level_1.= '
							</ul>
						</li>
					';
				}
				
			}
			else {
				$navigation_link_string_level_1.= '<li><a>' . $link_param_key_value_pair . '</a></li>';
			}
		}
		
		echo $navigation_link_string_level_1;
	}
	
	public function inspinia_create_list_item_links($link_params = array()) {
		foreach($link_params as $link_title => $link_param) {
			if(is_array($link_param)) {
				echo '<li>' . $this->create_secured_link($link_title, $link_param['url'], array('escape' => false)) . '</li>';
			}
			else {
				echo $link_param;
			}
		}
	}
	
	public function inspinia_create_page_container_start($title, $params = array()) {
		$collapsed_style = '';
		$collapsed_arrow_style = 'fa-chevron-up';
		
		if(isset($params['start_collapsed']) && $params['start_collapsed']) {
			$collapsed_style = ' collapsed';
			$collapsed_arrow_style = 'fa-chevron-down';
		}
		echo '<div class="row">
					<div class="col-md-12">
						<div class="ibox float-e-margins">
							<div class="ibox-title">
								<h5>' . $title . '</h5>
								<div class="ibox-tools">
									<a class="collapse-link">
										<i class="fa ' . $collapsed_arrow_style . '"></i>
									</a>
								</div>
							</div>
							<div class="ibox-content form-horizontal' . $collapsed_style . '">
		';
	}
	
	public function inspinia_create_page_container_end() {
		echo '			</div>
					</div>
				</div>
			</div>';
	}
	
	public function inspinia_create_button_line_container_start() {
		echo '<div class="form-group"><div class="col-md-12 text-center">';
	}
	
	public function inspinia_create_button_line_container_end() {
		echo '</div></div>';
	}
	
	public function inspinia_create_modal_window_start($title = 'Modal Window', $id = 'myModal', $class = '') {
		echo '
			<div id="' . $id . '" class="modal fade" role="dialog">
				<div class="modal-dialog ' . $class . '">					
					<div class="modal-content">
						<div class="modal-header">
							<button type="button" class="close" data-dismiss="modal">&times;</button>
							<h4 class="modal-title">' . $title . '</h4>
						</div>
		';
	}
	
	public function inspinia_create_modal_window_eula_start($title = 'Modal Window', $id = 'myModal', $class = '') {
		echo '
			<div id="' . $id . '" class="modal fade" role="dialog">
				<div class="modal-dialog ' . $class . '">					
					<div class="modal-content">
						<div class="modal-header">
							<h4 class="modal-title">' . $title . '</h4>
						</div>';
	}
	
	
	public function inspinia_create_modal_window_body_with_scroll_start() {
		echo '<div class="modal-body" style="height: 500px;
		overflow-y: auto;">';
	}
	
	public function inspinia_create_modal_window_body() {
		echo '<div class="modal-body" style="height: 500px;
		overflow-y: auto;">';
	}
	
	public function inspinia_create_modal_window_200px_body() {
		echo '<div class="modal-body" style="height: 100px">';
	}
	
	public function inspinia_create_modal_window_dynamic_body($height = '500') {
		echo '<div class="modal-body" style="height: '.$height.'px">';
	}
	
	public function inspinia_create_modal_window_body_start() {
		echo '<div class="modal-body">';
	}
	
	public function inspinia_create_modal_window_body_end() {
		echo '</div>';
	}
	
	public function inspinia_create_modal_window_footer_start() {
		echo '<div class="modal-footer">';
	}
	
	public function inspinia_create_modal_window_footer_end() {
		echo '</div>';
	}
	
	public function inspinia_create_modal_window_end() {
		echo '	
					</div>
				</div>
			</div>
		';
	}
	
	public function inspinia_create_standard_bootstrap_table_new($table_params = array()) {
		$model = $table_params['table-settings']['Model'];
		$controller = $table_params['table-settings']['Controller'];
		$action = $table_params['table-settings']['action'];
		$prefix = (isset($table_params['table-settings']['prefix'])) ? $table_params['table-settings']['prefix'] : null;
		
		$paginator = $table_params['paginator'];
		
		$view_action = "view$action";
		$add_action = "add$action";
		$edit_action = "edit$action";
		$delete_action = "delete$action";
		$print_action = "print$action";
		$remove_action = "remove$action";
		$modal_action = "modal$action";
		$search_action = "index";
		$export_csv_action = "export_csv$action";
		$export_excel_action = "export_excel$action";
		$export_pdf_action = "export_pdf$action";
		
		if(array_key_exists ('view', $table_params['table-settings']['include'])) {
			$view_action = $table_params['table-settings']['include']['view'];
		}
		
		if(array_key_exists ('add', $table_params['table-settings']['include'])) {
			$add_action = $table_params['table-settings']['include']['add'];
		}
		
		if(array_key_exists ('edit', $table_params['table-settings']['include'])) {
			$edit_action = $table_params['table-settings']['include']['edit'];
		}
		
		if(array_key_exists ('delete', $table_params['table-settings']['include'])) {
			$delete_action = $table_params['table-settings']['include']['delete'];
		}
		if(array_key_exists ('print', $table_params['table-settings']['include'])) {
			$print_action = $table_params['table-settings']['include']['print'];
		}
		if(array_key_exists ('remove', $table_params['table-settings']['include'])) {
			$remove_action = $table_params['table-settings']['include']['remove'];
		}
		if(array_key_exists ('modal', $table_params['table-settings']['include'])) {
			$modal_action = $table_params['table-settings']['include']['modal'];
		}
		if(array_key_exists ('search', $table_params['table-settings']['include'])) {
			$search_action = $table_params['table-settings']['include']['search'];
		}
		
		if(array_key_exists ('export_csv', $table_params['table-settings']['include'])) {
			$export_csv_action = $table_params['table-settings']['include']['export_csv'];
		}
		
		if(array_key_exists ('export_excel', $table_params['table-settings']['include'])) {
			$export_excel_action = $table_params['table-settings']['include']['export_excel'];
		}
		
		if(array_key_exists ('export_pdf', $table_params['table-settings']['include'])) {
			$export_pdf_action = $table_params['table-settings']['include']['export_pdf'];
		}
		
		$include_view = (array_key_exists('view', $table_params['table-settings']['include']) || in_array('view', $table_params['table-settings']['include'])) && $this->DaiSecurity->is_allowed_to_access($controller, $view_action, $prefix);
		$include_add = (array_key_exists('add', $table_params['table-settings']['include']) || in_array('add', $table_params['table-settings']['include'])) && $this->DaiSecurity->is_allowed_to_access($controller, $add_action, $prefix);
		$include_edit = (array_key_exists('edit', $table_params['table-settings']['include']) || in_array('edit', $table_params['table-settings']['include'])) && $this->DaiSecurity->is_allowed_to_access($controller, $edit_action, $prefix);
		$include_delete = (array_key_exists('delete', $table_params['table-settings']['include']) || in_array('delete', $table_params['table-settings']['include'])) && $this->DaiSecurity->is_allowed_to_access($controller, $delete_action, $prefix);
		$include_print = (array_key_exists('print', $table_params['table-settings']['include']) || in_array('print', $table_params['table-settings']['include'])) && $this->DaiSecurity->is_allowed_to_access($controller, $print_action, $prefix);
		$include_modal = (array_key_exists('modal', $table_params['table-settings']['include']) || in_array('modal', $table_params['table-settings']['include'])) && $this->DaiSecurity->is_allowed_to_access($controller, $modal_action, $prefix);
		$include_remove = (array_key_exists('remove', $table_params['table-settings']['include']) || in_array('remove', $table_params['table-settings']['include'])) && $this->DaiSecurity->is_allowed_to_access($controller, $remove_action, $prefix);
		$include_search = (array_key_exists('search', $table_params['table-settings']['include']) || in_array('search', $table_params['table-settings']['include']));
		$include_export_csv = (array_key_exists('export_csv', $table_params['table-settings']['include']) || in_array('export_csv', $table_params['table-settings']['include'])) && $this->DaiSecurity->is_allowed_to_access($controller, $export_csv_action, $prefix);
		$include_export_excel = (array_key_exists('export_excel', $table_params['table-settings']['include']) || in_array('export_excel', $table_params['table-settings']['include'])) && $this->DaiSecurity->is_allowed_to_access($controller, $export_excel_action, $prefix);
		$include_export_pdf = (array_key_exists('export_pdf', $table_params['table-settings']['include']) || in_array('export_pdf', $table_params['table-settings']['include'])) && $this->DaiSecurity->is_allowed_to_access($controller, $export_pdf_action, $prefix);		
		
		if(isset($table_params['title'])) {
			if(isset($table_params['start_collapsed'])) {
				$container_params['start_collapsed'] = $table_params['start_collapsed'];
			}
			else {
				$container_params = array();
			}
			$this->inspinia_create_page_container_start($table_params['title'], $container_params);
		}
		
		echo '<div class="row">';
		if ($include_search) {
			if(isset($table_params['table-settings']['search_option'])){
				$column = 'col-sm-6';
				echo '<div class="col-sm-6 m-b-xs">';
				$this->inspinia_create_link_button('Advanced Search', '#', array('template' => 'primary', 'data-target'=>'#myModal','data-toggle'=>'modal', 'class' => 'block full-width'));
				echo '	</div>';
				if(isset($table_params['table-settings']['search_option_form_type'])) {
					$search_option_form_type = $table_params['table-settings']['search_option_form_type'];
				}
				else {
					$search_option_form_type = 'POST';
				}
				echo $this->Form->create('Search' . $model, array('id'=>'search_box','type' => 'file', 'class' =>'form-horizontal', 'type' => $search_option_form_type));
				echo '
					<div id="myModal" class="modal fade" role="dialog">
						<div class="modal-dialog modal-lg">					
							<div class="modal-content">
								<div class="modal-header">
									<button type="button" class="close" data-dismiss="modal">&times;</button>
									<h4 class="modal-title">Advanced Search</h4>
								</div>
								<div class="modal-body">
									<div class="row">
				';
		
				
				foreach($table_params['table-settings']['search_option'] as $k=>$v){
					if($v=='keyword'){ 
						echo '<div class="col-md-12">' . $this->inspinia_create_left_label_form_input('keyword', array('div' => 'form-group', 'class' => 'form-control', 'placeholder' => 'Search for...')) . '</div>';
					}
					else if($v=='date'){
						echo '<div class="col-md-12">' . $this->inspinia_create_left_label_form_input($k, array('div' => 'form-group', 'class' => 'form-control datepicker')) . '</div>';
					}
					else if($v=='time'){
						echo '<div class="col-md-12">' . $this->inspinia_create_left_label_form_input($k, array('div' => 'form-group', 'class' => 'form-control clockpicker','type' =>'text')) . '</div>';
					}
					else if($v=='date_range'){
						echo '<div class="col-md-12">' . $this->inspinia_create_left_label_form_input($k, array('div' => 'form-group', 'class' => 'form-control daterange')) . '</div>';
					}
					else if($v == 'date_range_double_column') {
						echo '<div class="col-md-12"><div class="form-group"><label class="col-md-2 control-label">' . Inflector::humanize($k) . '</label><div class="col-md-1 control-label text-right">From</div><div class="col-md-3">' . $this->Form->input($k . '_from', array('div' => false, 'label' => false, 'class' => 'form-control datepicker', 'autocomplete' => 'off', 'type' => 'text', 'id' => $k . Inflector::classify($k) . 'From')) . '</div><div class="col-md-1 text-right">To</div><div class="col-md-3">' . $this->Form->input($k . '_to', array('div' => false, 'label' => false, 'class' => 'form-control datepicker', 'autocomplete' => 'off', 'type' => 'text', 'id' => $k . Inflector::classify($k) . 'To')) . '</div></div></div>';
					}					
					else if($v == 'number_double_column') {
						echo '<div class="col-md-12"><div class="form-group"><label class="col-md-2 control-label">' . Inflector::humanize($k) . '</label><div class="col-md-1 control-label text-right">From</div><div class="col-md-3">' . $this->Form->input($k . '_from', array('div' => false, 'label' => false, 'class' => 'form-control number', 'autocomplete' => 'off', 'type' => 'number', 'id' => $k . Inflector::classify($k) . 'From')) . '</div><div class="col-md-1 text-right">To</div><div class="col-md-3">' . $this->Form->input($k . '_to', array('div' => false, 'label' => false, 'class' => 'form-control number', 'autocomplete' => 'off', 'type' => 'number', 'id' => $k . Inflector::classify($k) . 'To')) . '</div></div></div>';
					}
					else if($v=='text'){
						echo '<div class="col-md-12">' . $this->inspinia_create_left_label_form_input($k, array('type' => 'text', 'div' => 'form-group', 'class' => 'form-control')) . '</div>';
					}
					else if($v=='clockpicker'){
						echo '<div class="col-md-12">' . $this->inspinia_create_left_label_form_input($k, array('type' => 'text', 'class' => 'form-control clockpicker')) . '</div>';
					}
					else if($v=='number'){
						echo '<div class="col-md-12">' . $this->inspinia_create_left_label_form_input($k, array('type' => 'number', 'div' => 'form-group','step'=>'any', 'min' => 0, 'class' => 'form-control')) . '</div>';
					}else if($v=='operator'){
						echo '<div class="col-md-12">';
						echo '<div class="col-md-10">' . $this->inspinia_create_left_label_form_input($k, array('type' => 'number', 'div' => 'form-group','step'=>'any', 'class' => 'form-control')) . '</div>';
						echo '<div class="col-md-2">' . $this->inspinia_create_left_label_form_input($k.'_operator', array('div' => 'form-group','label'=>false, 'class' => 'form-control', 'options' => array('='=>'=','!=','!=','>'=>'>','>='=>'>=','<'=>'<','<='=>'<='))) . '</div>';
						echo '</div>';
					}
					else if(isset($v['advance_options'])) {
						if(isset($v['advance_options']['hidden_field_id'])) {
							$hidden_field_id = $this->Form->hidden($v['advance_options']['hidden_field_id']);
							unset($table_params['table-settings']['search_option'][$k]['advance_options']['hidden_field_id']);
						}
						
						if(isset($v['advance_options']['ajax_link'])) {
							$ajax_link = $v['advance_options']['ajax_link'];
							unset($table_params['table-settings']['search_option'][$k]['advance_options']['ajax_link']);
							$table_headers = "";
							$table_headers = $this->inspinia_create_compact_table_headings_string($v['advance_options']);
							
							$ajax_automated_script = '<script>';
							$ajax_automated_script .= '
							$(document).ready(function() {
								$("input[data-id=\'' . $k . '_id\']").on("input", function() {
									ajax_built_in_typewatch(function() {
										$.ajax({
											url: "' . $ajax_link .'",
											data: {
												search_keyword: $("input[data-id=\'' . $k . '_id\']").val()
											},
											type: "POST",
											dataType: "json",
											success: function(results) {
												console.log("success");
												console.log(results);
												var ajax_table = "' . $table_headers . '";
												
												var counter = 0;
												$.each(results, function(result_key, result_value) {
													var ajax_table_data_1 = "";
													var ajax_table_data_2 = "";
													var ajax_table_data_3 = "";
													var on_select_data = "";
													ajax_table += "<tr>";
													$.each(result_value, function(list_key, list_value) {
														if(counter != 0) {
															ajax_table_data_1 += "<td>" + list_value + "</td>";
															if(counter==1) {
																on_select_data += list_value;
															}
															else {
																on_select_data += " | " + list_value;
															}
														}
														else {
															ajax_table_data_2 += "<td><div class=\"btn btn-primary btn-block\" onclick=\"$(\'#' . $k . '_selected_results_container\').html(\'<button type=\\\\\'button\\\\\' class=\\\\\'btn btn-outline btn-success btn-block\\\\\' onclick=\\\\\'$(this).remove(); $(\\\\\\\\\\\\\'input[name=' . $v['advance_options']['hidden_field_id'] . ']\\balikanmoto\\\\\\\\\').val(0);\\\\\'>";
															ajax_table_data_3 +="</button>\'); $(\'input[name=' . $v['advance_options']['hidden_field_id'] . ']\').val(\'" + list_value + "\');\">Select</div></td>";
														}
														counter++;
													});
													counter = 0;
													ajax_table += ajax_table_data_2 + on_select_data +  ajax_table_data_3 + ajax_table_data_1 + "</tr>";
												});
												ajax_table += "</table></div>";
												$("#' . $k . '_results_container").html(ajax_table);
											},
											error: function(t, a, e) {
												console.log("error"), alert("Sorry, there was a problem!"), console.log("Error: " + e), console.log("Status: " + a), console.dir(t)
											}
										})
									}, 500)
								});
								
								var ajax_built_in_typewatch = function() {
									var t = 0;
									return function(a, e) {
										clearTimeout(t), t = setTimeout(a, e)
									}
								}();
							});
							var ajax_built_in_typewatch = function() {
								var t = 0;
								return function(e, n) {
									clearTimeout(t), t = setTimeout(e, n)
								}
							}();';
							$ajax_automated_script .= '</script>';
							$ajax_automated_script_search_results_container = '<div class="col-md-12"><div class="form-group"><label class="col-md-2 control-label">Selected:</label><div class="col-md-10" id="' . $k . '_selected_results_container"></div></div></div>';
							$ajax_automated_script_search_results_container .= '<div class="col-md-12"><div class="form-group"><label class="col-md-2 control-label">Search Results</label><div class="col-md-10" id="' . $k . '_results_container"></div></div></div>';
							
						}
						
						unset($table_params['table-settings']['search_option'][$k]['advance_options']['id']);
						unset($table_params['table-settings']['search_option'][$k]['advance_options']['column-headers']);
						
						$table_params['table-settings']['search_option'][$k]['advance_options'] = array_merge(
							array('div' => 'form-group', 'class' => 'form-control'), 
							$table_params['table-settings']['search_option'][$k]['advance_options'], 
							array(
								'between' => $hidden_field_id . $ajax_automated_script, 
								'data-id' => $k . '_id'
							)
							
						);
						
						echo '<div class="col-md-12">' . $this->inspinia_create_left_label_form_input($k, $table_params['table-settings']['search_option'][$k]['advance_options']) . '</div>';
						echo $ajax_automated_script_search_results_container;
					}
					else {
						echo '<div class="col-md-12">' . $this->inspinia_create_left_label_form_input($k, array('div' => 'form-group', 'class' => 'form-control', 'options' => $v, 'empty' => '(Choose One)')) . '</div>';
					}
				}
					
				echo '
									</div>
								</div>
								<div class="modal-footer">
				';
				$this->inspinia_create_button_line_container_start();
					if(isset($this->params['named']['page'])){
						$page_no = $this->params['named']['page'];
					}
					else
					{
						$page_no = 1;
					}
				$this->inspinia_create_submit_button('Search',array('id' => 'search_btn','name' => 'is_advanced_search','value' => $page_no));
				$this->inspinia_create_link_button('Close', '.', array('template' => 'danger', 'data-dismiss' => 'modal', 'class' => 'modal-btn-correction'));
				$this->inspinia_create_button_line_container_end();
				
				echo '	
								</div>
							</div>
						</div>
				</div>
				';
				echo $this->Form->end();
			}
			else {
				$column = 'col-sm-6';
				echo '<div class="col-sm-6 m-b-xs">';
				echo 		$this->Form->create('Search' . $model);
				echo '		<div class="input-group">';
				echo 				$this->Form->input('keyword', array('div' => false,'label'=>false , 'class' => 'input-sm form-control', 'placeholder' => "Search for..."));
				echo '			<span class="input-group-btn">';
				echo 				$this->Form->submit('Search', array('div' => false, 'class' => 'btn btn-sm btn-primary'));
				echo '			</span>';
				echo '		</div>';
				echo 		$this->Form->end();
				echo '	</div>';
			}
		}
			
			$url_params = array_merge($this->request['url'], $this->params['named']);
			
			if($include_add || $include_export_csv || $include_export_excel || $include_export_pdf) {
				
				if(isset($column)){
					$column = 'col-sm-6';
				}else{
					$column = 'col-sm-12';
				}
				
				echo '<div class="'.$column.' m-b-xs text-right"><div class="btn-group">';
				
				if ($include_add) {
					$this->inspinia_create_link_button('Add New', array('controller' => $controller, 'action' => $add_action, 'prefix' => $prefix, '?' => $url_params), array('template' => 'primary'));
				}
				
				if ($include_export_csv) {
					$this->inspinia_create_link_button('Export to CSV', array('controller' => $controller, 'action' => $export_csv_action, 'prefix' => $prefix, '?' => $url_params), array('template' => 'white','id'=>'export_csv_table'));
				}
				
				if ($include_export_excel) {
					$this->inspinia_create_link_button('Export to Excel', array('controller' => $controller, 'action' => $export_excel_action, 'prefix' => $prefix, '?' => $url_params), array('template' => 'white','id'=>'export_excel_table'));
				}
				
				if ($include_export_pdf) {
					$this->inspinia_create_link_button('Export to PDF', array('controller' => $controller, 'action' => $export_pdf_action, 'prefix' => $prefix, '?' => $url_params), array('template' => 'white', 'target' => '_new','id'=>'export_pdf_table'));
				}
				echo '	</div></div>';
			}
			
		echo '</div>';
		
		if($include_edit || $include_delete) {
			$table_params['column-headers']['Controls'] = 1;
		}
		
		$this->inspinia_create_table_headings($table_params);
		
		foreach ($table_params['table-data'] as $key => $value) {
			$column_counter = 0;
			foreach($value as $value_key => $value_content) {
				if($column_counter == 0) {
					$id = $value_content;
					echo '<tr>';
				}
				else {
					if($include_view) {
						if(isset($table_params['table-settings']['include_parameters_in_add'])) {
							$this->inspinia_create_table_data_link($value_content, array('controller' => $controller, 'action' => $view_action, 'prefix' => $prefix, $id, '?' => $url_params));
						}
						else {
							$this->inspinia_create_table_data_link($value_content, array('controller' => $controller, 'action' => $view_action, 'prefix' => $prefix, $id));
						}
					}
					else {
						$this->inspinia_create_table_data($value_content);
					}
					
				}
				
				$column_counter++;
			}
			
			if($include_edit || $include_delete) {
				echo '<td>';
					echo $this->create_secured_link('<i class="fa fa-pencil-square-o sm-icon icon-padding" aria-hidden="true"></i>', array('controller' => $controller, 'action' => $edit_action, 'prefix' => $prefix, $id), array('class' => 'yellow-link', 'escape' => false));
					echo $this->create_secured_link('<i class="fa fa-trash-o sm-icon icon-padding" aria-hidden="true"></i>', array('controller' => $controller, 'action' => $delete_action, 'prefix' => $prefix, $id), array('confirm'=>'Delete this record?', 'class' => 'red-link', 'escape' => false));
				echo '</td>';
			}
			if($include_print) {
				echo '<td>';
					echo $this->create_secured_link('<center><button  class="btn btn-success btn-outline " type="button"><i class="fa fa-file xsm-icon icon-padding" aria-hidden="true"></i></button></center>', array('controller' => $controller, 'action' => $print_action, 'prefix' => $prefix, $id), array('class' => 'blue-link', 'escape' => false));
					
				echo '</td>';
			}
			if($include_modal) {
				
				echo '<td>';
					echo '<a href="#" class="blue-link view_btn open-dialog"'; 
					echo 'data-id=' .$id;
					echo '><center><button class="btn btn-success btn-outline " type="button"><i class="fa fa-file xsm-icon icon-padding " aria-hidden="true"></i></button></center></a>';
						
				echo '</td>';
			}
			if($include_remove) {
				
				echo '<td>';
					// echo '<a href="#" class="blue-link view_btn open-dialog"'; 
					// echo 'data-id=' .$id;
					// echo '><center><button class="btn btn-primary " type="button"><i class="fa fa-minus" aria-hidden="true"></i></button></center></a>';
					
					echo $this->create_secured_link('<center><button  class="btn  btn-primary " type="button"><i class="fa fa-minus" aria-hidden="true"></i></button></center>', array('controller' => $controller, 'action' => $remove_action, 'prefix' => $prefix, $id), array('class' => 'blue-link view_btn', 'escape' => false));
						
				echo '</td>';
			}

			echo '</tr>';
		}
		
		$this->inspinia_create_table_end();
		$this->BootstrapPaginator->create_bootstrap_pages($paginator);
		
		$this->inspinia_create_page_container_end();
	}
	
	public function inspinia_create_button($label = '', $params = array()) {
		$template_class = ' btn-primary';
		
		if(isset($params['template'])) {
			$template_class = ' btn-' . $params['template'];
			unset($params['template']);
		}
		
		if (isset($params['class'])) {
			$params['class'] = 'btn ' . $params['class'] . $template_class;
		}
		else {
			$params['class'] = 'btn ' . $template_class;
		}
		
		$params = array_merge(array('label' => false, 'div' => false, 'type' => 'button', 'escape' => false), $params);

		return $this->Form->button($label, $params); 
	}
	
	public function inspinia_create_link_button($label = '', $url = array(), $params = array()) {
		$template_class = ' btn-primary';
		
		if(isset($params['template'])) {
			$template_class = ' btn-' . $params['template'];
			unset($params['template']);
		}
		
		if (isset($params['class'])) {
			$params['class'] = 'btn ' . $params['class'] . $template_class;
		}
		else {
			$params['class'] = 'btn ' . $template_class;
		}
		
		$params = array_merge(array('escape' => false), $params);
		
		if(isset($url['controller']) && $url['action']) {
			if (isset($url['prefix'])) {
				if ($this->DaiSecurity->is_allowed_to_access($url['controller'], $url['action'], $url['prefix'])) {
					echo $this->create_secured_link($label, $url, $params); 
				}
			}
			else {
				if ($this->DaiSecurity->is_allowed_to_access($url['controller'], $url['action'])) {
					echo $this->create_secured_link($label, $url, $params); 
				}
			}
			
		}
		else {
			echo $this->Html->link($label, $url, $params); 
		}
	}
	
	
	public function inspinia_create_link($label = '', $url = array(), $params = array()) {
		// $template_class = ' btn-primary';
		
		// if(isset($params['template'])) {
			// $template_class = ' btn-' . $params['template'];
			// unset($params['template']);
		// }
		
		// if (isset($params['class'])) {
			// $params['class'] = 'btn ' . $params['class'] . $template_class;
		// }
		// else {
			// $params['class'] = 'btn ' . $template_class;
		// }
		
		$params = array_merge(array('escape' => false), $params);
		
		if(isset($url['controller']) && $url['action']) {
			if (isset($url['prefix'])) {
				if ($this->DaiSecurity->is_allowed_to_access($url['controller'], $url['action'], $url['prefix'])) {
					echo $this->create_secured_link($label, $url, $params); 
				}
			}
			else {
				if ($this->DaiSecurity->is_allowed_to_access($url['controller'], $url['action'])) {
					echo $this->create_secured_link($label, $url, $params); 
				}
			}
			
		}
		else {
			echo $this->Html->link($label, $url, $params); 
		}
	}
	
	
	public function inspinia_create_link_button_string($label = '', $url = array(), $params = array()) {
		$template_class = ' btn-primary';
		
		if(isset($params['template'])) {
			$template_class = ' btn-' . $params['template'];
			unset($params['template']);
		}
		
		if (isset($params['class'])) {
			$params['class'] = 'btn ' . $params['class'] . $template_class;
		}
		else {
			$params['class'] = 'btn ' . $template_class;
		}
		
		$params = array_merge(array('escape' => false), $params);
		
		if(isset($url['controller']) && $url['action']) {
			if (isset($url['prefix'])) {
				if ($this->DaiSecurity->is_allowed_to_access($url['controller'], $url['action'], $url['prefix'])) {
					return $this->create_secured_link($label, $url, $params); 
				}
			}
			else {
				if ($this->DaiSecurity->is_allowed_to_access($url['controller'], $url['action'])) {
					return $this->create_secured_link($label, $url, $params); 
				}
			}
			
		}
		else {
			return $this->Html->link($label, $url, $params); 
		}
	}
	
	public function inspinia_create_left_label_form_input_batch($form_input_data = array()) {
		echo '<div class="row">';
		foreach($form_input_data as $form_input_fields) {
			echo '<div class="col-md-' . $form_input_fields['size'] . '">';
			foreach($form_input_fields['contents'] as $form_input_field) {
				// debug($form_input_field);
				if(is_array($form_input_field)) {
					if(isset($form_input_field[2])) {
						if(isset($form_input_field[2]['template']) && $form_input_field[2]['template'] == 'date') {
							unset($form_input_field[2]['template']);
							$form_input_field[2] = array_merge($form_input_field[2], array('class' => 'form-control datepicker', 'type' => 'text'));
							echo '<div class="col-md-' . $form_input_field[1] . '">' . $this->inspinia_create_left_label_form_input($form_input_field[0], array_merge(array('div' => 'form-group', 'class' => 'form-control', 'placeholder' => Inflector::humanize($form_input_field[0])), $form_input_field[2])) . '</div>';
						}
						else if(isset($form_input_field[2]['template']) && $form_input_field[2]['template'] == 'list') {
							unset($form_input_field[2]['template']);
							if(isset($form_input_field[3])) {
								$form_input_field[2] = array_merge($form_input_field[2], array(
									'options' => $form_input_field[3],
									'empty' => '(Choose One)'
								));
								unset($form_input_field[3]);
							}
							echo '<div class="col-md-' . $form_input_field[1] . '">' . $this->inspinia_create_left_label_form_input($form_input_field[0], array_merge(array('div' => 'form-group', 'class' => 'form-control', 'placeholder' => Inflector::humanize($form_input_field[0])), $form_input_field[2])) . '</div>';
						}
						else if (isset($form_input_field[2]['template']) && $form_input_field[2]['template'] == 'field_dropdown'){
							echo '<div class="col-md-' . $form_input_field[1] . '">' . 
								$this->inspinia_create_field_with_dropdown($form_input_field[0], array_merge(array('div' => 'form-group', 'class' => 'form-control', 'placeholder' => Inflector::humanize($form_input_field[0])), $form_input_field[2]), 2, $form_input_field[3]) .
							'</div>';
						}
						else if (isset($form_input_field[2]['template']) && $form_input_field[2]['template'] == 'radio_buttons'){
							echo '<div class="col-md-' . $form_input_field[1] . '">' . $this->inspinia_create_left_label_form_input_radio_buttons($form_input_field[0], array_merge(array('div' => 'form-group', 'class' => 'form-control', 'placeholder' => Inflector::humanize($form_input_field[0])), $form_input_field[2]), 2, $form_input_field[3]) . '</div>';
						}
						else if (isset($form_input_field[2]['template']) && $form_input_field[2]['template'] == 'checkbox_list'){
							echo '<div class="col-md-' . $form_input_field[1] . '">' . $this->inspinia_create_left_label_form_input_checkbox_list($form_input_field[0], array_merge(array('div' => 'form-group', 'class' => 'form-control', 'placeholder' => Inflector::humanize($form_input_field[0])), $form_input_field[2]), 2, $form_input_field[3]) . '</div>';
						}
						else if (isset($form_input_field[2]['template']) && $form_input_field[2]['template'] == 'datetime') {
							echo '<div class="col-md-' . $form_input_field[1] . '">' . $this->inspinia_create_left_label_form_input($form_input_field[0], array_merge(array('div' => 'form-group', 'class' => 'form-control-datetime', 'placeholder' => Inflector::humanize($form_input_field[0])), $form_input_field[2])) . '</div>';
						}
						else if (isset($form_input_field[2]['template']) && $form_input_field[2]['template'] == 'ajax_link') {
							// debug($form_input_field);
							$search_form_input_string = $this->inspinia_create_left_label_form_input($form_input_field[0]);
							// debug($search_form_input_string);
							preg_match_all("/\[([^\]]*)\]/", $search_form_input_string, $matches);
							if(isset($form_input_field[2]['ajax_link_params']['ajax_link'])) {
								$ajax_link = $form_input_field[2]['ajax_link_params']['ajax_link'];
								$form_input_field[2]['ajax_link_params']['id'] = $form_input_field[2]['ajax_link_params']['unique_table_id'];
								unset($form_input_field[2]['ajax_link_params']['unique_table_id']);
								$table_headers = "";
								$table_headers = $this->inspinia_create_compact_table_headings_string($form_input_field[2]['ajax_link_params']);
								
								$on_retrieve = '';
								if(isset($form_input_field[2]['ajax_link_params']['on_retrieve'])) {
									$on_retrieve = $form_input_field[2]['ajax_link_params']['on_retrieve'];
								}
								
								$on_select = '';
								if(isset($form_input_field[2]['ajax_link_params']['on_select'])) {
									$on_select = $form_input_field[2]['ajax_link_params']['on_select'];
								}
								
								$on_remove = '';
								if(isset($form_input_field[2]['ajax_link_params']['on_remove'])) {
									$on_remove = $form_input_field[2]['ajax_link_params']['on_remove'];
								}
								
								$ajax_automated_script = '<script>';
								$ajax_automated_script .= '
								$(document).ready(function() {
									$("#'.$form_input_field[2]['ajax_link_params']['unique_hidden_field_id'].'_loading_spinner").hide();
									$("input[data-id=\'' . $form_input_field[0] . '_id\']").on("input", function() {
										ajax_built_in_typewatch(function() {
										$("#'.$form_input_field[2]['ajax_link_params']['unique_hidden_field_id'].'_loading_spinner").show();
											$.ajax({
												url: "' . $ajax_link .'",
												data: {
													search_keyword: $("input[data-id=\'' . $form_input_field[0] . '_id\']").val()
												},
												type: "POST",
												dataType: "json",
												beforeSend: function(){
													$("#' . $form_input_field[0] .'_search_results_div_container").slideUp();
												},
												complete: function(){
													$("#'.$form_input_field[2]['ajax_link_params']['unique_hidden_field_id'].'_loading_spinner").hide();
													$("#' . $form_input_field[0] .'_search_results_div_container").slideDown();
												},
												success: function(results) {
													ajax_built_in_create_tables(results, "' . $table_headers . '", "' . $form_input_field[0] . '", "' . $form_input_field[2]['ajax_link_params']['unique_hidden_field_id'] . '", "' . $ajax_link . '", "' . $form_input_field[0] . '_id", "' . $on_select . '", "' . $on_remove . '");
													' . $on_retrieve . '
												},
												error: function(t, a, e) {
													console.log("error"), alert("Sorry, there was a problem!"), console.log("Error: " + e), console.log("Status: " + a), console.dir(t)
												}
											})
										}, 500)
									});
								});';
								$ajax_automated_script .= '</script>';
								
								$selected_button = '';
								// debug($this->request->data);
								if(isset($this->request->query[$form_input_field[2]['ajax_link_params']['unique_hidden_field_id'] . '_selected_content'])) {
									
									$unique_hidden_field_id = $this->Form->hidden($form_input_field[2]['ajax_link_params']['unique_hidden_field_id'], array('value' => $this->request->query[$form_input_field[2]['ajax_link_params']['unique_hidden_field_id']], 'data-unique-hidden-field-id' => $form_input_field[2]['ajax_link_params']['unique_hidden_field_id'])) . $this->Form->hidden($form_input_field[2]['ajax_link_params']['unique_hidden_field_id'] . '_selected_content', array('value' => $this->request->query[$form_input_field[2]['ajax_link_params']['unique_hidden_field_id'] . '_selected_content'], 'data-unique-hidden-field-id-selected-content' => $form_input_field[2]['ajax_link_params']['unique_hidden_field_id'] . '_selected_content'));
									$selected_button .= '<button type="button" class="btn btn-outline btn-success btn-block" onclick="$(this).remove(); ajax_built_in_remove_select_button(\'' . $form_input_field[0] . '\', \'' . $form_input_field[2]['ajax_link_params']['unique_hidden_field_id'] . '\', \'' . $on_select . '\', \'' . $on_remove . '\'); ">' . $this->request->query[$form_input_field[2]['ajax_link_params']['unique_hidden_field_id'] . '_selected_content'] . '</button>';
									
									$ajax_automated_script_search_results_container = '<div class="col-md-12" id="' . $form_input_field[0] .'_selected_div_container"><div class="form-group"><label class="col-md-2 control-label">Selected:</label><div class="col-md-10" id="' . $form_input_field[2]['ajax_link_params']['unique_hidden_field_id'] . '_selected_results_container">' . $selected_button . '</div></div></div>';
								}
								else if(!empty($this->request->data)) {

											$unique_hidden_field_id = 
											$this->Form->hidden($form_input_field[2]['ajax_link_params']['unique_hidden_field_id'], array(
												// 'value' => $this->request->data[$matches[1][0]][$form_input_field[2]['ajax_link_params']['unique_hidden_field_id']], 
												'data-unique-hidden-field-id' => $form_input_field[2]['ajax_link_params']['unique_hidden_field_id']
											))
											. 
											$this->Form->hidden($form_input_field[2]['ajax_link_params']['unique_hidden_field_id'] . '_selected_content', array(
												// 'value' => $this->request->data[$exploded_flattened_submitted_data_key[0]][$selected_exploded_flattened_submitted_data_key . '_selected_content'], 
												'data-unique-hidden-field-id-selected-content' => $form_input_field[2]['ajax_link_params']['unique_hidden_field_id'] . '_selected_content'
											));
											
											if(isset($this->request->data[$matches[1][0]][$form_input_field[2]['ajax_link_params']['unique_hidden_field_id'] . '_selected_content']) && trim($this->request->data[$matches[1][0]][$form_input_field[2]['ajax_link_params']['unique_hidden_field_id'] . '_selected_content']) != "") {
												$selected_content = $this->request->data[$matches[1][0]][$form_input_field[2]['ajax_link_params']['unique_hidden_field_id'] . '_selected_content'];
												$selected_button .= '<button type="button" class="btn btn-outline btn-success btn-block" onclick="$(this).remove(); ajax_built_in_remove_select_button(\'' . $form_input_field[0] . '\', \'' . $form_input_field[2]['ajax_link_params']['unique_hidden_field_id'] . '\', \'' . $on_select . '\', \'' . $on_remove . '\'); ">' . $selected_content . '</button>';
												$ajax_automated_script_search_results_container = '<div class="col-md-12" id="' . $form_input_field[0] .'_selected_div_container"><div class="form-group"><label class="col-md-2 control-label">Selected:</label><div class="col-md-10" id="' . $form_input_field[0] . '_selected_results_container">' . $selected_button . '</div></div></div>';
											}
											else {
												$ajax_automated_script_search_results_container = '<div class="col-md-12" id="' . $form_input_field[0] .'_selected_div_container" style="display: none;"><div class="form-group"><label class="col-md-2 control-label">Selected:</label><div class="col-md-10" id="' . $form_input_field[0] . '_selected_results_container"></div></div></div>';
											}
											
										
								}
								else {
									$unique_hidden_field_id = $this->Form->hidden($form_input_field[2]['ajax_link_params']['unique_hidden_field_id'], array('data-unique-hidden-field-id' => $form_input_field[2]['ajax_link_params']['unique_hidden_field_id'])) . $this->Form->hidden($form_input_field[2]['ajax_link_params']['unique_hidden_field_id'] . '_selected_content', array('data-unique-hidden-field-id-selected-content' => $form_input_field[2]['ajax_link_params']['unique_hidden_field_id'] . '_selected_content'));
									
									$ajax_automated_script_search_results_container = '<div class="col-md-12" id="' . $form_input_field[0] .'_selected_div_container" style="display: none;"><div class="form-group"><label class="col-md-2 control-label">Selected:</label><div class="col-md-10" id="' . $form_input_field[0] . '_selected_results_container"></div></div></div>';
								}
								
								// $unique_hidden_field_id = $this->Form->hidden($form_input_field[2]['ajax_link_params']['unique_hidden_field_id'], array('data-unique-hidden-field-id' => $form_input_field[2]['ajax_link_params']['unique_hidden_field_id'])) . $this->Form->hidden($form_input_field[2]['ajax_link_params']['unique_hidden_field_id'] . '_selected_content', array('data-unique-hidden-field-id-selected-content' => $form_input_field[2]['ajax_link_params']['unique_hidden_field_id'] . '_selected_content'));
								// debug($this->request->data);
								// debug($ajax_automated_script_search_results_container);
								$ajax_automated_script_search_results_container .= '<div class="col-md-12" id="' . $form_input_field[0] .'_search_results_div_container" style="display: none;"><div class="form-group"><label class="col-md-2 control-label">Search Results</label><div class="col-md-10" id="' . $form_input_field[0] . '_results_container"></div></div></div>';
								
							}
							
						// Form input other attributes	
							$class = 'form-control ';
							if(isset($form_input_field[2]['class'])){
								$class .= $form_input_field[2]['class'];
							}
							
							$div = 'form-group ';
							if(isset($form_input_field[2]['div'])){
								$div .= $form_input_field[2]['div'];
							}
							
							$label = array('label' => Inflector::humanize($form_input_field[0]));
							if(isset($form_input_field[2]['label'])){
								$label = array('label' => $form_input_field[2]['label']);
							}
							
							$placeholder = Inflector::humanize($form_input_field[0]);
							if(isset($form_input_field[2]['placeholder'])){
								$placeholder = $form_input_field[2]['placeholder'];
							}
							
						// Add value on search field (used on edit)	
							$value = '';
							if(isset($form_input_field[2]['value'])){
								$value = $form_input_field[2]['value'];
							}
						// Add value on search field (used on edit)	
							$type = '';
							if(isset($form_input_field[2]['type'])){
								$type = $form_input_field[2]['type'];
							}
						
						// Form input other attributes
							
							$input_params = array_merge(
								array('div' => $div, 'class' => $class, 'placeholder' => $placeholder, 'value' => $value, 'type' => $type), 
								$label,
								array(
									'between' => $unique_hidden_field_id . $ajax_automated_script, 
									'data-id' => $form_input_field[0] . '_id'
								)
								
							);
							
						// Remove Value when null (used on edit)
							if(empty($input_params['value'])){
								unset($input_params['value']);
							}
						// Remove Value when null (used on edit)

							echo '<div class="col-md-' . $form_input_field[1] . '">' . $this->inspinia_create_left_label_form_input($form_input_field[0], $input_params) . $ajax_automated_script_search_results_container . '</div>
							<div class="row" id="'.$form_input_field[2]['ajax_link_params']['unique_hidden_field_id'].'_loading_spinner">
								<div class="sk-spinner sk-spinner-cube-grid">
									<div class="sk-cube"></div>
									<div class="sk-cube"></div>
									<div class="sk-cube"></div>
									<div class="sk-cube"></div>
									<div class="sk-cube"></div>
									<div class="sk-cube"></div>
									<div class="sk-cube"></div>
									<div class="sk-cube"></div>
									<div class="sk-cube"></div>
								</div>
								<div class="row col-md-offset-1 col-md-10 col-md-offset-1">
									<p class="text-center">Please wait...</p>
								</div>
							</div>
							';
						}
						else if (isset($form_input_field[2]['type']) && $form_input_field[2]['type'] == 'checkbox') {
							//ranzhie
							if(isset($form_input_field[3]['condition']['show']) && $form_input_field[3]['condition']['show']===true){ //condition to show or not
								echo '<div class="col-md-' . $form_input_field[1] . '">' . $this->inspinia_create_left_label_form_checkbox_input($form_input_field[0], array_merge(array('div' => 'form-group', 'class' => 'form-control'), $form_input_field[2])) . '</div>';
							}elseif(isset($form_input_field[3]['condition']['show']) && $form_input_field[3]['condition']['show']===false){
								//condition show set to false, the element will not be shown
							}else{
								//default old way if no condition in array the element will always shown
								echo '<div class="col-md-' . $form_input_field[1] . '">' . $this->inspinia_create_left_label_form_checkbox_input($form_input_field[0], array_merge(array('div' => 'form-group', 'class' => 'form-control'), $form_input_field[2])) . '</div>';
							}
						}
						else {
							echo '<div class="col-md-' . $form_input_field[1] . '">' . $this->inspinia_create_left_label_form_input($form_input_field[0], array_merge(array('div' => 'form-group', 'class' => 'form-control', 'placeholder' => Inflector::humanize($form_input_field[0])), $form_input_field[2])) . '</div>';
						}
						
					}
					else {
						echo '<div class="col-md-' . $form_input_field[1] . '">' . $this->inspinia_create_left_label_form_input($form_input_field[0], array('div' => 'form-group', 'class' => 'form-control', 'placeholder' => Inflector::humanize($form_input_field[0]))) . '</div>';
					}
				}
				else {
					echo $form_input_field;
				}
			}
			echo '</div>';
		}
		echo '</div>';
	}
	
	public function inspinia_create_left_label_form_input($column_name, $params = array(), $label_size = 2) {
		if(isset($params['label_size'])) {
			$label_size = $params['label_size'];
		}
		else {
			$label_size = 2;
		}
		
		if(isset($params['label']) && $params['label'] == false){
			$label_size = 0;
		}
		else {
			if(isset($params['label'])) {
				$label = $params['label'];
			}
			else {
				$label = Inflector::humanize($column_name);
			}
		}
		
		$left_label_result = '';
		
		if($label_size > 0) {
			$left_label_result .= '<div class="form-group"><label class="col-md-' . $label_size . ' control-label">' . $label . '</label>';
		}
		else {
			$left_label_result .= '<div class="form-group">';
		}
		
		
		$params['label'] = false;
		$params['div'] = 'col-md-' . (12 - $label_size);
		$left_label_result .= $this->Form->input($column_name, $params) . '</div>';
		
		return $left_label_result;
	}
	
	public function inspinia_create_form_input($column_name, $params = array()) {
		$params = array_merge(array('label' => false, 'class' => 'form-control', 'placeholder' => Inflector::humanize($column_name)), $params);
		return $this->Form->input($column_name, $params);
	}
	
	public function inspinia_create_left_label_form_checkbox_input($column_name, $params, $label_size = 2) {
		$left_label_result = '';
		
		if(isset($params['label'])) {
			$label = $params['label'];
		}
		else {
			$label = Inflector::humanize($column_name);
		}
		$left_label_result .= '<div class="form-group"><label class="col-md-' . $label_size . ' control-label">' . $label . '</label>';
		
		$params['label'] = '';
		$params['div'] = 'checkbox checkbox-primary';
		$params['class'] = false;
		$left_label_result .= '<div class="col-md-10">' . $this->Form->input($column_name, $params) . '</div></div>';
		
		// <div class="checkbox checkbox-primary">
			// <input type="checkbox" name="data[ServiceType][mot_helicopter]" value="1" id="ServiceTypeMotHelicopter"></div>
		// <div class="checkbox checkbox-primary">
                                            // <input id="checkbox2" type="checkbox" checked="">
                                            // <label for="checkbox2">
                                                // Primary
                                            // </label>
                                        // </div>
		
		return $left_label_result;
	}
	
	
	
	public function inspinia_create_left_label_form_view_batch($form_input_data = array()) {
		echo '<div class="row">';
		foreach($form_input_data as $form_input_fields) {
			echo '<div class="col-md-' . $form_input_fields['size'] . '">';
			foreach($form_input_fields['contents'] as $form_input_field) {
				if(is_array($form_input_field)) {
					echo '<div class="col-md-' . $form_input_field[2] . '">';
					echo $this->inspinia_create_left_label_form_view($form_input_field[0], $form_input_field[1]);
					echo '</div>';
				}
				else {
					echo $form_input_field;
				}
				
			}
			echo '</div>';
		}
		echo '</div>';
	}
	
	public function inspinia_create_left_label_form_view($label, $value, $label_size = 2) {
		$left_label_result = '';
		$left_label_result .= '<div class="form-group"><label class="col-md-' . $label_size . ' control-label">' . $label . '</label>';
		if(empty(trim($value))) {
			$value = '&nbsp;';
		}
		$left_label_result .= '<div class="col-md-' . (12 - $label_size) . '"><div class=" form-control" style="height:auto">' . $value . '</div></div></div>';		
		return $left_label_result;
	}
	
	public function inspinia_create_left_label_form_input_checkbox_list($label, $params, $label_size = 2, $options = array()) {
		$left_label_result = '';

		$left_label_result .= '<div class="form-group"><label class="col-md-' . $label_size . ' control-label">' . $label . '</label>';
		// $left_label_result .= '<div class="col-md-' . (12 - $label_size) . ' form-group checkbox-list-padding">';
		$left_label_result .= '<div class="col-md-' . (12 - $label_size) . '">';	

		foreach ($options as $option_key => $option_value) {
			if(!is_array($option_value)) {
				if(isset($params['associated_model']) && isset($params['associated_column'])) {
					$left_label_result .= $this->Form->input($params['associated_model'] . '.' . $option_key . '.' . $params['associated_column'], array('div' => 'checkbox checkbox-primary', 'type' => 'checkbox', 'value' => $option_key, 'label' => $option_value));
				}
				else {
					$left_label_result .= $this->Form->input($option_key, array(
						'div' => 'checkbox checkbox-primary', 
						'type' => 'checkbox',
                        'key_value'=>$option_key,
						// 'value' => $option_key,
						'label' => $option_value)
					);
				}
				
			}
			else {
				$first_instance = true;
				$data_on_selected = '';
				foreach ($option_value as $option_value_key => $option_value_value) {
					if($first_instance) {
						$left_label_result .= $this->Form->input($option_value_key, array(
							'div' => 'checkbox checkbox-primary', 
							'type' => 'checkbox',
							// 'value' => $option_value_key,
							'label' => $option_value_value,
							'hiddenField' => false,
							'class' => 'on-checkbox-selected',
							'data-on-selected' => $option_value_key
						));
						
						$first_instance = false;
						$data_on_selected = $option_value_key;
					}
					else {
						$left_label_result .= '<div class="col-xs-12 no-margin no-padding">' . $this->Form->input($option_value_value, array('div' => false, 'class' => 'form-control', 'data-on-selected-linked-field' => $data_on_selected, 'label' => false, 'disabled' => 'disabled')) . '</div>';
						// $left_label_result .= '</div>';
					}
				}
			}
			
		}
		
		
		
		$left_label_result .= '</div></div>';
		
		return $left_label_result;
	}
	
	public function inspinia_create_left_label_form_input_radio_buttons($column_name, $params, $label_size = 2, $options = array()) {
		$left_label_result = '';
		
		if(isset($params['label'])) {
			$label = $params['label'];
		}
		else {
			$label = Inflector::humanize($column_name);
		}
		
		$left_label_result = '';

		$left_label_result .= '<div class="form-group"><label class="col-md-' . $label_size . ' control-label">' . $label . '</label>';
		$left_label_result .= '<div class="col-md-' . (12 - $label_size) . '">';
		
		$left_label_result .= $this->Form->input($column_name, array(
			'legend' => false, 
			'div' => false,
			'before' => '<div class="radio radio-primary">',
			'after' => '</div>',
			'separator' => '</div><div class="radio radio-primary">',
			'options' => $options,
			'type' => 'radio'
		));
		
		$left_label_result .= '</div></div>';
		return $left_label_result;
	}
	
	public function inspinia_create_dotted_horizontal_line() {
		return '<div class="col-md-12"><div class="hr-line-dashed"></div></div>';
	}
	
	public function inspinia_label($label = '', $html_tag = 'h3') {
		return '<' . $html_tag . '>' . $label .'</' . $html_tag . '>';
	}
	
	public function inspinia_create_table_headings($table_params = array()) {
		$id_params = '';
		$class_params = '';
		if(isset($table_params['id'])) {
			$id_params = ' id="' . $table_params['id'] . '"';
		}
		if(isset($table_params['class'])) {
			$class_params = ' ' . $table_params['class'];
		}
		$counter = 1;
		$style = '<style>';
		$th_html = '';
		foreach($table_params['column-headers'] as $column_title => $column_size) {
			if(isset($column_size[2]) && $column_size[2]=='select_all'){
				$column_title = '<span style="color:#337ab7" title="Add All" onclick="$(\'.add_item_btn\').click()">'.$column_title.'</span>';
			}
			if(isset($column_size[2]) && $column_size[2]=='remove_all'){
				$column_title = '<span style="color:#337ab7" title="Remove All" onclick="$(\'.minus_item_btn\').click()">'.$column_title.'</span>';
			}
			
			if(is_array($column_size)) {
				if(is_int($column_size[0])) {
					$th_html .= '<th class="col-md-' . $column_size[0] . ' table-header-links">' . $column_title . '</th>';
				}
				else {
					$th_html .= '<th class="table-header-links">' . $column_title . '</th>';
				}
				
				if(isset($table_params['id'])) {
					if(isset($column_size[1])) {
						$style .= '#' . $table_params['id'] . ' th:nth-child(' . $counter . '), #' . $table_params['id'] . ' td:nth-child(' . $counter . ') {
								min-width: ' . $column_size[0] . ' !important;
								max-width: ' . $column_size[0] . ' !important;
								text-align: ' . $column_size[1] . '; 
							}
						';
					}
					else {
						$style .= '#' . $table_params['id'] . '	th:nth-child(' . $counter . '), #' . $table_params['id'] . ' td:nth-child(' . $counter . ') {
								min-width: ' . $column_size[0] . ' !important;
								max-width: ' . $column_size[0] . ' !important;
							}
						';
					}
				}
				
			}
			else {
				$th_html .= '<th class="col-md-' . $column_size . ' table-header-links">' . $column_title . '</th>';
				
			}
			$counter++;
		}
		$style .= '</style>';
		echo $style;
		
		echo '
			<div class="table-responsive dragscroll">
				<table class="table' . $class_params . '"' . $id_params . '>
					<thead>
						<tr>
							' . $th_html . '
						</tr>
					</thead>
					<tbody>
		';
	}
	
	public function inspinia_create_compact_table_headings_string($table_params = array()) {
		$id_params = '';
		$class_params = '';
		if(isset($table_params['id'])) {
			$id_params = ' id=\"' . $table_params['id'] . '\"';
		}
		if(isset($table_params['class'])) {
			$class_params = ' ' . $table_params['class'];
		}
		$counter = 1;
		$style = '<style>';
		$table_params['column-headers'] = array_merge(array('Select' => array("150px", "center")), $table_params['column-headers']);
		$th_html = '';
		foreach($table_params['column-headers'] as $column_title => $column_size) {
			
			if(is_array($column_size)) {
				if(is_int($column_size[0])) {
					$th_html .= '<th class=\"col-md-' . $column_size[0] . ' table-header-links\">' . $column_title . '</th>';
				}
				else {
					$th_html .= '<th class=\"table-header-links\">' . $column_title . '</th>';
				}
				
				if(isset($table_params['id'])) {
					if(isset($column_size[1])) {
						$style .= '#' . $table_params['id'] . ' th:nth-child(' . $counter . '), #' . $table_params['id'] . ' td:nth-child(' . $counter . ') { min-width: ' . $column_size[0] . ' !important; max-width: ' . $column_size[0] . ' !important;	text-align: ' . $column_size[1] . ';}';
					}
					else {
						$style .= '#' . $table_params['id'] . '	th:nth-child(' . $counter . '), #' . $table_params['id'] . ' td:nth-child(' . $counter . ') { min-width: ' . $column_size[0] . ' !important; max-width: ' . $column_size[0] . ' !important;}';
					}
				}
				
			}
			else {
				$th_html .= '<th class=\"col-md-' . $column_size . ' table-header-links\">' . $column_title . '</th>';
				
			}
			$counter++;
		}
		$style .= '</style>';
		
		return $style . '<div class=\"table-responsive compact-table dragscroll\"><table class=\"table table-bordered table-hover\"' . $id_params . '><thead><tr>' . $th_html . '</tr></thead><tbody>';
	}
	
	public function inspinia_create_table_data_link($label, $url = array()) {
		echo '<td class="td-links" data-href="' . $this->Html->url($url) . '">' . $this->create_secured_link($label, $url, array('escape' => false)) . '</td>';
	}
	
	public function inspinia_create_table_data($label) {
		echo '<td>' . $label . '</td>';
	}
	
	public function inspinia_create_table_end() {
		echo '
				</tbody>
				</table>
			</div>
		';
	}
	
	public function inspinia_create_profile_image($image_path = '/files/employee_profile_picture/default.jpg') {
		echo '<span>' .	$this->Html->image($image_path, array("alt" => "Profile Picture", 'class'=>'img-circle'))	. '</span>';
	}
	public function inspinia_create_tax_train_image($image_path = '/files/employee_profile_picture/default.jpg') {
		echo '<span>' .	$this->Html->image($image_path, array("class"=>"right"))	. '</span>';
	}
	
	public function inspinia_create_button_line($button_data = array()) {
		echo '<div class="row">';

		if(isset($button_data['search_type']) && $button_data['search_type'] == 'Basic') {			
			echo '<div class="col-sm-6 m-b-xs">';
			echo 		$this->Form->create('Search' . $button_data['search_model']);
			echo '		<div class="input-group custom-width-md">';
			echo 				$this->Form->input('keyword', array('div' => false,'label'=>false , 'class' => 'form-control no-left-border', 'placeholder' => "Search for..."));
			echo '			<span class="input-group-btn">';
			echo 				$this->Form->submit('Search', array('div' => false, 'class' => 'btn btn-margin btn-info-new'));
			echo '			</span>';
			echo '		</div>';
			echo 		$this->Form->end();
			echo '	</div>';
		}
		else if(isset($button_data['search_type']) && $button_data['search_type'] == 'Advanced') {
			
		}
		echo '<div class="col-sm-6 m-b-xs text-right"><div class="btn-group">';
		foreach ($button_data['buttons'] as $buttons) {
			if(isset($buttons[0], $buttons[1], $buttons[2] )) {
				$this->inspinia_create_link_button($buttons[0], $buttons[1], $buttons[2]);
			}
			else {
				echo $buttons[0];
			}
			
		}	
		echo '</div></div></div>';
	}
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	public function create_form_display($label = null, $details = null) {
		echo '
			<div class="form-group">
				<label>' . $label . '</label>
				<div class="form-control-display">' . $details . '</div>
			</div>
		';
	}
	
	public function create_rigth_label_form_input($column_name, $params, $label_size = 3) {
		$left_label_result = '';
		
		if(isset($params['label'])) {
			$label = $params['label'];
		}
		else {
			$label = Inflector::humanize($column_name);
		}
		
		$params['label'] = false;
		$params['div'] = 'col-md-' . (12 - $label_size) . ' rigth-label-form-input';
		$left_label_result .= $this->Form->input($column_name, $params);
		$left_label_result .= '<div class="col-md-' . $label_size . ' conditional-text-right rigth-label">' . $label . '</div>';
		
		return $left_label_result;
	}


	public function create_rigth_label_form_input_batch($form_input_data = array()) {
		echo '<div class="row">';
		foreach($form_input_data as $form_input_fields) {
			echo '<div class="col-md-' . $form_input_fields['size'] . '">';
			foreach($form_input_fields['contents'] as $form_input_field) {
				if(isset($form_input_field[2])) {
					if(isset($form_input_field[2]['template']) && $form_input_field[2]['template'] == 'date') {
						unset($form_input_field[2]['template']);
						$form_input_field[2] = array_merge($form_input_field[2], array('class' => 'form-control datepicker', 'placeholder' => 'MM/DD/YYYY', 'type' => 'text'));
					}
					
					if(isset($form_input_field[2]['template']) && $form_input_field[2]['template'] == 'list') {
						unset($form_input_field[2]['template']);
						if(isset($form_input_field[3])) {
							$form_input_field[2] = array_merge($form_input_field[2], array(
								'options' => $form_input_field[3],
								'empty' => '(Choose One)'
							));
							unset($form_input_field[3]);
						}
					}
					
					echo '<div class="col-md-' . $form_input_field[1] . '">' . $this->create_rigth_label_form_input($form_input_field[0], array_merge(array('div' => 'form-group', 'class' => 'form-control', 'placeholder' => Inflector::humanize($form_input_field[0])), $form_input_field[2])) . '</div>';
				}
				else {
					echo '<div class="col-md-' . $form_input_field[1] . '">' . $this->create_rigth_label_form_input($form_input_field[0], array('div' => 'form-group', 'class' => 'form-control', 'placeholder' => Inflector::humanize($form_input_field[0]))) . '</div>';
				}
			}
			echo '</div>';
		}
		echo '</div>';
	}
	
	public function create_secured_link($url_text, $url, $params = array()) {
		if(isset($url['controller']) && isset($url['action'])) {
			$controller = $url['controller'];
			$action = $url['action'];
			if(isset($url['prefix'])) {
				$prefix = $url['prefix'];
			}
			else {
				$prefix = '';
			}
			if($this->DaiSecurity->is_allowed_to_access($controller, $action, $prefix)) {
				return $this->Html->link($url_text, $url, $params);
			}
			else {
				return '';
			}
		}
		else {
			return '';
		}
	}
	
	public function create_form_display_image($alternate_text = null, $image_path = null) {
		echo '
			<img src="' . $image_path . '" alt="' . $alternate_text . '" class="img-responsive img-full-width">
		';
	}
	
	public function create_checkbox_switch($column_name = null, $params = array()) {
		return '<label class="switch">' .
					$this->Form->checkbox($column_name, $params) .
					'<div class="slider round"></div>
				</label>';
	}
	
	public function create_form_display_image_with_label($label = null, $alternate_text = null, $image_path = null) {
		echo '
			<div class="photo-with-label">
			<h4>' . $label . '</h4>
			<img src="' . $image_path . '" alt="' . $alternate_text . '" class="img-responsive img-full-width">
			</div>
		';
	}
	
	public function create_navigation_bar_logo($image_path, $url = array(), $image_params = array('class' => 'navbar-logo')) {
		echo $this->create_secured_link(
			$this->Html->image($image_path, $image_params),
			$url,
			array('class' => 'navbar-brand', 'escape' => false)
		);
	}
	
	public function start_breadcrumbs($breadcrumbs = '') {
		$breadcrumb_list = Configure::read('breadcrumbs.' . $breadcrumbs);
		foreach($breadcrumb_list as $breadcrumb_list_record) {
			echo $this->Html->getCrumbList(array('class' => 'breadcrumb'), array(
				'text' => Configure::read($breadcrumb_list_record . '.name'),
				'url' => Configure::read($breadcrumb_list_record . '.url')
			));
		}
	}
	
	public function create_breadcrumbs($breadcrumbs = '') {
		$breadcrumb_list = Configure::read('breadcrumbs.' . $breadcrumbs);
		if(isset($breadcrumb_list) && count($breadcrumb_list) > 0) {
			foreach($breadcrumb_list as $breadcrumb_list_record) {
				$this->Html->addCrumb(Configure::read($breadcrumb_list_record . '.name'), Configure::read($breadcrumb_list_record . '.url'));
			}
		}
		
	}
	
	public function create_navigation_bar_links($link_params = array()) {
		foreach($link_params as $parent_title => $parent_params) {
			if (isset($parent_params) && isset($parent_params['url'])) {
				
				echo '<li>' . $this->create_secured_link($parent_title, $parent_params['url']) . '</li>';
			}
			else if (isset($parent_params) && isset($parent_params['children'])) {
				// debug($parent_title);
				echo '<li class="dropdown">' . $this->Html->link($parent_title . '<span class="caret"></span>',	'#', array('class' => 'dropdown-toggle', 'data-toggle' => 'dropdown', 'role' => 'button', 'aria-expanded' => 'false', 'escape' => false));
				echo '<ul class="dropdown-menu" role="menu">';
				foreach($parent_params['children'] as $children_title => $children_params) {
					if (isset($children_title) && !is_array($children_params)) {
						if ($children_params == 'DIVIDER') {
							echo '<li class="divider"></li>';
						}
						else {
							echo '<li class="dropdown-header">' . $children_params . '</li>';
						}
					}
					else if (isset($children_title) && is_array($children_params)) {
						if (isset($children_params['properties'])) {
							echo '<li>' . $this->create_secured_link($children_title, $children_params['url'], array_merge($children_params['properties'], array('escape' => false))) . '</li>';
						}
						else {
							echo '<li>' . $this->create_secured_link($children_title, $children_params['url'], array('escape' => false)) . '</li>';
						}
					}
				}
				echo '</ul></li>';
			}
		}
	}
	
	public function create_checkbox_switch_table($table_params = array()) {
		echo '<div class="row">';
		foreach($table_params as $table_param) {
			echo '<div class="col-md-' . $table_param['size'] . '">';			
			echo '<div class="table-responsive">
					<p class="page-label">' . $table_param['title'] . '</p>
				<table class="table table-striped-new table-bordered">
					<thead>
						<tr>
				';
			foreach($table_param['column-headers'] as $table_column_header) {
				echo '<th class="table-header-links">' . $table_column_header . '</th>';
			}
			echo '</tr></thead>';
			echo '<tbody>';
			foreach($table_param['contents'] as $table_content_id => $table_content_name) {
				echo '<tr><td class="col-md-8">' . $table_content_name . '</td>';
				echo '<td class="col-md-4">' . $this->Form->input($table_content_id . '.id') . $this->create_checkbox_switch($table_content_id . '.user_id', array('value' => $table_content_id, 'hiddenField' => false)) . '</td>';
				echo '</tr>';
			}
			echo '</tbody></table></div></div>';
		}
		echo '</div>';
	}
	// create_link_button($label = '', $icon_class = '', $url = array(), $params = array()) {
	public function create_button_line($button_data = array()) {
		echo '<div class="row">
				<div class="col-md-12">
					<div class="button-line-parent">';

		if(isset($button_data['search_type']) && $button_data['search_type'] == 'Basic') {
			echo '	<div class="button-line">';
			echo 		$this->Form->create('Search' . $button_data['search_model']);
			echo '		<div class="input-group custom-width-md">
							<div class="input-group-addon left-group-addon transparent-white-icon"><i class="fa fa-search" aria-hidden="true"></i></div>';
			echo 				$this->Form->input('keyword', array('div' => false,'label'=>false , 'class' => 'form-control no-left-border', 'placeholder' => "Search for..."));
			echo '			<span class="input-group-btn">';
			echo 				$this->Form->submit('Search', array('div' => false, 'class' => 'btn btn-margin btn-info-new'));
			echo '			</span>';
			echo '		</div>';
			echo 		$this->Form->end();
			echo '	</div>';
		}
		else if(isset($button_data['search_type']) && $button_data['search_type'] == 'Advanced') {
			
		}
			
		foreach ($button_data['buttons'] as $buttons) {
			echo '	<div class="button-line">';
			if(isset($buttons[0], $buttons[1], $buttons[2], $buttons[3])) {
				$this->create_link_button($buttons[0], $buttons[1], $buttons[2], $buttons[3]);
			}
			else {
				echo $buttons[0];
			}
			echo '	</div>';
		}
			
		echo '	</div>
			</div>
		</div>';
	}
	
	public function create_table_headings($table_params = array()) {
		echo '
			<div class="row">
				<div class="col-md-12">
					<div class="table-responsive">
						<table class="table table-striped-new table-bordered">
							<thead>
								<tr>
		';
		foreach($table_params['column-headers'] as $column_title => $column_size) {
			echo '<th class="col-md-' . $column_size . ' table-header-links">' . $column_title . '</th>';
		}
		echo '					</tr>
							</thead>';
	}
	
	public function create_table_data_link($label, $url = array()) {
		echo '<td class="td-links" data-href="' . $this->Html->url($url) . '">' . $this->create_secured_link($label, $url) . '</td>';
	}
	
	public function create_table_data($label) {
		echo '<td>' . $label . '</td>';
	}
	
	public function create_table_end() {
		echo '
						</table>
					</div>
				</div>
			</div>
		';
	}
	
	public function create_standard_bootstrap_table($table_params = array()) {
		$model = $table_params['table-settings']['Model'];
		$controller = $table_params['table-settings']['Controller'];
		$action = $table_params['table-settings']['action'];
		$prefix = (isset($table_params['table-settings']['prefix'])) ? $table_params['table-settings']['prefix'] : null;
		
		$paginator = $table_params['paginator'];
		
		$view_action = "view$action";
		$add_action = "add$action";
		$edit_action = "edit$action";
		$delete_action = "delete$action";
		$search_action = "index";
		$export_csv_action = "export_csv$action";
		$export_excel_action = "export_excel$action";
		$export_pdf_action = "export_pdf$action";
		
		$include_view = in_array('view', $table_params['table-settings']['include']) && $this->DaiSecurity->is_allowed_to_access($controller, $view_action, $prefix);
		$include_add = in_array('add', $table_params['table-settings']['include']) && $this->DaiSecurity->is_allowed_to_access($controller, $add_action, $prefix);
		$include_edit = in_array('edit', $table_params['table-settings']['include']) && $this->DaiSecurity->is_allowed_to_access($controller, $edit_action, $prefix);
		$include_delete = in_array('delete', $table_params['table-settings']['include']) && $this->DaiSecurity->is_allowed_to_access($controller, $delete_action, $prefix);
		$include_search = in_array('search', $table_params['table-settings']['include']) && $this->DaiSecurity->is_allowed_to_access($controller, $search_action, $prefix);
		$include_export_csv = in_array('export_csv', $table_params['table-settings']['include']) && $this->DaiSecurity->is_allowed_to_access($controller, $export_csv_action, $prefix);
		$include_export_excel = in_array('export_excel', $table_params['table-settings']['include']) && $this->DaiSecurity->is_allowed_to_access($controller, $export_csv_action, $prefix);
		$include_export_pdf = in_array('export_pdf', $table_params['table-settings']['include']) && $this->DaiSecurity->is_allowed_to_access($controller, $export_pdf_action, $prefix);		
		
		if(isset($table_params['title'])) {
			echo '
				<div class="row">
					<div class="col-md-12">
						<p class="page-label">' . $table_params['title'] . '</p>
					</div>
				</div>
			';
		}
		
		
		echo '
			<div class="row">
				<div class="col-md-12">
					<div class="button-line-parent">';
			if ($include_search) {
				echo '	<div class="button-line">';
				echo 		$this->Form->create('Search' . $model);
				echo '		<div class="input-group custom-width-md">
								<div class="input-group-addon left-group-addon transparent-white-icon"><i class="fa fa-search" aria-hidden="true"></i></div>';
				echo 				$this->Form->input('keyword', array('div' => false,'label'=>false , 'class' => 'form-control no-left-border', 'placeholder' => "Search for..."));
				echo '			<span class="input-group-btn">';
				echo 				$this->Form->submit('Search', array('div' => false, 'class' => 'btn btn-margin btn-info-new'));
				echo '			</span>';
				echo '		</div>';
				echo 		$this->Form->end();
				echo '	</div>';
			}
			
			$url_params = array_merge($this->request['url'], $this->params['named']);
			
			if ($include_add) {
				echo '	<div class="button-line">';
				$this->create_link_button('Add New', 'fa-plus', array('controller' => $controller, 'action' => $add_action, 'prefix' => $prefix, '?' => $url_params), array('template' => 'info'));
				echo '	</div>';
			}
			
			if ($include_export_csv) {
				echo '	<div class="button-line">';
				$this->create_link_button('Export to CSV', 'fa-file-excel-o', array('controller' => $controller, 'action' => $export_csv_action, 'prefix' => $prefix, '?' => $url_params), array('template' => 'success'));
				echo '	</div>';
			}
			
			if ($include_export_excel) {
				echo '	<div class="button-line">';
				$this->create_link_button('Export to Excel', 'fa-file-excel-o', array('controller' => $controller, 'action' => $export_excel_action, 'prefix' => $prefix, '?' => $url_params), array('template' => 'success'));
				echo '	</div>';
			}
			
			if ($include_export_pdf) {
				echo '	<div class="button-line">';
				$this->create_link_button('Export to PDF', 'fa-file-pdf-o', array('controller' => $controller, 'action' => $export_pdf_action, 'prefix' => $prefix, '?' => $url_params), array('template' => 'success'));
				echo '	</div>';
			}
			
			echo '	</div>
				</div>
			</div>
			<div class="row">
				<div class="col-md-12">
				<div class="table-responsive">
				<table class="table table-striped-new table-bordered">
					<thead>
						<tr>
		';
		foreach($table_params['column-headers'] as $column_title => $column_size) {
			echo '<th class="col-md-' . $column_size . ' table-header-links">' . $column_title . '</th>';
		}
		
		if($include_edit) {
			echo '<th class="col-md-1 table-header-links table-header-action">Edit</th>';
		}
		
		if($include_delete) {
			echo '<th class="col-md-1 table-header-links table-header-action">Delete</th>';
		}
		echo '
						</tr>
					</thead>
					<tbody>
		';
		
		if(isset($table_params['table-data-order'])) {
			$table_data_order_names = array();
			foreach($table_params['table-data-order'] as $table_data_order) {
				$table_data_order_names[] = $this->expand_array($table_data_order);
			}
			
			foreach($table_params['table-data'] as $data_record) {
				foreach($table_data_order_names as $table_data_order_name) {
					$column_count = count($table_data_order_names);
					$column_counter = 0;
					if($column_counter == 0 && $table_data_order_name[1] == 'id') {
						$id = $data_record[$table_data_order_name[0]][$table_data_order_name[1]];
						echo '<tr>';
					}
					else {
						$is_converted = false;
						$data_value = $data_record[$table_data_order_name[0]][$table_data_order_name[1]];
						
						if(isset($table_params['table-settings']['auto-convert']['datetime'])) {
							if($this->validate_datetime($data_value, 'Y-m-d H:i:s')) {
								$data_value = $this->convert_datetime($data_value, $table_params['table-settings']['auto-convert']['datetime']);
								$is_converted = true;
							}
						}
						
						if(isset($table_params['table-settings']['auto-convert']['date']) && $is_converted == false) {
							if($this->validate_datetime($data_value)) {
								$data_value = $this->convert_datetime($data_value, $table_params['table-settings']['auto-convert']['date']);
							}
						}
						
						if(isset($table_params['table-settings']['auto-convert']['time']) && $is_converted == false) {
							if($this->validate_datetime($data_value, 'H:i:s')) {
								$data_value = $this->convert_datetime($data_value, $table_params['table-settings']['auto-convert']['time']);
							}
						}
						
						if($include_view) {
							echo '<td class="td-links" data-href="' . $this->Html->url(array('controller' => $controller, 'action' => $view_action, 'prefix' => $prefix, $id)) . '">' . $this->create_secured_link($data_value, array('controller' => $controller, 'action' => $view_action, 'prefix' => $prefix, $id)) . '</td>';
						}
						else {
							echo '<td>' . $data_value . '</td>';
						}
					}

					$column_counter++;	
				}
				if($include_edit) {
					echo '<td class="col-md-1 text-center">' . $this->create_secured_link('<i class="fa fa-pencil-square-o md-icon" aria-hidden="true"></i><br /><span class="gray-link small-link">Edit</span>', array('controller' => $controller, 'action' => $edit_action, 'prefix' => $prefix, $id), array('class' => 'yellow-link', 'escape' => false)) . '</td>';
				}
				
				if($include_delete) {
					echo '<td class="col-md-1 text-center">' . $this->create_secured_link('<i class="fa fa-trash-o md-icon" aria-hidden="true"></i><br /><span class="gray-link small-link">Delete</span>', array('controller' => $controller, 'action' => $delete_action, 'prefix' => $prefix, $id), array('confirm'=>'Delete this record?', 'class' => 'red-link', 'escape' => false)) . '</td>';
				}
				echo '</tr>';
			}
		}
		else {
			foreach($table_params['table-data'] as $data_record) {
				foreach($data_record as $data_record_model => $data_record_model_data) {
					$column_count = count($data_record_model_data);
					$column_counter = 0;
					foreach($data_record_model_data as $data_record_model_column_name => $data_record_model_column_data) {
						
						
						if($data_record_model_column_name == 'id') {
							$id = $data_record_model_column_data;
							echo '<tr>';
						}
						else {
							$is_converted = false;
							$data_value = $data_record_model_column_data;
							
							if(isset($table_params['table-settings']['auto-convert']['datetime'])) {
								if($this->validate_datetime($data_value, 'Y-m-d H:i:s')) {
									$data_value = $this->convert_datetime($data_value, $table_params['table-settings']['auto-convert']['datetime']);
									$is_converted = true;
								}
							}
							
							if(isset($table_params['table-settings']['auto-convert']['date']) && $is_converted == false) {
								if($this->validate_datetime($data_value)) {
									$data_value = $this->convert_datetime($data_value, $table_params['table-settings']['auto-convert']['date']);
								}
							}
							
							if(isset($table_params['table-settings']['auto-convert']['time']) && $is_converted == false) {
								if($this->validate_datetime($data_value, 'H:i:s')) {
									$data_value = $this->convert_datetime($data_value, $table_params['table-settings']['auto-convert']['time']);
								}
							}
							
							if($include_view) {
								echo '<td class="td-links" data-href="' . $this->Html->url(array('controller' => $controller, 'action' => $view_action, 'prefix' => $prefix, $id)) . '">' . $this->create_secured_link($data_value, array('controller' => $controller, 'action' => $view_action, 'prefix' => $prefix, $id)) . '</td>';
							}
							else {
								echo '<td>' . $data_value . '</td>';
							}
						}
						
						$column_counter++;
					}
				}
				if($include_edit) {
					echo '<td class="col-md-1 text-center">' . $this->create_secured_link('<i class="fa fa-pencil-square-o md-icon" aria-hidden="true"></i><br /><span class="gray-link small-link">Edit</span>', array('controller' => $controller, 'action' => $edit_action, 'prefix' => $prefix, $id), array('class' => 'yellow-link', 'escape' => false)) . '</td>';
				}
				
				if($include_delete) {
					echo '<td class="col-md-1 text-center">' . $this->create_secured_link('<i class="fa fa-trash-o md-icon" aria-hidden="true"></i><br /><span class="gray-link small-link">Delete</span>', array('controller' => $controller, 'action' => $delete_action, 'prefix' => $prefix, $id), array('confirm'=>'Delete this record?', 'class' => 'red-link', 'escape' => false)) . '</td>';
				}
				echo '</tr>';
			}
		}
		
		echo '
					</tbody>
				</table>
				</div>
				</div>
			</div>
		</div>
		</div>
		';
		
		$this->BootstrapPaginator->create_bootstrap_pages($paginator);
		
	}
	
	public function create_standard_bootstrap_table_new($table_params = array()) {
		$model = $table_params['table-settings']['Model'];
		$controller = $table_params['table-settings']['Controller'];
		$action = $table_params['table-settings']['action'];
		$prefix = (isset($table_params['table-settings']['prefix'])) ? $table_params['table-settings']['prefix'] : null;
		
		$paginator = $table_params['paginator'];
		
		$view_action = "view$action";
		$add_action = "add$action";
		$edit_action = "edit$action";
		$delete_action = "delete$action";
		
		$search_action = "index";
		$export_csv_action = "export_csv$action";
		$export_excel_action = "export_excel$action";
		$export_pdf_action = "export_pdf$action";
		
		$include_view = in_array('view', $table_params['table-settings']['include']) && $this->DaiSecurity->is_allowed_to_access($controller, $view_action, $prefix);
		$include_add = in_array('add', $table_params['table-settings']['include']) && $this->DaiSecurity->is_allowed_to_access($controller, $add_action, $prefix);
		$include_edit = in_array('edit', $table_params['table-settings']['include']) && $this->DaiSecurity->is_allowed_to_access($controller, $edit_action, $prefix);
		$include_delete = in_array('delete', $table_params['table-settings']['include']) && $this->DaiSecurity->is_allowed_to_access($controller, $delete_action, $prefix);
		$include_search = in_array('search', $table_params['table-settings']['include']);
		$include_export_csv = in_array('export_csv', $table_params['table-settings']['include']) && $this->DaiSecurity->is_allowed_to_access($controller, $export_csv_action, $prefix);
		$include_export_excel = in_array('export_excel', $table_params['table-settings']['include']) && $this->DaiSecurity->is_allowed_to_access($controller, $export_csv_action, $prefix);
		$include_export_pdf = in_array('export_pdf', $table_params['table-settings']['include']) && $this->DaiSecurity->is_allowed_to_access($controller, $export_pdf_action, $prefix);		
		
		if(isset($table_params['title'])) {
			echo '
				<div class="row">
					<div class="col-md-12">
						<p class="page-label">' . $table_params['title'] . '</p>
					</div>
				</div>
			';
		}
		
		
		echo '
			<div class="row">
				<div class="col-md-12">
					<div class="button-line-parent">';
			if ($include_search) {
				//DEL EDIT
				if(isset($table_params['table-settings']['search_option'])){
				echo '	<div class="button-line">';
						$this->create_link_button('Search', 'fa-search', '#', array('template' => 'success','data-target'=>'#myModal','data-toggle'=>'modal'));
				echo '	</div>';
				echo '<div id="myModal" class="modal fade" role="dialog">
				  <div class="modal-dialog">
				  
					<div class="modal-content">
					  <div class="modal-header">
						<button type="button" class="close" data-dismiss="modal">&times;</button>
						<h4 class="modal-title">Search</h4>
					  </div>
					  <div class="modal-body">
					  <div >';
				
						echo $this->Form->create('Search' . $model, array('id'=>'search_box','type' => 'file'));
							foreach($table_params['table-settings']['search_option'] as $k=>$v){
								if($v=='keyword'){
									echo $this->Form->input('keyword',array('div' => 'form-group','class' => 'form-control','placeholder' => "Search for..."));
								}elseif($v=='date'){
									echo $this->Form->input($k,array('div' => 'form-group','class' => 'form-control datepicker'));
								}elseif($v=='date_range'){
									echo $this->Form->input($k,array('div' => 'form-group','class' => 'form-control daterange'));
								}elseif($v=='text'){
									echo $this->Form->input($k,array('div' => 'form-group','class' => 'form-control'));
								}else{
									echo  $this->Form->input($k, array(
											'div' => 'form-group',
											//'label'=>false,
											'class' => 'form-control',
											'options' => $v,
											'empty' => '(Choose One)' 
										));
								}
							}
							
						echo '	</div>
								  <div class="modal-footer">';
										echo $this->Form->button('<span class="button-text-with-icon">Change</span><i class="fa fa-search sm-icon float-right" aria-hidden="true"></i>', array('id'=>'btn_change_loc','type' => 'submit', 'class' => 'btn btn-primary-new btn-form', 'escape' => false));	
										echo $this->Form->end();
						echo '	<button type="button" class="btn btn-default" data-dismiss="modal">Close</button>
							</div>
						</div>

					  </div>
					  </div>
					</div>';
				}else{
					echo '	<div class="button-line">';
					echo 		$this->Form->create('Search' . $model);
					echo '		<div class="input-group custom-width-md">
									<div class="input-group-addon left-group-addon transparent-white-icon"><i class="fa fa-search" aria-hidden="true"></i></div>';
					echo 				$this->Form->input('keyword', array('div' => false,'label'=>false , 'class' => 'form-control no-left-border', 'placeholder' => "Search for..."));
					echo '			<span class="input-group-btn">';
					echo 				$this->Form->submit('Search', array('div' => false, 'class' => 'btn btn-margin btn-info-new'));
					echo '			</span>';
					echo '		</div>';
					echo 		$this->Form->end();
					echo '	</div>';
				}
			}
			
			$url_params = array_merge($this->request['url'], $this->params['named']);
			
			if ($include_add) {
				echo '	<div class="button-line">';
				$this->create_link_button('Add New', 'fa-plus', array('controller' => $controller, 'action' => $add_action, 'prefix' => $prefix, '?' => $url_params), array('template' => 'info'));
				echo '	</div>';
			}
			
			if ($include_export_csv) {
				echo '	<div class="button-line">';
				$this->create_link_button('Export to CSV', 'fa-file-excel-o', array('controller' => $controller, 'action' => $export_csv_action, 'prefix' => $prefix, '?' => $url_params), array('template' => 'success'));
				echo '	</div>';
			}
			
			if ($include_export_excel) {
				echo '	<div class="button-line">';
				$this->create_link_button('Export to Excel', 'fa-file-excel-o', array('controller' => $controller, 'action' => $export_excel_action, 'prefix' => $prefix, '?' => $url_params), array('template' => 'success'));
				echo '	</div>';
			}
			
			if ($include_export_pdf) {
				echo '	<div class="button-line">';
				$this->create_link_button('Export to PDF', 'fa-file-pdf-o', array('controller' => $controller, 'action' => $export_pdf_action, 'prefix' => $prefix, '?' => $url_params), array('template' => 'success'));
				echo '	</div>';
			}
			
			echo '	</div>
				</div>
			</div>
			<div class="row">
				<div class="col-md-12">
				<div class="table-responsive">
				<table class="table table-striped-new table-bordered">
					<thead>
						<tr>
		';
		foreach($table_params['column-headers'] as $column_title => $column_size) {
			echo '<th class="col-md-' . $column_size . ' table-header-links">' . $column_title . '</th>';
		}
		
		if($include_edit) {
			echo '<th class="col-md-1 table-header-links table-header-action">Edit</th>';
		}
		
		if($include_delete) {
			echo '<th class="col-md-1 table-header-links table-header-action">Delete</th>';
		}
		echo '
						</tr>
					</thead>
					<tbody>
		';
		
		foreach ($table_params['table-data'] as $key => $value) {
			$column_counter = 0;
			foreach($value as $value_key => $value_content) {
				if($column_counter == 0) {
					$id = $value_content;
					echo '<tr>';
				}
				else {
					if($include_view) {
						echo '<td class="td-links" data-href="' . $this->Html->url(array('controller' => $controller, 'action' => $view_action, 'prefix' => $prefix, $id)) . '">' . $this->create_secured_link($value_content, array('controller' => $controller, 'action' => $view_action, 'prefix' => $prefix, $id)) . '</td>';
					}
					else {
						echo '<td>' . $value_content . '</td>';
					}
				}
				
				$column_counter++;
			}
			
			if($include_edit) {
				echo '<td class="col-md-1 text-center">' . $this->create_secured_link('<i class="fa fa-pencil-square-o md-icon" aria-hidden="true"></i><br /><span class="gray-link small-link">Edit</span>', array('controller' => $controller, 'action' => $edit_action, 'prefix' => $prefix, $id), array('class' => 'yellow-link', 'escape' => false)) . '</td>';
			}
			
			if($include_delete) {
				echo '<td class="col-md-1 text-center">' . $this->create_secured_link('<i class="fa fa-trash-o md-icon" aria-hidden="true"></i><br /><span class="gray-link small-link">Delete</span>', array('controller' => $controller, 'action' => $delete_action, 'prefix' => $prefix, $id), array('confirm'=>'Delete this record?', 'class' => 'red-link', 'escape' => false)) . '</td>';
			}
			echo '</tr>';
		}
		
		echo '
					</tbody>
				</table>
				</div>
				</div>
			</div>
		</div>
		</div>
		';
		
		$this->BootstrapPaginator->create_bootstrap_pages($paginator);
		
	}
	
	public function create_form_input_batch($form_input_data = array()) {
		
		echo '<div class="row">';
		foreach($form_input_data as $form_input_fields) {
			echo '<div class="col-md-' . $form_input_fields['size'] . '">';
			foreach($form_input_fields['contents'] as $form_input_field) {
				if(isset($form_input_field[2])) {
					if(isset($form_input_field[2]['template']) && $form_input_field[2]['template'] == 'date') {
						unset($form_input_field[2]['template']);
						$form_input_field[2] = array_merge($form_input_field[2], array('class' => 'form-control datepicker', 'placeholder' => 'YYYY-MM-DD', 'type' => 'text'));
					}
					
					if(isset($form_input_field[2]['template']) && $form_input_field[2]['template'] == 'list') {
						unset($form_input_field[2]['template']);
						if(isset($form_input_field[3])) {
							$form_input_field[2] = array_merge($form_input_field[2], array(
								'options' => $form_input_field[3],
								'empty' => '(Choose One)'
							));
							unset($form_input_field[3]);
						}
					}
					
					echo '<div class="col-md-' . $form_input_field[1] . '">' . $this->Form->input($form_input_field[0], array_merge(array('div' => 'form-group', 'class' => 'form-control', 'placeholder' => Inflector::humanize($form_input_field[0])), $form_input_field[2])) . '</div>';
				}
				else {
					echo '<div class="col-md-' . $form_input_field[1] . '">' . $this->Form->input($form_input_field[0], array('div' => 'form-group', 'class' => 'form-control', 'placeholder' => Inflector::humanize($form_input_field[0]))) . '</div>';
				}
			}
			echo '</div>';
		}
		echo '</div>';
	}
	
	public function create_left_label_form_input_batch($form_input_data = array()) {
		echo '<div class="row">';
		foreach($form_input_data as $form_input_fields) {
			echo '<div class="col-md-' . $form_input_fields['size'] . '">';
			foreach($form_input_fields['contents'] as $form_input_field) {
				if(is_array($form_input_field)) {
					if(isset($form_input_field[2])) {
						if(isset($form_input_field[2]['template']) && $form_input_field[2]['template'] == 'date') {
							unset($form_input_field[2]['template']);
							$form_input_field[2] = array_merge($form_input_field[2], array('class' => 'form-control datepicker', 'placeholder' => 'YYYY-MM-DD', 'type' => 'text'));
							echo '<div class="col-md-' . $form_input_field[1] . '">' . $this->create_left_label_form_input($form_input_field[0], array_merge(array('div' => 'form-group', 'class' => 'form-control', 'placeholder' => Inflector::humanize($form_input_field[0])), $form_input_field[2])) . '</div>';
						}
						else if(isset($form_input_field[2]['template']) && $form_input_field[2]['template'] == 'list') {
							unset($form_input_field[2]['template']);
							if(isset($form_input_field[3])) {
								$form_input_field[2] = array_merge($form_input_field[2], array(
									'options' => $form_input_field[3],
									'empty' => '(Choose One)'
								));
								unset($form_input_field[3]);
							}
							echo '<div class="col-md-' . $form_input_field[1] . '">' . $this->create_left_label_form_input($form_input_field[0], array_merge(array('div' => 'form-group', 'class' => 'form-control', 'placeholder' => Inflector::humanize($form_input_field[0])), $form_input_field[2])) . '</div>';
						}
						else if (isset($form_input_field[2]['template']) && $form_input_field[2]['template'] == 'radio_buttons'){
							echo '<div class="col-md-' . $form_input_field[1] . '">' . $this->create_left_label_form_input_radio_buttons($form_input_field[0], array_merge(array('div' => 'form-group', 'class' => 'form-control', 'placeholder' => Inflector::humanize($form_input_field[0])), $form_input_field[2]), 3, $form_input_field[3]) . '</div>';
						}
						else if (isset($form_input_field[2]['template']) && $form_input_field[2]['template'] == 'checkbox_list'){
							echo '<div class="col-md-' . $form_input_field[1] . '">' . $this->create_left_label_form_input_checkbox_list($form_input_field[0], array_merge(array('div' => 'form-group', 'class' => 'form-control', 'placeholder' => Inflector::humanize($form_input_field[0])), $form_input_field[2]), 3, $form_input_field[3]) . '</div>';
						}
						else if (isset($form_input_field[2]['template']) && $form_input_field[2]['template'] == 'datetime') {
							echo '<div class="col-md-' . $form_input_field[1] . '">' . $this->create_left_label_form_input($form_input_field[0], array_merge(array('div' => 'form-group', 'class' => 'form-control-datetime', 'placeholder' => Inflector::humanize($form_input_field[0])), $form_input_field[2])) . '</div>';
						}
						else {
							echo '<div class="col-md-' . $form_input_field[1] . '">' . $this->create_left_label_form_input($form_input_field[0], array_merge(array('div' => 'form-group', 'class' => 'form-control', 'placeholder' => Inflector::humanize($form_input_field[0])), $form_input_field[2])) . '</div>';
						}
						
					}
					else {
						echo '<div class="col-md-' . $form_input_field[1] . '">' . $this->create_left_label_form_input($form_input_field[0], array('div' => 'form-group', 'class' => 'form-control', 'placeholder' => Inflector::humanize($form_input_field[0]))) . '</div>';
					}
				}
				else {
					echo $form_input_field;
				}
			}
			echo '</div>';
		}
		echo '</div>';
	}
	
	public function create_left_label_form_input($column_name, $params, $label_size = 3) {
		$left_label_result = '';
		
		if(isset($params['label'])) {
			$label = $params['label'];
		}
		else {
			$label = Inflector::humanize($column_name);
		}
		$left_label_result .= '<div class="col-md-' . $label_size . ' conditional-text-right left-label">' . $label . '</div>';
		
		$params['label'] = false;
		$params['div'] = 'col-md-' . (12 - $label_size) . ' left-label-form-input';
		$left_label_result .= $this->Form->input($column_name, $params);
		
		return $left_label_result;
	}
	
	public function create_left_label_form_input_radio_buttons($column_name, $params, $label_size = 3, $options = array()) {
		$left_label_result = '';
		
		if(isset($params['label'])) {
			$label = $params['label'];
		}
		else {
			$label = Inflector::humanize($column_name);
		}
		$left_label_result .= '<div class="col-md-' . $label_size . ' conditional-text-right left-label">' . $label . '</div>';
		
		$left_label_result .= '<div class="col-md-' . (12 - $label_size) . '">';
		
		$attributes = array('legend' => false, 'separator' => '</br>');

		$left_label_result .= $this->Form->radio($column_name, $options, $attributes);
		
		$left_label_result .= '</div>';
		return $left_label_result;
	}
	
	public function create_left_label_form_input_checkbox_list($label, $params, $label_size = 3, $options = array()) {
		$left_label_result = '';

		$left_label_result .= '<div class="col-md-' . $label_size . ' conditional-text-right left-label">' . $label . '</div>';
		$left_label_result .= '<div class="col-md-' . (12 - $label_size) . ' form-group checkbox-list-padding">';

		foreach ($options as $option_key => $option_value) {
			if(!is_array($option_value)) {
				$left_label_result .= '<div class="col-xs-12 no-margin no-padding">';
				$left_label_result .= '<div class="col-xs-1 no-margin no-padding">' . $this->Form->checkbox($option_key, array('value' => $option_key)) . '</div><div class="col-xs-11 no-margin no-padding">' . $option_value . '</div>';
				$left_label_result .= '</div>';
			}
			else {
				
				$first_instance = true;
				$data_on_selected = '';
				foreach ($option_value as $option_value_key => $option_value_value) {
					if($first_instance) {
						$left_label_result .= '<div class="col-md-12 no-margin no-padding">';
						$left_label_result .= '<div class="col-xs-1 no-margin no-padding">' . $this->Form->checkbox($option_value_key, array(
							'hiddenField' => false,
							'class' => 'on-checkbox-selected',
							'data-on-selected' => $option_value_key
						)) . '</div><div class="col-xs-11 no-margin no-padding">' . $option_value_value . '</div>';
						$first_instance = false;
						$data_on_selected = $option_value_key;
					}
					else {
						$left_label_result .= '<div class="col-xs-1 no-margin no-padding"></div><div class="col-xs-11 no-margin no-padding">' . $this->Form->input($option_value_value, array('div' => false, 'class' => 'form-control', 'data-on-selected-linked-field' => $data_on_selected, 'label' => false, 'disabled' => 'disabled')) . '</div>';
						$left_label_result .= '</div>';
					}
					
				}
			}
			
		}
		
		$left_label_result .= '</div>';
		
		return $left_label_result;
	}
	
	public function create_checkbox_list_view_string($options = array()) {
		$left_label_result = '';
		
		foreach ($options as $option) {
			$left_label_result .= '<div class="col-xs-12 no-margin no-padding">';
			$left_label_result .= '<div class="col-xs-1 no-margin no-padding">' . $this->Form->checkbox($option[0] . $option[1], array('disabled' => 'disabled', 'default' => $option[1])) . '</div><div class="col-xs-11 no-margin no-padding">' . $option[0] . '</div>';
			if(isset($option[2])) {
				$left_label_result .= '<div class="col-xs-12 no-margin no-padding" style="clear: both; float: none;">';
				$left_label_result .= '<div class="col-xs-1 no-margin no-padding"></div><div class="col-xs-11 no-margin no-padding"><div class="form-control">' . $option[2] . '</div></div>';
				$left_label_result .= '</div>';
			}
			$left_label_result .= '</div>';
		}
		return $left_label_result;
	}
	
	public function create_left_label_form_view_batch($form_input_data = array()) {
		echo '<div class="row">';
		foreach($form_input_data as $form_input_fields) {
			echo '<div class="col-md-' . $form_input_fields['size'] . '">';
			foreach($form_input_fields['contents'] as $form_input_field) {
				if(is_array($form_input_field)) {
					echo '<div class="col-md-' . $form_input_field[2] . '">';
					echo $this->create_left_label_form_view($form_input_field[0], $form_input_field[1]);
					echo '</div>';
				}
				else {
					echo $form_input_field;
				}
				
			}
			echo '</div>';
		}
		echo '</div>';
	}
	
	public function create_left_label_form_view($label, $value, $label_size = 3) {
		$left_label_result = '';
		$left_label_result .= '<div class="col-md-' . $label_size . ' conditional-text-right left-label">' . $label . '</div>';
		if(empty(trim($value))) {
			$value = '&nbsp;';
		}
		$left_label_result .= '<div class="col-md-' . (12 - $label_size) . ' left-label-form-input"><div class="form-control-display">' . $value . '</div></div>';		
		return $left_label_result;
	}
		
	
	public function create_form_view_batch($form_input_data = array()) {
		echo '<div class="row">';
		foreach($form_input_data as $form_input_fields) {
			echo '<div class="col-md-' . $form_input_fields['size'] . '">';
			foreach($form_input_fields['contents'] as $form_input_field) {
				if(is_array($form_input_field)) {
					echo '<div class="col-md-' . $form_input_field[2] . '">';
					$this->create_form_display($form_input_field[0], $form_input_field[1]);
					echo '</div>';
				}
				else {
					echo $form_input_field;
				}
			}
			echo '</div>';
		}
		echo '</div>';
	}


	public function create_submit_button($label = 'Submit', $icon_class = 'fa-share-square-o sm-icon', $params = array()) {
		if (isset($params['class'])) {
			$params['class'] = 'btn btn-info-new btn-form ' . $params['class'];
		}
		else {
			$params['class'] = 'btn btn-info-new btn-form';
		}
		
		$params = array_merge(array('type' => 'submit', 'escape' => false), $params);
		echo $this->Form->button('<span class="button-text-with-icon">' . $label . '</span><i class="fa ' . $icon_class . ' float-right" aria-hidden="true"></i>', $params);
	}
	
	public function create_link_button($label = '', $icon_class = '', $url = array(), $params = array()) {
		if(isset($params['template']) && $params['template'] == 'danger') {
			unset($params['template']);
			$button_color_class = 'btn-danger-new';
		}
		else if(isset($params['template']) && $params['template'] == 'success') {
			unset($params['template']);
			$button_color_class = 'btn-success-new';
		}
		else if(isset($params['template']) && $params['template'] == 'info') {
			unset($params['template']);
			$button_color_class = 'btn-info-new';
		}
		else if(isset($params['template']) && $params['template'] == 'warning') {
			unset($params['template']);
			$button_color_class = 'btn-warning-new';
		}
		else {
			$button_color_class = 'btn-primary-new';
		}
		
		$params = array_merge(array('class' => 'btn btn-form ', 'escape' => false), $params);
		$params['class'] = $params['class'] . $button_color_class;
		
		if(isset($url['controller']) && $url['action']) {
			if (isset($url['prefix'])) {
				if ($this->DaiSecurity->is_allowed_to_access($url['controller'], $url['action'], $url['prefix'])) {
					echo $this->create_secured_link('<span class="button-text-with-icon">' . $label . '</span><i class="fa ' . $icon_class . ' sm-icon float-right" aria-hidden="true"></i>', $url, $params); 
				}
			}
			else {
				if ($this->DaiSecurity->is_allowed_to_access($url['controller'], $url['action'])) {
					echo $this->create_secured_link('<span class="button-text-with-icon">' . $label . '</span><i class="fa ' . $icon_class . ' sm-icon float-right" aria-hidden="true"></i>', $url, $params); 
				}
			}
			
		}
		else {
			echo $this->Html->link('<span class="button-text-with-icon">' . $label . '</span><i class="fa ' . $icon_class . ' sm-icon float-right" aria-hidden="true"></i>', $url, $params); 
		}
	}
	
	public function create_toggle_button_string($label = '', $icon_class = '', $params = array()) {
		if(isset($params['template']) && $params['template'] == 'danger') {
			unset($params['template']);
			$button_color_class = 'btn-danger-new';
		}
		else if(isset($params['template']) && $params['template'] == 'success') {
			unset($params['template']);
			$button_color_class = 'btn-success-new';
		}
		else if(isset($params['template']) && $params['template'] == 'info') {
			unset($params['template']);
			$button_color_class = 'btn-info-new';
		}
		else if(isset($params['template']) && $params['template'] == 'warning') {
			unset($params['template']);
			$button_color_class = 'btn-warning-new';
		}
		else {
			$button_color_class = 'btn-primary-new';
		}
		
		$params['class'] = 'btn btn-form ' . $params['class'] . ' '. $button_color_class;
		
		return '<div class="' . $params['class'] . ' col-md-12"><span class="button-text-with-icon">' . $label . '</span><i class="fa ' . $icon_class . ' sm-icon float-right" aria-hidden="true"></i></div>'; 
	}
	
	public function inspinia_span_status($data=null) {
		
		if(isset($data)){
			$status = '<i class="fa fa-check-circle pull-right fa-lg blue-link hidden-xs" title="Done"></i>';
		}else{
			$status = '<i class="fa fa-times-circle pull-right fa-lg red-link hidden-xs" title="Empty"></i>';
		}
		return $status;
	}
	
	public function inspinia_span_for_approval_status($data=null) {
		
		if($data == "Pending"){
			$status = '<span class="label label-warning pull-right">For Approval</span>';
		}else{
			$status = '';
		}
		return $status;
	}
	
	public function inspinia_span_temp_status($data=null) {
		
		if($data == "Pending"){
			$status = '<span class="pull-right"><i class="fa fa-warning yellow-link fa-lg  hidden-xs" title="For Approval"></i></span>';
		}else{
			$status = '';
		}
		return $status;
	}
	
	public function inspinia_span_temp_status_new($data=null) {
		
		if($data == "1"){
			$status = '<span class="pull-right"><i class="fa fa-warning yellow-link fa-lg  hidden-xs" title="For Approval"></i></span>';
		}else{
			$status = '';
		}
		return $status;
	}
	
	public function inspinia_span_status_count($data=null) {
		
		if(count($data) > 0){
			$status = '<i class="fa fa-check-circle pull-right fa-lg blue-link hidden-xs" title="Done"></i>';
		}else{
			$status = '<i class="fa fa-times-circle pull-right fa-lg red-link hidden-xs" title="Empty"></i>';
		}
		return $status;	
	}
	
	function expand_array($path, $separator = '.') {
		$array_keys = explode($separator, $path);
		
		$expanded_array = array();
		foreach ($array_keys as $array_key) {
			$expanded_array[] = $array_key;
		}

		return $expanded_array;
	}
	
	function convert_datetime($date_text = '', $default_format = '%B %d, %Y') {
		$converted_date = $this->Time->format($date_text, $default_format);

		return $converted_date;
	}
	
	function validate_datetime($date, $format = 'Y-m-d')
	{
		$d = DateTime::createFromFormat($format, $date);
		return $d && $d->format($format) == $date;
	}
	
	public function create_standard_bootstrap_table_new_customize($table_params = array()) {
		$model = $table_params['table-settings']['Model'];
		$controller = $table_params['table-settings']['Controller'];
		$action = $table_params['table-settings']['action'];
		$prefix = (isset($table_params['table-settings']['prefix'])) ? $table_params['table-settings']['prefix'] : null;
		
		$paginator = $table_params['paginator'];
		
		$view_action = "view$action";
		$add_action = "add$action";
		$edit_action = "edit$action";
		$delete_action = "delete$action";
		$search_action = "index";
		$export_csv_action = "export_csv$action";
		$export_excel_action = "export_excel$action";
		$export_pdf_action = "export_pdf$action";
		$download_pdf_action = "download_pdf$action";
		
		$include_view = in_array('view', $table_params['table-settings']['include']) && $this->DaiSecurity->is_allowed_to_access($controller, $view_action, $prefix);
		$include_add = in_array('add', $table_params['table-settings']['include']) && $this->DaiSecurity->is_allowed_to_access($controller, $add_action, $prefix);
		$include_edit = in_array('edit', $table_params['table-settings']['include']) && $this->DaiSecurity->is_allowed_to_access($controller, $edit_action, $prefix);
		$include_delete = in_array('delete', $table_params['table-settings']['include']) && $this->DaiSecurity->is_allowed_to_access($controller, $delete_action, $prefix);
		$include_search = in_array('search', $table_params['table-settings']['include']);
		$include_export_csv = in_array('export_csv', $table_params['table-settings']['include']) && $this->DaiSecurity->is_allowed_to_access($controller, $export_csv_action, $prefix);
		$include_export_excel = in_array('export_excel', $table_params['table-settings']['include']) && $this->DaiSecurity->is_allowed_to_access($controller, $export_csv_action, $prefix);
		$include_export_pdf = in_array('export_pdf', $table_params['table-settings']['include']) && $this->DaiSecurity->is_allowed_to_access($controller, $export_pdf_action, $prefix);	
		$include_download_pdf = in_array('download_pdf', $table_params['table-settings']['include']) && $this->DaiSecurity->is_allowed_to_access($controller, $download_pdf_action, $prefix);
		$url_params = array_merge($this->request['url'], $this->params['named']);
			
			
		echo '<div class="card mb-4">
				<div class="card-block">';
				if(isset($table_params['title'])) {
					echo '<h3 class="card-title">'.$table_params['title'].'</h3>';
					echo '<div class="dropdown card-title-btn-container">';
							// echo '<button class="btn btn-sm btn-subtle" type="button"><em class="fa fa-list-ul"></em> View All</button>';											
							echo '<button class="btn btn-sm btn-subtle dropdown-toggle" type="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false"><em class="fa fa-cog"></em></button>											
							<div class="dropdown-menu dropdown-menu-right" aria-labelledby="dropdownMenuButton">';
							
							if ($include_add) {
								echo $this->Html->link(
									'Add New',
									array('controller' => $controller, 'action' => $add_action, 'prefix' =>$prefix, '?' => $url_params),
									array('class' => 'dropdown-item')
								);
							}
							
							if ($include_export_csv) {
								echo $this->Html->link(
									'Export to CSV',
									array('controller' => $controller, 'action' => $export_csv_action, 'prefix' => $prefix, '?' => $url_params),
									array('class' => 'dropdown-item')
								);
							}
							
							if ($include_export_excel) {
								echo $this->Html->link(
									'Export to Excel',
									array('controller' => $controller, 'action' => $export_excel_action, 'prefix' => $prefix, '?' => $url_params),
									array('class' => 'dropdown-item')
								);
							}
							
							if ($include_export_pdf) {
								echo $this->Html->link(
									'Export to PDF',
									array('controller' => $controller, 'action' => $export_pdf_action, 'prefix' => $prefix, '?' => $url_params),
									array('class' => 'dropdown-item')
								);
							}
							
							if ($include_export_pdf) {
								echo $this->Html->link(
									'Download PDF',
									array('controller' => $controller, 'action' => $download_pdf_action, 'prefix' => $prefix, '?' => $url_params),
									array('class' => 'dropdown-item')
								);
							}
							
							 
							 echo '</div>
						</div>';
							
							echo '<div class="table-responsive">
									<table class="table table-striped">
										<thead>
											<tr>';
													foreach($table_params['column-headers'] as $column_title => $column_size) {
														echo '<th class="col-xs-' . $column_size . ' table-header-links">' . $column_title . '</th>';
													}
													
													if($include_view) {
														echo '<th class="col-xs-1 table-header-links table-header-action text-center">Action</th>';
													}
													
													if($include_edit) {
														echo '<th class="col-xs-1 table-header-links table-header-action">Edit</th>';
													}
													
													if($include_delete) {
														echo '<th class="col-xs-1 table-header-links table-header-action">Delete</th>';
													}
							echo ' 			</tr>
										</thead>
										<tbody>';
							
							foreach ($table_params['table-data'] as $key => $value) {
								$column_counter = 0;
								foreach($value as $value_key => $value_content) {
									if($column_counter == 0) {
										$id = $value_content;
										echo '<tr>';
									}
									else {
										echo '<td>' . $value_content . '</td>';
									}
									
									$column_counter++;
								}
								
								if($include_view) {
									echo '<td class="col-xs-1 text-center">';
										echo $this->Html->link(
											'View',
											array('controller' => $controller, 'action' => $view_action, 'prefix' => $prefix, $id),
											array('class' => 'btn btn-sm btn-primary')
										);
									echo '</td>';
								}
								
								if($include_edit) {
									echo '<td class="col-xs-1 text-center">';
										echo $this->Html->link(
											'Edit',
											array('controller' => $controller, 'action' => $edit_action, 'prefix' => $prefix, $id),
											array('class' => 'btn btn-sm btn-primary')
										);
									echo '</td>';
								}
								
								if($include_delete) {
									echo '<td class="col-xs-1 text-center">';
										echo  $this->create_secured_link('Delete',
											array('controller' => $controller, 'action' => $delete_action, 'prefix' => $prefix, $id),
											array('confirm'=>'Delete this record?', 'class' => 'btn btn-sm btn-primary', 'escape' => false)
										);
									echo '</td>';
								}
								echo '</tr>';
							}
										
										
							echo '		</tbody>
									</table>
								  </div>';	
				}
				echo '<div class ="text-center">';
				$this->BootstrapPaginator->create_bootstrap_pages($paginator);
				echo '</div>';
		echo '	</div>
			  </div>';
	}
	
}
?>