<?php
App::uses('AppHelper', 'View/Helper');

class BootstrapPaginatorHelper extends AppHelper {
	var $helpers = array('Html');
	
	public function create_integrated_bootstrap_pages($selected_page, $no_of_records_per_page, $total_no_of_records, $no_of_pages_displayed = 9) {
		$no_of_pages = ceil($total_no_of_records / $no_of_records_per_page);
		if($total_no_of_records > 0) {
			
			$url_data = $this->request['url'];
			
			echo '
				<div class="text-center">
					<nav>
						<ul class="pagination">
			';
			
			if($selected_page > 1) {
				$url_data['page'] = 1;
				echo '
					<li>
						<a href="' . $this->Html->url(array('?' => $url_data)) . '" aria-label="Previous">
							<span aria-hidden="true">First</span>
						</a>
					</li>';
				
				$url_data['page'] = $selected_page - 1;
				echo '
					<li>
						<a href="' . $this->Html->url(array('?' => $url_data)) . '" aria-label="Previous">
							<span aria-hidden="true">&laquo;</span>
						</a>
					</li>
				';
			}
			else {
				echo '
					<li class="previous disabled">
					  <a href="#" class="previous disabled" aria-label="Previous">
						<span aria-hidden="true">First</span>
					  </a>
					</li>
					<li class="previous disabled">
					  <a href="#" class="previous disabled" aria-label="Previous">
						<span aria-hidden="true">&laquo;</span>
					  </a>
					</li>
				';
			}
			
			$extra_padding = 0;
			
			if($no_of_pages_displayed % 2 == 0) {
				$extra_padding = 1;
			}
			
			$default_left_page_padding = floor($no_of_pages_displayed / 2) - $extra_padding;
			$default_right_page_padding = floor($no_of_pages_displayed / 2);
			$page_count = $no_of_pages;
			$current_page = $selected_page;
			$starting_page = $current_page - $default_left_page_padding;
			$ending_page = $current_page + $default_right_page_padding;
			$end_page_padding = 3;
			$start_page_padding = 3;
			$extra_right_page_padding = 0;
			$extra_left_page_padding = 0;
			
			if($starting_page < 1) {
				$extra_right_page_padding = abs($starting_page) + 1;
				$starting_page = 1;
			}
			
			if($ending_page > $page_count) {
				$extra_left_page_padding = abs($page_count - $ending_page);
				$ending_page = $page_count;
			}
			
			$starting_page -= $extra_left_page_padding;
			$ending_page += $extra_right_page_padding;
			
			if($starting_page < 1) {
				$starting_page = 1;
			}
			
			if($ending_page > $page_count) {
				$ending_page = $page_count;
			}
			
			
			if($start_page_padding < $starting_page) {
				for($x = 1; $x <= $start_page_padding; $x++) {
					$url_data['page'] = $x;
					echo '<li><a href="' . $this->Html->url(array('?' => $url_data)) . '" class="special-pages">' . $x . '</a></li>';
				}
			}
			else {
				for($x = 1; $x < $starting_page; $x++) {
					$url_data['page'] = $x;
					echo '<li><a href="' . $this->Html->url(array('?' => $url_data)) . '" class="special-pages">' . $x . '</a></li>';
				}
			}
			
			for($x = $starting_page; $x <= $ending_page; $x++) {
				if($x != $current_page) {
					$url_data['page'] = $x;
					echo '<li><a href="' . $this->Html->url(array('?' => $url_data)) . '">' . $x . '</a></li>';
				}
				else {
					echo '<li class="active"><a href="#">' . $x . '</a></li>';
				}
			}
			
			$end_page_start = (($page_count - $end_page_padding) < $ending_page ? $ending_page + 1 : $page_count - $end_page_padding + 1);
			
			for($x = $end_page_start; $x <= $page_count; $x++) {
				$url_data['page'] = $x;
				echo '<li><a href="' . $this->Html->url(array('?' => $url_data)) . '" class="special-pages">' . $x . '</a></li>';
			}
			
			if($selected_page + 1 <=  $no_of_pages) {
				$url_data['page'] = $selected_page + 1;
				
				echo '
					<li>
					  <a href="' . $this->Html->url(array('?' => $url_data)) . '" aria-label="Next">
						<span aria-hidden="true">&raquo;</span>
					  </a>
					</li>';
				$url_data['page'] = $no_of_pages;	
				echo '
					<li>
					  <a href="' . $this->Html->url(array('?' => $url_data)) . '" aria-label="Next">
						<span aria-hidden="true">Last</span>
					  </a>
					</li>
				';
			}
			else {
				echo '
					<li class="next disabled">
					  <a href="#" aria-label="Next">
						<span aria-hidden="true">&raquo;</span>
					  </a>
					</li>
					<li class="next disabled">
					  <a href="#" aria-label="Next">
						<span aria-hidden="true">Last</span>
					  </a>
					</li>
				';
			}
			echo '
					  </ul>
					</nav>
				</div>
			';
		}
	}
	
	public function create_bootstrap_pages($paginator, $no_of_pages_displayed = 9) {
		$this->Paginator = $paginator;
		if($this->Paginator->param('pageCount') > 1) {
			$no_of_records_shown = $this->Paginator->param('current');
			$page_limit = $this->Paginator->param('limit');
			$current_page  = $this->Paginator->param('page');
			$record_count_start = (($current_page - 1) * $page_limit) + 1;
			if($current_page == $this->Paginator->param('pageCount')) {
				$record_count_end = $this->Paginator->param('count');
			}
			else {
				$record_count_end = (($current_page - 1) * $page_limit) + $page_limit;
			}
			
			if($page_limit == 1) {
				$record_count_string = $record_count_start;
			}
			else {
				$record_count_string = $record_count_start . ' - ' . $record_count_end;
			}
			
			
			
			echo '
				<div class="text-center">
					<nav>' . $record_count_string . ' of ' . $this->Paginator->param('count') . ' record/s shown.</nav>
					<nav>
						<ul class="pagination">
			';
			
			if($this->Paginator->param('prevPage')) {
				echo '
					<li>
						<a href="' . $this->Paginator->url(array_merge($this->request->params['pass'], $this->params['named'], array('sort' => $this->Paginator->param('sort'), 'page' => 1, 'direction' => $this->Paginator->param('direction')), array('?' => $this->request['url'])), false) . '" aria-label="Previous">
							<span aria-hidden="true">First</span>
						</a>
					</li>
					<li>
						<a href="' . $this->Paginator->url(array_merge($this->request->params['pass'], $this->params['named'], array('sort' => $this->Paginator->param('sort'), 'page' => $this->Paginator->param('page') - 1, 'direction' => $this->Paginator->param('direction')), array('?' => $this->request['url'])), false) . '" aria-label="Previous">
							<span aria-hidden="true">&laquo;</span>
						</a>
					</li>
				';
			}
			else {
				echo '
					<li class="previous disabled">
					  <a href="#" class="previous disabled" aria-label="Previous">
						<span aria-hidden="true">First</span>
					  </a>
					</li>
					<li class="previous disabled">
					  <a href="#" class="previous disabled" aria-label="Previous">
						<span aria-hidden="true">&laquo;</span>
					  </a>
					</li>
				';
			}
			
			$extra_padding = 0;
			
			if($no_of_pages_displayed % 2 == 0) {
				$extra_padding = 1;
			}
			
			$default_left_page_padding = floor($no_of_pages_displayed / 2) - $extra_padding;
			$default_right_page_padding = floor($no_of_pages_displayed / 2);
			$page_count = $this->Paginator->param('pageCount');
			$current_page = $this->Paginator->param('page');
			$starting_page = $current_page - $default_left_page_padding;
			$ending_page = $current_page + $default_right_page_padding;
			$end_page_padding = 3;
			$start_page_padding = 3;
			$extra_right_page_padding = 0;
			$extra_left_page_padding = 0;
			
			if($starting_page < 1) {
				$extra_right_page_padding = abs($starting_page) + 1;
				$starting_page = 1;
			}
			
			if($ending_page > $page_count) {
				$extra_left_page_padding = abs($page_count - $ending_page);
				$ending_page = $page_count;
			}
			
			$starting_page -= $extra_left_page_padding;
			$ending_page += $extra_right_page_padding;
			
			if($starting_page < 1) {
				$starting_page = 1;
			}
			
			if($ending_page > $page_count) {
				$ending_page = $page_count;
			}
			
			if($start_page_padding < $starting_page) {
				for($x = 1; $x <= $start_page_padding; $x++) {
					echo '<li><a href="' . $this->Paginator->url(array_merge($this->request->params['pass'], $this->params['named'], array('sort' => $this->Paginator->param('sort'), 'page' => $x, 'direction' => $this->Paginator->param('direction')), array('?' => $this->request['url'])), false) . '" class="special-pages">' . $x . '</a></li>';
				}
			}
			else {
				for($x = 1; $x < $starting_page; $x++) {
					echo '<li><a href="' . $this->Paginator->url(array_merge($this->request->params['pass'], $this->params['named'], array('sort' => $this->Paginator->param('sort'), 'page' => $x, 'direction' => $this->Paginator->param('direction')), array('?' => $this->request['url'])), false) . '" class="special-pages">' . $x . '</a></li>';
				}
			}
			
			for($x = $starting_page; $x <= $ending_page; $x++) {
				if($x != $current_page) {
					echo '<li><a href="' . $this->Paginator->url(array_merge($this->request->params['pass'], $this->params['named'], array('sort' => $this->Paginator->param('sort'), 'page' => $x, 'direction' => $this->Paginator->param('direction')), array('?' => $this->request['url'])), false) . '">' . $x . '</a></li>';
				}
				else {
					echo '<li class="active"><a href="#">' . $x . '</a></li>';
				}
			}
			
			$end_page_start = (($page_count - $end_page_padding) < $ending_page ? $ending_page + 1 : $page_count - $end_page_padding + 1);
			
			for($x = $end_page_start; $x <= $page_count; $x++) {
				echo '<li><a href="' . $this->Paginator->url(array_merge($this->request->params['pass'], $this->params['named'], array('sort' => $this->Paginator->param('sort'), 'page' => $x, 'direction' => $this->Paginator->param('direction')), array('?' => $this->request['url'])), false) . '" class="special-pages">' . $x . '</a></li>';
			}
			
			if($this->Paginator->param('nextPage')) {
				echo '
					<li>
					  <a href="' . $this->Paginator->url(array_merge($this->request->params['pass'], $this->params['named'], array('sort' => $this->Paginator->param('sort'), 'page' => $this->Paginator->param('page') + 1, 'direction' => $this->Paginator->param('direction')), array('?' => $this->request['url'])), false) . '" aria-label="Next">
						<span aria-hidden="true">&raquo;</span>
					  </a>
					</li>
					<li>
					  <a href="' . $this->Paginator->url(array_merge($this->request->params['pass'], $this->params['named'], array('sort' => $this->Paginator->param('sort'), 'page' => $this->Paginator->param('pageCount'), 'direction' => $this->Paginator->param('direction')), array('?' => $this->request['url'])), false) . '" aria-label="Next">
						<span aria-hidden="true">Last</span>
					  </a>
					</li>
				';
			}
			else {
				echo '
					<li class="next disabled">
					  <a href="#" aria-label="Next">
						<span aria-hidden="true">&raquo;</span>
					  </a>
					</li>
					<li class="next disabled">
					  <a href="#" aria-label="Next">
						<span aria-hidden="true">Last</span>
					  </a>
					</li>
				';
			}
			echo '
					  </ul>
					</nav>
				</div>
			';
		}
		else {
			echo '
				<div class="text-center">
					<nav>' . $this->Paginator->param('count'). ' of ' . $this->Paginator->param('count') . ' record/s shown.</nav>
				</div>
			';
		}
	}
	
	
}
?>