<?php
/**
 *
 *
 * CakePHP(tm) : Rapid Development Framework (http://cakephp.org)
 * Copyright (c) Cake Software Foundation, Inc. (http://cakefoundation.org)
 *
 * Licensed under The MIT License
 * For full copyright and license information, please see the LICENSE.txt
 * Redistributions of files must retain the above copyright notice.
 *
 * @copyright     Copyright (c) Cake Software Foundation, Inc. (http://cakefoundation.org)
 * @link          http://cakephp.org CakePHP(tm) Project
 * @package       app.View.Layouts
 * @since         CakePHP(tm) v 0.10.0.1076
 * @license       http://www.opensource.org/licenses/mit-license.php MIT License
 */
?>
<!DOCTYPE html>
<html>
<head>
	<?php echo $this->Html->charset(); ?>
	<title>
		HR Manager - Human Resource Information System
	</title>
	<meta name="viewport" content="width=device-width, initial-scale=1.0, minimum-scale=1.0, maximum-scale=1.5, user-scalable=yes">
	<?php
		echo $this->element('Layout/head.all.icon'); 
		echo $this->element('Layout/head.all.css'); 
		echo $this->element('Layout/head.all.js'); 
	?>
	
</head>
<body class="fixed-sidebar no-skin-config mini-navbar dragscroll">
	<div id="wrapper">
		<nav class="navbar-default navbar-static-side" style="display: none;" role="navigation">
			<div class="sidebar-collapse">
				<ul class="nav metismenu" id="side-menu">
					<li class="nav-header">
                        <?php
						echo $this->element('Layout/profile_element', array('employee_profile' => $employee_profile));
						 ?>
                    </li>
					<?php
						echo $this->element('Layout/administrator.sidebar');
					?>
					</ul>
			</div>
		</nav>
		 
		<div id="page-wrapper" class="gray-bg">
			<div class="row border-bottom">
				<nav class="navbar navbar-static-top white-bg" role="navigation" style="margin-bottom: 0">
				<div class="navbar-header">
					<a class="navbar-minimalize minimalize-styl-2 btn btn-primary " href="#"><i class="fa fa-bars"></i> </a> 
					<?php
						echo $this->element('Layout/global_search');
					?> 
				</div>
					<ul class="nav navbar-top-links navbar-right">
						<li>
							<span class="m-r-sm text-muted welcome-message">HR MANAGER - HUMAN RESOURCE INFORMATION SYSTEM  | MEDICAL DIRECTOR </span>
						</li>
						<?php
							echo $this->element('notification-envelope');
							if($find_approvers || $_SESSION['Auth']['User']['role'] == 'Medical Director'){
								echo $this->element('notification-navbar'); 
							}
						?>
						
						<?php
							$this->BootstrapComponent->inspinia_create_list_item_links(array(
								'<span class="sign-out-link"><i class="fa fa-sign-out"></i> Logout</span>' => array('url' => array('controller' => 'users', 'action' => 'logout', 'prefix' => 'hris'))
							));
						?>
					</ul>

				</nav>
			</div>

			<div class="wrapper wrapper-content">
				<div class="wrapper wrapper-content animated fadeInRight">
				<?php 
					echo $this->Session->flash();
					echo $this->fetch('content'); 
				?>
				</div>
			</div>
			
        </div>
    </div>
</body>
</html>
